# Changelog: `gatsby`

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

## [5.11.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@5.11.0/packages/gatsby) (2023-06-15)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v5.11)

#### Features

- support multiple instances of plugin [#38119](https://github.com/gatsbyjs/gatsby/issues/38119) ([77e4e19](https://github.com/gatsbyjs/gatsby/commit/77e4e195237ec7e555c067bdb002d84a6c3a28a0))

#### Bug Fixes

- allow touching nodes owned by another plugin [#38235](https://github.com/gatsbyjs/gatsby/issues/38235) [#38238](https://github.com/gatsbyjs/gatsby/issues/38238) ([5089f0d](https://github.com/gatsbyjs/gatsby/commit/5089f0d78eb24418e37611f7b1c389637293cbb4))
- update minor and patch dependencies for gatsby [#38161](https://github.com/gatsbyjs/gatsby/issues/38161) ([9e27a90](https://github.com/gatsbyjs/gatsby/commit/9e27a906d2e2c58aebf5142e70115cfda6cab818))
- update dependency core-js to ^3.30.2 [#38151](https://github.com/gatsbyjs/gatsby/issues/38151) ([aefdc09](https://github.com/gatsbyjs/gatsby/commit/aefdc09e94f0a3c257519be133a260258241740d))
- update typescript to ^5.59.8 [#38165](https://github.com/gatsbyjs/gatsby/issues/38165) ([a000be4](https://github.com/gatsbyjs/gatsby/commit/a000be498d3b31d42a620dae8724a46ab640c742))
- update typescript [#38133](https://github.com/gatsbyjs/gatsby/issues/38133) ([aa7a078](https://github.com/gatsbyjs/gatsby/commit/aa7a078383ca5a549743be3269e9bde44655a185))
- Support inline styles on html/body for Head API [#38098](https://github.com/gatsbyjs/gatsby/issues/38098) ([ccbbda5](https://github.com/gatsbyjs/gatsby/commit/ccbbda5c6ae4cc9dfcbbf07891e9c74461c6ed55))

#### Chores

- update semver [#38171](https://github.com/gatsbyjs/gatsby/issues/38171) ([208cdef](https://github.com/gatsbyjs/gatsby/commit/208cdef13f6488251ba1810a57a1e28c38635631))
- update [dev] minor and patch dependencies for gatsby [#38132](https://github.com/gatsbyjs/gatsby/issues/38132) ([bdea707](https://github.com/gatsbyjs/gatsby/commit/bdea707c7d804718c39503d8727e529de4a1599c))

## [5.10.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@5.10.0/packages/gatsby) (2023-05-16)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v5.10)

#### Features

- apply default webpack split chunking config to html gen bundle [#37961](https://github.com/gatsbyjs/gatsby/issues/37961) ([a623949](https://github.com/gatsbyjs/gatsby/commit/a623949c969344aff527487e58a7a2d88b79b2c8))

#### Bug Fixes

- don't serve codeframes for files outside of compilation [#38059](https://github.com/gatsbyjs/gatsby/issues/38059) ([ed5855e](https://github.com/gatsbyjs/gatsby/commit/ed5855e511ce00c765525c687f36d1be177c22f2))
- handle cyclic chunkgroup children [#38052](https://github.com/gatsbyjs/gatsby/issues/38052) ([272dacd](https://github.com/gatsbyjs/gatsby/commit/272dacdbc5e334e6d7c8e918cfffac6f6d556577))
- update minor and patch dependencies for gatsby [#38005](https://github.com/gatsbyjs/gatsby/issues/38005) ([a83ed19](https://github.com/gatsbyjs/gatsby/commit/a83ed192f42e91781304dc4e77a72ffd27514533))
- update dependency sharp to ^0.32.1 [#38024](https://github.com/gatsbyjs/gatsby/issues/38024) ([d7cccfe](https://github.com/gatsbyjs/gatsby/commit/d7cccfeac7dbb0f130f87d809879284319d7830d))
- update dependency semver to ^7.5.0 [#38023](https://github.com/gatsbyjs/gatsby/issues/38023) ([2564f6b](https://github.com/gatsbyjs/gatsby/commit/2564f6b247b622b51522ff1f91fe2a9ef34fa571))
- update dependency core-js to ^3.30.1 [#38017](https://github.com/gatsbyjs/gatsby/issues/38017) ([3d10f90](https://github.com/gatsbyjs/gatsby/commit/3d10f9035e8bfeedfab8a4a400c687e29d0f9a03))
- encode window.pagePath to get valid JS code [#36349](https://github.com/gatsbyjs/gatsby/issues/36349) ([6feee5d](https://github.com/gatsbyjs/gatsby/commit/6feee5d6bb752f458f01d968798dad18e5b43d30))
- avoid plus2space conversion using json encoded options [#37980](https://github.com/gatsbyjs/gatsby/issues/37980) ([2d2e8ad](https://github.com/gatsbyjs/gatsby/commit/2d2e8adee3f627dbce8aa816f4021bc39c1acc90))
- Correct `stitching slices` build activity name [#37975](https://github.com/gatsbyjs/gatsby/issues/37975) ([b116f7e](https://github.com/gatsbyjs/gatsby/commit/b116f7e423462e570a909253e9d8882e001d6d61))

#### Chores

- update [dev] minor and patch dependencies for gatsby [#37992](https://github.com/gatsbyjs/gatsby/issues/37992) ([f284749](https://github.com/gatsbyjs/gatsby/commit/f28474973ac1d82ecd5e3a6c513cd77412a08271))

### [5.9.1](https://github.com/gatsbyjs/gatsby/commits/gatsby@5.9.1/packages/gatsby) (2023-05-09)

#### Bug Fixes

- handle cyclic chunkgroup children [#38052](https://github.com/gatsbyjs/gatsby/issues/38052) [#38061](https://github.com/gatsbyjs/gatsby/issues/38061) ([fb30dc0](https://github.com/gatsbyjs/gatsby/commit/fb30dc03ce34a47d7b1d8f1e7aead97c5a5e3b08))
- don't serve codeframes for files outside of compilation [#38059](https://github.com/gatsbyjs/gatsby/issues/38059) [#38062](https://github.com/gatsbyjs/gatsby/issues/38062) ([ae5a654](https://github.com/gatsbyjs/gatsby/commit/ae5a654eb346b2e7a9d341b809b2f82d34c0f17c))

## [5.9.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@5.9.0/packages/gatsby) (2023-04-18)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v5.9)

#### Features

- add public action to disable stale node checks [#37782](https://github.com/gatsbyjs/gatsby/issues/37782) ([fd168e0](https://github.com/gatsbyjs/gatsby/commit/fd168e0e78c621fcdf95a7eb486a1339c18a9316))

#### Bug Fixes

- Shadowing with resourceQuery [#37938](https://github.com/gatsbyjs/gatsby/issues/37938) ([dc998d5](https://github.com/gatsbyjs/gatsby/commit/dc998d5e7612973845ec89c6634e03d0c96631f5))
- Fix argument order for `onPreRouteUpdate` Fix [#30339](https://github.com/gatsbyjs/gatsby/issues/30339) ([1fd967b](https://github.com/gatsbyjs/gatsby/commit/1fd967bd2cc282cac4fcc699f66d681f16ee6987))
- move typing for `enableStatefulSourceNodes` into `Actions` [#37933](https://github.com/gatsbyjs/gatsby/issues/37933) ([ba2a45f](https://github.com/gatsbyjs/gatsby/commit/ba2a45f526a299aa32a0173a53f062bf3e960a88))
- update dependency xstate to ^4.37.1 for gatsby-source-filesystem [#37872](https://github.com/gatsbyjs/gatsby/issues/37872) ([579fe1e](https://github.com/gatsbyjs/gatsby/commit/579fe1e2aee8bf382741e7b1b3674eec165bc3f6))
- update dependency fs-extra to ^11.1.1 [#37827](https://github.com/gatsbyjs/gatsby/issues/37827) ([3e9a590](https://github.com/gatsbyjs/gatsby/commit/3e9a590fdc0b4cdbc763b6a6e3ca3e983ac8231a))
- update dependency eslint-plugin-react to ^7.32.2 [#37825](https://github.com/gatsbyjs/gatsby/issues/37825) ([4a29cf4](https://github.com/gatsbyjs/gatsby/commit/4a29cf470040ea4d36eed5701c6db96f4d9f56ea))
- update typescript to v5 (major) [#37906](https://github.com/gatsbyjs/gatsby/issues/37906) ([3859ba6](https://github.com/gatsbyjs/gatsby/commit/3859ba6ce629e658525f858a8799b08c34c3eda5))
- make `___NODE` convention less noisy [#37781](https://github.com/gatsbyjs/gatsby/issues/37781) ([9536f64](https://github.com/gatsbyjs/gatsby/commit/9536f64dcc220d11139d3e1d65f515f3e7a602c3))
- Validate sub plugins options [#37804](https://github.com/gatsbyjs/gatsby/issues/37804) ([f013bc3](https://github.com/gatsbyjs/gatsby/commit/f013bc3a74bcb4b92ac49d20a5aedbce1e7a0db7))
- don't block event loop during inference [#37780](https://github.com/gatsbyjs/gatsby/issues/37780) ([c08048d](https://github.com/gatsbyjs/gatsby/commit/c08048d488c5bd3369bf766e84c4f6a11eac5848))

#### Performance Improvements

- normalize engines static query context [#37764](https://github.com/gatsbyjs/gatsby/issues/37764) ([2f3f372](https://github.com/gatsbyjs/gatsby/commit/2f3f372e92b9faeb606f88f4a5ea848cfbc0cb44))

#### Chores

- Move existing main tutorial to "getting-started" name [#37539](https://github.com/gatsbyjs/gatsby/issues/37539) ([2dbd95d](https://github.com/gatsbyjs/gatsby/commit/2dbd95d20f8a1109bc5e023cf2e9755f4d29209f))
- New "Creating a Source Plugin" tutorial [#37538](https://github.com/gatsbyjs/gatsby/issues/37538) ([4c4a4f1](https://github.com/gatsbyjs/gatsby/commit/4c4a4f151434acb995f4280521b5f3a2443989dc))
- update typescript [#37848](https://github.com/gatsbyjs/gatsby/issues/37848) ([9f92796](https://github.com/gatsbyjs/gatsby/commit/9f92796070b0e73fa92089af93de376c9be9021e))
- update [dev] minor and patch dependencies for gatsby [#37839](https://github.com/gatsbyjs/gatsby/issues/37839) ([fe218d6](https://github.com/gatsbyjs/gatsby/commit/fe218d6cb20fc5f316693e1a600f702cad17f61a))

### [5.8.1](https://github.com/gatsbyjs/gatsby/commits/gatsby@5.8.1/packages/gatsby) (2023-03-29)

#### Bug Fixes

- don't block event loop during inference [#37780](https://github.com/gatsbyjs/gatsby/issues/37780) [#37800](https://github.com/gatsbyjs/gatsby/issues/37800) ([facb07f](https://github.com/gatsbyjs/gatsby/commit/facb07f6368641662c08a6e93490b0db1ea426ee))

## [5.8.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@5.8.0/packages/gatsby) (2023-03-21)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v5.8)

#### Bug Fixes

- Correctly cache gatsby-node.mjs in webpack [#37750](https://github.com/gatsbyjs/gatsby/issues/37750) ([438ddda](https://github.com/gatsbyjs/gatsby/commit/438dddab5b7643cf0518383bda6c94615857185a))
- track changes to lazy components [#37712](https://github.com/gatsbyjs/gatsby/issues/37712) ([2794ed3](https://github.com/gatsbyjs/gatsby/commit/2794ed31f693c74921d20011aa4b060bc32eaec0))
- setup base flags when config file doesn't exist [#37714](https://github.com/gatsbyjs/gatsby/issues/37714) ([44cbfb5](https://github.com/gatsbyjs/gatsby/commit/44cbfb55f04c0d239b347ed882d157f13f2d6af0))
- Pass `pluginName` to `reporter.activityTimer` & `reporter.createProgress` [#37710](https://github.com/gatsbyjs/gatsby/issues/37710) ([21e798b](https://github.com/gatsbyjs/gatsby/commit/21e798b198b334cef238c3c40da67b7657390f16))
- Change backdrop position to `fixed` [#37698](https://github.com/gatsbyjs/gatsby/issues/37698) ([66aff8c](https://github.com/gatsbyjs/gatsby/commit/66aff8cec0adb9db30f8942d8feeea3290c1e7b1))
- hide absolute path of \_\_contentFilePath in component chunk name [#37687](https://github.com/gatsbyjs/gatsby/issues/37687) ([db2d5e8](https://github.com/gatsbyjs/gatsby/commit/db2d5e8d97e19a069c73474f29caa698e441c68c))
- Use optional chaining in `onHeadRendered` [#37669](https://github.com/gatsbyjs/gatsby/issues/37669) ([66584a2](https://github.com/gatsbyjs/gatsby/commit/66584a22426d8ce03cfcc9a1eb39d4342ef7f755))

#### Chores

- Remove obsolete `st` package [#37726](https://github.com/gatsbyjs/gatsby/issues/37726) ([240f5a9](https://github.com/gatsbyjs/gatsby/commit/240f5a9dc9f0cc5f5369e3087244378aad3d5ccf))

## [5.7.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@5.7.0/packages/gatsby) (2023-02-21)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v5.7)

#### Bug Fixes

- Adjust framework chunk overwrite [#37658](https://github.com/gatsbyjs/gatsby/issues/37658) ([d47ef5e](https://github.com/gatsbyjs/gatsby/commit/d47ef5e1e64f3ae0284b34d4ad822cece26f6f08))
- fix types for printTypeDefinitions action fix [#37647](https://github.com/gatsbyjs/gatsby/issues/37647) ([bc6c3ef](https://github.com/gatsbyjs/gatsby/commit/bc6c3efb139b09576e12ce4b4cde8e61b148f86c))

#### Performance Improvements

- don't create Head modules in develop if it's not used [#37619](https://github.com/gatsbyjs/gatsby/issues/37619) ([890396e](https://github.com/gatsbyjs/gatsby/commit/890396eb70807bc927c713af6d9252e1185ce805))

#### Chores

- Docs for `wrapRootElement` + `Head` [#37519](https://github.com/gatsbyjs/gatsby/issues/37519) ([9e3698e](https://github.com/gatsbyjs/gatsby/commit/9e3698e9240dc378be1adc0977b001a8b9a20303))
- Remove `navigate` from `PageProps` [#37624](https://github.com/gatsbyjs/gatsby/issues/37624) ([7eb0ae6](https://github.com/gatsbyjs/gatsby/commit/7eb0ae6e0e5e95d8a87a31ad19ae53336a340f62))

### [5.6.1](https://github.com/gatsbyjs/gatsby/commits/gatsby@5.6.1/packages/gatsby) (2023-02-16)

#### Bug Fixes

- Adjust framework chunk overwrite [#37658](https://github.com/gatsbyjs/gatsby/issues/37658) [#37666](https://github.com/gatsbyjs/gatsby/issues/37666) ([b5978a6](https://github.com/gatsbyjs/gatsby/commit/b5978a6a0f3e15f4470decf7ae1c5756dc2d85b2))

## [5.6.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@5.6.0/packages/gatsby) (2023-02-07)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v5.6)

#### Features

- Safely wrap `Head` with `wrapRootElement` [#37439](https://github.com/gatsbyjs/gatsby/issues/37439) ([ebbebac](https://github.com/gatsbyjs/gatsby/commit/ebbebac0cbc1b06d2cf0b7c53a65f996c8900261))

#### Bug Fixes

- update babel monorepo [#37568](https://github.com/gatsbyjs/gatsby/issues/37568) ([13a0a9e](https://github.com/gatsbyjs/gatsby/commit/13a0a9e83dcb015b65dff6b73cdd5dea09c2988f))
- update minor and patch dependencies for gatsby [#37580](https://github.com/gatsbyjs/gatsby/issues/37580) ([990b870](https://github.com/gatsbyjs/gatsby/commit/990b870f218d2bf0dc06cc370ab3dfac342fe727))
- update parcel to v2.8.3 [#37583](https://github.com/gatsbyjs/gatsby/issues/37583) ([c2192cc](https://github.com/gatsbyjs/gatsby/commit/c2192cc7c30c79bbef179de7e03898fce6c0f9af))
- update dependency eslint-plugin-import to ^2.27.5 [#37598](https://github.com/gatsbyjs/gatsby/issues/37598) ([b31d6a0](https://github.com/gatsbyjs/gatsby/commit/b31d6a06e77b33475794ec88948b1c99321f57c9))
- update dependency prettier to v2.8.3 [#37578](https://github.com/gatsbyjs/gatsby/issues/37578) ([ad721ee](https://github.com/gatsbyjs/gatsby/commit/ad721ee33ed0a5c6ff7643c08ee77e084f3a99dc))
- update dependency eslint-plugin-jsx-a11y to ^6.7.1 [#37599](https://github.com/gatsbyjs/gatsby/issues/37599) ([a838a03](https://github.com/gatsbyjs/gatsby/commit/a838a03a086931f75390c229261d82bca658548d))
- fix static query mapping when contentFilePath contains a space fix [#37544](https://github.com/gatsbyjs/gatsby/issues/37544) ([3a7ba32](https://github.com/gatsbyjs/gatsby/commit/3a7ba329eec98bcff84cc315fb136a052c8b47f4))
- support slices in DEV_SSR [#37542](https://github.com/gatsbyjs/gatsby/issues/37542) ([58b0625](https://github.com/gatsbyjs/gatsby/commit/58b062554ebe05ad033900b9517e125c476a80e6))
- Render to pipeable stream in dev SSR [#37534](https://github.com/gatsbyjs/gatsby/issues/37534) ([049e8e1](https://github.com/gatsbyjs/gatsby/commit/049e8e18e762909dcf41f141eb1943d687ec8515))
- Move "react-dom-server" out of framework chunk [#37508](https://github.com/gatsbyjs/gatsby/issues/37508) ([ab85362](https://github.com/gatsbyjs/gatsby/commit/ab85362af427f636d40f12227beac4e55858f2a5))
- Use windows import helper for validate [#37520](https://github.com/gatsbyjs/gatsby/issues/37520) ([77c9469](https://github.com/gatsbyjs/gatsby/commit/77c9469c997362f90fe5e24d783a77022ba48a95))

#### Chores

- update dependency @types/sharp to ^0.31.1 [#37562](https://github.com/gatsbyjs/gatsby/issues/37562) ([e86d87c](https://github.com/gatsbyjs/gatsby/commit/e86d87c851ac5e09cf9eaff7a7500a64b55b6075))
- update dependency @types/express to ^4.17.16 for gatsby [#37561](https://github.com/gatsbyjs/gatsby/issues/37561) ([9889611](https://github.com/gatsbyjs/gatsby/commit/988961122e456ec84e8261700f1b803cf5cca4d3))
- update typescript [#37596](https://github.com/gatsbyjs/gatsby/issues/37596) ([4f1d1f2](https://github.com/gatsbyjs/gatsby/commit/4f1d1f260472d7768b57960b1e274c8755ca5a67))
- bump @gatsbyjs/reach-router [#37547](https://github.com/gatsbyjs/gatsby/issues/37547) ([7a83513](https://github.com/gatsbyjs/gatsby/commit/7a83513f147c8ab2e3c0a38f99e15743c79d1e25))

## [5.5.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@5.5.0/packages/gatsby) (2023-01-24)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v5.5)

#### Features

- add initial webhook body env var to bootstrap context [#37478](https://github.com/gatsbyjs/gatsby/issues/37478) ([000e23e](https://github.com/gatsbyjs/gatsby/commit/000e23e0f1247af61b8ecdc2f7274e53e89e82bf))
- Allow `<html>` and `<body>` attributes to be updated from `Head` [#37449](https://github.com/gatsbyjs/gatsby/issues/37449) ([fe65c29](https://github.com/gatsbyjs/gatsby/commit/fe65c295952f49345dc9e4a3b8da49b674b198ff))
- Add hashing methods from `hash-wasm` [#37433](https://github.com/gatsbyjs/gatsby/issues/37433) ([df27ff4](https://github.com/gatsbyjs/gatsby/commit/df27ff4a5dbaf8bbcd481dcd0d9a297c51283fde))

#### Bug Fixes

- Use windows import helper for validate [#37520](https://github.com/gatsbyjs/gatsby/issues/37520) [#37522](https://github.com/gatsbyjs/gatsby/issues/37522) ([3b1b6a5](https://github.com/gatsbyjs/gatsby/commit/3b1b6a5bd33d7cf828ce6994a4aa266ce2d71197))
- pass serverData to Head [#37500](https://github.com/gatsbyjs/gatsby/issues/37500) ([0017375](https://github.com/gatsbyjs/gatsby/commit/0017375e857c929e97a19853db01188c6702df25))
- nodeModel.findAll supports v5 sort argument structure [#37477](https://github.com/gatsbyjs/gatsby/issues/37477) ([949132b](https://github.com/gatsbyjs/gatsby/commit/949132baa5e334e2e8e6a1c6776e9f9e8de19662))
- Check rawPath in loadPage [#37451](https://github.com/gatsbyjs/gatsby/issues/37451) ([4a721df](https://github.com/gatsbyjs/gatsby/commit/4a721dfdcd82d8e5e4803854f7b996c216788a7c))
- Use correct settings for yaml-loader [#37454](https://github.com/gatsbyjs/gatsby/issues/37454) ([3ef4f44](https://github.com/gatsbyjs/gatsby/commit/3ef4f444e8e5aca7866794512bfc367d5a2b057b))
- pluginOptionsSchema in local TS plugin [#37443](https://github.com/gatsbyjs/gatsby/issues/37443) ([c57c060](https://github.com/gatsbyjs/gatsby/commit/c57c0604db0ada5798e16e7871f6d5694a6e7a26))
- Multi-environment browserslist configs [#35081](https://github.com/gatsbyjs/gatsby/issues/35081) ([5e7e8fa](https://github.com/gatsbyjs/gatsby/commit/5e7e8fab5411d735f2ce2d5c55d37ace2ae6a4ba))
- Support ESM-only `gatsby-remark-*` plugins [#37440](https://github.com/gatsbyjs/gatsby/issues/37440) ([9762642](https://github.com/gatsbyjs/gatsby/commit/97626421f4adf0b993de53471d5927a647907a00))
- Update `loader.loadPage` to return a Promise on error [#37337](https://github.com/gatsbyjs/gatsby/issues/37337) ([5665bc4](https://github.com/gatsbyjs/gatsby/commit/5665bc45c460d3c7876b83cb7f6d37b1e9a18f97))
- Prevent escape on style tags content [#37410](https://github.com/gatsbyjs/gatsby/issues/37410) ([5f82fa6](https://github.com/gatsbyjs/gatsby/commit/5f82fa638a24aaf6c8b7e4877836ed9acc0567c3))
- Restore asset, path prefix for file-loader handled files fix [#37429](https://github.com/gatsbyjs/gatsby/issues/37429) ([b0c0913](https://github.com/gatsbyjs/gatsby/commit/b0c09137667b17d7c028ba449ff6c0b721c48728))

#### Chores

- Upgrade some non-breaking major versions [#37406](https://github.com/gatsbyjs/gatsby/issues/37406) ([2ea80c0](https://github.com/gatsbyjs/gatsby/commit/2ea80c02e464fe9306f6a1eccbb6c74983a76208))
- Upgrade to Jest 29 [#37408](https://github.com/gatsbyjs/gatsby/issues/37408) ([315edc6](https://github.com/gatsbyjs/gatsby/commit/315edc64c9aa87b7f5bf43c7698e47187aeb6450))
- Bump partytown [#37421](https://github.com/gatsbyjs/gatsby/issues/37421) ([1775627](https://github.com/gatsbyjs/gatsby/commit/177562749be8f167a172349175452004123e0332))

### [5.4.2](https://github.com/gatsbyjs/gatsby/commits/gatsby@5.4.2/packages/gatsby) (2023-01-17)

#### Bug Fixes

- nodeModel.findAll supports v5 sort argument structure [#37477](https://github.com/gatsbyjs/gatsby/issues/37477) [#37479](https://github.com/gatsbyjs/gatsby/issues/37479) ([00ed53a](https://github.com/gatsbyjs/gatsby/commit/00ed53a7c80c0670aec787a88c81335947ea7e9c))

### [5.4.1](https://github.com/gatsbyjs/gatsby/commits/gatsby@5.4.1/packages/gatsby) (2023-01-13)

#### Bug Fixes

- Use correct settings for yaml-loader [#37454](https://github.com/gatsbyjs/gatsby/issues/37454) [#37463](https://github.com/gatsbyjs/gatsby/issues/37463) ([8109b9b](https://github.com/gatsbyjs/gatsby/commit/8109b9b1c950a7371f965be9dd1d8b19b64796f0))

## [5.4.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@5.4.0/packages/gatsby) (2023-01-10)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v5.4)

#### Bug Fixes

- Restore asset, path prefix for file-loader handled files fix [#37429](https://github.com/gatsbyjs/gatsby/issues/37429) fix [#37430](https://github.com/gatsbyjs/gatsby/issues/37430) ([e2084f6](https://github.com/gatsbyjs/gatsby/commit/e2084f60694f41f3d70b5375c6a6edadb375c518))
- Allow "gatsby-node" directory for Parcel Compilation [#36712](https://github.com/gatsbyjs/gatsby/issues/36712) ([57607f1](https://github.com/gatsbyjs/gatsby/commit/57607f1fb4e95e3cb2a3ec14cbe17813942bf812))
- update parcel to v2.8.2 [#37383](https://github.com/gatsbyjs/gatsby/issues/37383) ([7fda6d1](https://github.com/gatsbyjs/gatsby/commit/7fda6d163eadb9a871b7954c51abfd450939b32d))
- update minor and patch dependencies for gatsby [#37377](https://github.com/gatsbyjs/gatsby/issues/37377) ([919efc0](https://github.com/gatsbyjs/gatsby/commit/919efc09499760a4db43e1b8f90a36d9730d42a9))
- update dependency eslint-plugin-react to ^7.31.11 [#37368](https://github.com/gatsbyjs/gatsby/issues/37368) ([4d464b4](https://github.com/gatsbyjs/gatsby/commit/4d464b4f47cb8063e76c201c0e03af45eb570aaf))
- extract queries from .mjs files [#37320](https://github.com/gatsbyjs/gatsby/issues/37320) ([01724ef](https://github.com/gatsbyjs/gatsby/commit/01724eff19a701ab7cb0bb3f777e13bdee83ded5))
- handle initializing multiple instances of gatsby-plugin-sharp [#37306](https://github.com/gatsbyjs/gatsby/issues/37306) ([26f2b72](https://github.com/gatsbyjs/gatsby/commit/26f2b72a63b29ef8425cd33ae70708279cd4af87))
- don't output file-loader assets to .cache [#37284](https://github.com/gatsbyjs/gatsby/issues/37284) ([3cbad19](https://github.com/gatsbyjs/gatsby/commit/3cbad19275fb1e2596d6ed6d5f342c5439691050))
- [rendering engines] use results of exports removal if sourceMap was not generated alongside transformed code [#37282](https://github.com/gatsbyjs/gatsby/issues/37282) ([770748d](https://github.com/gatsbyjs/gatsby/commit/770748d33f8fbe08adf4c7911d71f453bb14befb))
- use file:// protocol when importing gatsby-config/node [#37257](https://github.com/gatsbyjs/gatsby/issues/37257) ([e0ea47c](https://github.com/gatsbyjs/gatsby/commit/e0ea47cc43f4d5523edea7c3eaa0ae384750c773))
- Improve readability of page data / long running query warnings [#37220](https://github.com/gatsbyjs/gatsby/issues/37220) ([031a08f](https://github.com/gatsbyjs/gatsby/commit/031a08f92224ff4027c12448bb2011d504651827))

#### Chores

- Improve SlicePlaceholderProps type [#37409](https://github.com/gatsbyjs/gatsby/issues/37409) ([c7b5e7c](https://github.com/gatsbyjs/gatsby/commit/c7b5e7c46597327cd819bf97bebf7c02e805cfa9))
- Bump yaml-loader [#37401](https://github.com/gatsbyjs/gatsby/issues/37401) ([7a382f2](https://github.com/gatsbyjs/gatsby/commit/7a382f2b080ad02dbecbb93d21c9e90e9f529162))
- update [dev] minor and patch dependencies for gatsby [#37384](https://github.com/gatsbyjs/gatsby/issues/37384) ([6e7c57f](https://github.com/gatsbyjs/gatsby/commit/6e7c57f12bcbc8099c7a1044ddd43efe1d76f556))
- update babel monorepo [#37386](https://github.com/gatsbyjs/gatsby/issues/37386) ([b941876](https://github.com/gatsbyjs/gatsby/commit/b94187633d94d0f0071b38ffe93380dd802ec70f))
- update gatsby monorepo [#37366](https://github.com/gatsbyjs/gatsby/issues/37366) ([bbd6220](https://github.com/gatsbyjs/gatsby/commit/bbd62204a1a402efb681a16ead66421f6f017660))
- bump socket.io [#37272](https://github.com/gatsbyjs/gatsby/issues/37272) ([cad26d7](https://github.com/gatsbyjs/gatsby/commit/cad26d7568bfbc642e2f3d7036432249748a36c4))
- Adjust information about `trailingSlash` for `createRedirect` [#37259](https://github.com/gatsbyjs/gatsby/issues/37259) ([2ac113b](https://github.com/gatsbyjs/gatsby/commit/2ac113b3e6be4b106de7d067991544afb9f1c607))

#### Other Changes

- Revert "fix(deps): update dependency lmdb to v2.7.1 (#37160)" [#37160](https://github.com/gatsbyjs/gatsby/issues/37160) [#37255](https://github.com/gatsbyjs/gatsby/issues/37255) ([9f6f6b8](https://github.com/gatsbyjs/gatsby/commit/9f6f6b8a2615856e95c948615a7e044131d3a93b))

### [5.3.3](https://github.com/gatsbyjs/gatsby/commits/gatsby@5.3.3/packages/gatsby) (2022-12-20)

#### Bug Fixes

- [rendering engines] use results of exports removal if sourceMap was not generated alongside transformed code [#37282](https://github.com/gatsbyjs/gatsby/issues/37282) [#37296](https://github.com/gatsbyjs/gatsby/issues/37296) ([3e7e996](https://github.com/gatsbyjs/gatsby/commit/3e7e9962d3597a6bb8f03271c95fbe719ca1ba49))
- don't output file-loader assets to .cache [#37284](https://github.com/gatsbyjs/gatsby/issues/37284) [#37295](https://github.com/gatsbyjs/gatsby/issues/37295) ([f448e12](https://github.com/gatsbyjs/gatsby/commit/f448e12db52841cbb8ff02f7358c865b0aebd49f))

### [5.3.2](https://github.com/gatsbyjs/gatsby/commits/gatsby@5.3.2/packages/gatsby) (2022-12-14)

#### Bug Fixes

- use file:// protocol when importing gatsby-config/node [#37257](https://github.com/gatsbyjs/gatsby/issues/37257) [#37260](https://github.com/gatsbyjs/gatsby/issues/37260) ([a283319](https://github.com/gatsbyjs/gatsby/commit/a2833194fe7edf99e95127b26ac5c96c2ba661cd))

### [5.3.1](https://github.com/gatsbyjs/gatsby/commits/gatsby@5.3.1/packages/gatsby) (2022-12-14)

#### Other Changes

- Revert "fix(deps): update dependency lmdb to v2.7.1 (#37160)" [#37160](https://github.com/gatsbyjs/gatsby/issues/37160) [#37255](https://github.com/gatsbyjs/gatsby/issues/37255) [#37258](https://github.com/gatsbyjs/gatsby/issues/37258) ([e9aafe4](https://github.com/gatsbyjs/gatsby/commit/e9aafe4cde8738e8ae938e87320de3a4f729ccd5))

## [5.3.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@5.3.0/packages/gatsby) (2022-12-13)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v5.3)

#### Features

- Show original stack trace [#37206](https://github.com/gatsbyjs/gatsby/issues/37206) ([3b75594](https://github.com/gatsbyjs/gatsby/commit/3b75594d9d45371c483df942ee680eef54471b82))
- ESM in gatsby-config.mjs and gatsby-node.mjs [#37068](https://github.com/gatsbyjs/gatsby/issues/37068) [#37097](https://github.com/gatsbyjs/gatsby/issues/37097) [#37094](https://github.com/gatsbyjs/gatsby/issues/37094) [#37105](https://github.com/gatsbyjs/gatsby/issues/37105) [#37098](https://github.com/gatsbyjs/gatsby/issues/37098) [#37122](https://github.com/gatsbyjs/gatsby/issues/37122) [#37128](https://github.com/gatsbyjs/gatsby/issues/37128) ([99c5688](https://github.com/gatsbyjs/gatsby/commit/99c5688944a5deb919b852ba604f5d030b941620))
- Better renderHtml Preview Error [#37195](https://github.com/gatsbyjs/gatsby/issues/37195) ([c92c448](https://github.com/gatsbyjs/gatsby/commit/c92c448020168bf46523b9719b588a5000bc6a6f))
- Add `documentSearchPaths` option to `graphqlTypegen` [#37120](https://github.com/gatsbyjs/gatsby/issues/37120) ([712ff6b](https://github.com/gatsbyjs/gatsby/commit/712ff6b60c9c3b9bf2e2489b71cc033d013e060b))

#### Bug Fixes

- Improve readability of page data / long running query warnings [#37220](https://github.com/gatsbyjs/gatsby/issues/37220) [#37229](https://github.com/gatsbyjs/gatsby/issues/37229) ([9e14203](https://github.com/gatsbyjs/gatsby/commit/9e14203e97a5646d56cc410a8686f977c170931b))
- Update parcel to v2.8.1 [#37217](https://github.com/gatsbyjs/gatsby/issues/37217) ([e2192c5](https://github.com/gatsbyjs/gatsby/commit/e2192c5297b291388ca1ae19d5aacbecce190ec3))
- Use path prefix when loading slice data fix [#37202](https://github.com/gatsbyjs/gatsby/issues/37202) ([b346071](https://github.com/gatsbyjs/gatsby/commit/b346071eaf14b53fd6dd58c3f270c2f8a964ef3e))
- update dependency lmdb to v2.7.1 [#37160](https://github.com/gatsbyjs/gatsby/issues/37160) ([fecf779](https://github.com/gatsbyjs/gatsby/commit/fecf77947145cea5099be8e8e9037cab7cdf2231))
- Materialize nodes in gatsbyPath [#37111](https://github.com/gatsbyjs/gatsby/issues/37111) ([3095506](https://github.com/gatsbyjs/gatsby/commit/30955067549f72f923caa5465ae135b89e2052eb))
- update minor and patch dependencies for gatsby-plugin-utils [#37155](https://github.com/gatsbyjs/gatsby/issues/37155) ([8a874ed](https://github.com/gatsbyjs/gatsby/commit/8a874edfbc845451a47b95565012647c534c6c94))
- Remove obsolete `unstable_onPluginInit` codepaths [#37176](https://github.com/gatsbyjs/gatsby/issues/37176) ([bb42840](https://github.com/gatsbyjs/gatsby/commit/bb4284044e2025df483dd7c52df19dc20ecc7f8c))
- update parcel to v2.8.0 [#37132](https://github.com/gatsbyjs/gatsby/issues/37132) ([479702c](https://github.com/gatsbyjs/gatsby/commit/479702cc5d2b792d4f35b024c834a8231f237259))

#### Chores

- update dependency typescript to ^4.9.3 [#37192](https://github.com/gatsbyjs/gatsby/issues/37192) ([204ed0e](https://github.com/gatsbyjs/gatsby/commit/204ed0e220eb9c1c5cdec692e82bce8e3e82e915))
- update semver [#37186](https://github.com/gatsbyjs/gatsby/issues/37186) ([34adbf1](https://github.com/gatsbyjs/gatsby/commit/34adbf1f6147f9c440dfc0900b8523010ca61d51))
- update formatting & linting [#37159](https://github.com/gatsbyjs/gatsby/issues/37159) ([5a8879c](https://github.com/gatsbyjs/gatsby/commit/5a8879cfb91aa95321b109ef4543048eaaaf1f0f))
- update sharp [#37131](https://github.com/gatsbyjs/gatsby/issues/37131) ([5a5e419](https://github.com/gatsbyjs/gatsby/commit/5a5e419709cd4cf39ae344a887249b0630756baf))
- Bump @gatsbyjs/reach-router to v2.0.0 [#37121](https://github.com/gatsbyjs/gatsby/issues/37121) ([aa5808b](https://github.com/gatsbyjs/gatsby/commit/aa5808becb16c4d98953082a7e04b6b7d40cd9a5))
- Improve node-model docs [#37117](https://github.com/gatsbyjs/gatsby/issues/37117) ([b75e718](https://github.com/gatsbyjs/gatsby/commit/b75e71847e750e2f8d451ed9b6575053c3f88790))

## [5.2.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@5.2.0/packages/gatsby) (2022-11-25)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v5.2)

#### Bug Fixes

- Sanitize `length` on objects [#34253](https://github.com/gatsbyjs/gatsby/issues/34253) ([0889d31](https://github.com/gatsbyjs/gatsby/commit/0889d31ff3f5fdfbada06943640e0486de3b2262))
- stale node manifests [#37091](https://github.com/gatsbyjs/gatsby/issues/37091) ([21cbfb3](https://github.com/gatsbyjs/gatsby/commit/21cbfb3ff608ce84834fae640c59fc534fc6bad0))
- Fine-grained errors with type/category [#37070](https://github.com/gatsbyjs/gatsby/issues/37070) ([0c2b51c](https://github.com/gatsbyjs/gatsby/commit/0c2b51cac9b644df21d2b816dc5fa5c37bd349d4))

#### Chores

- remove tracedSVG [#37093](https://github.com/gatsbyjs/gatsby/issues/37093) ([94c2d73](https://github.com/gatsbyjs/gatsby/commit/94c2d735ad378bf05836e74cc47f7ca9523cabdc))
- Update internal links to website [#37052](https://github.com/gatsbyjs/gatsby/issues/37052) ([35703b6](https://github.com/gatsbyjs/gatsby/commit/35703b6e4db2d008a03f538097e05a70aae3c6b8))

#### Other Changes

- add onCreateNode params and example [#27503](https://github.com/gatsbyjs/gatsby/issues/27503) ([a259ff8](https://github.com/gatsbyjs/gatsby/commit/a259ff8e9c08b169cc767ea4f450ce3e509877bc))

## [5.1.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@5.1.0/packages/gatsby) (2022-11-22)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v5.1)

#### Bug Fixes

- Use xstate `predictableActionArguments` & update to 4.34 [#36342](https://github.com/gatsbyjs/gatsby/issues/36342) [#36355](https://github.com/gatsbyjs/gatsby/issues/36355) [#36451](https://github.com/gatsbyjs/gatsby/issues/36451) [#36393](https://github.com/gatsbyjs/gatsby/issues/36393) [#36393](https://github.com/gatsbyjs/gatsby/issues/36393) ([3032a1b](https://github.com/gatsbyjs/gatsby/commit/3032a1b07dbcfed292b7f32f12eef485ea2258a0))
- write out sq files when result doesn't change but query hash changes [#36997](https://github.com/gatsbyjs/gatsby/issues/36997) ([3e87026](https://github.com/gatsbyjs/gatsby/commit/3e87026e73b9a2c539b343b8e4ddd32b8cd4b11f))

#### Chores

- Repository Cleanup [#37035](https://github.com/gatsbyjs/gatsby/issues/37035) ([0fb0390](https://github.com/gatsbyjs/gatsby/commit/0fb0390ef41f771d21c3829e91cc3f683044b696))
- migrate from express-graphql to graphql-http [#37001](https://github.com/gatsbyjs/gatsby/issues/37001) ([3a4d333](https://github.com/gatsbyjs/gatsby/commit/3a4d3333d8409edd1fe679e9771b7ad9d71c2364))
- v5 [#36763](https://github.com/gatsbyjs/gatsby/issues/36763) ([85e3d60](https://github.com/gatsbyjs/gatsby/commit/85e3d60c21597d7efbb7361fd28e95454f21fe2b))

#### Other Changes

- e2e tests for Slices API [#36746](https://github.com/gatsbyjs/gatsby/issues/36746) ([f158930](https://github.com/gatsbyjs/gatsby/commit/f1589305d9050d34a75d44d91960b98319960128))

### [5.0.1](https://github.com/gatsbyjs/gatsby/commits/gatsby@5.0.1/packages/gatsby) (2022-11-10)

#### Bug Fixes

- write out sq files when result doesn't change but query hash changes [#36997](https://github.com/gatsbyjs/gatsby/issues/36997) [#37004](https://github.com/gatsbyjs/gatsby/issues/37004) ([df29dc9](https://github.com/gatsbyjs/gatsby/commit/df29dc927f698582e3bf71dd59455c172a92c1aa))

## [5.0.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@5.0.0/packages/gatsby) (2022-11-08)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v5.0)

#### Features

- Slices <> partial hydration interop [#36960](https://github.com/gatsbyjs/gatsby/issues/36960) ([e2a14bf](https://github.com/gatsbyjs/gatsby/commit/e2a14bf3d40795b1ecc182cdd0c055cbcf66e671))
- handle graphql-import-node bundling [#36951](https://github.com/gatsbyjs/gatsby/issues/36951) ([d5c775a](https://github.com/gatsbyjs/gatsby/commit/d5c775afa6b5b5a61604a74f44ad25504f916c8f))
- Traverse re-exports in static query mapper [#36943](https://github.com/gatsbyjs/gatsby/issues/36943) ([151f20c](https://github.com/gatsbyjs/gatsby/commit/151f20c4ec1cb38ef963aea58050b4788a37af16))
- Update partial hydration directive [#36868](https://github.com/gatsbyjs/gatsby/issues/36868) ([7f1b57c](https://github.com/gatsbyjs/gatsby/commit/7f1b57c5a5849b3bc997957b3370c3119e79d279))
- inject source location data to Slice usage and show errors in places where user renders them and not in gatsby internals [#36849](https://github.com/gatsbyjs/gatsby/issues/36849) ([4423795](https://github.com/gatsbyjs/gatsby/commit/4423795ed8069b8ce1f0646e213182009bfeb312))
- GraphiQL v2 [#36541](https://github.com/gatsbyjs/gatsby/issues/36541) ([55a601d](https://github.com/gatsbyjs/gatsby/commit/55a601d759589286fb99e97db0ba095a1e6ed894))
- Slice HTML rendering error handling [#36822](https://github.com/gatsbyjs/gatsby/issues/36822) ([f21b54f](https://github.com/gatsbyjs/gatsby/commit/f21b54faaee5fa1d9f5c1377721333013261c8c3))
- Slice component validation [#36801](https://github.com/gatsbyjs/gatsby/issues/36801) ([1fd450f](https://github.com/gatsbyjs/gatsby/commit/1fd450fc7b3b3a6d3beb98f79ffe960e19bfe74e))
- Support more syntax for Slices props [#36803](https://github.com/gatsbyjs/gatsby/issues/36803) ([56badff](https://github.com/gatsbyjs/gatsby/commit/56badff6d871972953a4b9a0f048350017b46b49))
- Slices API [#36489](https://github.com/gatsbyjs/gatsby/issues/36489) ([6660144](https://github.com/gatsbyjs/gatsby/commit/666014471a545d183a91051d81864ecbad2a3971))
- [v5 breaking change] change sort and aggregation fields API [#36708](https://github.com/gatsbyjs/gatsby/issues/36708) ([275b356](https://github.com/gatsbyjs/gatsby/commit/275b3562c235372ee8a43ae93a94cf91b9569d06))
- Partial hydration router integration [#36616](https://github.com/gatsbyjs/gatsby/issues/36616) ([2aa8325](https://github.com/gatsbyjs/gatsby/commit/2aa83257b0ece5c08c40e46c98e2565d68fbaa29))
- Normalize module keys between webpack plugin and loader [#36644](https://github.com/gatsbyjs/gatsby/issues/36644) ([81ca1dd](https://github.com/gatsbyjs/gatsby/commit/81ca1dda32db23ef9c1d6d9b314e7205d4181e55))

#### Bug Fixes

- drop `__renderedByLocation` prop when calculating slice props hashes and don't expose it to slice component [#36979](https://github.com/gatsbyjs/gatsby/issues/36979) ([2b5af32](https://github.com/gatsbyjs/gatsby/commit/2b5af328753280fb585b729a93a82e2d119d1bd2))
- stitch slices if just page html was regenerating without any of used slices regenerating [#36950](https://github.com/gatsbyjs/gatsby/issues/36950) ([3044280](https://github.com/gatsbyjs/gatsby/commit/304428064c911813d4d1c481311dae508f8f8c84))
- partial hydration chunking [#36923](https://github.com/gatsbyjs/gatsby/issues/36923) ([df6f4fb](https://github.com/gatsbyjs/gatsby/commit/df6f4fbc05268c9b53a26870a3f6515293bbe7f7))
- Partial hydration loader commented out directive case [#36941](https://github.com/gatsbyjs/gatsby/issues/36941) ([8b26fa0](https://github.com/gatsbyjs/gatsby/commit/8b26fa0b7604e61ac8baf10571ea583a50a098df))
- Also clear cache on gatsby version change [#36913](https://github.com/gatsbyjs/gatsby/issues/36913) ([6b51a8e](https://github.com/gatsbyjs/gatsby/commit/6b51a8ef276b2beffdf42b3f5494cf0f0bea558f))
- Move murmurhash to gatsby-core-utils [#36882](https://github.com/gatsbyjs/gatsby/issues/36882) ([aaaa8c5](https://github.com/gatsbyjs/gatsby/commit/aaaa8c5da25014e386b2d4775d5691d9e5134699))
- track multiple root nodes and not just one [#36867](https://github.com/gatsbyjs/gatsby/issues/36867) ([696a7ba](https://github.com/gatsbyjs/gatsby/commit/696a7ba230fcfc76e99232293cd548c832084c47))
- Remove runQuery & getAllNodes from nodeModel [#36859](https://github.com/gatsbyjs/gatsby/issues/36859) ([412c65f](https://github.com/gatsbyjs/gatsby/commit/412c65fa4f654717434620a8c409c8495a58d562))
- remove jsx from comment [#36855](https://github.com/gatsbyjs/gatsby/issues/36855) ([86fa2b1](https://github.com/gatsbyjs/gatsby/commit/86fa2b1296da38f08f11b0d26be7bf122f5a68ba))
- Set trailingSlash default to "always" [#36798](https://github.com/gatsbyjs/gatsby/issues/36798) ([c10bf51](https://github.com/gatsbyjs/gatsby/commit/c10bf51125f6c601902d62f5336b32a1a4c05044))
- handle 'fields' field edge case in sort/aggr codemod [#36844](https://github.com/gatsbyjs/gatsby/issues/36844) ([e574964](https://github.com/gatsbyjs/gatsby/commit/e574964a99b0541054489ed23ab591ee8c770703))
- add more meaningful error message when nested slices are used [#36800](https://github.com/gatsbyjs/gatsby/issues/36800) ([59dc583](https://github.com/gatsbyjs/gatsby/commit/59dc583a84428052dc22643523021a1afb5b42e7))
- support slices containing static queries during SSR/DSG [#36779](https://github.com/gatsbyjs/gatsby/issues/36779) ([cbe4db5](https://github.com/gatsbyjs/gatsby/commit/cbe4db57cc9099f7a144891bab816b9b61c71a79))
- cache clear when upgrading from version without slices support cache [#36771](https://github.com/gatsbyjs/gatsby/issues/36771) ([2569e7d](https://github.com/gatsbyjs/gatsby/commit/2569e7db59a9efead3684875f37172847bd1cb1b))
- define process.env.GATSBY_SLICE so produced engines use conditional slices paths [#36773](https://github.com/gatsbyjs/gatsby/issues/36773) ([b658436](https://github.com/gatsbyjs/gatsby/commit/b6584366fce751d26494564d9d3c2cb113ff1f40))
- move client components to separate chunks [#36749](https://github.com/gatsbyjs/gatsby/issues/36749) ([719bd1c](https://github.com/gatsbyjs/gatsby/commit/719bd1cf17119712c26d1fdb6034a3ed4bff66c6))
- create abstraction around use of createServerContext [#36677](https://github.com/gatsbyjs/gatsby/issues/36677) ([2f93f66](https://github.com/gatsbyjs/gatsby/commit/2f93f662a5aa8ad1c2307441ecd682378f04d5cf))
- Don't fail build on missing gatsby-plugin-image for Partial Hydration [#36739](https://github.com/gatsbyjs/gatsby/issues/36739) ([fa98d33](https://github.com/gatsbyjs/gatsby/commit/fa98d33d39bc7eac54e37d77dce5f29fb8ba370d))
- remove unused console.log [#36713](https://github.com/gatsbyjs/gatsby/issues/36713) ([9c5f2ef](https://github.com/gatsbyjs/gatsby/commit/9c5f2efa2c08b543d63f09654f67fbdbdc838e34))
- Fix truncation of childNode during static HTML generation Fix [#36704](https://github.com/gatsbyjs/gatsby/issues/36704) ([ad1148e](https://github.com/gatsbyjs/gatsby/commit/ad1148e7d9304b7bec198841f64748242077a1cc))
- Persist manifest on cached builds [#36693](https://github.com/gatsbyjs/gatsby/issues/36693) ([45a105b](https://github.com/gatsbyjs/gatsby/commit/45a105b6db6892150da27d71abaf693b8e43fb14))
- Don't throw when a path with special character is visited [#36414](https://github.com/gatsbyjs/gatsby/issues/36414) ([c2a3dfa](https://github.com/gatsbyjs/gatsby/commit/c2a3dfafa120e011a0742ccf40d114e6d3680d85))
- Use hex hash for CSS modules [#36701](https://github.com/gatsbyjs/gatsby/issues/36701) ([0683ae8](https://github.com/gatsbyjs/gatsby/commit/0683ae8b5285e9b1a031d95195b3e9c6f290128e))
- Add back missing partial hydration error handling change [#36676](https://github.com/gatsbyjs/gatsby/issues/36676) ([a629551](https://github.com/gatsbyjs/gatsby/commit/a62955144f4d369e18402a9c4345f213c3a1d72e))

#### Refactoring

- track static queries and slice placeholder using module graph instead of chunk graph and do it in earlier webpack step [#36922](https://github.com/gatsbyjs/gatsby/issues/36922) ([be0e4aa](https://github.com/gatsbyjs/gatsby/commit/be0e4aa92911352b5328f3390aa02075d5f964d2))

#### Chores

- Update main README [#36954](https://github.com/gatsbyjs/gatsby/issues/36954) ([5e8e621](https://github.com/gatsbyjs/gatsby/commit/5e8e621bef0d4244f718d3b42d668d63504260e7))
- preserve previous webpack stats derived values, even if we restart webpack itself [#36980](https://github.com/gatsbyjs/gatsby/issues/36980) ([bc7ac84](https://github.com/gatsbyjs/gatsby/commit/bc7ac84cfd75a4b9a88b7359959973ebe241bc18))
- Update peerDeps [#36965](https://github.com/gatsbyjs/gatsby/issues/36965) ([b624442](https://github.com/gatsbyjs/gatsby/commit/b6244424fe8b724cbc23b80b2b4f5424cc2055a4))
- Remove slice flag [#36948](https://github.com/gatsbyjs/gatsby/issues/36948) ([a02a103](https://github.com/gatsbyjs/gatsby/commit/a02a1035826adef29657b8fda6ec20442125bf29))
- Export Link as named export [#36888](https://github.com/gatsbyjs/gatsby/issues/36888) ([5a88dbb](https://github.com/gatsbyjs/gatsby/commit/5a88dbbd170a33b2d8dbae40debe8278537c962a))
- Remove HAS_REACT_18 check [#36850](https://github.com/gatsbyjs/gatsby/issues/36850) ([20ef7c1](https://github.com/gatsbyjs/gatsby/commit/20ef7c12ffa9fd48c763c913e70ef20bef8a68fc))
- make unstable_shouldOnCreateNode stable [#36516](https://github.com/gatsbyjs/gatsby/issues/36516) ([90f9ab4](https://github.com/gatsbyjs/gatsby/commit/90f9ab47593ba7458fc5bc677c4b0282b30808c8))
- Update to GraphQL 16 [#36813](https://github.com/gatsbyjs/gatsby/issues/36813) ([9f840ad](https://github.com/gatsbyjs/gatsby/commit/9f840adc2e5fada5014f27814b49fbdf914d4ef9))
- Remove GraphQL Playground [#36843](https://github.com/gatsbyjs/gatsby/issues/36843) ([c094766](https://github.com/gatsbyjs/gatsby/commit/c094766aeadd5c82eef22f979b98cdbae53b23a4))
- Remove LOCKED_IN feature flags [#36810](https://github.com/gatsbyjs/gatsby/issues/36810) ([dc82d92](https://github.com/gatsbyjs/gatsby/commit/dc82d92e010b19a28df7d7b981b7bb2f9d841ea1))
- upgrade latest-version [#36434](https://github.com/gatsbyjs/gatsby/issues/36434) ([eb9a330](https://github.com/gatsbyjs/gatsby/commit/eb9a3301f3c889f5d304889f461e3ec8567b3d11))
- Remove obsolete `onCreateWebpackConfig` [#36814](https://github.com/gatsbyjs/gatsby/issues/36814) ([7abda34](https://github.com/gatsbyjs/gatsby/commit/7abda3470cad4538ec0932c5a28a4d55a7a90dd3))
- apply patches for v5 [#36796](https://github.com/gatsbyjs/gatsby/issues/36796) ([25f79b6](https://github.com/gatsbyjs/gatsby/commit/25f79b6c3719fdf09584ade620a05c66ba2a697c))
- provide slice rendering context to <HTML> [#36799](https://github.com/gatsbyjs/gatsby/issues/36799) ([93e0257](https://github.com/gatsbyjs/gatsby/commit/93e02574f013993b0f2286d42a5b8cc88da20c22))
- Deprecate static query component [#36784](https://github.com/gatsbyjs/gatsby/issues/36784) ([eb8cf8d](https://github.com/gatsbyjs/gatsby/commit/eb8cf8d37976162ef4afc919c002f698a1305642))
- setup circleci to run unit tests againt v5 [#36714](https://github.com/gatsbyjs/gatsby/issues/36714) ([ba146fd](https://github.com/gatsbyjs/gatsby/commit/ba146fd3b7ee1f18c1c695bc654890151d2cc0b3))

#### Other Changes

- Revert "chore(gatsby-plugin-typescript): Remove obsolete `onCreateWebpackConfig` (#36814)" [#36814](https://github.com/gatsbyjs/gatsby/issues/36814) [#36869](https://github.com/gatsbyjs/gatsby/issues/36869) ([24c185e](https://github.com/gatsbyjs/gatsby/commit/24c185ef1499e40842cee472be4e39d29082c7fc))

### [4.24.7](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.24.7/packages/gatsby) (2022-11-03)

#### Features

- handle graphql-import-node bundling [#36951](https://github.com/gatsbyjs/gatsby/issues/36951) [#36953](https://github.com/gatsbyjs/gatsby/issues/36953) ([1926b4e](https://github.com/gatsbyjs/gatsby/commit/1926b4e5a4044ce0e60bdea04430627520f0a1b8))

### [4.24.6](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.24.6/packages/gatsby) (2022-10-31)

#### Bug Fixes

- Also clear cache on gatsby version change [#36913](https://github.com/gatsbyjs/gatsby/issues/36913) [#36925](https://github.com/gatsbyjs/gatsby/issues/36925) ([be43418](https://github.com/gatsbyjs/gatsby/commit/be434189903d0150ce5fed31b9ea48b71f09cbe1))

### [4.24.5](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.24.5/packages/gatsby) (2022-10-25)

#### Bug Fixes

- track multiple root nodes and not just one [#36867](https://github.com/gatsbyjs/gatsby/issues/36867) [#36879](https://github.com/gatsbyjs/gatsby/issues/36879) ([c9d97f9](https://github.com/gatsbyjs/gatsby/commit/c9d97f96fe8e40760185b46e699dd702d2141505))

### [4.24.4](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.24.4/packages/gatsby) (2022-10-10)

**Note:** Version bump only for package gatsby

### [4.24.3](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.24.3/packages/gatsby) (2022-10-07)

#### Bug Fixes

- Don't throw when a path with special character is visited [#36414](https://github.com/gatsbyjs/gatsby/issues/36414) [#36757](https://github.com/gatsbyjs/gatsby/issues/36757) ([87140c9](https://github.com/gatsbyjs/gatsby/commit/87140c96adffd88c89a0ec6a24086590093fd9a9))
- Use hex hash for CSS modules [#36701](https://github.com/gatsbyjs/gatsby/issues/36701) [#36756](https://github.com/gatsbyjs/gatsby/issues/36756) ([b264d17](https://github.com/gatsbyjs/gatsby/commit/b264d17fc0d0f50217c25a473e32865366b9237f))

### [4.24.2](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.24.2/packages/gatsby) (2022-10-06)

**Note:** Version bump only for package gatsby

### [4.24.1](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.24.1/packages/gatsby) (2022-09-30)

#### Bug Fixes

- Fix truncation of childNode during static HTML generation Fix [#36704](https://github.com/gatsbyjs/gatsby/issues/36704) Fix [#36717](https://github.com/gatsbyjs/gatsby/issues/36717) ([f43c6bb](https://github.com/gatsbyjs/gatsby/commit/f43c6bb5bb6355098cd3701a6d5f059dcdcd383b))
- remove unused console.log [#36713](https://github.com/gatsbyjs/gatsby/issues/36713) [#36716](https://github.com/gatsbyjs/gatsby/issues/36716) ([6eefacf](https://github.com/gatsbyjs/gatsby/commit/6eefacf013df088acd655f38e1e78462260fbadc))

## [4.24.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.24.0/packages/gatsby) (2022-09-27)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.24)

#### Features

- add partial hydration [#36485](https://github.com/gatsbyjs/gatsby/issues/36485) ([c073bbe](https://github.com/gatsbyjs/gatsby/commit/c073bbea40379adc62bd891da9f65ff2756b120b))
- Enable source maps when compiling Gatsby files in development [#36450](https://github.com/gatsbyjs/gatsby/issues/36450) ([a9b2de8](https://github.com/gatsbyjs/gatsby/commit/a9b2de8068e1704de91ee9df1acb3e180e771012))

#### Bug Fixes

- Regression in shared chunks [#36664](https://github.com/gatsbyjs/gatsby/issues/36664) ([3661aa7](https://github.com/gatsbyjs/gatsby/commit/3661aa74f223bae0a491911fd4f559d76f4b6557))
- update pages when nodes change [#36623](https://github.com/gatsbyjs/gatsby/issues/36623) ([d302879](https://github.com/gatsbyjs/gatsby/commit/d3028796c01afd9de962910372c5aa3748a5015b))
- Multiple root query error [#36525](https://github.com/gatsbyjs/gatsby/issues/36525) ([a922943](https://github.com/gatsbyjs/gatsby/commit/a9229439ec2de823148096991d5fab9b2f2bae6e))
- fix bundling image cdn tools fix [#36534](https://github.com/gatsbyjs/gatsby/issues/36534) ([0ef331d](https://github.com/gatsbyjs/gatsby/commit/0ef331d30eab0731457b6607c9320e2818eb1677))
- add missing filePath information in extraction errors [#36617](https://github.com/gatsbyjs/gatsby/issues/36617) ([bbc6e2e](https://github.com/gatsbyjs/gatsby/commit/bbc6e2e1e5ce46b7dbfa9705df4277175a3c6347))
- Pass hostname to detect-port [#36496](https://github.com/gatsbyjs/gatsby/issues/36496) ([9ea3129](https://github.com/gatsbyjs/gatsby/commit/9ea3129e371cf7844bec2750885c2e2a18b18ca4))

#### Chores

- Update react-refresh again [#36662](https://github.com/gatsbyjs/gatsby/issues/36662) ([0f5ad0e](https://github.com/gatsbyjs/gatsby/commit/0f5ad0e6db9eddf4612106ca8c715878fdbe7b13))
- Remove <StaticQuery> component [#36569](https://github.com/gatsbyjs/gatsby/issues/36569) ([627546f](https://github.com/gatsbyjs/gatsby/commit/627546f7bc16565e6aa824ad7966b30e7035393a))
- minor typo fix fix [#36647](https://github.com/gatsbyjs/gatsby/issues/36647) ([7b683dd](https://github.com/gatsbyjs/gatsby/commit/7b683ddee9690dadaa2ba9fc4c53eaff191ede94))
- More Node 18 bumps [#36640](https://github.com/gatsbyjs/gatsby/issues/36640) ([5b3b565](https://github.com/gatsbyjs/gatsby/commit/5b3b565229d89a7e440898ba4b8652ee852091c7))
- Use React 18 APIs in replaceHydrateFunction example [#36620](https://github.com/gatsbyjs/gatsby/issues/36620) ([8b9e3ea](https://github.com/gatsbyjs/gatsby/commit/8b9e3ea802e6900fceaead6c449bb95e2be148c9))
- allow react/react-dom@experimental [#36533](https://github.com/gatsbyjs/gatsby/issues/36533) ([7ef4a3f](https://github.com/gatsbyjs/gatsby/commit/7ef4a3fe080d45e9edaff9f1d4deebd12a00ddbd))
- copy edit on initialize.ts comment [#36604](https://github.com/gatsbyjs/gatsby/issues/36604) ([6942f5f](https://github.com/gatsbyjs/gatsby/commit/6942f5ffa3ae5dc266aa839359aa094e1b257c00))
- Add `loadPageDataSync` property to `onRenderBody` TS type [#36492](https://github.com/gatsbyjs/gatsby/issues/36492) [#discussioncomment-3357209](https://github.com/gatsbyjs/gatsby/issues/discussioncomment-3357209) ([696427e](https://github.com/gatsbyjs/gatsby/commit/696427e0639b6b0131c3261f7a14eb6eff0c5132))

### [4.23.1](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.23.1/packages/gatsby) (2022-09-22)

**Note:** Version bump only for package gatsby

## [4.23.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.23.0/packages/gatsby) (2022-09-13)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.23)

#### Features

- split up head & page component loading [#36545](https://github.com/gatsbyjs/gatsby/issues/36545) ([42e241c](https://github.com/gatsbyjs/gatsby/commit/42e241c277d4b063ff9fc70cb0af8644e6bce6a0))
- support node: protocol when bundling engines [#36506](https://github.com/gatsbyjs/gatsby/issues/36506) ([d6293e3](https://github.com/gatsbyjs/gatsby/commit/d6293e3eace77d1200a1483532dac5739150a00d))

#### Bug Fixes

- Remove default support for non ESM browsers [#36522](https://github.com/gatsbyjs/gatsby/issues/36522) ([8b59183](https://github.com/gatsbyjs/gatsby/commit/8b591830183eb88a879aed7708c373fdc2bd3ff7))
- update dependency eslint-plugin-react-hooks to ^4.6.0 [#36040](https://github.com/gatsbyjs/gatsby/issues/36040) ([cc3ef79](https://github.com/gatsbyjs/gatsby/commit/cc3ef79b2865671a74e02205645cb9ec4ccedc99))
- update dependency eslint-plugin-jsx-a11y to ^6.6.1 [#36039](https://github.com/gatsbyjs/gatsby/issues/36039) ([34c8e51](https://github.com/gatsbyjs/gatsby/commit/34c8e519f216bea9289945137d1f2a616bec67a0))
- pass custom graphql context provided by createResolverContext to materialization executor [#36552](https://github.com/gatsbyjs/gatsby/issues/36552) ([8aeae21](https://github.com/gatsbyjs/gatsby/commit/8aeae21bf61ae569ae9693602587e743fed63e5f))
- Handle renderToPipeableStream errors [#36555](https://github.com/gatsbyjs/gatsby/issues/36555) ([9c5eacf](https://github.com/gatsbyjs/gatsby/commit/9c5eacf648e5ab17ccb557cedeb531eb621a00ef))
- ci pipeline [#36544](https://github.com/gatsbyjs/gatsby/issues/36544) ([1125e58](https://github.com/gatsbyjs/gatsby/commit/1125e58731249257123d692522bed1a1ddc32383))
- improve import/export in gatsby-browser-entry [#36484](https://github.com/gatsbyjs/gatsby/issues/36484) ([215ce0e](https://github.com/gatsbyjs/gatsby/commit/215ce0e83154c798f0ce89e21e6dfbc2e32bf686))
- fix partial hydration constraints fix [#36468](https://github.com/gatsbyjs/gatsby/issues/36468) ([58eee35](https://github.com/gatsbyjs/gatsby/commit/58eee35a46e48c578b9dac3a2408d54782a71029))

#### Chores

- Update `react-refresh` to `^0.14.0` [#36553](https://github.com/gatsbyjs/gatsby/issues/36553) ([bac1e7a](https://github.com/gatsbyjs/gatsby/commit/bac1e7a2481f87e57f5237a87ddb0098bf73c719))
- update dependency @types/semver to ^7.3.12 [#36510](https://github.com/gatsbyjs/gatsby/issues/36510) ([0b6e823](https://github.com/gatsbyjs/gatsby/commit/0b6e8237ddf50258c896a44a952ecd388963879c))
- perfect `GatsbyConfig.proxy` type [#36548](https://github.com/gatsbyjs/gatsby/issues/36548) ([dc9aa9a](https://github.com/gatsbyjs/gatsby/commit/dc9aa9aa63038a7ab9c58995854c0506537c5f8c))
- update url of `deleteNode` [#36502](https://github.com/gatsbyjs/gatsby/issues/36502) ([0d4dfe9](https://github.com/gatsbyjs/gatsby/commit/0d4dfe953f2b6f72f407ec75ad1c5dc7f284c363))
- Cleanup v4 compile flag conditions [#36486](https://github.com/gatsbyjs/gatsby/issues/36486) ([9dcc773](https://github.com/gatsbyjs/gatsby/commit/9dcc77340675a3b9a2f57c82e4b4e19c57072cfb))
- Add env log for build and remove incorrect log for functions [#36462](https://github.com/gatsbyjs/gatsby/issues/36462) ([613729d](https://github.com/gatsbyjs/gatsby/commit/613729d571c3bf12e77b6e0a6de866610de4c2d4))

### [4.22.1](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.22.1/packages/gatsby) (2022-09-08)

#### Bug Fixes

- ci pipeline [#36544](https://github.com/gatsbyjs/gatsby/issues/36544) [#36568](https://github.com/gatsbyjs/gatsby/issues/36568) ([8e10e1c](https://github.com/gatsbyjs/gatsby/commit/8e10e1c6dbf24f506e1572d9eff9c4a39348e789))

## [4.22.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.22.0/packages/gatsby) (2022-08-30)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.22)

#### Features

- add partial hydration flag [#36436](https://github.com/gatsbyjs/gatsby/issues/36436) ([41de1f0](https://github.com/gatsbyjs/gatsby/commit/41de1f0a8d767174f16367c14dbe8ed2820f8b2c))
- Add option to emit TS types during build [#36405](https://github.com/gatsbyjs/gatsby/issues/36405) ([3760a0e](https://github.com/gatsbyjs/gatsby/commit/3760a0e78d6cfeb22d414e1c6eac045acd1f129a))

#### Bug Fixes

- remove resource query from warnings [#36439](https://github.com/gatsbyjs/gatsby/issues/36439) ([1bf2358](https://github.com/gatsbyjs/gatsby/commit/1bf2358703c5ae00e5c5466235d93c3288e5f6e2))
- Prevent errors if `Head` has root text node [#36402](https://github.com/gatsbyjs/gatsby/issues/36402) ([a05201e](https://github.com/gatsbyjs/gatsby/commit/a05201e840e94a1d49976166c0dcc9e5a0b44038))
- close parcel cache db before clearing cache and retrying close [#36377](https://github.com/gatsbyjs/gatsby/issues/36377) ([9d737b6](https://github.com/gatsbyjs/gatsby/commit/9d737b62180d3081619a167336366128762c12a6))
- Hashing and pluginOptions [#36387](https://github.com/gatsbyjs/gatsby/issues/36387) ([65739fc](https://github.com/gatsbyjs/gatsby/commit/65739fcc1af12d0f878820a589de7dde5964b93d))

#### Chores

- Add env log for build and remove incorrect log for functions [#36462](https://github.com/gatsbyjs/gatsby/issues/36462) [#36466](https://github.com/gatsbyjs/gatsby/issues/36466) ([4dcdeb1](https://github.com/gatsbyjs/gatsby/commit/4dcdeb1b7f2b7b9708e0103447ff102e35220718))
- drop eslint-plugin-graphql [#36364](https://github.com/gatsbyjs/gatsby/issues/36364) ([b361081](https://github.com/gatsbyjs/gatsby/commit/b361081db968aaa2ead1f9fe4d701d2ec7761ebd))
- add prefixPaths field on IProgram type [#36400](https://github.com/gatsbyjs/gatsby/issues/36400) ([03157e8](https://github.com/gatsbyjs/gatsby/commit/03157e8d6b5a188e39c74c56fa0ba9d40c96c427))
- pin xstate [#36398](https://github.com/gatsbyjs/gatsby/issues/36398) ([6e4a0de](https://github.com/gatsbyjs/gatsby/commit/6e4a0de10b395d0addf11c77b89a846f94a1b432))
- convert sanitize-node to typescript [#36327](https://github.com/gatsbyjs/gatsby/issues/36327) ([d59e7b6](https://github.com/gatsbyjs/gatsby/commit/d59e7b61b2c63827fba02c5d9ea96c614cc83344))
- upgrade @pmmmwh/react-refresh-webpack-plugin [#36360](https://github.com/gatsbyjs/gatsby/issues/36360) ([28cfade](https://github.com/gatsbyjs/gatsby/commit/28cfadeb453ece090ab5919be92599f2b847f5d8))
- convert babel-loaders to typescript [#36318](https://github.com/gatsbyjs/gatsby/issues/36318) ([fe1d2e1](https://github.com/gatsbyjs/gatsby/commit/fe1d2e1b54e70f558ae008bbac9b6c5b31f52d5f))

### [4.21.1](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.21.1/packages/gatsby) (2022-08-18)

#### Chores

- pin xstate [#36398](https://github.com/gatsbyjs/gatsby/issues/36398) [#36415](https://github.com/gatsbyjs/gatsby/issues/36415) ([29c7ad1](https://github.com/gatsbyjs/gatsby/commit/29c7ad1335cf25af3a326ea2813399ddfd8ea877))

## [4.21.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.21.0/packages/gatsby) (2022-08-16)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.21)

#### Features

- Telemetry tracking for Head API [#36352](https://github.com/gatsbyjs/gatsby/issues/36352) ([f664ad2](https://github.com/gatsbyjs/gatsby/commit/f664ad215a9c5fa20dbf04238e69629b58ff2fc2))
- Do not use context for script collection [#36246](https://github.com/gatsbyjs/gatsby/issues/36246) ([49cf094](https://github.com/gatsbyjs/gatsby/commit/49cf094380bcf69d9239f8abbbd4db9c1968dcf8))

#### Bug Fixes

- Hashing and pluginOptions [#36387](https://github.com/gatsbyjs/gatsby/issues/36387) [#36395](https://github.com/gatsbyjs/gatsby/issues/36395) ([3253a38](https://github.com/gatsbyjs/gatsby/commit/3253a3860c9c74bce23c8c2fd1df651e549566b9))
- Make runtime error overlay work in non-v8 browsers [#36365](https://github.com/gatsbyjs/gatsby/issues/36365) ([2b4ff76](https://github.com/gatsbyjs/gatsby/commit/2b4ff76976aef0eac0e042ede14cc4cff3aa1846))
- clear and close lmdb after each test suite close [#36343](https://github.com/gatsbyjs/gatsby/issues/36343) ([f990e08](https://github.com/gatsbyjs/gatsby/commit/f990e082b0713db46c92d2ed8f70bdfb24c100f1))
- e.remove() is not a function when using Gatsby Head API [#36338](https://github.com/gatsbyjs/gatsby/issues/36338) ([7fcf580](https://github.com/gatsbyjs/gatsby/commit/7fcf58069958dc3abe988ef624f04ef7a5eb2073))
- Panic on gatsby-node.jsx/gatsby-node.tsx [#36308](https://github.com/gatsbyjs/gatsby/issues/36308) ([0ee492c](https://github.com/gatsbyjs/gatsby/commit/0ee492c8bf11917dc08b16acebe92bb752bdc3b7))
- update dependency eslint-webpack-plugin to ^2.7.0 [#36041](https://github.com/gatsbyjs/gatsby/issues/36041) ([0d649a8](https://github.com/gatsbyjs/gatsby/commit/0d649a81c7befbd39870959166fd77d25514eef7))
- Add DEV_SSR note to 95312 error [#36295](https://github.com/gatsbyjs/gatsby/issues/36295) ([db531f8](https://github.com/gatsbyjs/gatsby/commit/db531f86f9e89d1da72d44399ad5fb72092be454))
- Make <script> in Head behave correctly [#36212](https://github.com/gatsbyjs/gatsby/issues/36212) ([6612f69](https://github.com/gatsbyjs/gatsby/commit/6612f69d3abbe9619b22c8d3cb5bfd7a5e0f0ee2))

#### Chores

- Update `got` [#36366](https://github.com/gatsbyjs/gatsby/issues/36366) ([ab55e4e](https://github.com/gatsbyjs/gatsby/commit/ab55e4e30a023d56e4c4332dfd278015a0f49ee0))
- update sharp [#35539](https://github.com/gatsbyjs/gatsby/issues/35539) ([a9132a5](https://github.com/gatsbyjs/gatsby/commit/a9132a53eac37f713e8cb8a8246c62f4f8d8f142))
- upgrade multer [#36359](https://github.com/gatsbyjs/gatsby/issues/36359) ([5b6f1f6](https://github.com/gatsbyjs/gatsby/commit/5b6f1f66d4d38dd15ab5a7d1486063d3aeba4da2))
- Make `plugins` in `PluginOptions` type optional [#36351](https://github.com/gatsbyjs/gatsby/issues/36351) ([a2fa5a2](https://github.com/gatsbyjs/gatsby/commit/a2fa5a2ded1071e9fb9c32fe2726236bcb2914c2))
- Pre-encoded unicode characters can't be used in paths [#36325](https://github.com/gatsbyjs/gatsby/issues/36325) ([0ed362c](https://github.com/gatsbyjs/gatsby/commit/0ed362cbab87c7a242338ed58c0ed956059467ac))
- update dependency @types/semver to ^7.3.10 [#36027](https://github.com/gatsbyjs/gatsby/issues/36027) ([a529451](https://github.com/gatsbyjs/gatsby/commit/a5294515f966b336db6c910168bdc06897d2a42b))
- convert babel-loader-helpers to typescript [#36237](https://github.com/gatsbyjs/gatsby/issues/36237) ([ee2b0aa](https://github.com/gatsbyjs/gatsby/commit/ee2b0aa1ef98675506cdff41ff5e94bb92549a99))

#### Other Changes

- BREAKING CHANGE(gatsby-plugin-mdx): MDX v2 [#35650](https://github.com/gatsbyjs/gatsby/issues/35650) ([c92db36](https://github.com/gatsbyjs/gatsby/commit/c92db36642268d1ee50c11ea568f836c7e5b4a03))
- Revert "chore(gatsby): Make `plugins` in `PluginOptions` type optional (#36351)" [#36351](https://github.com/gatsbyjs/gatsby/issues/36351) ([86b6ee9](https://github.com/gatsbyjs/gatsby/commit/86b6ee9321cf6de6ea53867a6dcd5489eabcb80b))

## [4.20.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.20.0/packages/gatsby) (2022-08-02)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.20)

#### Features

- allow deduplicating head elements on `id` [#36138](https://github.com/gatsbyjs/gatsby/issues/36138) ([b08ef18](https://github.com/gatsbyjs/gatsby/commit/b08ef185dc80c21bc0bb08b1cbe1deb7063cb6b0))

#### Bug Fixes

- Add DEV_SSR note to 95312 error [#36295](https://github.com/gatsbyjs/gatsby/issues/36295) [#36300](https://github.com/gatsbyjs/gatsby/issues/36300) ([718d693](https://github.com/gatsbyjs/gatsby/commit/718d69319ea37acb078b0bfe9a94ebe56394264d))
- Make <script> in Head behave correctly [#36212](https://github.com/gatsbyjs/gatsby/issues/36212) [#36299](https://github.com/gatsbyjs/gatsby/issues/36299) ([6c0316e](https://github.com/gatsbyjs/gatsby/commit/6c0316e3ce5fabed852cd0d5bc6323bc59d3d1ec))
- move require out of hot function [#36253](https://github.com/gatsbyjs/gatsby/issues/36253) ([32ad041](https://github.com/gatsbyjs/gatsby/commit/32ad0411c234e247b7cea13204fe15ee2daff31a))
- add `webhookBody` to `SourceNodesArgs` interface [#36255](https://github.com/gatsbyjs/gatsby/issues/36255) ([483d18e](https://github.com/gatsbyjs/gatsby/commit/483d18e51473cffef18a39f21fae96d99a953cfe))
- refactor sourceNodes api and add I&C/CFLOW as a codeowner [#36244](https://github.com/gatsbyjs/gatsby/issues/36244) ([9d33b10](https://github.com/gatsbyjs/gatsby/commit/9d33b107d167e3e9e2aa282924a0c409f6afd5a0))
- fix --https option for develop fix [#36248](https://github.com/gatsbyjs/gatsby/issues/36248) ([abc65a6](https://github.com/gatsbyjs/gatsby/commit/abc65a6d494c0e354f204022f6f3965b686c0194))
- use pathPrefix for SSR/DSG page-data requests with `gatsby serve` fix [#36231](https://github.com/gatsbyjs/gatsby/issues/36231) ([3dee0f6](https://github.com/gatsbyjs/gatsby/commit/3dee0f603c4827286308419ac793f8110c2482fa))
- Update resolve import resolve [#36229](https://github.com/gatsbyjs/gatsby/issues/36229) ([b125296](https://github.com/gatsbyjs/gatsby/commit/b125296961f21f6cf94568125a9f894b5ff68334))
- Allow `export { default }` named exports in page templates [#29553](https://github.com/gatsbyjs/gatsby/issues/29553) ([a558313](https://github.com/gatsbyjs/gatsby/commit/a55831382907c94f9130bb87c05c42f14ea15dea))
- content sync connection and static query page tracking [#36132](https://github.com/gatsbyjs/gatsby/issues/36132) ([028b1de](https://github.com/gatsbyjs/gatsby/commit/028b1de84385603256822ce38809de2ad77e46e2))
- prevent escaping textContent for scripts [#36174](https://github.com/gatsbyjs/gatsby/issues/36174) ([d42243c](https://github.com/gatsbyjs/gatsby/commit/d42243cdb7739ed261be94c4be40bb1b055af3b7))
- use host param for express again [#36186](https://github.com/gatsbyjs/gatsby/issues/36186) ([f35fda7](https://github.com/gatsbyjs/gatsby/commit/f35fda74ad4fa3f477606e28c9aa45067d4105fe))
- add GATSBY_CLOUD_IMAGE_CDN [#36172](https://github.com/gatsbyjs/gatsby/issues/36172) ([7d3988c](https://github.com/gatsbyjs/gatsby/commit/7d3988c2ef2ecf56c4b54488b8505c386f031ade))
- Wrap Head with <Location> [#36160](https://github.com/gatsbyjs/gatsby/issues/36160) ([c3c6a5b](https://github.com/gatsbyjs/gatsby/commit/c3c6a5b54ae695309c3eec1daeff3b2c4e6bf393))
- Keep order in moved meta tags [#36158](https://github.com/gatsbyjs/gatsby/issues/36158) ([997db76](https://github.com/gatsbyjs/gatsby/commit/997db7639db59de0785db1a1d24842939a21fb34))
- Allow script in Gatsby Head [#36136](https://github.com/gatsbyjs/gatsby/issues/36136) ([cc65f34](https://github.com/gatsbyjs/gatsby/commit/cc65f341e03108a5eaf1c6b3fa7761f2d842d3d6))

#### Chores

- update dependency typescript to ^4.7.4 [#36030](https://github.com/gatsbyjs/gatsby/issues/36030) ([94a3264](https://github.com/gatsbyjs/gatsby/commit/94a32647a8c45de620d2efe99310805910586c8a))

### [4.19.2](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.19.2/packages/gatsby) (2022-07-21)

**Note:** Version bump only for package gatsby

### [4.19.1](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.19.1/packages/gatsby) (2022-07-20)

#### Bug Fixes

- use host param for express again [#36186](https://github.com/gatsbyjs/gatsby/issues/36186) [#36190](https://github.com/gatsbyjs/gatsby/issues/36190) ([4e6ffa5](https://github.com/gatsbyjs/gatsby/commit/4e6ffa500856a3e3e0dcdc1a39a41a83347b0101))
- prevent escaping textContent for scripts [#36174](https://github.com/gatsbyjs/gatsby/issues/36174) [#36189](https://github.com/gatsbyjs/gatsby/issues/36189) ([1f05fed](https://github.com/gatsbyjs/gatsby/commit/1f05fedda2699b7729be50b630a13a3fe04515db))

## [4.19.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.19.0/packages/gatsby) (2022-07-19)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.19)

#### Features

- allow deduplicating head elements on `id` [#36138](https://github.com/gatsbyjs/gatsby/issues/36138) [#36159](https://github.com/gatsbyjs/gatsby/issues/36159) ([6f0d46b](https://github.com/gatsbyjs/gatsby/commit/6f0d46bffa6475a4365438e2b9400aac12b69ae8))
- Gatsby Head API [#35980](https://github.com/gatsbyjs/gatsby/issues/35980) ([40810c4](https://github.com/gatsbyjs/gatsby/commit/40810c46d18753ea10c8f60ebdabc164482e7983))
- Sanitize redux page state [#36074](https://github.com/gatsbyjs/gatsby/issues/36074) ([d3fff4e](https://github.com/gatsbyjs/gatsby/commit/d3fff4e1889b902effafd964eefc072af54af591))

#### Bug Fixes

- Wrap Head with <Location> [#36160](https://github.com/gatsbyjs/gatsby/issues/36160) [#36165](https://github.com/gatsbyjs/gatsby/issues/36165) ([19c9c0b](https://github.com/gatsbyjs/gatsby/commit/19c9c0bb1befd573dbfb59ce3c297fe010ae17db))
- Allow script in Gatsby Head [#36136](https://github.com/gatsbyjs/gatsby/issues/36136) [#36137](https://github.com/gatsbyjs/gatsby/issues/36137) ([62d2a49](https://github.com/gatsbyjs/gatsby/commit/62d2a490f3935007bccc4c20466d6bb77e075cc1))
- hydration issues when load is low enough to show indicator [#36083](https://github.com/gatsbyjs/gatsby/issues/36083) ([2413149](https://github.com/gatsbyjs/gatsby/commit/24131491d89e35cd264f2e9af744e2af3754361f))
- Show error, exit process on SSR error [#36082](https://github.com/gatsbyjs/gatsby/issues/36082) ([8877b06](https://github.com/gatsbyjs/gatsby/commit/8877b068419ced1c642c8d464577616c1dee3e23))
- update parcel to v2.6.2 [#36036](https://github.com/gatsbyjs/gatsby/issues/36036) ([99944e8](https://github.com/gatsbyjs/gatsby/commit/99944e8daee00daede7c77ec36f9d2a282b612a9))
- add tree-shake (esm) to core-utils [#36020](https://github.com/gatsbyjs/gatsby/issues/36020) ([6df573f](https://github.com/gatsbyjs/gatsby/commit/6df573f7582c195cf03d0da7cc5de32f090e9875))
- update dependency eslint-plugin-react to ^7.30.1 [#36033](https://github.com/gatsbyjs/gatsby/issues/36033) ([4a2d194](https://github.com/gatsbyjs/gatsby/commit/4a2d194c887ac5050df4eb64e496263d7f6a1126))

#### Chores

- remove other services [#35675](https://github.com/gatsbyjs/gatsby/issues/35675) ([7a410e3](https://github.com/gatsbyjs/gatsby/commit/7a410e377cb8efde8f0d64a96cef990a935ad4ae))
- upgrade lmdb to 2.5.3 [#36087](https://github.com/gatsbyjs/gatsby/issues/36087) ([0110aa8](https://github.com/gatsbyjs/gatsby/commit/0110aa8a6dab77d5109a4a8d10f1fe0496f14a20))

### [4.18.2](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.18.2/packages/gatsby) (2022-07-13)

**Note:** Version bump only for package gatsby

### [4.18.1](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.18.1/packages/gatsby) (2022-07-12)

#### Bug Fixes

- Show error, exit process on SSR error [#36082](https://github.com/gatsbyjs/gatsby/issues/36082) [#36106](https://github.com/gatsbyjs/gatsby/issues/36106) ([39d5dd4](https://github.com/gatsbyjs/gatsby/commit/39d5dd4ac8c8210165276e37af351f4c25379a5c))
- hydration issues when load is low enough to show indicator [#36083](https://github.com/gatsbyjs/gatsby/issues/36083) [#36107](https://github.com/gatsbyjs/gatsby/issues/36107) ([18fa8c4](https://github.com/gatsbyjs/gatsby/commit/18fa8c475f20640fad77a7728173827ea8c9db0c))

#### Chores

- upgrade lmdb to 2.5.3 [#36087](https://github.com/gatsbyjs/gatsby/issues/36087) [#36108](https://github.com/gatsbyjs/gatsby/issues/36108) [#36087](https://github.com/gatsbyjs/gatsby/issues/36087) ([5264d16](https://github.com/gatsbyjs/gatsby/commit/5264d1635b0814e62546ea60d4fad5b6d365c46d))

## [4.18.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.18.0/packages/gatsby) (2022-07-05)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.18)

#### Features

- `typesOutputPath` option for `graphqlTypegen` [#35966](https://github.com/gatsbyjs/gatsby/issues/35966) ([2293a75](https://github.com/gatsbyjs/gatsby/commit/2293a758a867415e6ae757e6ba8c6db351548bf1))

#### Bug Fixes

- update dependency chokidar to ^3.5.3 [#34643](https://github.com/gatsbyjs/gatsby/issues/34643) ([9b308cb](https://github.com/gatsbyjs/gatsby/commit/9b308cb744047beeea3a5b2f500fbf5a8b8ef2d5))
- fix potentially wrong query results when querying fields with custom resolvers ([69824f6](https://github.com/gatsbyjs/gatsby/commit/69824f67455780ef45785353c02b675f44090d55))
- Partytown URI encoding of redirect parameters [#35990](https://github.com/gatsbyjs/gatsby/issues/35990) ([f0642e2](https://github.com/gatsbyjs/gatsby/commit/f0642e2ddbce256d7743314e91e9b88df1d101a0))
- update dependency eslint-plugin-react to ^7.30.0 [#35810](https://github.com/gatsbyjs/gatsby/issues/35810) ([cd406d1](https://github.com/gatsbyjs/gatsby/commit/cd406d1594c8543518e4974ffeb5964a06f4c945))
- Ignore lmdb requires in function bundling [#35985](https://github.com/gatsbyjs/gatsby/issues/35985) ([b2cd18b](https://github.com/gatsbyjs/gatsby/commit/b2cd18bf3c2f843f7429d3ca1bfecf284f1e8d77))
- add retry mechanism for gatsby-node/config.ts compilation [#35974](https://github.com/gatsbyjs/gatsby/issues/35974) ([2acc6ed](https://github.com/gatsbyjs/gatsby/commit/2acc6ed3c59fca15c73388c3494b162e6187cc42))
- restore DEV SSR and make it work with getServerData [#35685](https://github.com/gatsbyjs/gatsby/issues/35685) ([f92070d](https://github.com/gatsbyjs/gatsby/commit/f92070dbc6ed41c4f11bb656a17e39ab72d61fc6))
- Node manifest write conflicts [#35940](https://github.com/gatsbyjs/gatsby/issues/35940) ([1895bf1](https://github.com/gatsbyjs/gatsby/commit/1895bf1d385210a63c43be099e58b63bf6a32300))
- apply ts transformation before removing exports for gatsby-node.ts for engines [#35965](https://github.com/gatsbyjs/gatsby/issues/35965) ([5935106](https://github.com/gatsbyjs/gatsby/commit/593510667e2e32ff7b5efc351410782b68f3546c))
- resolve babel-loader and @babel/preset-typescript before passing to webpack resolve [#35960](https://github.com/gatsbyjs/gatsby/issues/35960) ([51f9fb3](https://github.com/gatsbyjs/gatsby/commit/51f9fb385deef66f618e6e78234146188e738553))

#### Chores

- Remove MDX `resolutions` [#36010](https://github.com/gatsbyjs/gatsby/issues/36010) ([bd027c8](https://github.com/gatsbyjs/gatsby/commit/bd027c8386e9242915372194e58cb4438cacc545))
- reduce lodash usage [#35947](https://github.com/gatsbyjs/gatsby/issues/35947) ([91fdf73](https://github.com/gatsbyjs/gatsby/commit/91fdf73b3635f4c2167f34303c5a8f39969cdb02))

#### Other Changes

- fix tests setup for queries after using babel-plugin-lodash fix [#36015](https://github.com/gatsbyjs/gatsby/issues/36015) ([d436866](https://github.com/gatsbyjs/gatsby/commit/d436866f01bc6fcfdcfc000517123eb8f9048e3c))

### [4.17.2](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.17.2/packages/gatsby) (2022-06-29)

#### Bug Fixes

- fix potentially wrong query results when querying fields with custom resolvers ([c5475b7](https://github.com/gatsbyjs/gatsby/commit/c5475b74c724c7adca42294ea3f8db3dd6ab97a0))

### [4.17.1](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.17.1/packages/gatsby) (2022-06-24)

#### Bug Fixes

- add retry mechanism for gatsby-node/config.ts compilation [#35974](https://github.com/gatsbyjs/gatsby/issues/35974) [#35981](https://github.com/gatsbyjs/gatsby/issues/35981) ([d337eaf](https://github.com/gatsbyjs/gatsby/commit/d337eaf06f9f50ea7cbe1739ab65e5efaa870de8))

## [4.17.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.17.0/packages/gatsby) (2022-06-21)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.17)

#### Features

- add image cdn source urls to redux [#35427](https://github.com/gatsbyjs/gatsby/issues/35427) ([7a5b5c1](https://github.com/gatsbyjs/gatsby/commit/7a5b5c124cea2c448f110c487e81194344dedb7d))
- add `contentDigest` to image cdn args [#35816](https://github.com/gatsbyjs/gatsby/issues/35816) ([8257bca](https://github.com/gatsbyjs/gatsby/commit/8257bca2a1d352fef7d4a261926e7d455154bf2e))
- Exclude the internal/fields objects for greater consistency creating contentDigest [#33671](https://github.com/gatsbyjs/gatsby/issues/33671) ([7dfd52d](https://github.com/gatsbyjs/gatsby/commit/7dfd52d9b43e9fe2e456b273dc75de99634ace5d))

#### Bug Fixes

- Stabilize types output of GraphQL Typegen [#35925](https://github.com/gatsbyjs/gatsby/issues/35925) ([0268405](https://github.com/gatsbyjs/gatsby/commit/0268405d30436ce39cc731c4b1c24ffb859f0a4b))
- show meaningful error message when engines try to bundle ts-node [#35762](https://github.com/gatsbyjs/gatsby/issues/35762) ([123f202](https://github.com/gatsbyjs/gatsby/commit/123f2020c38344da37476cfa64f70b23db1761fe))

#### Performance Improvements

- Only polyfill node modules if IE support is needed [#35702](https://github.com/gatsbyjs/gatsby/issues/35702) ([0cd90d9](https://github.com/gatsbyjs/gatsby/commit/0cd90d9bd1f1d93f598fa137341b1438214f25e8))

#### Chores

- Upgrade lmdb to 2.5.2 [#35724](https://github.com/gatsbyjs/gatsby/issues/35724) ([9f3708f](https://github.com/gatsbyjs/gatsby/commit/9f3708f687af5d025459bd7d1e03a30aa996ffca))

## [4.16.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.16.0/packages/gatsby) (2022-06-07)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.16)

#### Features

- add image cdn source urls to redux [#35427](https://github.com/gatsbyjs/gatsby/issues/35427) [#35863](https://github.com/gatsbyjs/gatsby/issues/35863) ([aacb781](https://github.com/gatsbyjs/gatsby/commit/aacb781438760e2c3f8bfa64132a0a87fa2d55ff))
- add `contentDigest` to image cdn args [#35816](https://github.com/gatsbyjs/gatsby/issues/35816) [#35860](https://github.com/gatsbyjs/gatsby/issues/35860) ([cedbdb8](https://github.com/gatsbyjs/gatsby/commit/cedbdb89153a21bd4e22e612f677bf291aadceee))
- Add setRequestHeaders action/api [#35655](https://github.com/gatsbyjs/gatsby/issues/35655) ([f520e59](https://github.com/gatsbyjs/gatsby/commit/f520e59599a237b0a8ed105bff931c5058e2bfa8))

#### Bug Fixes

- Fix tracing for createPages Fix [#35795](https://github.com/gatsbyjs/gatsby/issues/35795) ([4c180eb](https://github.com/gatsbyjs/gatsby/commit/4c180eb4c5c8bb96526d241d5eeaf6b4deacf2d2))
- Improve get-config-file error handling [#35776](https://github.com/gatsbyjs/gatsby/issues/35776) ([160bbf0](https://github.com/gatsbyjs/gatsby/commit/160bbf0423df87296f75cf717ebecbd8e4337245))
- Remove `removeOffCanvasPaths` svgo option [#35788](https://github.com/gatsbyjs/gatsby/issues/35788) ([c3a3f68](https://github.com/gatsbyjs/gatsby/commit/c3a3f6801b684315fb98dbd97337b0ababee3b15))
- prioritize raw body parser [#35780](https://github.com/gatsbyjs/gatsby/issues/35780) ([54ea494](https://github.com/gatsbyjs/gatsby/commit/54ea494fd6d155c8afcb4315a9c2dfb0fb83428b))
- remove exports first before using asset relocator [#35749](https://github.com/gatsbyjs/gatsby/issues/35749) ([8608897](https://github.com/gatsbyjs/gatsby/commit/86088978c11234b86c348632c6fe8e7da0426366))
- Make `GatsbyImageData` nullable [#35777](https://github.com/gatsbyjs/gatsby/issues/35777) ([ca09aa7](https://github.com/gatsbyjs/gatsby/commit/ca09aa7a7b1fbb719ef3cd0c64bbe663d30d73c2))
- correctly auto-load preview plugin [#35745](https://github.com/gatsbyjs/gatsby/issues/35745) ([f698c09](https://github.com/gatsbyjs/gatsby/commit/f698c0944b9185b24e94ad92a023637a805e1b9a))

#### Chores

- update dependency typescript to ^4.7.2 [#35808](https://github.com/gatsbyjs/gatsby/issues/35808) ([2c55b79](https://github.com/gatsbyjs/gatsby/commit/2c55b794dd95b40a994f56df5f912219771ccab4))
- De-Duplicate lock file [#35823](https://github.com/gatsbyjs/gatsby/issues/35823) ([9fc9eb2](https://github.com/gatsbyjs/gatsby/commit/9fc9eb2bfb90e63d6f060ab6f889f06d84662afd))
- Migrate from `source-map` to `@jridgewell/trace-mapping` [#35621](https://github.com/gatsbyjs/gatsby/issues/35621) ([fc5df03](https://github.com/gatsbyjs/gatsby/commit/fc5df037f69bd69b236d6c91916f0552eb830fd8))
- Run Unit Tests on Node 16 and 18 [#35622](https://github.com/gatsbyjs/gatsby/issues/35622) ([d22a86e](https://github.com/gatsbyjs/gatsby/commit/d22a86ef82e918c4df03046891a9fefb12bd9bd1))
- Update to Parcel 2.6.0 [#35782](https://github.com/gatsbyjs/gatsby/issues/35782) ([2d2b323](https://github.com/gatsbyjs/gatsby/commit/2d2b323c2ba49fa729a901851d17b779b7c9ef2a))
- re-pin select packages after 'lerna version' [#35725](https://github.com/gatsbyjs/gatsby/issues/35725) ([08d6090](https://github.com/gatsbyjs/gatsby/commit/08d6090e98d697ea3ceda8472067d3acf0619b25))

### [4.15.2](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.15.2/packages/gatsby) (2022-06-01)

#### Bug Fixes

- prioritize raw body parser [#35780](https://github.com/gatsbyjs/gatsby/issues/35780) [#35786](https://github.com/gatsbyjs/gatsby/issues/35786) ([9f5c107](https://github.com/gatsbyjs/gatsby/commit/9f5c10721d16ca5d2c025254cada60fb85af5a21))
- Make `GatsbyImageData` nullable [#35777](https://github.com/gatsbyjs/gatsby/issues/35777) [#35785](https://github.com/gatsbyjs/gatsby/issues/35785) ([e7a3e6e](https://github.com/gatsbyjs/gatsby/commit/e7a3e6ebca645bd15f668aa3c2e763d93d648ea0))

### [4.15.1](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.15.1/packages/gatsby) (2022-05-25)

#### Bug Fixes

- correctly auto-load preview plugin [#35745](https://github.com/gatsbyjs/gatsby/issues/35745) [#35746](https://github.com/gatsbyjs/gatsby/issues/35746) ([884c554](https://github.com/gatsbyjs/gatsby/commit/884c5545b5030846d9b8fb414b2e20bab2ceb437))

## [4.15.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.15.0/packages/gatsby) (2022-05-24)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.15)

#### Features

- Add `gatsby-parcel-namer-relative-to-cwd` to monorepo & update Parcel to 2.5.0 [#35446](https://github.com/gatsbyjs/gatsby/issues/35446) ([459fab4](https://github.com/gatsbyjs/gatsby/commit/459fab40f318e09e112eef2e8673e869dc28e1d5))
- Add `graphqlTypegen` config option [#35697](https://github.com/gatsbyjs/gatsby/issues/35697) ([97433ec](https://github.com/gatsbyjs/gatsby/commit/97433ec6d3022dc80c272687e51cdbe0de501224))
- Script component [#35403](https://github.com/gatsbyjs/gatsby/issues/35403) ([a88703f](https://github.com/gatsbyjs/gatsby/commit/a88703f4de47c0ba9db48914bc2e0df73440dc92))
- Auto-Install Preview UI [#35587](https://github.com/gatsbyjs/gatsby/issues/35587) ([3beb047](https://github.com/gatsbyjs/gatsby/commit/3beb047b05218eeef133f8a87e4019399fded34a))

#### Bug Fixes

- Throw Typegen errors & add `IGatsbyImageData` to output [#35683](https://github.com/gatsbyjs/gatsby/issues/35683) ([e7fc88b](https://github.com/gatsbyjs/gatsby/commit/e7fc88b024c84a3e9f732deec7441621024e1f95))
- correct the types of `createNode` action return [#32522](https://github.com/gatsbyjs/gatsby/issues/32522) ([a5a2162](https://github.com/gatsbyjs/gatsby/commit/a5a2162a4f57b584790e8b1ed42687e3870f1934))
- use correct types for the response headers [#35633](https://github.com/gatsbyjs/gatsby/issues/35633) ([35d4a92](https://github.com/gatsbyjs/gatsby/commit/35d4a92dd290c0271588478b0eadec1024310301))

#### Performance Improvements

- speedups for webpack compilation (develop) [#35641](https://github.com/gatsbyjs/gatsby/issues/35641) ([09a6dd9](https://github.com/gatsbyjs/gatsby/commit/09a6dd9e3c8ebbf9ce5ab40f70c18a1e8562424c))

#### Refactoring

- Misc review comments [#35710](https://github.com/gatsbyjs/gatsby/issues/35710) [#35403](https://github.com/gatsbyjs/gatsby/issues/35403) ([f7f8ffe](https://github.com/gatsbyjs/gatsby/commit/f7f8ffe689a6a475931355ae21897b8b48ca6ef3))

#### Chores

- re-pin select packages after 'lerna version' [#35725](https://github.com/gatsbyjs/gatsby/issues/35725) [#35726](https://github.com/gatsbyjs/gatsby/issues/35726) ([04f9509](https://github.com/gatsbyjs/gatsby/commit/04f9509ce6295215b87b377855460873e0b5afeb))
- Update `IPluginRefObject` type [#35711](https://github.com/gatsbyjs/gatsby/issues/35711) ([eb59c93](https://github.com/gatsbyjs/gatsby/commit/eb59c93d0a3893e73b1c227518b493dbd71783ec))
- bump glob to 7.2.3 [#35666](https://github.com/gatsbyjs/gatsby/issues/35666) ([3909fa4](https://github.com/gatsbyjs/gatsby/commit/3909fa4265d907df62c6f79129f90f96ae09acd4))
- bump lmdb to 2.3.10 [#35585](https://github.com/gatsbyjs/gatsby/issues/35585) ([c410214](https://github.com/gatsbyjs/gatsby/commit/c4102149ba61498bcc0e0594b3d78014e39cc3da))

### [4.14.1](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.14.1/packages/gatsby) (2022-05-16)

#### Chores

- bump glob to 7.2.3 [#35666](https://github.com/gatsbyjs/gatsby/issues/35666) [#35671](https://github.com/gatsbyjs/gatsby/issues/35671) ([59165a7](https://github.com/gatsbyjs/gatsby/commit/59165a7d2421ec79525393f1e5361d204806b1ef))

## [4.14.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.14.0/packages/gatsby) (2022-05-10)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.14)

#### Features

- Improvements to GraphQL TypeScript Generation [#35581](https://github.com/gatsbyjs/gatsby/issues/35581) ([966aca8](https://github.com/gatsbyjs/gatsby/commit/966aca8b1fb767c7fbecd3889abdebc42cfc707d))
- Initial GraphQL Typegen Implementation [#35487](https://github.com/gatsbyjs/gatsby/issues/35487) ([c9d98a4](https://github.com/gatsbyjs/gatsby/commit/c9d98a4d1bb25b73252ed89eca9fa5fc52212c3a))
- api functions config [#35393](https://github.com/gatsbyjs/gatsby/issues/35393) ([6ec174a](https://github.com/gatsbyjs/gatsby/commit/6ec174a61a4bc570b9d4b26fc6b5ea4453f3daee))

#### Bug Fixes

- update dependency fs-extra to ^10.1.0 [#34976](https://github.com/gatsbyjs/gatsby/issues/34976) ([10752ed](https://github.com/gatsbyjs/gatsby/commit/10752ed325ac0ebc2655b994862f66abe072e09f))
- update dependency eslint-plugin-import to ^2.26.0 [#35551](https://github.com/gatsbyjs/gatsby/issues/35551) ([7cda002](https://github.com/gatsbyjs/gatsby/commit/7cda002eef087b3793ae0018351ea8273f91fbd8))
- update dependency eslint-plugin-react-hooks to ^4.5.0 [#35552](https://github.com/gatsbyjs/gatsby/issues/35552) ([3e74a9f](https://github.com/gatsbyjs/gatsby/commit/3e74a9f5066adbb19230bd5ddaf20178437b701f))
- update dependency core-js to ^3.22.3 [#35541](https://github.com/gatsbyjs/gatsby/issues/35541) ([1a4d0ea](https://github.com/gatsbyjs/gatsby/commit/1a4d0eaaa9a0c8e322db8eb7509d0d62e3e432c5))
- update dependency semver to ^7.3.7 [#35543](https://github.com/gatsbyjs/gatsby/issues/35543) ([f593e00](https://github.com/gatsbyjs/gatsby/commit/f593e005e4561b423a297e967205d833451a2f55))
- wait for worker jobs to complete [#35513](https://github.com/gatsbyjs/gatsby/issues/35513) ([6ececf1](https://github.com/gatsbyjs/gatsby/commit/6ececf167afd592a2f386f01fd176f0af6349a17))
- update dependency core-js to ^3.22.2 [#33381](https://github.com/gatsbyjs/gatsby/issues/33381) ([f4a7ca5](https://github.com/gatsbyjs/gatsby/commit/f4a7ca57b3b5e0a45bb883d13065e7df3ec8a324))
- Improve warning when a source plugin doesn't create a node [#35478](https://github.com/gatsbyjs/gatsby/issues/35478) ([32f5ba4](https://github.com/gatsbyjs/gatsby/commit/32f5ba40c30112c365763419fb88513228325f82))

#### Performance Improvements

- Minify page-data [#35578](https://github.com/gatsbyjs/gatsby/issues/35578) ([8bad9b3](https://github.com/gatsbyjs/gatsby/commit/8bad9b31017ef74ac7a974f85c776d49eda3976f))
- prioritize content/asset fetching early, drop script preloads so js doesn't compete with assets [#35408](https://github.com/gatsbyjs/gatsby/issues/35408) ([fdda3a1](https://github.com/gatsbyjs/gatsby/commit/fdda3a118383b3db881f045dd27e92cf68b282e7))

#### Chores

- Expose `serverDataStatus` field in SSR type declaration file [#35505](https://github.com/gatsbyjs/gatsby/issues/35505) ([39e9840](https://github.com/gatsbyjs/gatsby/commit/39e98404d7d107aec220ffb891cb34c5db77c260))
- update dependency typescript to ^4.6.4 [#34984](https://github.com/gatsbyjs/gatsby/issues/34984) ([71eb414](https://github.com/gatsbyjs/gatsby/commit/71eb414ad5abf1c835a2c243f01ac98ea5ee7e37))
- Pin event-source-polyfill [#35575](https://github.com/gatsbyjs/gatsby/issues/35575) ([5c122df](https://github.com/gatsbyjs/gatsby/commit/5c122df9249a58991d8aca306eadaa72b01c5e98))
- Bump `react-dev-utils` to v12 [#35468](https://github.com/gatsbyjs/gatsby/issues/35468) ([63828fc](https://github.com/gatsbyjs/gatsby/commit/63828fc109694427a57a18fef0f69767fd834028))

### [4.13.1](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.13.1/packages/gatsby) (2022-04-29)

#### Bug Fixes

- wait for worker jobs to complete [#35513](https://github.com/gatsbyjs/gatsby/issues/35513) [#35522](https://github.com/gatsbyjs/gatsby/issues/35522) ([f7bcc04](https://github.com/gatsbyjs/gatsby/commit/f7bcc04caaf17d5fd91ff36980d3e901a1ca83b4))

## [4.13.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.13.0/packages/gatsby) (2022-04-26)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.13)

#### Features

- enable tracedsvg [#35328](https://github.com/gatsbyjs/gatsby/issues/35328) ([a246011](https://github.com/gatsbyjs/gatsby/commit/a246011dafdba0230847b02c2812b6bda298f8e1))

#### Bug Fixes

- limit node manifest creation limit [#35359](https://github.com/gatsbyjs/gatsby/issues/35359) ([6476633](https://github.com/gatsbyjs/gatsby/commit/6476633b669d6642bc282e112372d1c76fec477b))
- only install 2.2.x patch versions of lmdb while 2.3.0 has a bug [#35397](https://github.com/gatsbyjs/gatsby/issues/35397) ([92d384f](https://github.com/gatsbyjs/gatsby/commit/92d384f759bac1441dedcb47f71a3d592e2d73cf))
- add missing `ownerNodeId` prop to Page type [#35367](https://github.com/gatsbyjs/gatsby/issues/35367) ([b669468](https://github.com/gatsbyjs/gatsby/commit/b669468677434a5659842c697b51e838ca470e80))

### [4.12.1](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.12.1/packages/gatsby) (2022-04-13)

**Note:** Version bump only for package gatsby

## [4.12.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.12.0/packages/gatsby) (2022-04-12)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.12)

#### Bug Fixes

- only install 2.2.x patch versions of lmdb while 2.3.0 has a bug [#35397](https://github.com/gatsbyjs/gatsby/issues/35397) [#35398](https://github.com/gatsbyjs/gatsby/issues/35398) ([17c380b](https://github.com/gatsbyjs/gatsby/commit/17c380b8cea8b364d9628711be8222f4bffbd02f))
- fix decoding issue in SSR fix [#35346](https://github.com/gatsbyjs/gatsby/issues/35346) ([0809c20](https://github.com/gatsbyjs/gatsby/commit/0809c20968713db91fb09a7e56aebc70aa111ea8))
- fix DSG special char 404 issue fix [#35336](https://github.com/gatsbyjs/gatsby/issues/35336) ([e17e533](https://github.com/gatsbyjs/gatsby/commit/e17e533ddb3a7052e537710563b627d7187ef873))
- ignore crawlers when prefetching [#35260](https://github.com/gatsbyjs/gatsby/issues/35260) ([9e7bf93](https://github.com/gatsbyjs/gatsby/commit/9e7bf93ab8b27b5e5736da222bc6f82fe11358a8))
- path pieces too long and url safe base64 encoding [#35160](https://github.com/gatsbyjs/gatsby/issues/35160) ([3f12544](https://github.com/gatsbyjs/gatsby/commit/3f1254492bacfbe1957c5d2ce866392ec8105b50))
- React 18 Hydration with offline plugin [#35319](https://github.com/gatsbyjs/gatsby/issues/35319) ([5a91e55](https://github.com/gatsbyjs/gatsby/commit/5a91e55c39e5109319dfae4804168b4c8bd231bb))
- fix intermittent wrong sort results when sorting on materialized field fix [#35271](https://github.com/gatsbyjs/gatsby/issues/35271) ([ab4fa21](https://github.com/gatsbyjs/gatsby/commit/ab4fa2121f40c5e34d7215829bfa8803e0c019f7))
- update dependency eslint-plugin-react-hooks to ^4.4.0 [#35305](https://github.com/gatsbyjs/gatsby/issues/35305) ([84156de](https://github.com/gatsbyjs/gatsby/commit/84156decc01f53f9173eb6c8ab3fa7361c0a8eaa))
- update dependency eslint-plugin-react to ^7.29.4 [#35280](https://github.com/gatsbyjs/gatsby/issues/35280) ([43ba14e](https://github.com/gatsbyjs/gatsby/commit/43ba14ef0b58e33b5230065339aa6995b68ede25))
- use gatsby root instead of process.cwd [#35263](https://github.com/gatsbyjs/gatsby/issues/35263) ([039f2cc](https://github.com/gatsbyjs/gatsby/commit/039f2cc1b9c0ad4f04e59b37134baa8afb3749d9))

#### Chores

- e2e/integration with React 17 & 18 [#35320](https://github.com/gatsbyjs/gatsby/issues/35320) ([bb3287e](https://github.com/gatsbyjs/gatsby/commit/bb3287ed9fc4d76d8109c2c3c72cc5d19596787e))
- update formatting & linting [#35302](https://github.com/gatsbyjs/gatsby/issues/35302) ([ac4fddb](https://github.com/gatsbyjs/gatsby/commit/ac4fddbd6e0368e19ed7ccfff0df8cce4e22f57e))
- update sharp [#35303](https://github.com/gatsbyjs/gatsby/issues/35303) ([d267bb3](https://github.com/gatsbyjs/gatsby/commit/d267bb3d7547d08cfaabfbfc93199c785c50aec3))
- add conditions to createRedirect api docs [#35240](https://github.com/gatsbyjs/gatsby/issues/35240) ([3acf40e](https://github.com/gatsbyjs/gatsby/commit/3acf40e9f4ef8aa738dfdf4dfe50707a3b6891a0))

### [4.11.3](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.11.3/packages/gatsby) (2022-04-11)

#### Bug Fixes

- only install 2.2.x patch versions of lmdb while 2.3.0 has a bug [#35397](https://github.com/gatsbyjs/gatsby/issues/35397) [#35398](https://github.com/gatsbyjs/gatsby/issues/35398) ([693ece7](https://github.com/gatsbyjs/gatsby/commit/693ece72a4152e5d650f5afa6506fd354d51a3e6))

### [4.11.2](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.11.2/packages/gatsby) (2022-04-05)

#### Bug Fixes

- fix intermittent wrong sort results when sorting on materialized field fix [#35271](https://github.com/gatsbyjs/gatsby/issues/35271) fix [#35340](https://github.com/gatsbyjs/gatsby/issues/35340) ([3f703d1](https://github.com/gatsbyjs/gatsby/commit/3f703d14ae79bc81a0b3701da7e10d5d01f19d9c))
- React 18 Hydration with offline plugin [#35319](https://github.com/gatsbyjs/gatsby/issues/35319) [#35343](https://github.com/gatsbyjs/gatsby/issues/35343) ([af78344](https://github.com/gatsbyjs/gatsby/commit/af783440ae60b8f562bb836d9dde7e23644529d5))

### [4.11.1](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.11.1/packages/gatsby) (2022-03-31)

#### Bug Fixes

- use gatsby root instead of process.cwd [#35263](https://github.com/gatsbyjs/gatsby/issues/35263) [#35264](https://github.com/gatsbyjs/gatsby/issues/35264) ([c0da030](https://github.com/gatsbyjs/gatsby/commit/c0da030929fd3efa54866c3c6e8b4030fb4f4317))

## [4.11.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.11.0/packages/gatsby) (2022-03-29)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.11)

#### Features

- support aspect ratio for Image Service [#35087](https://github.com/gatsbyjs/gatsby/issues/35087) ([3f2bc25](https://github.com/gatsbyjs/gatsby/commit/3f2bc25532eb457ee3d607688eb6592bc8d0bc78))

#### Bug Fixes

- update parcel to ^2.3.2 [#35195](https://github.com/gatsbyjs/gatsby/issues/35195) ([bff56ac](https://github.com/gatsbyjs/gatsby/commit/bff56accd9d083b157945ea11b992963f2c25ae5))
- PnP fixes fixes [#35194](https://github.com/gatsbyjs/gatsby/issues/35194) ([79c5598](https://github.com/gatsbyjs/gatsby/commit/79c559808318e9db0bea2e6b89b0e1e3b8336899))
- Improve functions compilation error [#35196](https://github.com/gatsbyjs/gatsby/issues/35196) ([bef3ca6](https://github.com/gatsbyjs/gatsby/commit/bef3ca6fa3dc15dcb5e0aef56a02104463476de2))
- fix eperm when cache getting cleared fix [#35154](https://github.com/gatsbyjs/gatsby/issues/35154) ([6684c60](https://github.com/gatsbyjs/gatsby/commit/6684c607e9a33e50e48b88e6a6c5753339924f6a))
- remove apis from ts,tsx [#35183](https://github.com/gatsbyjs/gatsby/issues/35183) ([8de18e7](https://github.com/gatsbyjs/gatsby/commit/8de18e77ca9e295860b6374ce6b9f28596645604))
- compatibility with react rc 2 [#35108](https://github.com/gatsbyjs/gatsby/issues/35108) ([0c61265](https://github.com/gatsbyjs/gatsby/commit/0c6126574d203c0e6fef173b76859cdcab2f13aa))

#### Refactoring

- replace deprecated String.prototype.substr() [#35205](https://github.com/gatsbyjs/gatsby/issues/35205) ([21f7c65](https://github.com/gatsbyjs/gatsby/commit/21f7c654da647a949c83efb2e17b473eab4db3ed))

#### Chores

- Update README ([2071d65](https://github.com/gatsbyjs/gatsby/commit/2071d65e3e67c92b0d17b847c75ac4049196666c))
- Add quickstart & reorder value props [#35208](https://github.com/gatsbyjs/gatsby/issues/35208) ([83253b9](https://github.com/gatsbyjs/gatsby/commit/83253b92265c7dad34dc2870bfbfebd80aec9b4c))
- Move `loadable-components` instructions [#35116](https://github.com/gatsbyjs/gatsby/issues/35116) ([6454eed](https://github.com/gatsbyjs/gatsby/commit/6454eedb1707ae093d9d7d65658a4c3f09b803c8))
- cleanup yarn.lock [#35181](https://github.com/gatsbyjs/gatsby/issues/35181) ([937883e](https://github.com/gatsbyjs/gatsby/commit/937883e4c7d19596e45ae01eafcdb1a733aac575))
- replace all uses of gatsbyjs.org with gatsbyjs.com [#35101](https://github.com/gatsbyjs/gatsby/issues/35101) ([16cff41](https://github.com/gatsbyjs/gatsby/commit/16cff413e154dc4e74fc5be631d52c76273e5cbc))

### [4.10.3](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.10.3/packages/gatsby) (2022-03-23)

**Note:** Version bump only for package gatsby

### [4.10.2](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.10.2/packages/gatsby) (2022-03-22)

#### Bug Fixes

- fix eperm when cache getting cleared fix [#35154](https://github.com/gatsbyjs/gatsby/issues/35154) fix [#35197](https://github.com/gatsbyjs/gatsby/issues/35197) ([9a087ec](https://github.com/gatsbyjs/gatsby/commit/9a087ece91267c847d98d5c6c2205ca65de07f85))
- PnP fixes fixes [#35194](https://github.com/gatsbyjs/gatsby/issues/35194) fixes [#35199](https://github.com/gatsbyjs/gatsby/issues/35199) ([a56b652](https://github.com/gatsbyjs/gatsby/commit/a56b652d4370223082d54787fb274db8ad564687))
- remove apis from ts,tsx [#35183](https://github.com/gatsbyjs/gatsby/issues/35183) [#35198](https://github.com/gatsbyjs/gatsby/issues/35198) ([0b6067a](https://github.com/gatsbyjs/gatsby/commit/0b6067ad23f878240d2ea898a2c66a6bca299a2c))

### [4.10.1](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.10.1/packages/gatsby) (2022-03-18)

**Note:** Version bump only for package gatsby

## [4.10.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.10.0/packages/gatsby) (2022-03-16)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.10)

#### Features

- Capture number of compiled TS files in Telemetry [#35023](https://github.com/gatsbyjs/gatsby/issues/35023) ([5852dc8](https://github.com/gatsbyjs/gatsby/commit/5852dc8a50504c23f9553fa993011e1985397e81))
- add support for image-cdn [#34825](https://github.com/gatsbyjs/gatsby/issues/34825) ([29b236b](https://github.com/gatsbyjs/gatsby/commit/29b236b7f2212d062a65d34781a612d715d936ef))

#### Bug Fixes

- use lmdb for resultHash cache so shared across workers [#34925](https://github.com/gatsbyjs/gatsby/issues/34925) ([a5cd72a](https://github.com/gatsbyjs/gatsby/commit/a5cd72a5adf4ce13ece5d14df1f3ae2f696fa8e3))
- null check for context [#35096](https://github.com/gatsbyjs/gatsby/issues/35096) ([46e2902](https://github.com/gatsbyjs/gatsby/commit/46e2902b9d6130ddbc3b5cad0a8fe500e9610782))
- fix schema printing for gatsby-transformer-json fix [#35098](https://github.com/gatsbyjs/gatsby/issues/35098) ([796800f](https://github.com/gatsbyjs/gatsby/commit/796800fe688831584753a6d445ca0b78c3d33418))
- Misspelled cacheIdentifier key [#35070](https://github.com/gatsbyjs/gatsby/issues/35070) ([4b3a288](https://github.com/gatsbyjs/gatsby/commit/4b3a288251cf1c3511323ef6d9e51e0791bf063c))
- fix issue with decoding URl fix [#34816](https://github.com/gatsbyjs/gatsby/issues/34816) ([93fd124](https://github.com/gatsbyjs/gatsby/commit/93fd124c5cdec68cbc94d48b171934b085cbc5e7))
- fix incorrect "inconsistent node counters" invariant #35020 fix [#35020](https://github.com/gatsbyjs/gatsby/issues/35020) fix [#35025](https://github.com/gatsbyjs/gatsby/issues/35025) ([8644398](https://github.com/gatsbyjs/gatsby/commit/8644398fe8fad4d2e82a40396eadb42e05e45e86))
- Better compile error handling [#35038](https://github.com/gatsbyjs/gatsby/issues/35038) ([c621381](https://github.com/gatsbyjs/gatsby/commit/c621381e4ba6fa055b2707c9e24e28ed517ae641))
- fix pnp for lmdb fix [#35026](https://github.com/gatsbyjs/gatsby/issues/35026) ([75352b7](https://github.com/gatsbyjs/gatsby/commit/75352b744085207ac5c7861d4d48d3a8cfe39cb3))

#### Chores

- add generic to GatsbyFunctionRequest [#35029](https://github.com/gatsbyjs/gatsby/issues/35029) ([bf8392c](https://github.com/gatsbyjs/gatsby/commit/bf8392cc603ad070fbd216fed28866a24c1aaf13))
- Revising scope of `wrapPageElement()` and `wrapRootElement()` [#35057](https://github.com/gatsbyjs/gatsby/issues/35057) ([011897f](https://github.com/gatsbyjs/gatsby/commit/011897f6b988d6fcd8a993840ffb3a19bc3299c4))

### [4.9.3](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.9.3/packages/gatsby) (2022-03-09)

#### Bug Fixes

- make sure node-gyp gets replaced [#35076](https://github.com/gatsbyjs/gatsby/issues/35076) ([fba82a3](https://github.com/gatsbyjs/gatsby/commit/fba82a3e2e22487421001a06cf0303a575e75c40))

### [4.9.2](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.9.2/packages/gatsby) (2022-03-07)

#### Other Changes

- don't lock lmdb [#35065](https://github.com/gatsbyjs/gatsby/issues/35065) ([3da0811](https://github.com/gatsbyjs/gatsby/commit/3da0811052ee5f25c0109a33d3a240b7ae1ad13b))

### [4.9.1](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.9.1/packages/gatsby) (2022-03-03)

#### Bug Fixes

- fix incorrect "inconsistent node counters" invariant #35020 fix [#35020](https://github.com/gatsbyjs/gatsby/issues/35020) fix [#35025](https://github.com/gatsbyjs/gatsby/issues/35025) fix [#35044](https://github.com/gatsbyjs/gatsby/issues/35044) ([7f1b73e](https://github.com/gatsbyjs/gatsby/commit/7f1b73e7012d8d88511f2791ea843c762e24f820))
- Better compile error handling [#35038](https://github.com/gatsbyjs/gatsby/issues/35038) [#35042](https://github.com/gatsbyjs/gatsby/issues/35042) ([45aacf3](https://github.com/gatsbyjs/gatsby/commit/45aacf308201dcc357059f8e74404b14054308d6))

## [4.9.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.9.0/packages/gatsby) (2022-03-01)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.9)

#### Features

- Compile Gatsby Config Files AOT [#34776](https://github.com/gatsbyjs/gatsby/issues/34776) [#34757](https://github.com/gatsbyjs/gatsby/issues/34757) [#34779](https://github.com/gatsbyjs/gatsby/issues/34779) [#34773](https://github.com/gatsbyjs/gatsby/issues/34773) [#34827](https://github.com/gatsbyjs/gatsby/issues/34827) [#34890](https://github.com/gatsbyjs/gatsby/issues/34890) [#34892](https://github.com/gatsbyjs/gatsby/issues/34892) fix [#34915](https://github.com/gatsbyjs/gatsby/issues/34915) [#34945](https://github.com/gatsbyjs/gatsby/issues/34945) ([04d1d37](https://github.com/gatsbyjs/gatsby/commit/04d1d37d53e28deb13ec46dd97fb79b2c6cc863e))

#### Bug Fixes

- update dependency eslint-plugin-react to ^7.29.2 [#34988](https://github.com/gatsbyjs/gatsby/issues/34988) ([78779ff](https://github.com/gatsbyjs/gatsby/commit/78779ff92094c8d778f9373af1de0a94049f2fe5))
- wait for LMDB upserts to finish before emitting ENGINES_READY [#34853](https://github.com/gatsbyjs/gatsby/issues/34853) ([b4637c0](https://github.com/gatsbyjs/gatsby/commit/b4637c0983614d9ed6a126c8ab091fdf3ca5290c))
- Remove double enhanced-resolve dep resolve [#34854](https://github.com/gatsbyjs/gatsby/issues/34854) ([2c141b8](https://github.com/gatsbyjs/gatsby/commit/2c141b86e3078245ea077b6ec41f55c29c7f1d9b))

#### Chores

- stabilize ts compilation parcel output [#34943](https://github.com/gatsbyjs/gatsby/issues/34943) ([f2bce35](https://github.com/gatsbyjs/gatsby/commit/f2bce35acf38715d507f4a83870226b823888347))
- Batch page dependency actions [#34856](https://github.com/gatsbyjs/gatsby/issues/34856) ([09a911e](https://github.com/gatsbyjs/gatsby/commit/09a911e68598d544e74a68423302e8f8b6a37407))
- Format changelog files ([088f23b](https://github.com/gatsbyjs/gatsby/commit/088f23b084b67f746a383e06e9216cef83270317))
- Cache date formatting in lmdb cache [#34834](https://github.com/gatsbyjs/gatsby/issues/34834) ([446f9ff](https://github.com/gatsbyjs/gatsby/commit/446f9ff91e61b6546ad26702b102e7c572e2e2d7))
- Update North Star in README [#34855](https://github.com/gatsbyjs/gatsby/issues/34855) ([b8a44a4](https://github.com/gatsbyjs/gatsby/commit/b8a44a4a45dc43e56b7e6397a60a10716f6ee7ff))

### [4.8.2](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.8.2/packages/gatsby) (2022-03-01)

**Note:** Version bump only for package gatsby

### [4.8.1](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.8.1/packages/gatsby) (2022-02-25)

**Note:** Version bump only for package gatsby

## [4.8.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.8.0/packages/gatsby) (2022-02-22)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.8)

#### Features

- create proper mutex [#34761](https://github.com/gatsbyjs/gatsby/issues/34761) ([f2d4830](https://github.com/gatsbyjs/gatsby/commit/f2d4830ef22666786e0020108d97379a853282b3))
- allow referencing derived types in schema customization [#34787](https://github.com/gatsbyjs/gatsby/issues/34787) ([3d74584](https://github.com/gatsbyjs/gatsby/commit/3d74584c0a9cfa230ee4c06c4f30ddca12c82d49))
- Match node manifest pages by page context slug [#34790](https://github.com/gatsbyjs/gatsby/issues/34790) ([ba8e21c](https://github.com/gatsbyjs/gatsby/commit/ba8e21c32b9acb4c209e1dd7cffbf8bff4da58dd))
- feature toggle and availability [#34748](https://github.com/gatsbyjs/gatsby/issues/34748) ([93a2071](https://github.com/gatsbyjs/gatsby/commit/93a2071742a583219836819a3d8665adc961209a))
- Enable TS for `gatsby-browser/gatsby-ssr` [#34692](https://github.com/gatsbyjs/gatsby/issues/34692) ([040603f](https://github.com/gatsbyjs/gatsby/commit/040603f5add266a896137bd7c3b4aca75d8f12b2))

#### Bug Fixes

- wait for LMDB upserts to finish before emitting ENGINES_READY [#34853](https://github.com/gatsbyjs/gatsby/issues/34853) [#34896](https://github.com/gatsbyjs/gatsby/issues/34896) ([9a616c0](https://github.com/gatsbyjs/gatsby/commit/9a616c00dd32f41e760e5775ede88805977a52c4))
- Remove double enhanced-resolve dep resolve [#34854](https://github.com/gatsbyjs/gatsby/issues/34854) resolve [#34889](https://github.com/gatsbyjs/gatsby/issues/34889) ([148d016](https://github.com/gatsbyjs/gatsby/commit/148d01669160a89e73f034850c1048d4db163eab))
- Make filter/sort query only hold onto node properties it needs [#34747](https://github.com/gatsbyjs/gatsby/issues/34747) ([3df8583](https://github.com/gatsbyjs/gatsby/commit/3df85830e06abe120fd0888d2c39d05a3a445c71))
- Content Sync DSG bug [#34799](https://github.com/gatsbyjs/gatsby/issues/34799) ([bfd04d3](https://github.com/gatsbyjs/gatsby/commit/bfd04d362b31ccebdf93e63dee6f0786fe27ef0d))

#### Refactoring

- Make load plugins modular, prepare for TS [#34813](https://github.com/gatsbyjs/gatsby/issues/34813) ([3c3362b](https://github.com/gatsbyjs/gatsby/commit/3c3362b0b2b0a9f4b01f2d0a2efecc9652b67220))

#### Chores

- cache shouldn't reference nodes strongly [#34821](https://github.com/gatsbyjs/gatsby/issues/34821) ([9f23dec](https://github.com/gatsbyjs/gatsby/commit/9f23dec7ac88352dfcab087594ed9ff96f855840))
- upgrade from lmdb-store to lmdb [#34576](https://github.com/gatsbyjs/gatsby/issues/34576) ([54d29c4](https://github.com/gatsbyjs/gatsby/commit/54d29c424116bafeda5a85de71444b531d817d17))
- remove v8-compile-cache [#34672](https://github.com/gatsbyjs/gatsby/issues/34672) ([c38cb1f](https://github.com/gatsbyjs/gatsby/commit/c38cb1f101735527cfd899b272830fe0d5a925d7))

#### Other Changes

- Add Third Party Schema [#34820](https://github.com/gatsbyjs/gatsby/issues/34820) [#34243](https://github.com/gatsbyjs/gatsby/issues/34243) ([4c832bf](https://github.com/gatsbyjs/gatsby/commit/4c832bf3132cc5776f11484b8caf6ec0da301663))

### [4.7.2](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.7.2/packages/gatsby) (2022-02-15)

#### Bug Fixes

- Content Sync DSG bug [#34799](https://github.com/gatsbyjs/gatsby/issues/34799) [#34818](https://github.com/gatsbyjs/gatsby/issues/34818) ([7ef1fb6](https://github.com/gatsbyjs/gatsby/commit/7ef1fb6a3e6b75e74a41d545283dc0602dc9811e))

### [4.7.1](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.7.1/packages/gatsby) (2022-02-08)

**Note:** Version bump only for package gatsby

## [4.7.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.7.0/packages/gatsby) (2022-02-08)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.7)

#### Features

- `trailingSlash` config option [#34268](https://github.com/gatsbyjs/gatsby/issues/34268) ([d94c8e4](https://github.com/gatsbyjs/gatsby/commit/d94c8e48a3640b59423c37da1439531ab0c023ec))
- upgrade graphql-compose to latest for speed improvements [#34504](https://github.com/gatsbyjs/gatsby/issues/34504) ([e860faa](https://github.com/gatsbyjs/gatsby/commit/e860faaa3224b1702eb56639efb5ac12014b7ec7))

#### Bug Fixes

- Local file lookups in `eq: $id` queries [#34699](https://github.com/gatsbyjs/gatsby/issues/34699) ([23accf4](https://github.com/gatsbyjs/gatsby/commit/23accf445cb09552733fc76a16f485c7cd0ce6fa))
- update dependency eslint-plugin-import to ^2.25.4 [#34645](https://github.com/gatsbyjs/gatsby/issues/34645) ([911d0cc](https://github.com/gatsbyjs/gatsby/commit/911d0cccd42e68a465a000efc0864e98d85c2293))
- fixes stacktraces from async functions break error reporting fixes [#33712](https://github.com/gatsbyjs/gatsby/issues/33712) ([ffdcd9e](https://github.com/gatsbyjs/gatsby/commit/ffdcd9ebb70ad31834394170fa38e56bbabd2bc4))
- Scope remove api babel plugin to page templates [#34582](https://github.com/gatsbyjs/gatsby/issues/34582) ([5be46c0](https://github.com/gatsbyjs/gatsby/commit/5be46c0b751219e60a37f93c5c7db67104c6a0b6))
- Handle export const syntax in babel-remove-api plugin [#34581](https://github.com/gatsbyjs/gatsby/issues/34581) ([53ca1cf](https://github.com/gatsbyjs/gatsby/commit/53ca1cff72356fbc0e0ad3312fd2fd5e6d6750b0))
- don't remove onPluginInit in graphql-engine [#34558](https://github.com/gatsbyjs/gatsby/issues/34558) ([135e080](https://github.com/gatsbyjs/gatsby/commit/135e0803bd3d45f8062c3797f7b12fb77f373ca8))

#### Chores

- update dependency typescript to ^4.5.5 [#34641](https://github.com/gatsbyjs/gatsby/issues/34641) ([f7a7e1f](https://github.com/gatsbyjs/gatsby/commit/f7a7e1f642d91babb397156ab37cb28dcde19737))
- Add `defer` to `createPage` type [#34612](https://github.com/gatsbyjs/gatsby/issues/34612) ([e97dc80](https://github.com/gatsbyjs/gatsby/commit/e97dc801687cdf8e06a05d45cbf32e0efe194115))
- use lazy iterable instead of fully realized arrays for detecting stale nodes [#34540](https://github.com/gatsbyjs/gatsby/issues/34540) ([7fffe0b](https://github.com/gatsbyjs/gatsby/commit/7fffe0be9b6a0c8cdec72600f79b43c34006e1bf))

### [4.6.2](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.6.2/packages/gatsby) (2022-02-04)

#### Bug Fixes

- Local file lookups in `eq: $id` queries [#34699](https://github.com/gatsbyjs/gatsby/issues/34699) [#34717](https://github.com/gatsbyjs/gatsby/issues/34717) ([7c2f404](https://github.com/gatsbyjs/gatsby/commit/7c2f404c8a4d5e4143c608a1ac58914051936567))

### [4.6.1](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.6.1/packages/gatsby) (2022-02-01)

#### Bug Fixes

- Scope remove api babel plugin to page templates [#34582](https://github.com/gatsbyjs/gatsby/issues/34582) [#34673](https://github.com/gatsbyjs/gatsby/issues/34673) ([77511e7](https://github.com/gatsbyjs/gatsby/commit/77511e764add83a3572e4e87cb0c2cf1b30d11b6))

## [4.6.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.6.0/packages/gatsby) (2022-01-25)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.6)

#### Features

- create more resilient wrapper around sharp [#34339](https://github.com/gatsbyjs/gatsby/issues/34339) ([a3fa646](https://github.com/gatsbyjs/gatsby/commit/a3fa646eb6b51004ef9e85a32f7be1cf2d0cc2db))
- content sync debugging tweaks [#34487](https://github.com/gatsbyjs/gatsby/issues/34487) ([f10d0e5](https://github.com/gatsbyjs/gatsby/commit/f10d0e5dc5a481c397a59c157f50c3380123c343))

#### Bug Fixes

- don't remove onPluginInit in graphql-engine [#34558](https://github.com/gatsbyjs/gatsby/issues/34558) [#34586](https://github.com/gatsbyjs/gatsby/issues/34586) ([e39f6cd](https://github.com/gatsbyjs/gatsby/commit/e39f6cd636b83c65d01685fe2cd184af99772f33))
- handle session storage not being available [#34525](https://github.com/gatsbyjs/gatsby/issues/34525) ([77e4bb0](https://github.com/gatsbyjs/gatsby/commit/77e4bb01a1994448d685afa82620f5125dd029d3))
- handle loaded page being potentially undefined [#34488](https://github.com/gatsbyjs/gatsby/issues/34488) ([59cd704](https://github.com/gatsbyjs/gatsby/commit/59cd704ceceb173f3c6c69f8f1d5d3810b86fb0c))
- Fix issue with env variables not being passed to getServerData Fix [#34447](https://github.com/gatsbyjs/gatsby/issues/34447) ([64ff3c6](https://github.com/gatsbyjs/gatsby/commit/64ff3c63cfbebcf06d8d24023ea10b7b71c2610f))
- don't throw on warnings in `pluginOptionsSchema` [#34182](https://github.com/gatsbyjs/gatsby/issues/34182) ([252f50d](https://github.com/gatsbyjs/gatsby/commit/252f50d0f282bee4c7e10065682bea52a603aa0c))
- Revert #33786 [#33786](https://github.com/gatsbyjs/gatsby/issues/33786) [#34458](https://github.com/gatsbyjs/gatsby/issues/34458) ([9c8323a](https://github.com/gatsbyjs/gatsby/commit/9c8323ac40c9f4f6552eccf64e0bd090fe70c407))

#### Performance Improvements

- move id: eq fast path handling to node-model so it's shared between query running strategies [#34520](https://github.com/gatsbyjs/gatsby/issues/34520) ([d2ba1f9](https://github.com/gatsbyjs/gatsby/commit/d2ba1f99eed0ce52ce58012aed487bf775126ecc))
- reuse rootNode & trackedRootNodes caches across instances of graphqlRunner [#33695](https://github.com/gatsbyjs/gatsby/issues/33695) ([26882f3](https://github.com/gatsbyjs/gatsby/commit/26882f3438b18a0c3c9dad71217213625344f87f))

#### Chores

- Give option to ignore output from workers and silence validate-engines [#34416](https://github.com/gatsbyjs/gatsby/issues/34416) ([0571199](https://github.com/gatsbyjs/gatsby/commit/0571199ebc746b53b23a10360311c0f5ba33a275))

#### Other Changes

- Fix misspelling of "precedence" in log message Fix [#34428](https://github.com/gatsbyjs/gatsby/issues/34428) ([f95be79](https://github.com/gatsbyjs/gatsby/commit/f95be79e9aeec35d5cd22ec6c0bede161d6975fb))
- Upgrade to strip-ansi ^6.0.1 [#34383](https://github.com/gatsbyjs/gatsby/issues/34383) ([73b4625](https://github.com/gatsbyjs/gatsby/commit/73b462591f1e97a5d84803c792868a8058e895ff))

### [4.5.5](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.5.5/packages/gatsby) (2022-01-24)

#### Bug Fixes

- don't remove onPluginInit in graphql-engine [#34558](https://github.com/gatsbyjs/gatsby/issues/34558) [#34573](https://github.com/gatsbyjs/gatsby/issues/34573) ([b81b8f3](https://github.com/gatsbyjs/gatsby/commit/b81b8f3210557ef680ba9bae930f8ba72edd22cf))

### [4.5.4](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.5.4/packages/gatsby) (2022-01-19)

#### Bug Fixes

- handle session storage not being available [#34525](https://github.com/gatsbyjs/gatsby/issues/34525) [#34539](https://github.com/gatsbyjs/gatsby/issues/34539) ([e69270b](https://github.com/gatsbyjs/gatsby/commit/e69270b01aee337993ec4084d354bf5b09becadf))

### [4.5.3](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.5.3/packages/gatsby) (2022-01-17)

#### Bug Fixes

- handle loaded page being potentially undefined [#34488](https://github.com/gatsbyjs/gatsby/issues/34488) [#34509](https://github.com/gatsbyjs/gatsby/issues/34509) ([0d29e95](https://github.com/gatsbyjs/gatsby/commit/0d29e9579baf308521c07336b09944b737664c52))
- Fix issue with env variables not being passed to getServerData Fix [#34447](https://github.com/gatsbyjs/gatsby/issues/34447) Fix [#34508](https://github.com/gatsbyjs/gatsby/issues/34508) ([2fb74de](https://github.com/gatsbyjs/gatsby/commit/2fb74dec7d757f2d43d61be090475d98f4ca1b21))

### [4.5.2](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.5.2/packages/gatsby) (2022-01-12)

**Note:** Version bump only for package gatsby

### [4.5.1](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.5.1/packages/gatsby) (2022-01-12)

#### Bug Fixes

- Revert #33786 [#33786](https://github.com/gatsbyjs/gatsby/issues/33786) [#34458](https://github.com/gatsbyjs/gatsby/issues/34458) [#34459](https://github.com/gatsbyjs/gatsby/issues/34459) ([96f435a](https://github.com/gatsbyjs/gatsby/commit/96f435ac846a3555de994a04e1cec2211d440d35))

## [4.5.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.5.0/packages/gatsby) (2022-01-11)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.5)

#### Features

- remove unused exports from query-engine [#33484](https://github.com/gatsbyjs/gatsby/issues/33484) ([ccf70da](https://github.com/gatsbyjs/gatsby/commit/ccf70da543d1408d4dfa76d9fb202dc024079131))
- Deprecate `gatsby-recipes` [#34094](https://github.com/gatsbyjs/gatsby/issues/34094) ([5f62345](https://github.com/gatsbyjs/gatsby/commit/5f623451fefb55d6ace04ba6c9a221740a538bda))

#### Bug Fixes

- Only start write page-data.json activity if there's pages to write [#34403](https://github.com/gatsbyjs/gatsby/issues/34403) ([ca37398](https://github.com/gatsbyjs/gatsby/commit/ca3739869d4776d5cfff56e1a188913c81b8637f))
- createNode return promise [#34399](https://github.com/gatsbyjs/gatsby/issues/34399) ([8a9b023](https://github.com/gatsbyjs/gatsby/commit/8a9b023510650e71f00f8c5c3d841e199f5b3ad0))
- Wrong route resolved by findPageByPath function resolved [#34070](https://github.com/gatsbyjs/gatsby/issues/34070) ([0cc5a5a](https://github.com/gatsbyjs/gatsby/commit/0cc5a5a68fd145805aba08b41bfd6705d19804a8))
- update typescript to v5 (major) [#33786](https://github.com/gatsbyjs/gatsby/issues/33786) ([33049c8](https://github.com/gatsbyjs/gatsby/commit/33049c8e5384c856dd5fa28e79ad4c76ad628ad5))
- update dependency eslint-plugin-react to ^7.28.0 [#34372](https://github.com/gatsbyjs/gatsby/issues/34372) ([3af68e1](https://github.com/gatsbyjs/gatsby/commit/3af68e1413514f3f5e5f6a448cfb3383db76dbe3))
- resolve createNode promise when datastore is ready resolve [#34277](https://github.com/gatsbyjs/gatsby/issues/34277) ([c7efdb9](https://github.com/gatsbyjs/gatsby/commit/c7efdb99cdf03df028a56705921a032afdf7d6e4))
- handle case of html and data files mismatch [#34225](https://github.com/gatsbyjs/gatsby/issues/34225) ([97e942e](https://github.com/gatsbyjs/gatsby/commit/97e942e28cccaf665fd94cfa8f3aed2c28237dbb))
- Reorder head tags [#34030](https://github.com/gatsbyjs/gatsby/issues/34030) ([10c8227](https://github.com/gatsbyjs/gatsby/commit/10c8227a8176b40f292243954029120dab6d2ba8))
- fix running config when page doesnt contain graphql or getServerData or gatsby-plugin-image fix [#34275](https://github.com/gatsbyjs/gatsby/issues/34275) ([d163724](https://github.com/gatsbyjs/gatsby/commit/d163724c2cc05171c7b3fe34820f9cab96e2058f))
- Update mini-css-extract-plugin to fix inc builds issue fix [#33979](https://github.com/gatsbyjs/gatsby/issues/33979) [#33982](https://github.com/gatsbyjs/gatsby/issues/33982) ([725dc36](https://github.com/gatsbyjs/gatsby/commit/725dc3609a85728e3dbcbd77e740b5fed488c515))

#### Performance Improvements

- use saved schema snapshot in PQR workers [#34256](https://github.com/gatsbyjs/gatsby/issues/34256) ([c231ef6](https://github.com/gatsbyjs/gatsby/commit/c231ef6cbf26195460b7f44e78d34ff2bd1666a2))

#### Chores

- Add types for `getServerData` [#34406](https://github.com/gatsbyjs/gatsby/issues/34406) ([183b5f1](https://github.com/gatsbyjs/gatsby/commit/183b5f1bd0673598559ee64ace639484f97b09c0))
- update dependency typescript to ^4.5.4 [#34358](https://github.com/gatsbyjs/gatsby/issues/34358) ([c6e4298](https://github.com/gatsbyjs/gatsby/commit/c6e42985a20d6b148442aa5f7af1880fa600780b))
- update dependency graphql to ^15.8.0 [#34366](https://github.com/gatsbyjs/gatsby/issues/34366) ([865a23e](https://github.com/gatsbyjs/gatsby/commit/865a23e5279996febe984c3662193867f9100da5))
- upgrade jest [#33277](https://github.com/gatsbyjs/gatsby/issues/33277) ([34cb202](https://github.com/gatsbyjs/gatsby/commit/34cb202d9c8c202f082edb03c4cc1815eb81abe1))

#### Other Changes

- Revert "fix(gatsby): Update mini-css-extract-plugin to fix inc builds issue (#33979)" fix [#33979](https://github.com/gatsbyjs/gatsby/issues/33979) fix [#34413](https://github.com/gatsbyjs/gatsby/issues/34413) ([26a94f2](https://github.com/gatsbyjs/gatsby/commit/26a94f218f3a8dbd2581ddb2cf4a6788fc48eaf1))
- Add backticks to inline code comments [#34235](https://github.com/gatsbyjs/gatsby/issues/34235) ([728ac09](https://github.com/gatsbyjs/gatsby/commit/728ac09cc8b4dac32da24676904d1587bb773cb4))

## [4.4.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.4.0/packages/gatsby) (2021-12-14)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.4)

#### Features

- detect node mutations (enabled by flag or env var) [#34006](https://github.com/gatsbyjs/gatsby/issues/34006) ([d8aec30](https://github.com/gatsbyjs/gatsby/commit/d8aec30c74741d6df9446a2e6bbd99b0af384121))
- Allow external systems to setup tracing for builds [#34204](https://github.com/gatsbyjs/gatsby/issues/34204) ([d3aa933](https://github.com/gatsbyjs/gatsby/commit/d3aa933bc8d3fd73861ab2775ab9017d8c6b7562))

#### Bug Fixes

- update dependency eslint-plugin-jsx-a11y to ^6.5.1 [#34147](https://github.com/gatsbyjs/gatsby/issues/34147) ([99c538b](https://github.com/gatsbyjs/gatsby/commit/99c538b7fbca33f4c17dab4ad265983304b44631))
- Update warning about long running queries [#34207](https://github.com/gatsbyjs/gatsby/issues/34207) ([6113cfc](https://github.com/gatsbyjs/gatsby/commit/6113cfc9555e0ba312e00da5a009bd1ead2b337b))
- update dependency eslint-plugin-react-hooks to ^4.3.0 [#34149](https://github.com/gatsbyjs/gatsby/issues/34149) ([b37682a](https://github.com/gatsbyjs/gatsby/commit/b37682ab5c1d5d37be83f6f6bdf9b5d8e0681847))
- update dependency eslint-plugin-import to ^2.25.3 [#34128](https://github.com/gatsbyjs/gatsby/issues/34128) ([f621cd4](https://github.com/gatsbyjs/gatsby/commit/f621cd4d8a719aedcef55467cbf0849521741c13))
- update dependency eslint-webpack-plugin to ^2.6.0 [#34150](https://github.com/gatsbyjs/gatsby/issues/34150) ([d461f59](https://github.com/gatsbyjs/gatsby/commit/d461f591c119bfeb7f8da9d306e1da54f1decb02))
- update dependency eslint-plugin-react to ^7.27.1 [#34148](https://github.com/gatsbyjs/gatsby/issues/34148) ([a21c48b](https://github.com/gatsbyjs/gatsby/commit/a21c48bbee22f50711fedf6c7b65fb57eea1ceaa))
- Add back an activity for jobs [#34061](https://github.com/gatsbyjs/gatsby/issues/34061) [#34095](https://github.com/gatsbyjs/gatsby/issues/34095) ([af39171](https://github.com/gatsbyjs/gatsby/commit/af39171c923a029211fd33dc3a1ef312bbcddd93))

#### Chores

- Update documentation around pathPrefix and assetPrefix combination fix [#34226](https://github.com/gatsbyjs/gatsby/issues/34226) ([97d23ae](https://github.com/gatsbyjs/gatsby/commit/97d23ae9f2608b8ba085402a1447760690b5277b))
- update dependency @types/eslint to v8 for gatsby [#34154](https://github.com/gatsbyjs/gatsby/issues/34154) ([81fd35a](https://github.com/gatsbyjs/gatsby/commit/81fd35a6ccb0c5b5b4514acf43e44b67fc3c1285))
- update dependency typescript to ^4.5.2 [#34144](https://github.com/gatsbyjs/gatsby/issues/34144) ([51bff91](https://github.com/gatsbyjs/gatsby/commit/51bff91246cbc48ba50c9650205b0488691fb82a))
- update createNodeManifest action updatedAt description [#34166](https://github.com/gatsbyjs/gatsby/issues/34166) ([0614fce](https://github.com/gatsbyjs/gatsby/commit/0614fced8aa4a17d7e6ce7ba95cded268ba85aa1))
- log pending jobs when build is stuck [#34102](https://github.com/gatsbyjs/gatsby/issues/34102) ([1dae7f5](https://github.com/gatsbyjs/gatsby/commit/1dae7f52e095e352d531d13cdc480fb0d498e1ef))

## [4.3.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.3.0/packages/gatsby) (2021-12-01)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.3)

#### Features

- Node manifest api v2 [#34024](https://github.com/gatsbyjs/gatsby/issues/34024) ([a7f3f85](https://github.com/gatsbyjs/gatsby/commit/a7f3f85dc64377ff6fadc865155aeb878c7cf97f))
- Reduce cost of sourcing after the initial [#33692](https://github.com/gatsbyjs/gatsby/issues/33692) ([7922bd6](https://github.com/gatsbyjs/gatsby/commit/7922bd68cc740f38600135d0518b5d933cf90add))

#### Bug Fixes

- create placeholder interface if it doesn't exist yet when merging SDL type [#34089](https://github.com/gatsbyjs/gatsby/issues/34089) ([8650b53](https://github.com/gatsbyjs/gatsby/commit/8650b535c507a8425b9d75ed50449f954b6dab5d))
- node manifests v2 inc builds [#34086](https://github.com/gatsbyjs/gatsby/issues/34086) ([63183e3](https://github.com/gatsbyjs/gatsby/commit/63183e392fa8b33551b4d1a18e637299635c4f76))
- Pin `remark-mdx` to `2.0.0-next.7` [#34064](https://github.com/gatsbyjs/gatsby/issues/34064) ([c41bb5e](https://github.com/gatsbyjs/gatsby/commit/c41bb5e7b0647bd96841df8400f76266ff55675e))
- use new `renderToPipeableStream` [#34031](https://github.com/gatsbyjs/gatsby/issues/34031) ([b0fb8ce](https://github.com/gatsbyjs/gatsby/commit/b0fb8ce79fe341b89a102ce86b6535e50ab4a6f7))

#### Performance Improvements

- remove unnecessary code from engines [#34048](https://github.com/gatsbyjs/gatsby/issues/34048) ([09253b0](https://github.com/gatsbyjs/gatsby/commit/09253b0aff1d545ba145508563e97499afd0b72a))

#### Chores

- log pending jobs when build is stuck [#34102](https://github.com/gatsbyjs/gatsby/issues/34102) [#34107](https://github.com/gatsbyjs/gatsby/issues/34107) ([b90f394](https://github.com/gatsbyjs/gatsby/commit/b90f39461615b2131463b1c9396cd80e505755bf))
- Fix lint issue ([1522294](https://github.com/gatsbyjs/gatsby/commit/15222945ea8ad1e3e51e87132a175de76d0ca70c))
- Add `getServerData` to PageProps type [#34003](https://github.com/gatsbyjs/gatsby/issues/34003) ([2c9f67c](https://github.com/gatsbyjs/gatsby/commit/2c9f67cd6dcb2a0ea27371f6842ca00aee4ccaa0))
- add `getCache` helper to `NodePluginArgs` [#33984](https://github.com/gatsbyjs/gatsby/issues/33984) ([8a1e1f0](https://github.com/gatsbyjs/gatsby/commit/8a1e1f0d12d5bf58ea4defca2a5b572a684f2f64))

#### Other Changes

- Update docs. ([3ec17ab](https://github.com/gatsbyjs/gatsby/commit/3ec17ab248a8701c248e3ed03c97f8850a60cf5d))
- Clarify that the node for ownerNodeId must be queried on the page [#34054](https://github.com/gatsbyjs/gatsby/issues/34054) ([640cce9](https://github.com/gatsbyjs/gatsby/commit/640cce98e902d6fcb0b363bec1c5a223f1625436))

## [4.2.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.2.0/packages/gatsby) (2021-11-16)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.2)

#### Features

- Exclude tests in Gatsby Functions [#33834](https://github.com/gatsbyjs/gatsby/issues/33834) ([bd28489](https://github.com/gatsbyjs/gatsby/commit/bd28489a1019d2109c5ec695583d34c9994913ef))
- let Gatsby clear the module cache in workers for `render-page.js` [#33826](https://github.com/gatsbyjs/gatsby/issues/33826) ([7b7c81f](https://github.com/gatsbyjs/gatsby/commit/7b7c81f3292ae78d29af3d046739249dea3ed8a2))

#### Bug Fixes

- ensure that writing node manifests to disk does not break on Windows [#33853](https://github.com/gatsbyjs/gatsby/issues/33853) ([f525ce0](https://github.com/gatsbyjs/gatsby/commit/f525ce05c6fa6c4d1096922e0fac8b6370016b2a))
- Ensure status returned by getServerData is respected [#33914](https://github.com/gatsbyjs/gatsby/issues/33914) ([9a32590](https://github.com/gatsbyjs/gatsby/commit/9a32590d31a32af0e681016ef3d358ce82b98ee2))
- allow not defining entry for subplugins [#33900](https://github.com/gatsbyjs/gatsby/issues/33900) ([f87164f](https://github.com/gatsbyjs/gatsby/commit/f87164f6af6285365ec2098d6233313a6b4c0982))
- wrap graphql engine initialization in activity [#33898](https://github.com/gatsbyjs/gatsby/issues/33898) ([2391aa1](https://github.com/gatsbyjs/gatsby/commit/2391aa12ceb549047e596861931cdac48373e5b4))
- TS type for `createTypes` action arrays [#33588](https://github.com/gatsbyjs/gatsby/issues/33588) ([2212c09](https://github.com/gatsbyjs/gatsby/commit/2212c0911bbb21f418283af094e2f96414050974))
- Allow all env vars in `getServerData` [#33690](https://github.com/gatsbyjs/gatsby/issues/33690) ([6134b72](https://github.com/gatsbyjs/gatsby/commit/6134b7282dc6774f383aa76a70d2e96d274997c5))
- API doc about `unstable_createNodeManifest` [#33867](https://github.com/gatsbyjs/gatsby/issues/33867) ([7247e53](https://github.com/gatsbyjs/gatsby/commit/7247e53775d38f6c1b65655b307c3620ed0eea77))
- TS type for `unstable_createNodeManifest` action [#33865](https://github.com/gatsbyjs/gatsby/issues/33865) ([09effad](https://github.com/gatsbyjs/gatsby/commit/09effadac3eb4de01c204776a2306f5310220e83))
- Reuse readPageData [#33595](https://github.com/gatsbyjs/gatsby/issues/33595) ([2a9ee7c](https://github.com/gatsbyjs/gatsby/commit/2a9ee7c8cd1ba9994f10e911f6b140144796f3f9))
- preserve query params on pages without trailing slashes [#33811](https://github.com/gatsbyjs/gatsby/issues/33811) ([01eeffe](https://github.com/gatsbyjs/gatsby/commit/01eeffe2105a9dec815b69b5aa2b85e449dfb489))
- apply getServerData response header in develop [#33810](https://github.com/gatsbyjs/gatsby/issues/33810) ([84f45fd](https://github.com/gatsbyjs/gatsby/commit/84f45fdc9f826121f088e28b212c8f63f372e543))
- Don't warn about `config` in ESLint [#33795](https://github.com/gatsbyjs/gatsby/issues/33795) ([f287edb](https://github.com/gatsbyjs/gatsby/commit/f287edb988c086f11a846a00ff536640e10b47ea))
- update minor and patch dependencies for gatsby [#33782](https://github.com/gatsbyjs/gatsby/issues/33782) ([5a05205](https://github.com/gatsbyjs/gatsby/commit/5a0520577ca444791164a38137a0b0c4849c7527))
- update dependency eslint-plugin-import to ^2.25.2 [#33780](https://github.com/gatsbyjs/gatsby/issues/33780) ([4dbe02e](https://github.com/gatsbyjs/gatsby/commit/4dbe02ee51988927795d547f219a0ffdd50e174a))

#### Chores

- Correct fromNode TS type [#33912](https://github.com/gatsbyjs/gatsby/issues/33912) ([af402cf](https://github.com/gatsbyjs/gatsby/commit/af402cfbd9366e940127f28f4022f80b0f73defb))
- Update inference-metadata type [#33839](https://github.com/gatsbyjs/gatsby/issues/33839) ([0212a8b](https://github.com/gatsbyjs/gatsby/commit/0212a8bf360cce8d0b93a300d5240c7cb79a48a0))
- Fix index.d.ts file Fix [#33805](https://github.com/gatsbyjs/gatsby/issues/33805) ([6c5de79](https://github.com/gatsbyjs/gatsby/commit/6c5de7932b7d635e9651593223bd6b448367c205))
- update dependency graphql to ^15.7.2 [#33774](https://github.com/gatsbyjs/gatsby/issues/33774) ([2a049e5](https://github.com/gatsbyjs/gatsby/commit/2a049e589dd039d2f3c9365551b215188fb0b159))
- update dependency @types/semver to ^7.3.9 [#33752](https://github.com/gatsbyjs/gatsby/issues/33752) ([8ce96d2](https://github.com/gatsbyjs/gatsby/commit/8ce96d2c87610f91914d847645dd75707f270519))
- update dependency typescript to ^4.4.4 [#33757](https://github.com/gatsbyjs/gatsby/issues/33757) ([7743561](https://github.com/gatsbyjs/gatsby/commit/7743561bbbe0a621d22030fecbba97dfc3e566d1))

### [4.1.6](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.1.6/packages/gatsby) (2021-11-15)

**Note:** Version bump only for package gatsby

### [4.1.5](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.1.5/packages/gatsby) (2021-11-15)

#### Bug Fixes

- ensure that writing node manifests to disk does not break on Windows [#33853](https://github.com/gatsbyjs/gatsby/issues/33853) [#33973](https://github.com/gatsbyjs/gatsby/issues/33973) ([740844c](https://github.com/gatsbyjs/gatsby/commit/740844c5998273b9dbf53cbf444098629b0c29a7))

### [4.1.4](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.1.4/packages/gatsby) (2021-11-11)

**Note:** Version bump only for package gatsby

### [4.1.3](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.1.3/packages/gatsby) (2021-11-10)

**Note:** Version bump only for package gatsby

### [4.1.2](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.1.2/packages/gatsby) (2021-11-09)

#### Bug Fixes

- allow not defining entry for subplugins [#33900](https://github.com/gatsbyjs/gatsby/issues/33900) [#33909](https://github.com/gatsbyjs/gatsby/issues/33909) ([4975ee2](https://github.com/gatsbyjs/gatsby/commit/4975ee26561a520daf8e2082479d21b2062a862e))

### [4.1.1](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.1.1/packages/gatsby) (2021-11-08)

#### Bug Fixes

- preserve query params on pages without trailing slashes [#33811](https://github.com/gatsbyjs/gatsby/issues/33811) [#33894](https://github.com/gatsbyjs/gatsby/issues/33894) ([e32b355](https://github.com/gatsbyjs/gatsby/commit/e32b355e094d22b83847fbd21e02a65d7ea37b84))

## [4.1.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.1.0/packages/gatsby) (2021-11-02)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.1)

#### Features

- Add JSX Runtime options to `gatsby-config.js` [#33050](https://github.com/gatsbyjs/gatsby/issues/33050) ([c2e181d](https://github.com/gatsbyjs/gatsby/commit/c2e181d4233ee5daba68eb688a2f208f46e276b1))
- DSG support for FS routes [#33697](https://github.com/gatsbyjs/gatsby/issues/33697) ([dd46c64](https://github.com/gatsbyjs/gatsby/commit/dd46c640fc02ea0b3dfa8788ca4a3d21e7783fe4))
- enable simple resolver timings in queries [#33707](https://github.com/gatsbyjs/gatsby/issues/33707) ([55f9f1b](https://github.com/gatsbyjs/gatsby/commit/55f9f1b174bad10ecee481120a86bcc1bb8db3d4))
- opentracing plumbing [#33329](https://github.com/gatsbyjs/gatsby/issues/33329) ([a6a04c6](https://github.com/gatsbyjs/gatsby/commit/a6a04c664cb20592c7192b5a40ccf6bbc722fb46))
- Cache query-engine & page-ssr [#33665](https://github.com/gatsbyjs/gatsby/issues/33665) ([ee0967a](https://github.com/gatsbyjs/gatsby/commit/ee0967ab73bf8c5819ee0cee494d02efda948361))
- pass page context to getServerData [#33626](https://github.com/gatsbyjs/gatsby/issues/33626) ([e0fcf38](https://github.com/gatsbyjs/gatsby/commit/e0fcf387b54c390eb019bc1a1d6a0b875a4cde8f))

#### Bug Fixes

- Don't warn about `config` in ESLint [#33795](https://github.com/gatsbyjs/gatsby/issues/33795) [#33813](https://github.com/gatsbyjs/gatsby/issues/33813) ([7427c84](https://github.com/gatsbyjs/gatsby/commit/7427c845e481fff60af17b3e1fb7ebaadc4969f3))
- only add tracing resolver once [#33706](https://github.com/gatsbyjs/gatsby/issues/33706) ([42c4e10](https://github.com/gatsbyjs/gatsby/commit/42c4e108d692e48ef0c00f981230807053ef0f5f))
- only send ipc of ENGINES_READY when needed [#33716](https://github.com/gatsbyjs/gatsby/issues/33716) ([109cf74](https://github.com/gatsbyjs/gatsby/commit/109cf749c25cdb9c8f4c7320de1f408f29007376))
- single page node manifest accuracy [#33642](https://github.com/gatsbyjs/gatsby/issues/33642) ([4b6d04b](https://github.com/gatsbyjs/gatsby/commit/4b6d04b9b8b9c68d651a78f1cb42a18eca846fa5))
- reset jobs cache when its outdated [#33617](https://github.com/gatsbyjs/gatsby/issues/33617) ([8292957](https://github.com/gatsbyjs/gatsby/commit/829295737449b62df010a568362aea46dca08a0d))
- pageContext should proxy to page.context [#33627](https://github.com/gatsbyjs/gatsby/issues/33627) ([2eae769](https://github.com/gatsbyjs/gatsby/commit/2eae7699834fbf32aa6891ad6a7f88ac95769c3e))

#### Chores

- Fix index.d.ts file Fix [#33805](https://github.com/gatsbyjs/gatsby/issues/33805) Fix [#33817](https://github.com/gatsbyjs/gatsby/issues/33817) ([05bc7a2](https://github.com/gatsbyjs/gatsby/commit/05bc7a2e45cf0196fc6235071301a28d2d2e8d05))
- correct flow typing file-parser [#33584](https://github.com/gatsbyjs/gatsby/issues/33584) ([89bf9f2](https://github.com/gatsbyjs/gatsby/commit/89bf9f2de61cbb184637c0cc97ded3915dad3258))
- NodeModel.findAll returns a Promise [#33653](https://github.com/gatsbyjs/gatsby/issues/33653) ([9a23c01](https://github.com/gatsbyjs/gatsby/commit/9a23c01357ddaa0f3b698e3b9679633789e9be15))
- Update `api-ssr-docs` [#33580](https://github.com/gatsbyjs/gatsby/issues/33580) ([c7d166a](https://github.com/gatsbyjs/gatsby/commit/c7d166a54d39f4b1224887859217a2b2aa19a268))
- Correct Gatsby SSR APIs types [#33581](https://github.com/gatsbyjs/gatsby/issues/33581) ([7088b48](https://github.com/gatsbyjs/gatsby/commit/7088b480d38b9923e7cdf3ddc6f88f6c0a1be408))
- v4 changes [#33614](https://github.com/gatsbyjs/gatsby/issues/33614) ([bce5b92](https://github.com/gatsbyjs/gatsby/commit/bce5b92f4921d048b8ed1ccfd74f97f8e267ae89))
- Update README [#33615](https://github.com/gatsbyjs/gatsby/issues/33615) ([5a5bc2b](https://github.com/gatsbyjs/gatsby/commit/5a5bc2bdd7fb05ccc36c2dbe3b8de17fe5d3587f))
- Change comment format in actions/public [#33592](https://github.com/gatsbyjs/gatsby/issues/33592) ([26748f2](https://github.com/gatsbyjs/gatsby/commit/26748f222610ed644a6c288a74d0cc7834e7a089))

### [4.0.2](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.0.2/packages/gatsby) (2021-10-28)

#### Bug Fixes

- only send ipc of ENGINES_READY when needed [#33716](https://github.com/gatsbyjs/gatsby/issues/33716) [#33722](https://github.com/gatsbyjs/gatsby/issues/33722) ([03efe4d](https://github.com/gatsbyjs/gatsby/commit/03efe4dc156888b8c47d2d51ba1053e29842595e))

### [4.0.1](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.0.1/packages/gatsby) (2021-10-25)

#### Bug Fixes

- reset jobs cache when its outdated [#33617](https://github.com/gatsbyjs/gatsby/issues/33617) [#33660](https://github.com/gatsbyjs/gatsby/issues/33660) ([42358ee](https://github.com/gatsbyjs/gatsby/commit/42358ee71bb88fb6c6d0a721a3e0fe54f9a60fd5))
- pageContext should proxy to page.context [#33627](https://github.com/gatsbyjs/gatsby/issues/33627) [#33661](https://github.com/gatsbyjs/gatsby/issues/33661) ([8c99000](https://github.com/gatsbyjs/gatsby/commit/8c99000646b29688b235408b4400d9e54c9d3f5f))

## [4.0.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@4.0.0/packages/gatsby) (2021-10-21)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.0)

#### Features

- capture number of ssg,dsg,ssr pages in telemetry [#33337](https://github.com/gatsbyjs/gatsby/issues/33337) ([7d66a23](https://github.com/gatsbyjs/gatsby/commit/7d66a23cb811189060c44a5296e9e89c19e67128))
- add queue to prefetch [#33530](https://github.com/gatsbyjs/gatsby/issues/33530) ([2975c4d](https://github.com/gatsbyjs/gatsby/commit/2975c4d1271e3da52b531ad2f49261c362e5ae13))
- track jobs per query in engines [#33503](https://github.com/gatsbyjs/gatsby/issues/33503) ([8908dca](https://github.com/gatsbyjs/gatsby/commit/8908dcaee6b7a3e76c8e3668c9c9910ff6849a02))
- add support for 500.html [#33488](https://github.com/gatsbyjs/gatsby/issues/33488) ([451bf78](https://github.com/gatsbyjs/gatsby/commit/451bf786be4c002192f8e95cd84efbb76515abf0))
- support named splats in functions [#33301](https://github.com/gatsbyjs/gatsby/issues/33301) ([018c041](https://github.com/gatsbyjs/gatsby/commit/018c041154818e7d85a722b0e18b6a63414fcb96))
- hot-reload page rendering mode [#33455](https://github.com/gatsbyjs/gatsby/issues/33455) ([1dd00b7](https://github.com/gatsbyjs/gatsby/commit/1dd00b75ea24143ed1e4cbc6c540dd8a8d329ae4))
- Update `context.nodeModel` methods [#33489](https://github.com/gatsbyjs/gatsby/issues/33489) ([787dc23](https://github.com/gatsbyjs/gatsby/commit/787dc237c4c6fe4a25751208d40ef0bff00bcdb4))
- Error overlay for `getServerData` [#33475](https://github.com/gatsbyjs/gatsby/issues/33475) ([d897016](https://github.com/gatsbyjs/gatsby/commit/d897016530b5ffd9ec561f53b3bfc5c287ef1276))
- validate engines during the build [#33413](https://github.com/gatsbyjs/gatsby/issues/33413) ([664af4d](https://github.com/gatsbyjs/gatsby/commit/664af4d7b945f824ac80f17de53c5f61e1fc8932))
- hot reload getServerData [#33398](https://github.com/gatsbyjs/gatsby/issues/33398) ([4734415](https://github.com/gatsbyjs/gatsby/commit/47344156c3b8eb0a19a9c6ddc9512dc94f69b1ac))
- disable inference for internal types [#33341](https://github.com/gatsbyjs/gatsby/issues/33341) ([95fd79f](https://github.com/gatsbyjs/gatsby/commit/95fd79f462876cee6016ca1c3a18ea4785458728))
- handle search params in resource loader [#33209](https://github.com/gatsbyjs/gatsby/issues/33209) ([5c22948](https://github.com/gatsbyjs/gatsby/commit/5c22948094d98f3d4ea90253c80fc78d9f53cc20))
- Don't crash the build process when in preview mode [#33184](https://github.com/gatsbyjs/gatsby/issues/33184) ([c2d42ec](https://github.com/gatsbyjs/gatsby/commit/c2d42ecc2dccc0862a4a0c796e2db9dec57fcb16))
- engines activity [#33273](https://github.com/gatsbyjs/gatsby/issues/33273) ([29298f6](https://github.com/gatsbyjs/gatsby/commit/29298f6eafec75b6ef514384cab63f5c5b5e5a1b))
- remove gatsby-admin [#33278](https://github.com/gatsbyjs/gatsby/issues/33278) ([edb8ffc](https://github.com/gatsbyjs/gatsby/commit/edb8ffcd7726f3a18f8981963d1926a912c55fda))
- drop SitePage inference and schema update [#33319](https://github.com/gatsbyjs/gatsby/issues/33319) ([17a3f9f](https://github.com/gatsbyjs/gatsby/commit/17a3f9f69ae2710f4aeef27603226281f2713281))
- move away from old default uuid [#33275](https://github.com/gatsbyjs/gatsby/issues/33275) ([325fdf4](https://github.com/gatsbyjs/gatsby/commit/325fdf4a068acf755ed124cb522e133ea5c31157))
- add webpack-logging plugin to Gatsby for debugging [#33214](https://github.com/gatsbyjs/gatsby/issues/33214) ([d3a8736](https://github.com/gatsbyjs/gatsby/commit/d3a8736c8f7c39c943a36c2b8a6d59042b31179e))
- don't infer pageContext [#33268](https://github.com/gatsbyjs/gatsby/issues/33268) ([98da58a](https://github.com/gatsbyjs/gatsby/commit/98da58a34b53681b885a242bce9c8dde4c8aecf5))
- provide fetch in ssr bundle by default [#33155](https://github.com/gatsbyjs/gatsby/issues/33155) ([89a30e8](https://github.com/gatsbyjs/gatsby/commit/89a30e84f5f35c83a58a6a7277479ed70aef6d72))
- print message pointing to pqr feedback if running queries throws [#33187](https://github.com/gatsbyjs/gatsby/issues/33187) ([25378f1](https://github.com/gatsbyjs/gatsby/commit/25378f15fdc1908b61db42ead3610db77a8976ed))
- add fetch mutex for PQR [#33161](https://github.com/gatsbyjs/gatsby/issues/33161) ([aa050d7](https://github.com/gatsbyjs/gatsby/commit/aa050d7bb7857a98a4b3b9be92058bff8c4400f0))
- split page-renderer per route [#33054](https://github.com/gatsbyjs/gatsby/issues/33054) ([8b32cb9](https://github.com/gatsbyjs/gatsby/commit/8b32cb99411191daa4e1c395eb9d106eb3dfce20))

#### Bug Fixes

- use lmdb.removeSync so getNode can't return deleted nodes [#33554](https://github.com/gatsbyjs/gatsby/issues/33554) ([98a843c](https://github.com/gatsbyjs/gatsby/commit/98a843c0ba1db325bde2cbc8ac6906348ffe2dc3))
- restore onPreBuild to being called right after bootstrap finishes [#33591](https://github.com/gatsbyjs/gatsby/issues/33591) ([4761dc3](https://github.com/gatsbyjs/gatsby/commit/4761dc329f8da4815563704b6b16c05c5826be40))
- fix page-tree in ink-cli fix [#33579](https://github.com/gatsbyjs/gatsby/issues/33579) ([7d6a0aa](https://github.com/gatsbyjs/gatsby/commit/7d6a0aa47b37f39aafd7c7b1debfe2cc88c5d540))
- temporary workaround for stale jobs cache [#33586](https://github.com/gatsbyjs/gatsby/issues/33586) ([68fe836](https://github.com/gatsbyjs/gatsby/commit/68fe836576e69b1e38f4bd0f994319143c701c3f))
- Update internal usage of .runQuery [#33571](https://github.com/gatsbyjs/gatsby/issues/33571) ([a800d9d](https://github.com/gatsbyjs/gatsby/commit/a800d9d45ecf94ea58fa783be7dac464986e8fef))
- only remove unused code when apis got removed [#33527](https://github.com/gatsbyjs/gatsby/issues/33527) ([ccca4b3](https://github.com/gatsbyjs/gatsby/commit/ccca4b3fa190ccfa22d420cdf89d829c2dad74c0))
- assign correct parentSpans to PQR activities [#33568](https://github.com/gatsbyjs/gatsby/issues/33568) ([8dbf550](https://github.com/gatsbyjs/gatsby/commit/8dbf5509b6df03ac3d44077d7094a48714ce6112))
- emit file nodes after source updates [#33548](https://github.com/gatsbyjs/gatsby/issues/33548) ([5110074](https://github.com/gatsbyjs/gatsby/commit/5110074bd3866c70b92fa4ff6bce941a4ae9c5eb))
- make sure 404 and 500 page inherit stateful status from original page [#33544](https://github.com/gatsbyjs/gatsby/issues/33544) ([d2329df](https://github.com/gatsbyjs/gatsby/commit/d2329df1422c08b3c588cb1d9fc9a379a7ca4584))
- Warn about nodeModel changes once [#33534](https://github.com/gatsbyjs/gatsby/issues/33534) ([0d7179e](https://github.com/gatsbyjs/gatsby/commit/0d7179e39f30a50f2a4bee3626d0c4acab1822ca))
- warnOnce => reportOnce for verbose support [#33529](https://github.com/gatsbyjs/gatsby/issues/33529) ([eb7fb9a](https://github.com/gatsbyjs/gatsby/commit/eb7fb9afaa52be3679a08dfc04ff2959392946ec))
- Remove `GATSBY_BUILD_STAGE` & warn against `___NODE` [#33501](https://github.com/gatsbyjs/gatsby/issues/33501) ([775289f](https://github.com/gatsbyjs/gatsby/commit/775289fa78042ed6a07e7c0b78938ff59f5bf4fa))
- Filtering page queries [#33515](https://github.com/gatsbyjs/gatsby/issues/33515) ([6379534](https://github.com/gatsbyjs/gatsby/commit/6379534509d7c20e00fe0bf7162dcf968287c62f))
- update dependency eslint-plugin-flowtype to ^5.10.0 [#33384](https://github.com/gatsbyjs/gatsby/issues/33384) ([4e78c61](https://github.com/gatsbyjs/gatsby/commit/4e78c61f5b4196d54041df248276f3a927c54be4))
- update minor and patch dependencies for gatsby [#32594](https://github.com/gatsbyjs/gatsby/issues/32594) ([dacff72](https://github.com/gatsbyjs/gatsby/commit/dacff7207b344aa6a342d84a95ea187757b32fd7))
- remove unused vars in remove api plugin [#33476](https://github.com/gatsbyjs/gatsby/issues/33476) ([3002d65](https://github.com/gatsbyjs/gatsby/commit/3002d652abd6b59791b73a21c188fd042a86f4a7))
- ensure os paths when validating engines [#33490](https://github.com/gatsbyjs/gatsby/issues/33490) ([bb39ab3](https://github.com/gatsbyjs/gatsby/commit/bb39ab3cb7c960e51204c93eb5b32d4e14433173))
- also include default-site-plugin [#33472](https://github.com/gatsbyjs/gatsby/issues/33472) ([785b04b](https://github.com/gatsbyjs/gatsby/commit/785b04bb71d274eba94995c7339bee3af7d02b4e))
- Some functions cleanup [#33469](https://github.com/gatsbyjs/gatsby/issues/33469) ([c72fa1e](https://github.com/gatsbyjs/gatsby/commit/c72fa1e6df6d5d375bd574af6e9392c43afe30cd))
- handle SSR index page in develop [#33483](https://github.com/gatsbyjs/gatsby/issues/33483) ([87bd10a](https://github.com/gatsbyjs/gatsby/commit/87bd10a16f108246aa1312bfcd1e01b5c4282db4))
- throw on query runtime errors in engines [#33464](https://github.com/gatsbyjs/gatsby/issues/33464) ([1eaa3e8](https://github.com/gatsbyjs/gatsby/commit/1eaa3e894380c8c744c8347adea2aa4b417796f5))
- Remove `@nodeInterface` functionality [#33453](https://github.com/gatsbyjs/gatsby/issues/33453) ([886a65a](https://github.com/gatsbyjs/gatsby/commit/886a65a7d71e15f091519a26dc44a6f402b3e4ef))
- replace checks for .cache/json with checks for .cache/caches-lmdb [#33431](https://github.com/gatsbyjs/gatsby/issues/33431) ([751cc43](https://github.com/gatsbyjs/gatsby/commit/751cc43193edec3e3320f399e0cc895318959fe4))
- update dependency eslint-plugin-react to ^7.26.1 [#33385](https://github.com/gatsbyjs/gatsby/issues/33385) ([f5f8e6d](https://github.com/gatsbyjs/gatsby/commit/f5f8e6dd47bd11d49a7e836defa4e3e4b52f05af))
- update typescript [#33387](https://github.com/gatsbyjs/gatsby/issues/33387) ([f2a8035](https://github.com/gatsbyjs/gatsby/commit/f2a8035644e650487abbca8b74a98b96c32d9cd2))
- update minor and patch dependencies for gatsby-cli [#32595](https://github.com/gatsbyjs/gatsby/issues/32595) ([09416ca](https://github.com/gatsbyjs/gatsby/commit/09416ca6d3fbd1eb7814feb1bb730da818ebed7b))
- postcss-svgo - remove plugin removeAttrs [#33266](https://github.com/gatsbyjs/gatsby/issues/33266) ([a1f35ca](https://github.com/gatsbyjs/gatsby/commit/a1f35ca37aed1b076f057f1522b56b75a3bdf223))
- don't re-write chunk-map.json and webpack.stats.json without changes [#33396](https://github.com/gatsbyjs/gatsby/issues/33396) ([64c4b70](https://github.com/gatsbyjs/gatsby/commit/64c4b701de9a6dc5e41c4b6a71bbcc8a38bbb55f))
- remove DEV_SSR from FAST_DEV [#33343](https://github.com/gatsbyjs/gatsby/issues/33343) ([2cda529](https://github.com/gatsbyjs/gatsby/commit/2cda5291dafa0e0425176e371e4a8d5cd5b9b906))
- unblock event loop when running queries [#33338](https://github.com/gatsbyjs/gatsby/issues/33338) ([91fde1c](https://github.com/gatsbyjs/gatsby/commit/91fde1c5a9f4d16971bb8418e7a634686d146c4e))
- update typescript [#33001](https://github.com/gatsbyjs/gatsby/issues/33001) ([6cd70f6](https://github.com/gatsbyjs/gatsby/commit/6cd70f62ecae4aeee8ece38866661be9239062cb))
- correct the definition for getNode [#33259](https://github.com/gatsbyjs/gatsby/issues/33259) [#L17-L18](https://github.com/gatsbyjs/gatsby/issues/L17-L18) ([029db52](https://github.com/gatsbyjs/gatsby/commit/029db522b238150fa1a435b1a6de5fa8b57937e5))
- allow null plugin option values on build [#33227](https://github.com/gatsbyjs/gatsby/issues/33227) ([0eba911](https://github.com/gatsbyjs/gatsby/commit/0eba91161c900466a136f3ca47065fa4a0567a89))
- fix pagetree global cli fix [#33200](https://github.com/gatsbyjs/gatsby/issues/33200) ([d515044](https://github.com/gatsbyjs/gatsby/commit/d515044895e3d9cc5e08a58d04755d11098abbf5))
- fix hydration flicker on initial render of ssr page (final this time!) fix [#33196](https://github.com/gatsbyjs/gatsby/issues/33196) ([c146750](https://github.com/gatsbyjs/gatsby/commit/c146750b0202d02403ca9b3bfa17eb6212ca1918))
- don't warn about getServerData exports [#33193](https://github.com/gatsbyjs/gatsby/issues/33193) ([e2263e8](https://github.com/gatsbyjs/gatsby/commit/e2263e88acb6f6ff7e5a26c66afd1f026067c0b2))
- make sure we emit ENGINES_READY after build-ssr [#33180](https://github.com/gatsbyjs/gatsby/issues/33180) ([3c1f285](https://github.com/gatsbyjs/gatsby/commit/3c1f285f41ab98ee3286f4af60eeef889505ccd5))
- implement shouldGenerateEngines [#33175](https://github.com/gatsbyjs/gatsby/issues/33175) ([b622b22](https://github.com/gatsbyjs/gatsby/commit/b622b22e3a32dc63a3f3fdeba312b0ebfcd1273e))
- only show peerdep warnings outside of workers [#33173](https://github.com/gatsbyjs/gatsby/issues/33173) ([2b06d36](https://github.com/gatsbyjs/gatsby/commit/2b06d36b004f4b52458a5e31c8a94fe234747c60))

#### Chores

- Update README [#33615](https://github.com/gatsbyjs/gatsby/issues/33615) ([0790895](https://github.com/gatsbyjs/gatsby/commit/079089523b9cb4bf4c112deb71b7ef1d175ab1c6))
- Change comment format in actions/public [#33592](https://github.com/gatsbyjs/gatsby/issues/33592) ([06760d7](https://github.com/gatsbyjs/gatsby/commit/06760d7801d1b1da4cfdb4925ff33bd086a75c0c))
- Add `assetPrefix` to `IGatsbyConfig` [#33575](https://github.com/gatsbyjs/gatsby/issues/33575) ([3993819](https://github.com/gatsbyjs/gatsby/commit/399381900d1f87c0009b0584e917c51fcd0ec067))
- add some comments about fs-provider import order importance [#33523](https://github.com/gatsbyjs/gatsby/issues/33523) ([e31edb9](https://github.com/gatsbyjs/gatsby/commit/e31edb9779d737fb97bbe35410377eab64552886))
- update formatting & linting [#33378](https://github.com/gatsbyjs/gatsby/issues/33378) ([d5634a4](https://github.com/gatsbyjs/gatsby/commit/d5634a48611456bbedb8c2a2eb3a45a54a0d5db4))
- Fix static query types, document useStaticQuery Fix [#33322](https://github.com/gatsbyjs/gatsby/issues/33322) ([7adef55](https://github.com/gatsbyjs/gatsby/commit/7adef559190aa9f785666b1c0ce7f9937230f171))
- upgrade lmbd to 1.6.8 [#33244](https://github.com/gatsbyjs/gatsby/issues/33244) ([56fbc6d](https://github.com/gatsbyjs/gatsby/commit/56fbc6d3e56e3060dd44a0e0ed0cccee651f08a6))
- move to DSG instead of DSR [#33189](https://github.com/gatsbyjs/gatsby/issues/33189) ([497d507](https://github.com/gatsbyjs/gatsby/commit/497d507037f601127254bde5d18584c226a38662))

#### Other Changes

- Remove deprecation warnings for touchNode/deleteNode [#33286](https://github.com/gatsbyjs/gatsby/issues/33286) ([aec9981](https://github.com/gatsbyjs/gatsby/commit/aec998198e87ae055abbdae7da15a2a7d22ca813))
- handle edge cases introduced with 404 for not existing pages [#33288](https://github.com/gatsbyjs/gatsby/issues/33288) ([30e88fb](https://github.com/gatsbyjs/gatsby/commit/30e88fb6b998a12877bd0cf6b6d89c4f9563bade))
- fix functions integration tests fix [#33258](https://github.com/gatsbyjs/gatsby/issues/33258) ([c6baf6d](https://github.com/gatsbyjs/gatsby/commit/c6baf6df9c72b87512e14a7da9b42a0b185f76c9))
- adjust for v4 [#33234](https://github.com/gatsbyjs/gatsby/issues/33234) ([f41101c](https://github.com/gatsbyjs/gatsby/commit/f41101cadec18a9c399ee96350d010e3701d62b7))
- adjust tests after the bump [#33171](https://github.com/gatsbyjs/gatsby/issues/33171) ([4712acc](https://github.com/gatsbyjs/gatsby/commit/4712acc619c19cd23a1b2e94e7253ddd624aa927))

### [3.14.5](https://github.com/gatsbyjs/gatsby/commits/gatsby@3.14.5/packages/gatsby) (2021-10-28)

#### Bug Fixes

- single page node manifest accuracy [#33642](https://github.com/gatsbyjs/gatsby/issues/33642) [#33698](https://github.com/gatsbyjs/gatsby/issues/33698) ([857a628](https://github.com/gatsbyjs/gatsby/commit/857a6283ed976046c4b76aa2615cc5b51bd1046d))

### [3.14.4](https://github.com/gatsbyjs/gatsby/commits/gatsby@3.14.4/packages/gatsby) (2021-10-23)

#### Bug Fixes

- use lmdb.removeSync so getNode can't return deleted nodes [#33554](https://github.com/gatsbyjs/gatsby/issues/33554) [#33633](https://github.com/gatsbyjs/gatsby/issues/33633) ([d4cf891](https://github.com/gatsbyjs/gatsby/commit/d4cf891a09c24bde800f390ccf491d472e5a5d8f))

### [3.14.3](https://github.com/gatsbyjs/gatsby/commits/gatsby@3.14.3/packages/gatsby) (2021-10-16)

#### Features

- support named splats in functions [#33301](https://github.com/gatsbyjs/gatsby/issues/33301) [#33516](https://github.com/gatsbyjs/gatsby/issues/33516) ([c9bb766](https://github.com/gatsbyjs/gatsby/commit/c9bb76693ced0ca5b7225b7d0978853236ec8d18))

### [3.14.2](https://github.com/gatsbyjs/gatsby/commits/gatsby@3.14.2/packages/gatsby) (2021-10-06)

#### Features

- Don't crash the build process when in preview mode [#33184](https://github.com/gatsbyjs/gatsby/issues/33184) [#33433](https://github.com/gatsbyjs/gatsby/issues/33433) ([1604efb](https://github.com/gatsbyjs/gatsby/commit/1604efbdde97c138b11626923875ae118f7b5e67))

#### Bug Fixes

- postcss-svgo - remove plugin removeAttrs [#33266](https://github.com/gatsbyjs/gatsby/issues/33266) [#33434](https://github.com/gatsbyjs/gatsby/issues/33434) ([07f1990](https://github.com/gatsbyjs/gatsby/commit/07f1990f2d01b1c6b5def457d418294fafe3a5ea))

### [3.14.1](https://github.com/gatsbyjs/gatsby/commits/gatsby@3.14.1/packages/gatsby) (2021-09-30)

#### Bug Fixes

- unblock event loop when running queries [#33338](https://github.com/gatsbyjs/gatsby/issues/33338) [#33342](https://github.com/gatsbyjs/gatsby/issues/33342) ([6840b5f](https://github.com/gatsbyjs/gatsby/commit/6840b5f3fbabbc4dd4e23e897759c9f92a204abd))

## [3.14.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@3.14.0/packages/gatsby) (2021-09-18)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v3.14)

#### Features

- let serve use getServerData headers [#33159](https://github.com/gatsbyjs/gatsby/issues/33159) ([fe2f09b](https://github.com/gatsbyjs/gatsby/commit/fe2f09b436419b71c1e196b88b5241981d85142d))
- Add tracing for full/delta fetches and http requests [#33142](https://github.com/gatsbyjs/gatsby/issues/33142) ([91187da](https://github.com/gatsbyjs/gatsby/commit/91187dacdab45034c9ce4a1aa9f7018eb3bb1049))
- Fix gatsby plugin page creator v4 Fix [#33120](https://github.com/gatsbyjs/gatsby/issues/33120) ([4837b72](https://github.com/gatsbyjs/gatsby/commit/4837b72b8192ab5e525a1367db255a4f23321014))
- Deprecate schema-related APIs in sourceNodes [#32291](https://github.com/gatsbyjs/gatsby/issues/32291) ([3401149](https://github.com/gatsbyjs/gatsby/commit/340114956af1be28678f8b0cf760392e202aea69))
- Add aggregation resolvers to group [#32533](https://github.com/gatsbyjs/gatsby/issues/32533) ([5a14c38](https://github.com/gatsbyjs/gatsby/commit/5a14c38166b3e351b0cd592a834f6e261d5d1052))
- enable SSR mode in develop & serve [#32896](https://github.com/gatsbyjs/gatsby/issues/32896) ([bdf42c9](https://github.com/gatsbyjs/gatsby/commit/bdf42c9a9f8e91dbe594ef49a46e97f68fc872fc))
- page engine [#33067](https://github.com/gatsbyjs/gatsby/issues/33067) ([ce5af85](https://github.com/gatsbyjs/gatsby/commit/ce5af85505f6fc79110871198c7a7a212000cab8))
- graphql engine [#33030](https://github.com/gatsbyjs/gatsby/issues/33030) ([48cff06](https://github.com/gatsbyjs/gatsby/commit/48cff061dfca53b8f5236bc9c65289cc08f5a8c3))
- catch webpack chunk loading errors and completely reload the app [#33032](https://github.com/gatsbyjs/gatsby/issues/33032) ([fc83cb7](https://github.com/gatsbyjs/gatsby/commit/fc83cb79ed13514859154a4bb1499b2e25853a2a))
- Fail on incompatible gatsby-plugin-gatsby-cloud version [#33025](https://github.com/gatsbyjs/gatsby/issues/33025) ([a43a532](https://github.com/gatsbyjs/gatsby/commit/a43a532c7ea1f8e1b312771ad0df5379e8d50884))

#### Bug Fixes

- Assign parentSpan to activities that were missing them [#33122](https://github.com/gatsbyjs/gatsby/issues/33122) ([fc66250](https://github.com/gatsbyjs/gatsby/commit/fc662506e6205e529d195403a55c289fac924a65))
- fix hydration flicker on initial render of ssr page fix [#33134](https://github.com/gatsbyjs/gatsby/issues/33134) ([44afaf5](https://github.com/gatsbyjs/gatsby/commit/44afaf58762e1685fcf895b1e87a860c3ae9973a))
- prevent stack overflow when writing page-data with DSG [#33117](https://github.com/gatsbyjs/gatsby/issues/33117) ([689c7ff](https://github.com/gatsbyjs/gatsby/commit/689c7ff1ba7015c9d26d93ac0a4d8a9fc1fc7d15))
- fix onPluginInit api calls in engine fix [#33114](https://github.com/gatsbyjs/gatsby/issues/33114) ([248e067](https://github.com/gatsbyjs/gatsby/commit/248e067bbcb9645332349a99f86d041725cf3d68))
- Don't bundle moment locale files [#33092](https://github.com/gatsbyjs/gatsby/issues/33092) ([f03fb94](https://github.com/gatsbyjs/gatsby/commit/f03fb94eeb6e10ff4ac83b37ab40f496654f6758))
- fix nesting of tracing spans + add docs for OpenTelemetry fix [#33098](https://github.com/gatsbyjs/gatsby/issues/33098) ([2f70a82](https://github.com/gatsbyjs/gatsby/commit/2f70a826871bcb6a515032035813d83b01ae9b5c))
- fix experimental engines fix [#33095](https://github.com/gatsbyjs/gatsby/issues/33095) ([0df1a06](https://github.com/gatsbyjs/gatsby/commit/0df1a06426daf41791e1ca1e6b38c6caca9f83a3))
- fix client-only-paths rendering in page engine fix [#33090](https://github.com/gatsbyjs/gatsby/issues/33090) ([2bed43e](https://github.com/gatsbyjs/gatsby/commit/2bed43e7aff9070cc19c1b99693cba7bf2f61ee3))
- Send IPC message when engines are ready [#33089](https://github.com/gatsbyjs/gatsby/issues/33089) ([f4662e4](https://github.com/gatsbyjs/gatsby/commit/f4662e4a20ab4cba27b54b792e9d0d34a928e364))
- Add TS type/v4 patches for `unstable_onPluginInit` [#33062](https://github.com/gatsbyjs/gatsby/issues/33062) ([8901eb2](https://github.com/gatsbyjs/gatsby/commit/8901eb2afe46791a654f0ef67828a12c577b3f2a))
- reduce page-renderer-size [#33051](https://github.com/gatsbyjs/gatsby/issues/33051) ([1bf112e](https://github.com/gatsbyjs/gatsby/commit/1bf112ee407a147b168930aacf9c6d115a840d86))
- update dependency eslint-plugin-flowtype to ^5.9.2 [#32987](https://github.com/gatsbyjs/gatsby/issues/32987) ([de437d6](https://github.com/gatsbyjs/gatsby/commit/de437d639591cd8e6f0abc96813029de18cbf661))
- update dependency core-js to ^3.17.2 [#32980](https://github.com/gatsbyjs/gatsby/issues/32980) ([efdf037](https://github.com/gatsbyjs/gatsby/commit/efdf0378a98dddd898c4a051ec7b4fd0da211a5e))
- add missing built-in types [#33014](https://github.com/gatsbyjs/gatsby/issues/33014) ([66d9243](https://github.com/gatsbyjs/gatsby/commit/66d9243fe3fbd22e9ecf52d9f5ec4cc0b65b096a))
- update dependency chokidar to ^3.5.2 [#32985](https://github.com/gatsbyjs/gatsby/issues/32985) ([e710518](https://github.com/gatsbyjs/gatsby/commit/e710518ab85953e194ef6f6e8bc9828aa47d3ad4))
- update dependency eslint-plugin-react to ^7.25.1 [#32998](https://github.com/gatsbyjs/gatsby/issues/32998) ([14ac745](https://github.com/gatsbyjs/gatsby/commit/14ac745d57154c7c49639c3ec92a4203da54b72b))
- update dependency eslint-plugin-import to ^2.24.2 [#32997](https://github.com/gatsbyjs/gatsby/issues/32997) ([b1097a7](https://github.com/gatsbyjs/gatsby/commit/b1097a797639cc21428aa40459c00f7607e70dd0))
- Proper cache status event [#32962](https://github.com/gatsbyjs/gatsby/issues/32962) ([383de2b](https://github.com/gatsbyjs/gatsby/commit/383de2bc69c596ca546428d611c551325b34a527))
- don't log FAST_DEV message for each worker [#32961](https://github.com/gatsbyjs/gatsby/issues/32961) ([e547dc3](https://github.com/gatsbyjs/gatsby/commit/e547dc3a327365528404e18da1341ba281a9d0e9))
- set staticQueryResultHash to new hash on data change [#32949](https://github.com/gatsbyjs/gatsby/issues/32949) ([88e1559](https://github.com/gatsbyjs/gatsby/commit/88e1559c444156d668cc2c4ec732e6c39aff2dac))

#### Chores

- add webpack file to export same version [#33126](https://github.com/gatsbyjs/gatsby/issues/33126) ([d31645c](https://github.com/gatsbyjs/gatsby/commit/d31645c10352363f1af509a11ad633604be3f40e))
- add environment variable for setting tracing config file [#32513](https://github.com/gatsbyjs/gatsby/issues/32513) ([323920d](https://github.com/gatsbyjs/gatsby/commit/323920dbb9778992ebf8cdde88595456e536d30a))
- update babel monorepo [#32996](https://github.com/gatsbyjs/gatsby/issues/32996) ([048c7a7](https://github.com/gatsbyjs/gatsby/commit/048c7a727bbc6a9ad8e27afba72ee20e946c4aaa))
- update [dev] major dependencies for gatsby (major) [#32634](https://github.com/gatsbyjs/gatsby/issues/32634) ([03f5951](https://github.com/gatsbyjs/gatsby/commit/03f59512c5f26090b5cb78da37a754605798e41b))
- update semver [#32979](https://github.com/gatsbyjs/gatsby/issues/32979) ([ecf1fa7](https://github.com/gatsbyjs/gatsby/commit/ecf1fa7ef10a60e7631a8f8fad8a33c1d0acaad6))
- upgrade got package [#32928](https://github.com/gatsbyjs/gatsby/issues/32928) ([2ac366e](https://github.com/gatsbyjs/gatsby/commit/2ac366e3745990d47c01f19875f185d0355c89b5))
- update fs-extra (major) [#32654](https://github.com/gatsbyjs/gatsby/issues/32654) ([eea2687](https://github.com/gatsbyjs/gatsby/commit/eea26873f386d02f27c1708291da0c56585663eb))

#### Other Changes

- initial [#33088](https://github.com/gatsbyjs/gatsby/issues/33088) ([f0c33ef](https://github.com/gatsbyjs/gatsby/commit/f0c33ef280145428a17e82ac66b988945b597f79))
- Revert "chore(release): Publish next" ([a0c4d44](https://github.com/gatsbyjs/gatsby/commit/a0c4d44488ce00c8917b4d364e4369d337fdcfd9))

### [3.13.1](https://github.com/gatsbyjs/gatsby/commits/gatsby@3.13.1/packages/gatsby) (2021-09-16)

#### Bug Fixes

- Don't bundle moment locale files [#33092](https://github.com/gatsbyjs/gatsby/issues/33092) [#33222](https://github.com/gatsbyjs/gatsby/issues/33222) ([093f7b4](https://github.com/gatsbyjs/gatsby/commit/093f7b47487f812999013e1a4efe484b99339a53))

## [3.13.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@3.13.0/packages/gatsby) (2021-09-01)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v3.13)

#### Features

- enable webpack caching in development for everyone [#32922](https://github.com/gatsbyjs/gatsby/issues/32922) ([aba5eba](https://github.com/gatsbyjs/gatsby/commit/aba5eba287f22d21fdf32f1fbcf087cc7572d6ac))
- Move page-data & HTML utils to package [#32861](https://github.com/gatsbyjs/gatsby/issues/32861) ([114e3d3](https://github.com/gatsbyjs/gatsby/commit/114e3d39695bd96b8c477a413f5927317a19b4cb))
- add node manifest page data digest [#32837](https://github.com/gatsbyjs/gatsby/issues/32837) ([c991ab4](https://github.com/gatsbyjs/gatsby/commit/c991ab44e5aa2f040bf336e15ce9cc02baf3f589))
- Opt in 20% of users to webpack dev server caching [#32829](https://github.com/gatsbyjs/gatsby/issues/32829) ([51b8420](https://github.com/gatsbyjs/gatsby/commit/51b8420dd45c42aab1e8da490548eabeaeed67a1))
- Add `defer` to createPage [#32783](https://github.com/gatsbyjs/gatsby/issues/32783) ([58d5a2c](https://github.com/gatsbyjs/gatsby/commit/58d5a2c6955f1263dd5f2b28369a9c177485d36a))

#### Bug Fixes

- don't log FAST_DEV message for each worker [#32961](https://github.com/gatsbyjs/gatsby/issues/32961) [#32967](https://github.com/gatsbyjs/gatsby/issues/32967) [#32961](https://github.com/gatsbyjs/gatsby/issues/32961) ([91dc167](https://github.com/gatsbyjs/gatsby/commit/91dc167783f3fd73e4e84c73aeac891d594abb06))
- set staticQueryResultHash to new hash on data change [#32949](https://github.com/gatsbyjs/gatsby/issues/32949) [#32966](https://github.com/gatsbyjs/gatsby/issues/32966) ([f936c93](https://github.com/gatsbyjs/gatsby/commit/f936c93d6f10cafd79644318ccb35dbbec526e2d))
- add this typings to actions [#32210](https://github.com/gatsbyjs/gatsby/issues/32210) ([cf9c066](https://github.com/gatsbyjs/gatsby/commit/cf9c0669d3351dd09409889975f7efb2520e9e0d))
- update typescript to ^4.29.3 [#32614](https://github.com/gatsbyjs/gatsby/issues/32614) ([41f5337](https://github.com/gatsbyjs/gatsby/commit/41f5337e75e1bb378af9e4c0bb5ce16e44cda175))
- add react-com as devDep [#32865](https://github.com/gatsbyjs/gatsby/issues/32865) ([d81c9e1](https://github.com/gatsbyjs/gatsby/commit/d81c9e1bf0892be990973d80948f9a0b9a7f4037))
- Correct server type [#32853](https://github.com/gatsbyjs/gatsby/issues/32853) ([85faee3](https://github.com/gatsbyjs/gatsby/commit/85faee335497e1a7eab58fbd15d4c14531b021b8))
- Hashes and anchors in redirects also work in production [#32850](https://github.com/gatsbyjs/gatsby/issues/32850) ([0654800](https://github.com/gatsbyjs/gatsby/commit/0654800d550b6dfaa41d9598842887eb15167ec7))
- Remove `removeDimensions` from svgo config [#32834](https://github.com/gatsbyjs/gatsby/issues/32834) ([09679a1](https://github.com/gatsbyjs/gatsby/commit/09679a1d1a6cd745591304d069b0266a4b8f5bbf))

#### Chores

- enable test parallelism [#32766](https://github.com/gatsbyjs/gatsby/issues/32766) ([53aa88e](https://github.com/gatsbyjs/gatsby/commit/53aa88ed89f08d434f7da1efb057615aa97acf04))
- enable lmdb by default and update node for next major [#32695](https://github.com/gatsbyjs/gatsby/issues/32695) ([d87c5cb](https://github.com/gatsbyjs/gatsby/commit/d87c5cba4101ee4406615fde9ed1179695f9a7d2))
- update changelogs [#32924](https://github.com/gatsbyjs/gatsby/issues/32924) ([f556a00](https://github.com/gatsbyjs/gatsby/commit/f556a00a9ccd9e529423a24c8308886809fb5f75))
- re-generate changelogs [#32886](https://github.com/gatsbyjs/gatsby/issues/32886) ([417df15](https://github.com/gatsbyjs/gatsby/commit/417df15230be368a9db91f2ad1a9bc0442733177))
- remove unused packages [#32903](https://github.com/gatsbyjs/gatsby/issues/32903) ([7c72ab8](https://github.com/gatsbyjs/gatsby/commit/7c72ab8f96af41626ff823d1dc5da52d15daa918))

### [3.12.1](https://github.com/gatsbyjs/gatsby/commits/gatsby@3.12.1/packages/gatsby) (2021-08-27)

#### Bug Fixes

- Hashes and anchors in redirects also work in production [#32850](https://github.com/gatsbyjs/gatsby/issues/32850) [#32920](https://github.com/gatsbyjs/gatsby/issues/32920) ([6c8518d](https://github.com/gatsbyjs/gatsby/commit/6c8518d9d5fda0f9268ac5440e90c9c237bc77e4))

## [3.12.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@3.12.0/packages/gatsby) (2021-08-18)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v3.12)

#### Features

- Opt in 20% of users to webpack dev server caching [#32829](https://github.com/gatsbyjs/gatsby/issues/32829) [#32839](https://github.com/gatsbyjs/gatsby/issues/32839) ([a0e2a77](https://github.com/gatsbyjs/gatsby/commit/a0e2a77f07731bac63bb8b8a07a30ab422ed7c53))
- measure how long GraphQL takes to run in createPages and warn if > 10s [#32751](https://github.com/gatsbyjs/gatsby/issues/32751) ([8bd7cf0](https://github.com/gatsbyjs/gatsby/commit/8bd7cf06a0f0bea14c376b8c0daca8856baf6db6))
- add env flag to disable lazy function compilation in develop [#32707](https://github.com/gatsbyjs/gatsby/issues/32707) ([ed04979](https://github.com/gatsbyjs/gatsby/commit/ed04979ed66219ed9f5f07a5b859f07217d32393))
- write node manifests to public dir instead of .cache [#32547](https://github.com/gatsbyjs/gatsby/issues/32547) ([9c41b7a](https://github.com/gatsbyjs/gatsby/commit/9c41b7a90e97d971049dd9b5d296a37ca8912fa8))
- allow sites to disable the dev 404 page [#32686](https://github.com/gatsbyjs/gatsby/issues/32686) ([af5525e](https://github.com/gatsbyjs/gatsby/commit/af5525e59cbc8052ccac1c646ef12a0c5d9843bf))

#### Bug Fixes

- reduce parse cost writing page-data [#32763](https://github.com/gatsbyjs/gatsby/issues/32763) ([b97782f](https://github.com/gatsbyjs/gatsby/commit/b97782f35c92a2c51fdd5c997a0ac3fe45cf2524))
- Wrap performance mark in check [#32778](https://github.com/gatsbyjs/gatsby/issues/32778) ([365d00b](https://github.com/gatsbyjs/gatsby/commit/365d00b2ee413ef38f56ba4262304865ecd4256e))
- fix "Couldn't find temp query result for X." errors when using LMDB_STORE fix [#32757](https://github.com/gatsbyjs/gatsby/issues/32757) ([d5715c6](https://github.com/gatsbyjs/gatsby/commit/d5715c63c8c638ad58d78ea394f683e5fc7b93ef))
- fix incorrect filtering with experimental LMDB indexes fix [#32728](https://github.com/gatsbyjs/gatsby/issues/32728) ([9b456cd](https://github.com/gatsbyjs/gatsby/commit/9b456cd1d9fdf8096d12fd367e679d815e08b6cf))
- Silence process.send Error [#32744](https://github.com/gatsbyjs/gatsby/issues/32744) ([5d7831d](https://github.com/gatsbyjs/gatsby/commit/5d7831d949b3352b7bb39718072b75102707ad99))
- Worker support in fast-refresh-module [#32432](https://github.com/gatsbyjs/gatsby/issues/32432) ([6daead6](https://github.com/gatsbyjs/gatsby/commit/6daead63ce02c21690a48cdd531fdb2761628703))
- fix node manifest processing in inc builds fix [#32538](https://github.com/gatsbyjs/gatsby/issues/32538) ([1577f9b](https://github.com/gatsbyjs/gatsby/commit/1577f9b0ab9909cdc4dfe0acca2dbbae89418ad5))
- update dependency eslint-webpack-plugin to ^2.5.4 [#32583](https://github.com/gatsbyjs/gatsby/issues/32583) ([170e58b](https://github.com/gatsbyjs/gatsby/commit/170e58b1ea30e3ee9927e9ef61be9c0c629b9534))
- update dependency mini-css-extract-plugin to v1.6.2 [#32586](https://github.com/gatsbyjs/gatsby/issues/32586) ([6c6d4e5](https://github.com/gatsbyjs/gatsby/commit/6c6d4e501764614ad737c88ba5810b6fbbcbff68))
- update dependency eslint to ^7.32.0 [#32628](https://github.com/gatsbyjs/gatsby/issues/32628) ([65fe945](https://github.com/gatsbyjs/gatsby/commit/65fe94547e0892b3978a7c7376ff1297acb0144f))
- clarify redirectInBrowser option [#32669](https://github.com/gatsbyjs/gatsby/issues/32669) ([774e680](https://github.com/gatsbyjs/gatsby/commit/774e680e186f3ac0928a7b178d395d64b7d8a4e9))
- update dependency eslint-plugin-import to ^2.23.4 [#32581](https://github.com/gatsbyjs/gatsby/issues/32581) ([769e98f](https://github.com/gatsbyjs/gatsby/commit/769e98f3dbcdbededfa1909d86aad83050a291c7))
- update dependency eslint-plugin-react to ^7.24.0 [#32582](https://github.com/gatsbyjs/gatsby/issues/32582) ([de676bc](https://github.com/gatsbyjs/gatsby/commit/de676bc45d4196c78bf88e91346625ef80e93545))
- update dependency eslint-plugin-flowtype to ^5.8.2 [#32629](https://github.com/gatsbyjs/gatsby/issues/32629) ([4391f05](https://github.com/gatsbyjs/gatsby/commit/4391f05bcae65c36820c3407f09df668dacc692e))
- update dependency chalk to ^4.1.2 [#32576](https://github.com/gatsbyjs/gatsby/issues/32576) ([5c4e109](https://github.com/gatsbyjs/gatsby/commit/5c4e109313cd1b59f814332fdb4dfdcaf1faed1a))
- load page and static queries texts in PQR only once per worker [#32545](https://github.com/gatsbyjs/gatsby/issues/32545) ([bbec42b](https://github.com/gatsbyjs/gatsby/commit/bbec42bd599dfbed4c7a4728f50b3c9fba5f903c))

#### Chores

- Improved getSavedScrollPosition API desc [#32765](https://github.com/gatsbyjs/gatsby/issues/32765) ([7de2769](https://github.com/gatsbyjs/gatsby/commit/7de27693890ea19466911a663dc4f8ca47b879f4))
- update formatting & linting [#32626](https://github.com/gatsbyjs/gatsby/issues/32626) ([4a765b5](https://github.com/gatsbyjs/gatsby/commit/4a765b5c62208d58f0bd7fd59558160c0b9feed3))
- fix typo in string enum member fix [#32721](https://github.com/gatsbyjs/gatsby/issues/32721) ([2502250](https://github.com/gatsbyjs/gatsby/commit/2502250a4849053085286f9abceff59f78c662dd))
- update babel monorepo [#32564](https://github.com/gatsbyjs/gatsby/issues/32564) ([a554998](https://github.com/gatsbyjs/gatsby/commit/a554998b4f6765103b650813cf52dbfcc575fecf))

### [3.11.1](https://github.com/gatsbyjs/gatsby/commits/gatsby@3.11.1/packages/gatsby) (2021-08-09)

#### Features

- allow sites to disable the dev 404 page [#32686](https://github.com/gatsbyjs/gatsby/issues/32686) [#32745](https://github.com/gatsbyjs/gatsby/issues/32745) ([54d3315](https://github.com/gatsbyjs/gatsby/commit/54d3315560041883e010b91610b1597a2a2466ec))

#### Bug Fixes

- Silence process.send Error [#32744](https://github.com/gatsbyjs/gatsby/issues/32744) [#32747](https://github.com/gatsbyjs/gatsby/issues/32747) ([ac7c641](https://github.com/gatsbyjs/gatsby/commit/ac7c6410d168dd892739cda56e7e4d0e67b2fad3))

## [3.11.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@3.11.0/packages/gatsby) (2021-08-04)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v3.11)

#### Features

- store partial page-data results in lmdb [#32431](https://github.com/gatsbyjs/gatsby/issues/32431) ([7601014](https://github.com/gatsbyjs/gatsby/commit/76010147a007bb4b643f363a25cca8ac38c53cdf))
- PQR: merge data dependencies from workers to the main process [#32305](https://github.com/gatsbyjs/gatsby/issues/32305) ([bdb9352](https://github.com/gatsbyjs/gatsby/commit/bdb9352bed68e384970c8bf152643304bc228dcf))
- display message about unfit flags found in config [#32394](https://github.com/gatsbyjs/gatsby/issues/32394) ([7df39aa](https://github.com/gatsbyjs/gatsby/commit/7df39aa18809103cfabd403bb23a5b14b31028d7))

#### Bug Fixes

- correct results for multiple range filters with indexes [#32406](https://github.com/gatsbyjs/gatsby/issues/32406) ([9b42793](https://github.com/gatsbyjs/gatsby/commit/9b427936752ec0b107b36331f444366987355fbb))
- PQR - Wait for Jobs to be Completed before restarting [#32520](https://github.com/gatsbyjs/gatsby/issues/32520) ([50a3eec](https://github.com/gatsbyjs/gatsby/commit/50a3eecc96f744498b1f6be03f0ba11e85326f39))
- correct pagination logic [#32496](https://github.com/gatsbyjs/gatsby/issues/32496) [#32319](https://github.com/gatsbyjs/gatsby/issues/32319) ([2dbe647](https://github.com/gatsbyjs/gatsby/commit/2dbe6477d88bf6e0138f247dc9dda1bd67a2a613))
- merge data deps state instead of replaying actions [#32440](https://github.com/gatsbyjs/gatsby/issues/32440) ([fd1d8cc](https://github.com/gatsbyjs/gatsby/commit/fd1d8ccc8dd27c316d24f91475a24702d228910c))
- Configurable PQR chunksize by env var [#32487](https://github.com/gatsbyjs/gatsby/issues/32487) ([33f9855](https://github.com/gatsbyjs/gatsby/commit/33f98555ba00d244a7f5deb6dffe2b9c4a41599f))
- Add encoding option to GatsbyCacheLmdb [#32466](https://github.com/gatsbyjs/gatsby/issues/32466) ([f4a6525](https://github.com/gatsbyjs/gatsby/commit/f4a65256ba4d322fe8db1981797ecde858ef05bc))
- expose ".del" function on lmdb cache [#32459](https://github.com/gatsbyjs/gatsby/issues/32459) ([e1a1396](https://github.com/gatsbyjs/gatsby/commit/e1a1396e1582a18047e2cefaeff0f57d61c0c83a))
- Add `directory` to GatsbyCacheLmdb [#32391](https://github.com/gatsbyjs/gatsby/issues/32391) ([7480849](https://github.com/gatsbyjs/gatsby/commit/7480849844884d6ee9f7ce5108f8ca0fe4dc4d15))
- handle errors thrown when importing html renderer [#32417](https://github.com/gatsbyjs/gatsby/issues/32417) ([b6f1272](https://github.com/gatsbyjs/gatsby/commit/b6f127248aa6126d6a186bd4ee1a49a98c9a239e))
- fix createRoot on React 18 fix [#32378](https://github.com/gatsbyjs/gatsby/issues/32378) ([79b7b04](https://github.com/gatsbyjs/gatsby/commit/79b7b0407ddc6b53c2e86b0cdd16866283a928d2))
- catch error from this.process.send [#32356](https://github.com/gatsbyjs/gatsby/issues/32356) ([99936a8](https://github.com/gatsbyjs/gatsby/commit/99936a8cb24a0bafe4794e6ceffc864e6e103bc7))
- correct hasNextPage pagination info when resultOffset is provided [#32319](https://github.com/gatsbyjs/gatsby/issues/32319) ([9f8a580](https://github.com/gatsbyjs/gatsby/commit/9f8a580287ec3a4bf9696237e7e8ac49e2fc001c))

### [3.10.2](https://github.com/gatsbyjs/gatsby/commits/gatsby@3.10.2/packages/gatsby) (2021-07-26)

#### Bug Fixes

- correct pagination logic [#32496](https://github.com/gatsbyjs/gatsby/issues/32496) [#32507](https://github.com/gatsbyjs/gatsby/issues/32507) [#32319](https://github.com/gatsbyjs/gatsby/issues/32319) ([c6d370d](https://github.com/gatsbyjs/gatsby/commit/c6d370dbb4782b4a9851b202d231c6133fb12e4d))

### [3.10.1](https://github.com/gatsbyjs/gatsby/commits/gatsby@3.10.1/packages/gatsby) (2021-07-21)

#### Bug Fixes

- expose ".del" function on lmdb cache [#32459](https://github.com/gatsbyjs/gatsby/issues/32459) [#32464](https://github.com/gatsbyjs/gatsby/issues/32464) ([c01551e](https://github.com/gatsbyjs/gatsby/commit/c01551eb9e09cd8471daa1072e7dc99add89fea8))

## [3.10.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@3.10.0/packages/gatsby) (2021-07-20)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v3.10)

#### Features

- PQR: merge data dependencies from workers to the main process [#32305](https://github.com/gatsbyjs/gatsby/issues/32305) [#32438](https://github.com/gatsbyjs/gatsby/issues/32438) ([5982a17](https://github.com/gatsbyjs/gatsby/commit/5982a1781cf675f4e74920233424f5f39ce87630))
- display message about unfit flags found in config [#32394](https://github.com/gatsbyjs/gatsby/issues/32394) [#32424](https://github.com/gatsbyjs/gatsby/issues/32424) ([7499b22](https://github.com/gatsbyjs/gatsby/commit/7499b2239684eeeefbbf9ce4430fc8c56239dbe8))
- Add webpack fs caching for development flag [#32264](https://github.com/gatsbyjs/gatsby/issues/32264) ([4f9a724](https://github.com/gatsbyjs/gatsby/commit/4f9a724b91ce35b0232952023eaecb8db448719d))
- Add cache-lmdb implementation [#32373](https://github.com/gatsbyjs/gatsby/issues/32373) ([7897834](https://github.com/gatsbyjs/gatsby/commit/789783410878d562f1499c1915155135ac258d82))
- restart worker pool after query running in workers [#32365](https://github.com/gatsbyjs/gatsby/issues/32365) ([b9236e1](https://github.com/gatsbyjs/gatsby/commit/b9236e16aac8c889c526571738c716cfb520043d))
- Track persistence time of save-state [#32192](https://github.com/gatsbyjs/gatsby/issues/32192) ([eef99cc](https://github.com/gatsbyjs/gatsby/commit/eef99cce69c537025882f352a14f32e8065c380e))
- Redirect passes search & hash parameter to final URL [#32334](https://github.com/gatsbyjs/gatsby/issues/32334) ([46cbfec](https://github.com/gatsbyjs/gatsby/commit/46cbfecee7b864f725587cbba1c4421e386ef572))
- add page data for failed page to logs [#32301](https://github.com/gatsbyjs/gatsby/issues/32301) ([ce0ae00](https://github.com/gatsbyjs/gatsby/commit/ce0ae00754b55d34d6b03981a3e689fb638d3a13))
- experimental secondary indexes in lmdb [#32261](https://github.com/gatsbyjs/gatsby/issues/32261) ([54ed0c3](https://github.com/gatsbyjs/gatsby/commit/54ed0c301631450720e341a33ebc7ffce99e5528))
- handle structured logs [#32289](https://github.com/gatsbyjs/gatsby/issues/32289) ([a4ab474](https://github.com/gatsbyjs/gatsby/commit/a4ab4749fb085fb1b3cfcc5927100c0487bb6b1e))
- PQR worker saves queries state to disk [#32281](https://github.com/gatsbyjs/gatsby/issues/32281) ([2268d5a](https://github.com/gatsbyjs/gatsby/commit/2268d5ad273f47d031ff85c66f96899f4c42dda4))
- Add PQR to bootstrap [#32187](https://github.com/gatsbyjs/gatsby/issues/32187) ([d58de3b](https://github.com/gatsbyjs/gatsby/commit/d58de3b53fb4a2d4deb1c4a0b014cb4d6f508a85))
- forward jobs to main process from workers [#32162](https://github.com/gatsbyjs/gatsby/issues/32162) ([ef7eb19](https://github.com/gatsbyjs/gatsby/commit/ef7eb1952c30db2ad6c984bc23d639bd84e79bce))
- swap createRoot to new hydrateRoot [#32181](https://github.com/gatsbyjs/gatsby/issues/32181) ([0d78669](https://github.com/gatsbyjs/gatsby/commit/0d786693d99e1f0a035ab5b985082ad8a4242baa))
- enable async rendering with react 18 [#32188](https://github.com/gatsbyjs/gatsby/issues/32188) ([32e9b4a](https://github.com/gatsbyjs/gatsby/commit/32e9b4ab7d8a0fdac067a7130820a0766e4da74f))
- enable replaceRenderer to be async [#32182](https://github.com/gatsbyjs/gatsby/issues/32182) ([d68148d](https://github.com/gatsbyjs/gatsby/commit/d68148d2c37f72f5561d9b730654c44ec3b137f8))

#### Bug Fixes

- handle errors thrown when importing html renderer [#32417](https://github.com/gatsbyjs/gatsby/issues/32417) [#32423](https://github.com/gatsbyjs/gatsby/issues/32423) ([006788d](https://github.com/gatsbyjs/gatsby/commit/006788d5869ecbbad2a13f25986ad5c16b4cbe72))
- Add `directory` to GatsbyCacheLmdb [#32391](https://github.com/gatsbyjs/gatsby/issues/32391) [#32421](https://github.com/gatsbyjs/gatsby/issues/32421) ([3d5bf37](https://github.com/gatsbyjs/gatsby/commit/3d5bf372f9a96332216a45038118fb4438c1e298))
- fix createRoot on React 18 fix [#32378](https://github.com/gatsbyjs/gatsby/issues/32378) fix [#32420](https://github.com/gatsbyjs/gatsby/issues/32420) ([1b45c7b](https://github.com/gatsbyjs/gatsby/commit/1b45c7b462343d7d96b4ec8b10ec00a16360a84a))
- catch error from this.process.send [#32356](https://github.com/gatsbyjs/gatsby/issues/32356) [#32387](https://github.com/gatsbyjs/gatsby/issues/32387) ([0ae10bf](https://github.com/gatsbyjs/gatsby/commit/0ae10bf5dc87202deddb6f197631a2acba7f1cab))
- correct hasNextPage pagination info when resultOffset is provided [#32319](https://github.com/gatsbyjs/gatsby/issues/32319) [#32386](https://github.com/gatsbyjs/gatsby/issues/32386) ([ba0050a](https://github.com/gatsbyjs/gatsby/commit/ba0050a637824477f7666ebf0564dafd94976589))
- shut down worker pool after html generation [#32366](https://github.com/gatsbyjs/gatsby/issues/32366) ([8cba0b9](https://github.com/gatsbyjs/gatsby/commit/8cba0b915cd0bd987675c4ed1839bbdaf39ae217))
- Hide page/static queries activities for PQR [#32361](https://github.com/gatsbyjs/gatsby/issues/32361) ([d65de41](https://github.com/gatsbyjs/gatsby/commit/d65de413b8d0ad5720c46652936b44dda3f872c9))
- Use shared gql runner in PQR workers [#32355](https://github.com/gatsbyjs/gatsby/issues/32355) ([f75c833](https://github.com/gatsbyjs/gatsby/commit/f75c8332aad031990e6ad0d68146b13782343b3b))
- freeze the schema in workers [#32352](https://github.com/gatsbyjs/gatsby/issues/32352) ([8c9afc6](https://github.com/gatsbyjs/gatsby/commit/8c9afc648bda3770a06a6d5d440b15149c112bf1))
- Pass search/hash to location after swUpdated [#32323](https://github.com/gatsbyjs/gatsby/issues/32323) ([636df42](https://github.com/gatsbyjs/gatsby/commit/636df42c8cc73c234c979aadfcd0265eb3a08174))
- delay 'unstable_onPluginInit' lifecycle to after cache is initialized [#32307](https://github.com/gatsbyjs/gatsby/issues/32307) ([b348b7c](https://github.com/gatsbyjs/gatsby/commit/b348b7cb830be148af7d5bb9921d8e5bee3d498f))
- Delete `.cache/worker` before each run [#32304](https://github.com/gatsbyjs/gatsby/issues/32304) ([8c9eb29](https://github.com/gatsbyjs/gatsby/commit/8c9eb292bdbb95f6bd2c60a1cc1526249366ebbe))
- update dependency execa to v5 [#32232](https://github.com/gatsbyjs/gatsby/issues/32232) ([8a13969](https://github.com/gatsbyjs/gatsby/commit/8a1396995c02d45f00f241e22c626a20086fa955))
- update dependency chalk to ^4.1.1 [#32250](https://github.com/gatsbyjs/gatsby/issues/32250) ([bd03035](https://github.com/gatsbyjs/gatsby/commit/bd03035b35d4e2f69e86b9ff3bbcfb8bd3eece4a))
- update typescript [#31152](https://github.com/gatsbyjs/gatsby/issues/31152) ([124cfcc](https://github.com/gatsbyjs/gatsby/commit/124cfcc4cd42a50a992dde5b420610f290227a78))
- don't import from other package src (even just types) [#32234](https://github.com/gatsbyjs/gatsby/issues/32234) ([51af0b9](https://github.com/gatsbyjs/gatsby/commit/51af0b9bc6ae1ff374bb59ea0b5b6ec6270b38ee))
- add fallback for resolveType [#32195](https://github.com/gatsbyjs/gatsby/issues/32195) ([dfef2fb](https://github.com/gatsbyjs/gatsby/commit/dfef2fbeb49b8ad5a7a7a178f28d9b1ce358d757))

#### Chores

- Add PQR feature flag [#32347](https://github.com/gatsbyjs/gatsby/issues/32347) ([a6106f7](https://github.com/gatsbyjs/gatsby/commit/a6106f762069baf8b8b9a9d9230607b97e5e3171))
- allow thunks to be dispatched [#32282](https://github.com/gatsbyjs/gatsby/issues/32282) ([cd4571c](https://github.com/gatsbyjs/gatsby/commit/cd4571cfd392db9332337761881a4b60af32468a))
- update dependency graphql to ^15.5.1 [#32239](https://github.com/gatsbyjs/gatsby/issues/32239) ([fd6cdf8](https://github.com/gatsbyjs/gatsby/commit/fd6cdf8dd3a8464ca1ba13cccf4ed773acfeb1ca))
- update babel monorepo [#32238](https://github.com/gatsbyjs/gatsby/issues/32238) ([466d4c0](https://github.com/gatsbyjs/gatsby/commit/466d4c087bbc96abb942a02c67243bcc9a4f2a0a))
- Update PostCSS to 8.3.5 and unfix the version fix [#32208](https://github.com/gatsbyjs/gatsby/issues/32208) ([c04b014](https://github.com/gatsbyjs/gatsby/commit/c04b0140a901f3b3f40171d6ef2723f4706c4596))

#### Other Changes

- Avoid UNHANDLED REJECTION error on ctrl-C [#32311](https://github.com/gatsbyjs/gatsby/issues/32311) ([48571ef](https://github.com/gatsbyjs/gatsby/commit/48571ef96fe5bf762ea059fdd33d2b909221df41))

### [3.9.1](https://github.com/gatsbyjs/gatsby/commits/gatsby@3.9.1/packages/gatsby) (2021-07-10)

#### Bug Fixes

- delay 'unstable_onPluginInit' lifecycle to after cache is initialized [#32307](https://github.com/gatsbyjs/gatsby/issues/32307) [#32312](https://github.com/gatsbyjs/gatsby/issues/32312) ([36613fb](https://github.com/gatsbyjs/gatsby/commit/36613fba356c7929494edc3abf1ab954d3ec412a))

## [3.9.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@3.9.0/packages/gatsby) (2021-07-07)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v3.9)

#### Features

- enable async rendering with react 18 [#32188](https://github.com/gatsbyjs/gatsby/issues/32188) [#32267](https://github.com/gatsbyjs/gatsby/issues/32267) ([33ee108](https://github.com/gatsbyjs/gatsby/commit/33ee10864eb11c088dbf3fc815c8b5af98595925))
- enable replaceRenderer to be async [#32182](https://github.com/gatsbyjs/gatsby/issues/32182) [#32266](https://github.com/gatsbyjs/gatsby/issues/32266) ([d93f258](https://github.com/gatsbyjs/gatsby/commit/d93f25860f9fd15db484e6041636b1c63d9323cd))
- worker pool that can execute tasks on all workers [#32120](https://github.com/gatsbyjs/gatsby/issues/32120) ([a82f6db](https://github.com/gatsbyjs/gatsby/commit/a82f6dbe354f2e82a5d944727622ddb0bb44e05d))
- Prevent generation of polyfill bundle if not needed [#31993](https://github.com/gatsbyjs/gatsby/issues/31993) ([7d41a98](https://github.com/gatsbyjs/gatsby/commit/7d41a985669438e3504987968ed326eb2fd42bca))
- Add activity for writing out page-data.json files to the public directory [#31987](https://github.com/gatsbyjs/gatsby/issues/31987) ([0be1025](https://github.com/gatsbyjs/gatsby/commit/0be10250a7c461efdc4e7a6b6bf261e245954d53))
- add unstable_onPluginInit that would execute once in all processes [#31901](https://github.com/gatsbyjs/gatsby/issues/31901) ([2bf8c0d](https://github.com/gatsbyjs/gatsby/commit/2bf8c0d37fd6de3fbbbe7e543275cfd6d64ec9de))
- PQR worker can run page queries [#32017](https://github.com/gatsbyjs/gatsby/issues/32017) ([44257b6](https://github.com/gatsbyjs/gatsby/commit/44257b636fe0cc4d4294673f9cb76f26b72f91b5))
- enable webpack caching for all [#32018](https://github.com/gatsbyjs/gatsby/issues/32018) ([174d3f1](https://github.com/gatsbyjs/gatsby/commit/174d3f1496949a8751bd052ef365f901bbdde23b))
- PQR worker can run static queries [#32000](https://github.com/gatsbyjs/gatsby/issues/32000) ([a6fd7b1](https://github.com/gatsbyjs/gatsby/commit/a6fd7b102480e3a9d74789e5181c8ad297641366))
- PQR worker can create schema [#31919](https://github.com/gatsbyjs/gatsby/issues/31919) ([308eb94](https://github.com/gatsbyjs/gatsby/commit/308eb942f3264fd0c1579b553cc74d81f9219fff))

#### Bug Fixes

- add fallback for resolveType [#32195](https://github.com/gatsbyjs/gatsby/issues/32195) [#32265](https://github.com/gatsbyjs/gatsby/issues/32265) ([6bd5f9c](https://github.com/gatsbyjs/gatsby/commit/6bd5f9cb92311c7623f1b5a6a4328d1850e5a292))
- update async requires in dev loader [#32189](https://github.com/gatsbyjs/gatsby/issues/32189) ([f4c5c48](https://github.com/gatsbyjs/gatsby/commit/f4c5c482ba5da626d4f7e2d592fdc4d43eb817ba))
- leave `xmlns` element when optimizing SVGs [#32123](https://github.com/gatsbyjs/gatsby/issues/32123) ([27c01fc](https://github.com/gatsbyjs/gatsby/commit/27c01fcdb6a923986cf390a2bb5ac61b340a2865))
- correct args type in createParentChildLink [#32139](https://github.com/gatsbyjs/gatsby/issues/32139) ([31828e4](https://github.com/gatsbyjs/gatsby/commit/31828e48fe1e5cd8fb2246440e3edb7d0a4ec779))

#### Refactoring

- use GatsbyIterable + extract common tools for querying [#32172](https://github.com/gatsbyjs/gatsby/issues/32172) ([e5574c8](https://github.com/gatsbyjs/gatsby/commit/e5574c848f8bafa6675af74e9c216650d39245b9))
- simplified materialization a bit [#31882](https://github.com/gatsbyjs/gatsby/issues/31882) ([4320072](https://github.com/gatsbyjs/gatsby/commit/43200722bbbfb011c1b96c6228cf3b6523f34c57))
- refactor pagination in preparation to querying lmdb directly [#32135](https://github.com/gatsbyjs/gatsby/issues/32135) ([a2224ab](https://github.com/gatsbyjs/gatsby/commit/a2224abd0bda968b7b85decfe405c46f072459b3))
- make it possible to start running job from internalJob [#32054](https://github.com/gatsbyjs/gatsby/issues/32054) ([12b5702](https://github.com/gatsbyjs/gatsby/commit/12b570202617a97295659c68d8a0df70a650c000))

#### Chores

- Bumped express-graphql to v0.12.0 [#31178](https://github.com/gatsbyjs/gatsby/issues/31178) ([cb374db](https://github.com/gatsbyjs/gatsby/commit/cb374db42de66d7aa5407d76b457d0d401421db7))
- Migrate schema-composer.js to TS [#31998](https://github.com/gatsbyjs/gatsby/issues/31998) ([8837033](https://github.com/gatsbyjs/gatsby/commit/8837033bf1353e9e8af9d9a7127e8534a9ddce4d))
- Flush more often with gatsby develop [#32015](https://github.com/gatsbyjs/gatsby/issues/32015) ([51804a0](https://github.com/gatsbyjs/gatsby/commit/51804a08f952231f54c1ebcb186437c6c00eaa6f))
- update dependency graphql to ^15.5.0 [#31698](https://github.com/gatsbyjs/gatsby/issues/31698) ([a6a6f96](https://github.com/gatsbyjs/gatsby/commit/a6a6f9686ac56797b79e54c090591494c5de3021))
- Delete profile.js [#31997](https://github.com/gatsbyjs/gatsby/issues/31997) ([c895504](https://github.com/gatsbyjs/gatsby/commit/c895504c0e1611291b46c8a36779f60387f7c3bb))

### [3.8.1](https://github.com/gatsbyjs/gatsby/commits/gatsby@3.8.1/packages/gatsby) (2021-06-29)

#### Features

- Add activity for writing out page-data.json files to the public directory [#31987](https://github.com/gatsbyjs/gatsby/issues/31987) [#32153](https://github.com/gatsbyjs/gatsby/issues/32153) ([ddebfac](https://github.com/gatsbyjs/gatsby/commit/ddebfac664c74bb21e1a152d0e44c767d7190dcc))

#### Bug Fixes

- leave `xmlns` element when optimizing SVGs [#32123](https://github.com/gatsbyjs/gatsby/issues/32123) [#32154](https://github.com/gatsbyjs/gatsby/issues/32154) ([4d0de6b](https://github.com/gatsbyjs/gatsby/commit/4d0de6b501d5d50eaac818042c323ee79baf7cde))

## [3.8.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@3.8.0/packages/gatsby) (2021-06-23)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v3.8)

#### Features

- enable webpack caching for all [#32018](https://github.com/gatsbyjs/gatsby/issues/32018) [#32032](https://github.com/gatsbyjs/gatsby/issues/32032) ([65e04d2](https://github.com/gatsbyjs/gatsby/commit/65e04d22ae0fcb1fae3a8bceb769772c2a1b0f8f))
- enable core webvitals tracking [#31665](https://github.com/gatsbyjs/gatsby/issues/31665) ([1ecd6e1](https://github.com/gatsbyjs/gatsby/commit/1ecd6e12eeedcabc54f3be00137a5d092978de58))
- PQR workers can access inference metadata [#31858](https://github.com/gatsbyjs/gatsby/issues/31858) ([315b694](https://github.com/gatsbyjs/gatsby/commit/315b69454222e2b079ce891616687c084b86487b))
- PQR workers can access page & static queries [#31852](https://github.com/gatsbyjs/gatsby/issues/31852) ([222a5ed](https://github.com/gatsbyjs/gatsby/commit/222a5edde3fcce0a71e14781ed62cc150ad1f8d7))
- Main process can save slices of state & worker can access it [#31822](https://github.com/gatsbyjs/gatsby/issues/31822) ([7aa9c85](https://github.com/gatsbyjs/gatsby/commit/7aa9c85b01e12c48d73a69d89b7f1fa7c62ef7c3))
- switch from arrays to node iterators [#31718](https://github.com/gatsbyjs/gatsby/issues/31718) ([5278e1e](https://github.com/gatsbyjs/gatsby/commit/5278e1e3a5148fb17b65310e6333d457db7e8446))
- remove concurrent-features flag and depend on export [#31818](https://github.com/gatsbyjs/gatsby/issues/31818) ([34b6d47](https://github.com/gatsbyjs/gatsby/commit/34b6d476f84c647f82c0b7e641caf4f64d48491a))
- Turn on Functions experiment for everybody [#31807](https://github.com/gatsbyjs/gatsby/issues/31807) ([a485415](https://github.com/gatsbyjs/gatsby/commit/a4854150cb2d10501e0bafbbb86753c7905ff45f))

#### Bug Fixes

- Update eslint a11y config [#31896](https://github.com/gatsbyjs/gatsby/issues/31896) ([28ca867](https://github.com/gatsbyjs/gatsby/commit/28ca8676d6bddfef117a1361b1dad0973b700e57))
- infer shape of warning object [#31489](https://github.com/gatsbyjs/gatsby/issues/31489) ([96dc88a](https://github.com/gatsbyjs/gatsby/commit/96dc88aa8cef36a16d41f16e415c0e82606806e1))
- do not add global id to style tag [#31813](https://github.com/gatsbyjs/gatsby/issues/31813) ([132d829](https://github.com/gatsbyjs/gatsby/commit/132d829e01b3b2ca50bfbe4533ae47b57b55a50c))
- do not use domready package [#31368](https://github.com/gatsbyjs/gatsby/issues/31368) ([7a9a50c](https://github.com/gatsbyjs/gatsby/commit/7a9a50c9492c1c523daa64cf891b3de82635a632))
- fix signature for latest experimental version of react-dom fix [#31750](https://github.com/gatsbyjs/gatsby/issues/31750) ([087cdd5](https://github.com/gatsbyjs/gatsby/commit/087cdd590929e1e29f5a658ffb3910292a8ca948))

#### Refactoring

- load config and plugins in worker [#31773](https://github.com/gatsbyjs/gatsby/issues/31773) ([81458a0](https://github.com/gatsbyjs/gatsby/commit/81458a078e2140834f25cc7c9b412f9eabb9070c))

#### Chores

- Fix Invalid 'main' field error Fix [#31899](https://github.com/gatsbyjs/gatsby/issues/31899) ([d06d6b5](https://github.com/gatsbyjs/gatsby/commit/d06d6b5a286bc6140f178d30170674e755b5f273))
- bump babel minor [#31857](https://github.com/gatsbyjs/gatsby/issues/31857) ([7d42e8d](https://github.com/gatsbyjs/gatsby/commit/7d42e8d866e46e9c39838d812d080d06433f7060))
- don't crash child process when reporter is used [#31812](https://github.com/gatsbyjs/gatsby/issues/31812) ([989a12f](https://github.com/gatsbyjs/gatsby/commit/989a12f696f905ae6a5fedf9ff878d8d2e4a6eb1))
- Bump `PRESERVE_WEBPACK_CACHE` flag to 20% [#31803](https://github.com/gatsbyjs/gatsby/issues/31803) ([72d795c](https://github.com/gatsbyjs/gatsby/commit/72d795c6919efb77bbde40e41056d26766be38f1))
- type exposed workerpool functions [#31768](https://github.com/gatsbyjs/gatsby/issues/31768) ([4732449](https://github.com/gatsbyjs/gatsby/commit/47324498ee090234da664da392d78a47711af1a3))
- Add umbrellaIssue to lmdb [#31770](https://github.com/gatsbyjs/gatsby/issues/31770) ([8d9b7f7](https://github.com/gatsbyjs/gatsby/commit/8d9b7f7229cfc69dc9f3154006d493549eff1667))

#### Other Changes

- Document Activity Timer [#31869](https://github.com/gatsbyjs/gatsby/issues/31869) ([b99e4ca](https://github.com/gatsbyjs/gatsby/commit/b99e4cac8fd2293b8a085fccf6542b701175d0cf))
- check if worker can access node created in different process [#31771](https://github.com/gatsbyjs/gatsby/issues/31771) ([f92c2b0](https://github.com/gatsbyjs/gatsby/commit/f92c2b01ad5cd01d732ab9793adadd59762cf54f))

### [3.7.2](https://github.com/gatsbyjs/gatsby/commits/gatsby@3.7.2/packages/gatsby) (2021-06-16)

#### Bug Fixes

- infer shape of warning object [#31489](https://github.com/gatsbyjs/gatsby/issues/31489) [#31931](https://github.com/gatsbyjs/gatsby/issues/31931) ([559c5f2](https://github.com/gatsbyjs/gatsby/commit/559c5f20035c258163b912fbdfb2bc5664b9b38f))

#### Chores

- Fix Invalid 'main' field error Fix [#31899](https://github.com/gatsbyjs/gatsby/issues/31899) Fix [#31930](https://github.com/gatsbyjs/gatsby/issues/31930) ([eecd04f](https://github.com/gatsbyjs/gatsby/commit/eecd04f3f60c7546e4b700ffe7877248d912baa4))

### [3.7.1](https://github.com/gatsbyjs/gatsby/commits/gatsby@3.7.1/packages/gatsby) (2021-06-10)

#### Chores

- bump babel minor [#31857](https://github.com/gatsbyjs/gatsby/issues/31857) [#31859](https://github.com/gatsbyjs/gatsby/issues/31859) ([8636025](https://github.com/gatsbyjs/gatsby/commit/863602567930a39142ed33d9d1f1813b7dec8686))

## [3.7.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@3.7.0/packages/gatsby) (2021-06-09)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v3.7)

#### Features

- remove concurrent-features flag and depend on export [#31818](https://github.com/gatsbyjs/gatsby/issues/31818) [#31830](https://github.com/gatsbyjs/gatsby/issues/31830) ([d8c948c](https://github.com/gatsbyjs/gatsby/commit/d8c948c907f16b1d02be4031a6176e490a142f75))
- Turn on Functions experiment for everybody [#31807](https://github.com/gatsbyjs/gatsby/issues/31807) [#31826](https://github.com/gatsbyjs/gatsby/issues/31826) ([5f66cb1](https://github.com/gatsbyjs/gatsby/commit/5f66cb12e22092efcd258e496f581a761b4eb0aa))
- add createNodeManifest action [#31127](https://github.com/gatsbyjs/gatsby/issues/31127) ([eed6108](https://github.com/gatsbyjs/gatsby/commit/eed610813da645356316826a4558640ecc4365b5))
- node persistence [#31371](https://github.com/gatsbyjs/gatsby/issues/31371) [#31403](https://github.com/gatsbyjs/gatsby/issues/31403) ([334d2bc](https://github.com/gatsbyjs/gatsby/commit/334d2bc2d3a03c83882dbc55bdc168647903c9f9))
- enable concurrent features [#31394](https://github.com/gatsbyjs/gatsby/issues/31394) ([3457163](https://github.com/gatsbyjs/gatsby/commit/34571630f9b7e5de360cbf91c1e53aa655e86633))
- lazily compile functions in development [#31508](https://github.com/gatsbyjs/gatsby/issues/31508) ([d38f4d9](https://github.com/gatsbyjs/gatsby/commit/d38f4d97256fe4654a68177bc81cdea6277267d5))

#### Bug Fixes

- fix signature for latest experimental version of react-dom fix [#31750](https://github.com/gatsbyjs/gatsby/issues/31750) fix [#31829](https://github.com/gatsbyjs/gatsby/issues/31829) ([2a4ea62](https://github.com/gatsbyjs/gatsby/commit/2a4ea623728127a663dc2abbe983e919b0d1bd7a))
- do not add global id to style tag [#31813](https://github.com/gatsbyjs/gatsby/issues/31813) [#31827](https://github.com/gatsbyjs/gatsby/issues/31827) ([86f6628](https://github.com/gatsbyjs/gatsby/commit/86f6628b0458a6df027b1e8c046cae6d05273524))
- fix PNP resolving from the .cache folder fix [#31732](https://github.com/gatsbyjs/gatsby/issues/31732) ([d10e8ce](https://github.com/gatsbyjs/gatsby/commit/d10e8ceddf915b8a6e8c2552cdb342d6ea4e6790))
- fix tests for state persistence with lmdb fix [#31736](https://github.com/gatsbyjs/gatsby/issues/31736) ([5660ce9](https://github.com/gatsbyjs/gatsby/commit/5660ce98133bb9c4c5eab38c64ebdc56ccc4d792))
- merge resolveType when merging abstract types [#31710](https://github.com/gatsbyjs/gatsby/issues/31710) ([2dde956](https://github.com/gatsbyjs/gatsby/commit/2dde956bd1de6ad404416ec9dc4406a25951fe4b))
- Correct config for svgo plugins whitelist ([7e787bd](https://github.com/gatsbyjs/gatsby/commit/7e787bd020788cb6bc9f72d88c7878bbb34d46c9))
- prevent infinite loop in fast-refresh-overlay [#31594](https://github.com/gatsbyjs/gatsby/issues/31594) ([3368884](https://github.com/gatsbyjs/gatsby/commit/3368884db230b0ccbcd1c357273516859e9f0556))
- add componentChunkName to components list so don't need to loop over pages [#31547](https://github.com/gatsbyjs/gatsby/issues/31547) ([783b937](https://github.com/gatsbyjs/gatsby/commit/783b937c8f70478796bce37808bf8bf967bb4252))
- better detection of Babel rules for HMR when customizing the Webpack config [#31477](https://github.com/gatsbyjs/gatsby/issues/31477) ([42951f0](https://github.com/gatsbyjs/gatsby/commit/42951f0f459a15cb7a8923f97c52cc131ba6714d))

#### Refactoring

- consolidate data layer [#31664](https://github.com/gatsbyjs/gatsby/issues/31664) ([302bac5](https://github.com/gatsbyjs/gatsby/commit/302bac57037b0f294ad10c7a2068ca8f7bfe5b3f))

#### Chores

- Bump `PRESERVE_WEBPACK_CACHE` flag to 20% [#31803](https://github.com/gatsbyjs/gatsby/issues/31803) [#31825](https://github.com/gatsbyjs/gatsby/issues/31825) ([850826c](https://github.com/gatsbyjs/gatsby/commit/850826c53a8decdf05b7b822335a8fbc41654ccc))
- Add umbrellaIssue to lmdb [#31770](https://github.com/gatsbyjs/gatsby/issues/31770) [#31823](https://github.com/gatsbyjs/gatsby/issues/31823) ([fe633a8](https://github.com/gatsbyjs/gatsby/commit/fe633a8ff21f41f48ed1e2323179ccd03fc2367e))
- update babel monorepo [#31143](https://github.com/gatsbyjs/gatsby/issues/31143) ([701ab2f](https://github.com/gatsbyjs/gatsby/commit/701ab2f6690c3f1bbaf60cf572513ea566cc9ec9))
- Properly typecheck `gatsby` [#31519](https://github.com/gatsbyjs/gatsby/issues/31519) ([640ce36](https://github.com/gatsbyjs/gatsby/commit/640ce3654ed3f8f5bd232248beca8eb6e48ce3b3))

### [3.6.2](https://github.com/gatsbyjs/gatsby/commits/gatsby@3.6.2/packages/gatsby) (2021-06-02)

#### Bug Fixes

- merge resolveType when merging abstract types [#31710](https://github.com/gatsbyjs/gatsby/issues/31710) [#31723](https://github.com/gatsbyjs/gatsby/issues/31723) ([f9ad35c](https://github.com/gatsbyjs/gatsby/commit/f9ad35c65122862ddb15713f81f3fb4cf5eae7b0))

### [3.6.1](https://github.com/gatsbyjs/gatsby/commits/gatsby@3.6.1/packages/gatsby) (2021-05-27)

#### Bug Fixes

- add componentChunkName to components list so don't need to loop over pages [#31547](https://github.com/gatsbyjs/gatsby/issues/31547) [#31606](https://github.com/gatsbyjs/gatsby/issues/31606) ([1f26765](https://github.com/gatsbyjs/gatsby/commit/1f2676513a22e3acf283e6b2ef0cf5797c17818b))

## [3.6.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@3.6.0/packages/gatsby) (2021-05-25)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v3.6)

#### Features

- enable concurrent features [#31394](https://github.com/gatsbyjs/gatsby/issues/31394) [#31580](https://github.com/gatsbyjs/gatsby/issues/31580) ([d543723](https://github.com/gatsbyjs/gatsby/commit/d54372383bbb6f4ffccfeade5e98ce70f4f27271))
- lazily compile functions in development [#31508](https://github.com/gatsbyjs/gatsby/issues/31508) [#31579](https://github.com/gatsbyjs/gatsby/issues/31579) ([1960552](https://github.com/gatsbyjs/gatsby/commit/1960552fefce97378e8396758330a90071a76eff))
- Resolve typescript files in functions without needing to add the extension Resolve [#31487](https://github.com/gatsbyjs/gatsby/issues/31487) ([04f7a45](https://github.com/gatsbyjs/gatsby/commit/04f7a4562dc0b5922730d71acd3b157b7ad732b5))
- enable webpack fs caching for functions [#31505](https://github.com/gatsbyjs/gatsby/issues/31505) ([4ff7dd3](https://github.com/gatsbyjs/gatsby/commit/4ff7dd36376ffa7581fe8b02a54a2a06e00bcaba))
- Speedup building Functions by disabling minification [#31473](https://github.com/gatsbyjs/gatsby/issues/31473) ([a8a4f76](https://github.com/gatsbyjs/gatsby/commit/a8a4f7670eaaafb67e2999efb0dc4af51e52ede6))
- Support uploading files as part of forms [#31470](https://github.com/gatsbyjs/gatsby/issues/31470) ([0d3886c](https://github.com/gatsbyjs/gatsby/commit/0d3886cf37f845a765f283ce4d850ca8bbd502a3))
- Support Functions in plugins [#31466](https://github.com/gatsbyjs/gatsby/issues/31466) ([54aaca4](https://github.com/gatsbyjs/gatsby/commit/54aaca49f1a1404328e21df4c7ea53c7697d1d41))
- Improve dev 404 page [#31332](https://github.com/gatsbyjs/gatsby/issues/31332) ([dfaea09](https://github.com/gatsbyjs/gatsby/commit/dfaea09dc7c0cb4a3694eb75c5f0a9ab5a32e39f))
- change bgcolor of 'EXPERIMENTAL' label so it does look like an error [#31352](https://github.com/gatsbyjs/gatsby/issues/31352) ([043371f](https://github.com/gatsbyjs/gatsby/commit/043371fc60bf7e2dea851eff307fe24e5416f077))
- Functions aren't GA but they're not longer EXPERIMENTAL [#31353](https://github.com/gatsbyjs/gatsby/issues/31353) ([c1f365a](https://github.com/gatsbyjs/gatsby/commit/c1f365a80877032116587061b708b1c23c0caecc))
- New overlay for DEV_SSR [#31061](https://github.com/gatsbyjs/gatsby/issues/31061) ([7110189](https://github.com/gatsbyjs/gatsby/commit/7110189fda3942aba27cf35f577ce14d7b252d0b))

#### Bug Fixes

- better detection of Babel rules for HMR when customizing the Webpack config [#31477](https://github.com/gatsbyjs/gatsby/issues/31477) [#31574](https://github.com/gatsbyjs/gatsby/issues/31574) ([c68ec94](https://github.com/gatsbyjs/gatsby/commit/c68ec944fa0551461b072f69ce4793f7eb6ed0cc))
- preload and prefetches check for in-browser redirects [#31366](https://github.com/gatsbyjs/gatsby/issues/31366) ([d86cd9f](https://github.com/gatsbyjs/gatsby/commit/d86cd9ffd460f0840bc8ce572b628fb82d8004f8))
- enable hmr when importing mdx [#31288](https://github.com/gatsbyjs/gatsby/issues/31288) ([c8db78f](https://github.com/gatsbyjs/gatsby/commit/c8db78fad43294413b950c49205adcf3dbb6dd1e))
- Fixes incorrect type Fixes [#31358](https://github.com/gatsbyjs/gatsby/issues/31358) ([f629806](https://github.com/gatsbyjs/gatsby/commit/f6298068b3b4e0528c006bcc3d163a9873e76783))
- fix proxy creation on read-only properties fix [#31346](https://github.com/gatsbyjs/gatsby/issues/31346) ([c210f1d](https://github.com/gatsbyjs/gatsby/commit/c210f1dba38b16da851a72f9f864d0d21f9878f7))
- Pass reporter from functions code for reporting warning [#31336](https://github.com/gatsbyjs/gatsby/issues/31336) ([f09fae8](https://github.com/gatsbyjs/gatsby/commit/f09fae8f415a018f60abb56fff017f574ae8c871))
- only load gatsby-plugin-gatsby-cloud on cloud [#31345](https://github.com/gatsbyjs/gatsby/issues/31345) ([ec0fc57](https://github.com/gatsbyjs/gatsby/commit/ec0fc571bcb5a1ee25fb507c52b64310a86e935b))
- don't print out flag suggestions if none are enabled or opted-in [#31299](https://github.com/gatsbyjs/gatsby/issues/31299) ([48eea6f](https://github.com/gatsbyjs/gatsby/commit/48eea6f4f155b354c000cd7fdf1ed4830aaad642))
- update cheerio snapshots [#31298](https://github.com/gatsbyjs/gatsby/issues/31298) ([e06599d](https://github.com/gatsbyjs/gatsby/commit/e06599d9acc53442f8830b04f8fa2c749a820cc5))

#### Chores

- Fix linting ([ecaf265](https://github.com/gatsbyjs/gatsby/commit/ecaf26514dc1f5c26caa942704bedb242bacb3b2))

### [3.5.1](https://github.com/gatsbyjs/gatsby/commits/gatsby@3.5.1/packages/gatsby) (2021-05-19)

#### Bug Fixes

- preload and prefetches check for in-browser redirects [#31366](https://github.com/gatsbyjs/gatsby/issues/31366) [#31480](https://github.com/gatsbyjs/gatsby/issues/31480) ([e6e7eec](https://github.com/gatsbyjs/gatsby/commit/e6e7eec161fd1436d29d492e720c5f1031a3aa66))
- update cheerio snapshots [#31298](https://github.com/gatsbyjs/gatsby/issues/31298) [#31483](https://github.com/gatsbyjs/gatsby/issues/31483) ([67a4fce](https://github.com/gatsbyjs/gatsby/commit/67a4fcef4651443cbe89923d4ac80e5600d94c41))

## [3.5.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@3.5.0/packages/gatsby) (2021-05-12)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v3.5)

#### Features

- New overlay for DEV_SSR [#31061](https://github.com/gatsbyjs/gatsby/issues/31061) [#31361](https://github.com/gatsbyjs/gatsby/issues/31361) ([1a4a3a7](https://github.com/gatsbyjs/gatsby/commit/1a4a3a785f88afc0cd54382a5d93fcc0fa1958ef))
- Don't send error for function errors if headers are already sent [#31265](https://github.com/gatsbyjs/gatsby/issues/31265) ([d9c78a0](https://github.com/gatsbyjs/gatsby/commit/d9c78a052d2187ad6808b584185f731c0988d610))
- first pass at API functions docs [#31066](https://github.com/gatsbyjs/gatsby/issues/31066) ([88ca620](https://github.com/gatsbyjs/gatsby/commit/88ca6209a3f0cf4f0357df3e6047c17812b0ebac))
- enable gatsby-plugin-gatsby-cloud by default [#30624](https://github.com/gatsbyjs/gatsby/issues/30624) ([4259940](https://github.com/gatsbyjs/gatsby/commit/4259940f2b6d70ea7fb9f57d763dd6008caaceef))
- Add note to DEV_SSR flag about custom webpack config [#31063](https://github.com/gatsbyjs/gatsby/issues/31063) [#discussioncomment-598599](https://github.com/gatsbyjs/gatsby/issues/discussioncomment-598599) ([0fd6c1f](https://github.com/gatsbyjs/gatsby/commit/0fd6c1f23a02bdbd873be4694f8c6de75769193e))

#### Bug Fixes

- enable hmr when importing mdx [#31288](https://github.com/gatsbyjs/gatsby/issues/31288) [#31370](https://github.com/gatsbyjs/gatsby/issues/31370) ([baa0804](https://github.com/gatsbyjs/gatsby/commit/baa0804eb61d3b9ad2240b461e45c502b69d4ac9))
- Fixes incorrect type Fixes [#31358](https://github.com/gatsbyjs/gatsby/issues/31358) Fixes [#31365](https://github.com/gatsbyjs/gatsby/issues/31365) ([a44a426](https://github.com/gatsbyjs/gatsby/commit/a44a4266d4733366c44d2f0208a0b1e7a75f232d))
- fix proxy creation on read-only properties fix [#31346](https://github.com/gatsbyjs/gatsby/issues/31346) fix [#31364](https://github.com/gatsbyjs/gatsby/issues/31364) ([63942db](https://github.com/gatsbyjs/gatsby/commit/63942db3c1df4167891a82a466ec447cff2cc246))
- Pass reporter from functions code for reporting warning [#31336](https://github.com/gatsbyjs/gatsby/issues/31336) [#31363](https://github.com/gatsbyjs/gatsby/issues/31363) ([4eca6cc](https://github.com/gatsbyjs/gatsby/commit/4eca6cce3b39bbcff95166e3294da1e50b32fdf8))
- don't print out flag suggestions if none are enabled or opted-in [#31299](https://github.com/gatsbyjs/gatsby/issues/31299) [#31362](https://github.com/gatsbyjs/gatsby/issues/31362) ([01de613](https://github.com/gatsbyjs/gatsby/commit/01de613a76c3cbc7956832f77c8ca3cc868d85bc))
- update dependency mini-css-extract-plugin to v1.6.0 [#31158](https://github.com/gatsbyjs/gatsby/issues/31158) ([137630e](https://github.com/gatsbyjs/gatsby/commit/137630ec719ae67836755a44ddd8451ef25435ed))
- update plugin api types [#30819](https://github.com/gatsbyjs/gatsby/issues/30819) ([aa09e6f](https://github.com/gatsbyjs/gatsby/commit/aa09e6fb2f525242680d53d77b5ce7f76b5b63a8))
- rehydration issue in Dev404Page with DEV_SSR [#30581](https://github.com/gatsbyjs/gatsby/issues/30581) ([5005588](https://github.com/gatsbyjs/gatsby/commit/5005588c92101d8be19c23d9404bdd952ac3ed73))
- upgrade css-minimizer-webpack-plugin to v2 [#31176](https://github.com/gatsbyjs/gatsby/issues/31176) ([257de93](https://github.com/gatsbyjs/gatsby/commit/257de93a6e1caf46cbad4172ef342e928aa4b97e))
- add generic type to GatsbyFunctionResponse [#31182](https://github.com/gatsbyjs/gatsby/issues/31182) ([4b9d0d4](https://github.com/gatsbyjs/gatsby/commit/4b9d0d4d4757d006ec385bb80f1db415a9636f63))
- fix profiler for build fix [#31116](https://github.com/gatsbyjs/gatsby/issues/31116) ([643ea7a](https://github.com/gatsbyjs/gatsby/commit/643ea7af1d6e586e7963cb04b4e3d95fd23b5fb5))
- Support shadowing in yarn-style workspaces with Webpack 5 [#30435](https://github.com/gatsbyjs/gatsby/issues/30435) ([ab919ea](https://github.com/gatsbyjs/gatsby/commit/ab919ea04ed3f9a4490a68fab4cda22834383673))
- handle case of changing page path casing on case-insensitive fs [#31071](https://github.com/gatsbyjs/gatsby/issues/31071) ([940eddf](https://github.com/gatsbyjs/gatsby/commit/940eddf9be41deab9544d26db38a661095ee37a7))

#### Performance Improvements

- use fastq instead of better-queue + refactor [#31269](https://github.com/gatsbyjs/gatsby/issues/31269) ([fef8d6b](https://github.com/gatsbyjs/gatsby/commit/fef8d6ba5fdb1386fd7716dc59423c65fa9fd402))
- Create page object & SitePage node in same action creator [#31104](https://github.com/gatsbyjs/gatsby/issues/31104) fix [#31236](https://github.com/gatsbyjs/gatsby/issues/31236) ([d1005fa](https://github.com/gatsbyjs/gatsby/commit/d1005fae2fe273f26cc650137426369c4c84b067))

#### Chores

- Fix grammar error in README Fix [#31186](https://github.com/gatsbyjs/gatsby/issues/31186) ([313f432](https://github.com/gatsbyjs/gatsby/commit/313f432facd9b71fd9aebfff92e77561efd86e52))
- Update `mini-css-extract-plugin` to 1.5.1 [#31110](https://github.com/gatsbyjs/gatsby/issues/31110) ([c0b6dd9](https://github.com/gatsbyjs/gatsby/commit/c0b6dd9aa57d7764af0472ddc88e8ebe760ed1a1))

#### Other Changes

- Don't remove gatsby-source-filesystem [#31069](https://github.com/gatsbyjs/gatsby/issues/31069) ([c1b8303](https://github.com/gatsbyjs/gatsby/commit/c1b83032b6b04e307701ae5b24dc472edd901841))

### [3.4.2](https://github.com/gatsbyjs/gatsby/commits/gatsby@3.4.2/packages/gatsby) (2021-05-08)

#### Features

- first pass at API functions docs [#31066](https://github.com/gatsbyjs/gatsby/issues/31066) [#31329](https://github.com/gatsbyjs/gatsby/issues/31329) ([6a6f46b](https://github.com/gatsbyjs/gatsby/commit/6a6f46bf38a4234beb682bc7bac3986467454ee1))

#### Bug Fixes

- add generic type to GatsbyFunctionResponse [#31182](https://github.com/gatsbyjs/gatsby/issues/31182) [#31330](https://github.com/gatsbyjs/gatsby/issues/31330) ([942ddba](https://github.com/gatsbyjs/gatsby/commit/942ddba72c15c875a80958ab03723f1114ff1c68))

### [3.4.1](https://github.com/gatsbyjs/gatsby/commits/gatsby@3.4.1/packages/gatsby) (2021-05-05)

#### Chores

- Update `mini-css-extract-plugin` to 1.5.1 [#31110](https://github.com/gatsbyjs/gatsby/issues/31110) [#31237](https://github.com/gatsbyjs/gatsby/issues/31237) ([1861243](https://github.com/gatsbyjs/gatsby/commit/1861243ff7602e53001e1f429b8fb9121b1c86d7))

## [3.4.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@3.4.0/packages/gatsby) (2021-04-28)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v3.4)

#### Features

- test redirects [#31011](https://github.com/gatsbyjs/gatsby/issues/31011) ([7838b18](https://github.com/gatsbyjs/gatsby/commit/7838b18306d4290b2eced775ade23b10c663ec82))
- use webpack fs caching in prod behind feature flag [#30857](https://github.com/gatsbyjs/gatsby/issues/30857) ([66127cc](https://github.com/gatsbyjs/gatsby/commit/66127cc34d7568f3343aebfb7d2e1a71ec5ee150))
- parse cookies in functions to req.cookies [#30993](https://github.com/gatsbyjs/gatsby/issues/30993) ([ca172c8](https://github.com/gatsbyjs/gatsby/commit/ca172c8f043c842a297f1e6029b078b94031d3b5))
- Add Typescript types for function requests/responses [#30991](https://github.com/gatsbyjs/gatsby/issues/30991) ([b8692ac](https://github.com/gatsbyjs/gatsby/commit/b8692ac15bcef0c6bdbd3f6c920e36af848240b3))
- add support for dynamic routes for API functions [#30904](https://github.com/gatsbyjs/gatsby/issues/30904) ([e44d6a7](https://github.com/gatsbyjs/gatsby/commit/e44d6a78f7f63e434a159536f07d1105067e997b))
- Add the ability to run functions locally and on Gatsby Cloud [#30192](https://github.com/gatsbyjs/gatsby/issues/30192) [#30222](https://github.com/gatsbyjs/gatsby/issues/30222) [#30277](https://github.com/gatsbyjs/gatsby/issues/30277) [#30338](https://github.com/gatsbyjs/gatsby/issues/30338) ([41eef2b](https://github.com/gatsbyjs/gatsby/commit/41eef2bdcc8890991e8d5e7c0d5df795992096ff))
- Add aggregation resolvers [#30789](https://github.com/gatsbyjs/gatsby/issues/30789) ([0e91c82](https://github.com/gatsbyjs/gatsby/commit/0e91c82ace7eff1c21ec23667021a9f19056c564))
- Memoize process.env access and repeated function calls [#30768](https://github.com/gatsbyjs/gatsby/issues/30768) ([7802e3c](https://github.com/gatsbyjs/gatsby/commit/7802e3c371b20b4f212a45b7a23887d23847709a))

#### Bug Fixes

- handle case of changing page path casing on case-insensitive fs [#31071](https://github.com/gatsbyjs/gatsby/issues/31071) [#31082](https://github.com/gatsbyjs/gatsby/issues/31082) ([3224803](https://github.com/gatsbyjs/gatsby/commit/322480390407459e238c6ae5ff560ff90a353803))
- Refactor overlay utils [#31005](https://github.com/gatsbyjs/gatsby/issues/31005) ([4930aa5](https://github.com/gatsbyjs/gatsby/commit/4930aa5b34e08ad49177820304bb6dd262c56b3f))
- use cpuCount for all parallel parts [#30548](https://github.com/gatsbyjs/gatsby/issues/30548) ([9dbb772](https://github.com/gatsbyjs/gatsby/commit/9dbb77238f23eedbb9b6dcf5ffb3453cb67bc9b8))
- try to get linenumber from compile error [#30615](https://github.com/gatsbyjs/gatsby/issues/30615) ([7dd645d](https://github.com/gatsbyjs/gatsby/commit/7dd645d65dd971cb6eaa800895f7267fa2fa6c5c))
- register offline plugin when not on preview [#30984](https://github.com/gatsbyjs/gatsby/issues/30984) ([17f028d](https://github.com/gatsbyjs/gatsby/commit/17f028d7085e1e4dc7bd361134bf0230b2cb7d95))
- honor flags disabled via config when deciding wether to add included flags [#30992](https://github.com/gatsbyjs/gatsby/issues/30992) ([e7327c3](https://github.com/gatsbyjs/gatsby/commit/e7327c311c0b606dc3ddc8e06507ad0c55a82f07))
- persist pages between runs [#28590](https://github.com/gatsbyjs/gatsby/issues/28590) [#28760](https://github.com/gatsbyjs/gatsby/issues/28760) [#29431](https://github.com/gatsbyjs/gatsby/issues/29431) [#30848](https://github.com/gatsbyjs/gatsby/issues/30848) ([a0b31bc](https://github.com/gatsbyjs/gatsby/commit/a0b31bcaaa04db8ff0675b3653c841bf47c67814))
- filter out not applicable flags (isCi / command) when constructing flags message [#30977](https://github.com/gatsbyjs/gatsby/issues/30977) ([b9ef04a](https://github.com/gatsbyjs/gatsby/commit/b9ef04a1d47f1178feadb49afca336a4b5d077cf))
- Don't use process.cwd() to find public directory for DEV_SSR [#30605](https://github.com/gatsbyjs/gatsby/issues/30605) ([31e2f79](https://github.com/gatsbyjs/gatsby/commit/31e2f79a3e3e7efa5b53345399f935b8dba7aefb))
- add support for useStaticQuery with commonjs/require [#30941](https://github.com/gatsbyjs/gatsby/issues/30941) ([0d23703](https://github.com/gatsbyjs/gatsby/commit/0d23703c104c3557a77cfbc0e98d5dc9f947c909))
- change order of feedbackDisabled checks to allow CI AWS lambda build [#30653](https://github.com/gatsbyjs/gatsby/issues/30653) ([303dc4b](https://github.com/gatsbyjs/gatsby/commit/303dc4bd5b1c79b5bb982e2ac8b5de67630d7083))
- Better Fast Refresh handling for <Root /> [#30901](https://github.com/gatsbyjs/gatsby/issues/30901) ([70b25d1](https://github.com/gatsbyjs/gatsby/commit/70b25d1f82ba35fd992d0442bc72f660c8427f87))
- z-index for loading-indicator [#30888](https://github.com/gatsbyjs/gatsby/issues/30888) ([18482b1](https://github.com/gatsbyjs/gatsby/commit/18482b123ec87e76cdc738180a1314ea81ad7afa))
- webpack warnings are no longer in object format by default [#30801](https://github.com/gatsbyjs/gatsby/issues/30801) ([33415c8](https://github.com/gatsbyjs/gatsby/commit/33415c821bf9546aa3d1ac62afb75b9ffeb67a76))
- Decode base path in runtime [#30682](https://github.com/gatsbyjs/gatsby/issues/30682) ([304e585](https://github.com/gatsbyjs/gatsby/commit/304e5859d5b25691c3d1f5183c3c2855aac79602))
- "Cannot find module 'babel-preset-gatsby'" error [#30813](https://github.com/gatsbyjs/gatsby/issues/30813) ([9789823](https://github.com/gatsbyjs/gatsby/commit/97898232e98e59926f39a711e263cf999ddc37ca))
- lower memory pressure in SSR [#30793](https://github.com/gatsbyjs/gatsby/issues/30793) ([c03e562](https://github.com/gatsbyjs/gatsby/commit/c03e562e3b7493c1903e710f80c24857b01267b6))

#### Other Changes

- handle plugin parentDir resolution in resolvePlugin() [#30812](https://github.com/gatsbyjs/gatsby/issues/30812) ([9b5e005](https://github.com/gatsbyjs/gatsby/commit/9b5e005c4c928cfb58d3d3674dd157785793cb7a))

### [3.3.1](https://github.com/gatsbyjs/gatsby/commits/gatsby@3.3.1/packages/gatsby) (2021-04-20)

#### Bug Fixes

- Better Fast Refresh handling for <Root /> [#30901](https://github.com/gatsbyjs/gatsby/issues/30901) [#30945](https://github.com/gatsbyjs/gatsby/issues/30945) ([8e10d48](https://github.com/gatsbyjs/gatsby/commit/8e10d4888d362864b3dc7138fdbe8c53c4183500))
- "Cannot find module 'babel-preset-gatsby'" error [#30813](https://github.com/gatsbyjs/gatsby/issues/30813) [#30946](https://github.com/gatsbyjs/gatsby/issues/30946) ([ef8feae](https://github.com/gatsbyjs/gatsby/commit/ef8feae4bae08ff2ad832d21080c6d24b726b0a3))

## [3.3.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@3.3.0/packages/gatsby) (2021-04-14)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v3.3)

#### Bug Fixes

- webpack warnings are no longer in object format by default [#30801](https://github.com/gatsbyjs/gatsby/issues/30801) [#30853](https://github.com/gatsbyjs/gatsby/issues/30853) ([0b99d00](https://github.com/gatsbyjs/gatsby/commit/0b99d00d24f390b4a671c2b810cb8726867e97ac))
- lower memory pressure in SSR [#30793](https://github.com/gatsbyjs/gatsby/issues/30793) [#30851](https://github.com/gatsbyjs/gatsby/issues/30851) ([f561724](https://github.com/gatsbyjs/gatsby/commit/f5617243a454e9655717e0adca50066bdcf643e4))
- edits to Gatsby Node APIs doc [#30656](https://github.com/gatsbyjs/gatsby/issues/30656) ([9699e31](https://github.com/gatsbyjs/gatsby/commit/9699e31e354fd484b3834bea2ac4a2e50d6179b4))
- fix incorrect intersection of filtered results fix [#30594](https://github.com/gatsbyjs/gatsby/issues/30594) ([e432c23](https://github.com/gatsbyjs/gatsby/commit/e432c231eb65e66208ab29605aa670e6c873303f))
- merge inherited interfaces when merging types [#30501](https://github.com/gatsbyjs/gatsby/issues/30501) ([e1f1656](https://github.com/gatsbyjs/gatsby/commit/e1f1656b36e4912c1712cada0124fc38f4b4e07e))
- Handle arrays of dates in distinct [#30460](https://github.com/gatsbyjs/gatsby/issues/30460) ([2f87f89](https://github.com/gatsbyjs/gatsby/commit/2f87f8934c4bf5a14d6ac5297d8f0ce37f55e223))

#### Performance Improvements

- cache babel config items [#28738](https://github.com/gatsbyjs/gatsby/issues/28738) ([ecd823f](https://github.com/gatsbyjs/gatsby/commit/ecd823fb424a82a8f7b8aa5da56dbaca74d3269d))

#### Chores

- Add release notes link & v2 contrib note to readme [#30596](https://github.com/gatsbyjs/gatsby/issues/30596) ([6c3977a](https://github.com/gatsbyjs/gatsby/commit/6c3977af408124a38268ed566154e423b21cd0e7))
- upgrade wepback deps [#30561](https://github.com/gatsbyjs/gatsby/issues/30561) ([17a0126](https://github.com/gatsbyjs/gatsby/commit/17a0126ba8ee82471ac011609536f2ab5e975dc2))

### [3.2.1](https://github.com/gatsbyjs/gatsby/commits/gatsby@3.2.1/packages/gatsby) (2021-04-02)

#### Bug Fixes

- fix incorrect intersection of filtered results fix [#30594](https://github.com/gatsbyjs/gatsby/issues/30594) fix [#30626](https://github.com/gatsbyjs/gatsby/issues/30626) ([a4f8a14](https://github.com/gatsbyjs/gatsby/commit/a4f8a14fd65100a70650f476e4dd12af6f4e94fd))

## [3.2.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@3.2.0/packages/gatsby) (2021-03-30)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v3.2)

#### Bug Fixes

- Handle arrays of dates in distinct [#30460](https://github.com/gatsbyjs/gatsby/issues/30460) [#30566](https://github.com/gatsbyjs/gatsby/issues/30566) ([2d38033](https://github.com/gatsbyjs/gatsby/commit/2d38033f05cc06ab5d5f3ab5c198e5ac59fed25d))
- merge inherited interfaces when merging types [#30501](https://github.com/gatsbyjs/gatsby/issues/30501) [#30562](https://github.com/gatsbyjs/gatsby/issues/30562) ([b9dfd16](https://github.com/gatsbyjs/gatsby/commit/b9dfd16f96e410c9bda95445250d3fdcb98fb576))
- Add allowNamespace option to ESLint config [#30023](https://github.com/gatsbyjs/gatsby/issues/30023) ([98001eb](https://github.com/gatsbyjs/gatsby/commit/98001ebd36b4eaace6c9b35ecc3a96f96e6f7010))
- validate local plugin options schema [#29787](https://github.com/gatsbyjs/gatsby/issues/29787) ([096eb38](https://github.com/gatsbyjs/gatsby/commit/096eb38464d9ad7da79f3acb45ade6aee8765b75))
- update nested input types when rebuilding SitePage [#30426](https://github.com/gatsbyjs/gatsby/issues/30426) ([54d4721](https://github.com/gatsbyjs/gatsby/commit/54d4721462b9303fed723fdcb15ac5d72e103778))
- Correct behavior for reporter.error with pluginName [#30331](https://github.com/gatsbyjs/gatsby/issues/30331) ([eb1e2d8](https://github.com/gatsbyjs/gatsby/commit/eb1e2d8a3fa78027613b530f667b22fe99b4bfcd))
- Add reporter.panic in empty catch in load-themes [#29640](https://github.com/gatsbyjs/gatsby/issues/29640) ([3a8789b](https://github.com/gatsbyjs/gatsby/commit/3a8789b4875444c0ce33d313bc82290d2c38261e))
- do not fail on 3rd-party schemas with relay-classic support [#30318](https://github.com/gatsbyjs/gatsby/issues/30318) ([3c2888c](https://github.com/gatsbyjs/gatsby/commit/3c2888c011d24153422a48ca20f37200f002ee67))
- be less aggressive when marking builtin methods as unsafe [#30216](https://github.com/gatsbyjs/gatsby/issues/30216) ([331d76e](https://github.com/gatsbyjs/gatsby/commit/331d76e41533db65d896df2c08c55b929219d124))

#### Performance Improvements

- Optimise `distinct` queries [#30457](https://github.com/gatsbyjs/gatsby/issues/30457) ([f462e23](https://github.com/gatsbyjs/gatsby/commit/f462e23c26459ccdc30d7abdce1abc375f6ee4eb))

#### Chores

- upgrade webpack deps [#30561](https://github.com/gatsbyjs/gatsby/issues/30561) ([7c72b69](https://github.com/gatsbyjs/gatsby/commit/7c72b69ea8afec4e582fca5d8e51e22b665ab7dd))
- don't terminate dev server if graphql wasn't imported from gatsby [#30371](https://github.com/gatsbyjs/gatsby/issues/30371) ([d534602](https://github.com/gatsbyjs/gatsby/commit/d534602c1d40cea5bd88085b753781963906d7b4))
- Fix typo in createPages doc Fix [#30343](https://github.com/gatsbyjs/gatsby/issues/30343) ([53a9d5e](https://github.com/gatsbyjs/gatsby/commit/53a9d5e9dc569f605f809136dd3e4c568b62c9ca))

### [3.1.3](https://github.com/gatsbyjs/gatsby/commits/gatsby@3.1.3/packages/gatsby) (2021-03-30)

#### Bug Fixes

- update nested input types when rebuilding SitePage [#30426](https://github.com/gatsbyjs/gatsby/issues/30426) [#30432](https://github.com/gatsbyjs/gatsby/issues/30432) ([a742927](https://github.com/gatsbyjs/gatsby/commit/a742927a6b7ac5fc4f5b0306ca8290093c88eb22))

### [3.1.2](https://github.com/gatsbyjs/gatsby/commits/gatsby@3.1.2/packages/gatsby) (2021-03-23)

#### Bug Fixes

- do not fail on 3rd-party schemas with relay-classic support [#30318](https://github.com/gatsbyjs/gatsby/issues/30318) [#30421](https://github.com/gatsbyjs/gatsby/issues/30421) ([aa51a97](https://github.com/gatsbyjs/gatsby/commit/aa51a97a38880fb9ce1d2c560d675f061214b717))

### [3.1.1](https://github.com/gatsbyjs/gatsby/commits/gatsby@3.1.1/packages/gatsby) (2021-03-18)

#### Bug Fixes

- be less aggressive when marking builtin methods as unsafe [#30216](https://github.com/gatsbyjs/gatsby/issues/30216) [#30287](https://github.com/gatsbyjs/gatsby/issues/30287) ([32d7adf](https://github.com/gatsbyjs/gatsby/commit/32d7adf16e6b8142ba2a30d5216b9bf34234f412))

## [3.1.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@3.1.0/packages/gatsby) (2021-03-16)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v3.1)

#### Features

- Add darkmode support to Fast Refresh overlay [#30025](https://github.com/gatsbyjs/gatsby/issues/30025) ([b7fb616](https://github.com/gatsbyjs/gatsby/commit/b7fb616ab79f10dd8f1faf6ea23fea0fa4424f26))
- improve error messages at runtime [#29970](https://github.com/gatsbyjs/gatsby/issues/29970) ([d37f275](https://github.com/gatsbyjs/gatsby/commit/d37f2757b6b6e46335f3ba4fcaabf3a85251f045))

#### Bug Fixes

- workaround some webpack issues causing first save after running gatsby develop to not have any effect [#30193](https://github.com/gatsbyjs/gatsby/issues/30193) ([a9d65f6](https://github.com/gatsbyjs/gatsby/commit/a9d65f640891ebcaa8da9ccc9c8ef0f40e4905cd))
- improve error messages for errors outside of react" [#30031](https://github.com/gatsbyjs/gatsby/issues/30031) ([8183012](https://github.com/gatsbyjs/gatsby/commit/818301227f6f8946e2130a43b75f3d685bc32b70))
- freeze the schema only after rebuilding with SitePage [#30132](https://github.com/gatsbyjs/gatsby/issues/30132) ([4fc4248](https://github.com/gatsbyjs/gatsby/commit/4fc424868fa72b04a8152b2e8f0dceeb4955b15f))
- set program.verbose when VERBOSE env var is used [#30123](https://github.com/gatsbyjs/gatsby/issues/30123) ([632f915](https://github.com/gatsbyjs/gatsby/commit/632f9151ceb2d5621dc720adca3ee8049e6179d6))
- don't ignore SOURCE_FILE_CHANGED event [#30127](https://github.com/gatsbyjs/gatsby/issues/30127) ([f6d1c09](https://github.com/gatsbyjs/gatsby/commit/f6d1c093d2f5cf73e8bfdbfeefac18115a145463))
- Fix broken reporter call Fix [#30092](https://github.com/gatsbyjs/gatsby/issues/30092) ([9429b3b](https://github.com/gatsbyjs/gatsby/commit/9429b3bfc5ab00ae02efddc20188a3bb95629e6d))
- always pass `stage` option to `babel-preset-gatsby` [#30047](https://github.com/gatsbyjs/gatsby/issues/30047) ([8cedc8d](https://github.com/gatsbyjs/gatsby/commit/8cedc8dd15e0fd3cb5bc62e8276a4a1f96e7c6f4))
- handle case of removing trailing slash in inc builds [#29953](https://github.com/gatsbyjs/gatsby/issues/29953) ([7462030](https://github.com/gatsbyjs/gatsby/commit/7462030b9f3c6ad028a2469b850e3477b4f0b954))
- update lodash monorepo to ^4.17.21 [#29382](https://github.com/gatsbyjs/gatsby/issues/29382) ([9fd287b](https://github.com/gatsbyjs/gatsby/commit/9fd287ba89eacd55652d468b18f6e1526230e7c6))
- change browserlist to web/es5 [#29954](https://github.com/gatsbyjs/gatsby/issues/29954) ([ba8a498](https://github.com/gatsbyjs/gatsby/commit/ba8a498c268694999bfa7961d41018b09b523779))
- fix routing for paths with characters like `@` etc fix [#29935](https://github.com/gatsbyjs/gatsby/issues/29935) ([157ae16](https://github.com/gatsbyjs/gatsby/commit/157ae165a4d1baa55a272b43f21c7acc89b4294b))
- Add dir=ltr to Fast Refresh overlay [#29900](https://github.com/gatsbyjs/gatsby/issues/29900) ([89d3150](https://github.com/gatsbyjs/gatsby/commit/89d3150a33441b3690d56ce5a99afd19452f6f03))
- with some custom babel configs array spreading with Set is not safe [#29885](https://github.com/gatsbyjs/gatsby/issues/29885) ([5d312fe](https://github.com/gatsbyjs/gatsby/commit/5d312fe5433dbafb9a6b7eeba6abb563dba27ef2))
- Remove `react-hot-loader` deps & other unused deps [#29864](https://github.com/gatsbyjs/gatsby/issues/29864) ([39721fd](https://github.com/gatsbyjs/gatsby/commit/39721fd2f3f4a997c6a954c60ae81bb93712c0b1))
- Fix various small DEV_SSR bugs exposed in development_runtime tests Fix [#29720](https://github.com/gatsbyjs/gatsby/issues/29720) ([114e006](https://github.com/gatsbyjs/gatsby/commit/114e006c5866c15c8448904746d968e4ef904f83))
- fix some css HMR edge cases fix [#29839](https://github.com/gatsbyjs/gatsby/issues/29839) ([52facaf](https://github.com/gatsbyjs/gatsby/commit/52facaf7c5bf377cbec42d9d9f18832751a429a1))
- fix fast-refresh fix [#29831](https://github.com/gatsbyjs/gatsby/issues/29831) ([81a3776](https://github.com/gatsbyjs/gatsby/commit/81a377650e267b930482abf647053b1a0b6bc384))
- Improve Fast Refresh overlay styles [#29855](https://github.com/gatsbyjs/gatsby/issues/29855) ([c8bf060](https://github.com/gatsbyjs/gatsby/commit/c8bf0605ada2f4f20c518d51ef8629fb2ea48de7))
- query on demand loading indicator always active on preact. [#29829](https://github.com/gatsbyjs/gatsby/issues/29829) ([fa1e2d6](https://github.com/gatsbyjs/gatsby/commit/fa1e2d66b806c92a04d63f023f77bb5770981808))
- accept hot updates for modules above page templates [#29752](https://github.com/gatsbyjs/gatsby/issues/29752) ([55778eb](https://github.com/gatsbyjs/gatsby/commit/55778eb11e816ceaf29ad20d6ff05192cdf68f4c))
- workaround graphql-compose issue [#29822](https://github.com/gatsbyjs/gatsby/issues/29822) ([7f9bcf1](https://github.com/gatsbyjs/gatsby/commit/7f9bcf10797f0e1ba1583c6f1a6417ffe91f1b5e))
- eslint linting [#29796](https://github.com/gatsbyjs/gatsby/issues/29796) ([2d52a55](https://github.com/gatsbyjs/gatsby/commit/2d52a5567018b5ebb185cd08bc41500a0d657136))
- Use vendored @reach/router [#29772](https://github.com/gatsbyjs/gatsby/issues/29772) ([8754e0c](https://github.com/gatsbyjs/gatsby/commit/8754e0c6eb1b8f88422e60f31a1dca37925e8b2e))
- don't use loader in ssr [#29801](https://github.com/gatsbyjs/gatsby/issues/29801) ([b2d6617](https://github.com/gatsbyjs/gatsby/commit/b2d66171081dffbfdd9e5def281d09c011a6a821))
- Update styles & overlay for Fast Refresh [#29797](https://github.com/gatsbyjs/gatsby/issues/29797) ([22da802](https://github.com/gatsbyjs/gatsby/commit/22da8028395d61fb2bef0b66418ae2c83fe29e6e))

#### Chores

- Adding maintenance window for v2 [#30146](https://github.com/gatsbyjs/gatsby/issues/30146) ([d21fc26](https://github.com/gatsbyjs/gatsby/commit/d21fc26a811178e41dd3998e64b5946c2f7abc9d))
- adjust all @reach/router imports to not rely just on webpack alias [#30033](https://github.com/gatsbyjs/gatsby/issues/30033) ([38dab68](https://github.com/gatsbyjs/gatsby/commit/38dab684af7475ea17edf5cefddfe62584a4065a))
- fix spelling, remove whitespace and fix links fix [#30012](https://github.com/gatsbyjs/gatsby/issues/30012) ([58e8d1d](https://github.com/gatsbyjs/gatsby/commit/58e8d1d78b9d98b14832bd7237493b515c7cbc4d))
- update eslint to fix linting issues fix [#29988](https://github.com/gatsbyjs/gatsby/issues/29988) ([5636389](https://github.com/gatsbyjs/gatsby/commit/5636389e8fa626c644e90abc14589e9961d98c68))
- update readme [#29837](https://github.com/gatsbyjs/gatsby/issues/29837) ([69f538a](https://github.com/gatsbyjs/gatsby/commit/69f538a870fcf75223916fdf074177966119a22b))
- move to latest joi [#29792](https://github.com/gatsbyjs/gatsby/issues/29792) ([86b8b26](https://github.com/gatsbyjs/gatsby/commit/86b8b2643be554496178426c8ba8466411ce56f7))
- update core-js [#29791](https://github.com/gatsbyjs/gatsby/issues/29791) ([2758329](https://github.com/gatsbyjs/gatsby/commit/27583295f7d5d82deed4bf324bc0233ff49944cd))
- upgarde postcss & plugins [#29793](https://github.com/gatsbyjs/gatsby/issues/29793) ([95f452c](https://github.com/gatsbyjs/gatsby/commit/95f452c9300490bbf961fa65f11fdf89825acd26))
- Fix our internal eslint config for monorepo Fix [#29795](https://github.com/gatsbyjs/gatsby/issues/29795) ([0b4664e](https://github.com/gatsbyjs/gatsby/commit/0b4664e52c22902f9fb85b208a63da388ddd0470))

### [3.0.4](https://github.com/gatsbyjs/gatsby/commits/gatsby@3.0.4/packages/gatsby) (2021-03-10)

#### Bug Fixes

- freeze the schema only after rebuilding with SitePage [#30132](https://github.com/gatsbyjs/gatsby/issues/30132) [#30137](https://github.com/gatsbyjs/gatsby/issues/30137) ([31e754f](https://github.com/gatsbyjs/gatsby/commit/31e754fbcd942232717dce785e769650242aa133))
- set program.verbose when VERBOSE env var is used [#30123](https://github.com/gatsbyjs/gatsby/issues/30123) [#30136](https://github.com/gatsbyjs/gatsby/issues/30136) ([bc0eca5](https://github.com/gatsbyjs/gatsby/commit/bc0eca57e51c2dcc23b2b605c28d73e960fd122c))
- don't ignore SOURCE_FILE_CHANGED event [#30127](https://github.com/gatsbyjs/gatsby/issues/30127) [#30135](https://github.com/gatsbyjs/gatsby/issues/30135) ([f8f38f3](https://github.com/gatsbyjs/gatsby/commit/f8f38f3199952c9b42c551e4fc81d07a4af869dc))

### [3.0.3](https://github.com/gatsbyjs/gatsby/commits/gatsby@3.0.3/packages/gatsby) (2021-03-06)

#### Bug Fixes

- always pass `stage` option to `babel-preset-gatsby` [#30047](https://github.com/gatsbyjs/gatsby/issues/30047) [#30051](https://github.com/gatsbyjs/gatsby/issues/30051) ([ec57576](https://github.com/gatsbyjs/gatsby/commit/ec57576e9a30bd5086fccb36ac32e5314d27cb34))

#### Chores

- adjust all @reach/router imports to not rely just on webpack alias [#30033](https://github.com/gatsbyjs/gatsby/issues/30033) [#30049](https://github.com/gatsbyjs/gatsby/issues/30049) ([8686a42](https://github.com/gatsbyjs/gatsby/commit/8686a42fee8263661f163d2acf3e000642ffa4e7))

### [3.0.2](https://github.com/gatsbyjs/gatsby/commits/gatsby@3.0.2/packages/gatsby) (2021-03-05)

#### Bug Fixes

- handle case of removing trailing slash in inc builds [#29953](https://github.com/gatsbyjs/gatsby/issues/29953) [#30001](https://github.com/gatsbyjs/gatsby/issues/30001) ([d050050](https://github.com/gatsbyjs/gatsby/commit/d050050b95cea729f20c990069f2917f2a9e927e))

### [3.0.1](https://github.com/gatsbyjs/gatsby/commits/gatsby@3.0.1/packages/gatsby) (2021-03-04)

#### Bug Fixes

- change browserlist to web/es5 [#29954](https://github.com/gatsbyjs/gatsby/issues/29954) [#29968](https://github.com/gatsbyjs/gatsby/issues/29968) ([1b26dc2](https://github.com/gatsbyjs/gatsby/commit/1b26dc26356a295bc8a59979522043b9f36aaaf4))
- fix routing for paths with characters like `@` etc fix [#29935](https://github.com/gatsbyjs/gatsby/issues/29935) fix [#29967](https://github.com/gatsbyjs/gatsby/issues/29967) ([03fd1cb](https://github.com/gatsbyjs/gatsby/commit/03fd1cbc3015f04f496f34c31bd58564e8bb51bb))

## [3.0.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@3.0.0/packages/gatsby) (2021-03-02)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v3.0)

#### Features

- Set up Fast Refresh [#29588](https://github.com/gatsbyjs/gatsby/issues/29588) ([e0bd955](https://github.com/gatsbyjs/gatsby/commit/e0bd955677dd23c26491e794d9a339eb343e632b))
- Add ignoreCase option for createRedirect and support it in client sid… [#29714](https://github.com/gatsbyjs/gatsby/issues/29714) ([09f58de](https://github.com/gatsbyjs/gatsby/commit/09f58defb6c3b4b26a3efbc8151fbf129e5cb7fd))
- Respect VERBOSE env var [#29708](https://github.com/gatsbyjs/gatsby/issues/29708) ([97d6d3e](https://github.com/gatsbyjs/gatsby/commit/97d6d3ed841268adcf3b0de51ed2abd4d4770e70))
- shim reporter from gatsby [#29669](https://github.com/gatsbyjs/gatsby/issues/29669) ([249905a](https://github.com/gatsbyjs/gatsby/commit/249905ac92f11efdb2333828667b946a860a1a27))
- move sync-requires to async-requires in develop [#29391](https://github.com/gatsbyjs/gatsby/issues/29391) ([82b7c03](https://github.com/gatsbyjs/gatsby/commit/82b7c03476370d1ec76491ff192c29c05c0f878f))
- track potentially unsafe Node.js builtin modules usage [#29560](https://github.com/gatsbyjs/gatsby/issues/29560) ([fe737d0](https://github.com/gatsbyjs/gatsby/commit/fe737d0784b11dd03f6d3b8c69cf964de5bd50f5))
- Add file download functions [#29531](https://github.com/gatsbyjs/gatsby/issues/29531) ([1a9469d](https://github.com/gatsbyjs/gatsby/commit/1a9469d67a19007faebebfb8ce876970c5e0ffaf))
- remove react-hot-loader [#29540](https://github.com/gatsbyjs/gatsby/issues/29540) ([a5210b2](https://github.com/gatsbyjs/gatsby/commit/a5210b2550b9646656aae28c28cb5be580cd5677))
- make it default [#29548](https://github.com/gatsbyjs/gatsby/issues/29548) ([348a5bf](https://github.com/gatsbyjs/gatsby/commit/348a5bf989a955345d1b958e25978ed90864cd72))
- upgrade webpack to version 5 [#29145](https://github.com/gatsbyjs/gatsby/issues/29145) ([a7a3991](https://github.com/gatsbyjs/gatsby/commit/a7a3991ca2ad450abaacdc168e9900dad995b584))
- track static query results [#29486](https://github.com/gatsbyjs/gatsby/issues/29486) ([16d16ce](https://github.com/gatsbyjs/gatsby/commit/16d16ce0824006c25576f32772cecb8fa3101c75))
- track ssr compilation hash [#29482](https://github.com/gatsbyjs/gatsby/issues/29482) ([2157ca9](https://github.com/gatsbyjs/gatsby/commit/2157ca9a08887256e22bb75e899b3964ba5d675c))
- display GraphQL deprecations as CLI warnings [#29450](https://github.com/gatsbyjs/gatsby/issues/29450) ([bfd8c8c](https://github.com/gatsbyjs/gatsby/commit/bfd8c8c41db5fea654a9b84c54bbf63db0ce3a54))
- support GraphQL interface inheritance [#29427](https://github.com/gatsbyjs/gatsby/issues/29427) ([6365768](https://github.com/gatsbyjs/gatsby/commit/63657680436f946c94589eb639fd692048c597bd))
- Remove boundActionCreators [#29129](https://github.com/gatsbyjs/gatsby/issues/29129) ([b1f8663](https://github.com/gatsbyjs/gatsby/commit/b1f866394345117d9eec0cb47270a18a9d2bf485))
- Remove deleteNode with ID arg [#29205](https://github.com/gatsbyjs/gatsby/issues/29205) ([01b6123](https://github.com/gatsbyjs/gatsby/commit/01b6123d7b1fca922a4fe450651d39e6de4b96a1))
- Remove old touchNode signature [#29245](https://github.com/gatsbyjs/gatsby/issues/29245) ([0927cb0](https://github.com/gatsbyjs/gatsby/commit/0927cb007d0774bed8cf5ead3130ff6b7c3393b7))
- Remove possibility to use global graphql tag for queries [#29291](https://github.com/gatsbyjs/gatsby/issues/29291) ([d933462](https://github.com/gatsbyjs/gatsby/commit/d933462d64f004e1a9db2d3407797d45ff8b4762))
- Remove fieldName & fieldValue from createNodeField [#29207](https://github.com/gatsbyjs/gatsby/issues/29207) ([a1f3cf6](https://github.com/gatsbyjs/gatsby/commit/a1f3cf67846285a9bbd59714ac0934c8bcfa4729))
- Remove deleteNodes [#29194](https://github.com/gatsbyjs/gatsby/issues/29194) ([7ee8025](https://github.com/gatsbyjs/gatsby/commit/7ee802580f477530a5398337f3c6bc3d5770f37d))
- track connections by default in runQuery and getAllNodes [#29392](https://github.com/gatsbyjs/gatsby/issues/29392) ([5cbc085](https://github.com/gatsbyjs/gatsby/commit/5cbc0858cef1b115289fc9a02ef531c7896f2f5d))

#### Bug Fixes

- Add dir=ltr to Fast Refresh overlay [#29900](https://github.com/gatsbyjs/gatsby/issues/29900) [#29908](https://github.com/gatsbyjs/gatsby/issues/29908) ([df50ce7](https://github.com/gatsbyjs/gatsby/commit/df50ce729c5c764f35aab80324196fb1151ca592))
- Remove `react-hot-loader` deps & other unused deps [#29864](https://github.com/gatsbyjs/gatsby/issues/29864) [#29876](https://github.com/gatsbyjs/gatsby/issues/29876) ([c266b83](https://github.com/gatsbyjs/gatsby/commit/c266b835d8f8d4d069b04f4ddd2313f8da28de57))
- with some custom babel configs array spreading with Set is not safe [#29885](https://github.com/gatsbyjs/gatsby/issues/29885) [#29889](https://github.com/gatsbyjs/gatsby/issues/29889) ([222ca3f](https://github.com/gatsbyjs/gatsby/commit/222ca3f2faf6892e063d156c370fb1c857092a74))
- Fix various small DEV_SSR bugs exposed in development_runtime tests Fix [#29720](https://github.com/gatsbyjs/gatsby/issues/29720) Fix [#29866](https://github.com/gatsbyjs/gatsby/issues/29866) ([f070422](https://github.com/gatsbyjs/gatsby/commit/f070422daf39272ee453936585bdb4b644dd39aa))
- fix some css HMR edge cases fix [#29839](https://github.com/gatsbyjs/gatsby/issues/29839) fix [#29865](https://github.com/gatsbyjs/gatsby/issues/29865) ([fdc1fe2](https://github.com/gatsbyjs/gatsby/commit/fdc1fe29c507e0b2dbb7b8fee765176cd2e9c5a9))
- fix fast-refresh fix [#29831](https://github.com/gatsbyjs/gatsby/issues/29831) fix [#29860](https://github.com/gatsbyjs/gatsby/issues/29860) ([e8a7e3b](https://github.com/gatsbyjs/gatsby/commit/e8a7e3be95adfcd1efa9e1db71ebb2e4c82105db))
- Improve Fast Refresh overlay styles [#29855](https://github.com/gatsbyjs/gatsby/issues/29855) [#29861](https://github.com/gatsbyjs/gatsby/issues/29861) ([e7453c3](https://github.com/gatsbyjs/gatsby/commit/e7453c39810fe39497b9660f582350e97b5becef))
- query on demand loading indicator always active on preact. [#29829](https://github.com/gatsbyjs/gatsby/issues/29829) [#29836](https://github.com/gatsbyjs/gatsby/issues/29836) ([aafe584](https://github.com/gatsbyjs/gatsby/commit/aafe5843c158d99c7d7a8739b55cf8dfa72e334a))
- accept hot updates for modules above page templates [#29752](https://github.com/gatsbyjs/gatsby/issues/29752) [#29835](https://github.com/gatsbyjs/gatsby/issues/29835) ([34f5b8c](https://github.com/gatsbyjs/gatsby/commit/34f5b8cb115fa7575bfe88f7436c00e1b3c4dc24))
- workaround graphql-compose issue [#29822](https://github.com/gatsbyjs/gatsby/issues/29822) [#29834](https://github.com/gatsbyjs/gatsby/issues/29834) ([b8d21f8](https://github.com/gatsbyjs/gatsby/commit/b8d21f8fdb650bbed945ab136240924b8e6ac6e8))
- eslint linting [#29796](https://github.com/gatsbyjs/gatsby/issues/29796) [#29814](https://github.com/gatsbyjs/gatsby/issues/29814) ([32fee71](https://github.com/gatsbyjs/gatsby/commit/32fee713b1d01ccba7689a01affd68dd4eee466f))
- Use vendored @reach/router [#29772](https://github.com/gatsbyjs/gatsby/issues/29772) [#29811](https://github.com/gatsbyjs/gatsby/issues/29811) ([bd856ef](https://github.com/gatsbyjs/gatsby/commit/bd856efac1334b2385ced7ecb25c92e046882487))
- don't use loader in ssr [#29801](https://github.com/gatsbyjs/gatsby/issues/29801) [#29809](https://github.com/gatsbyjs/gatsby/issues/29809) ([b667111](https://github.com/gatsbyjs/gatsby/commit/b667111c59da23855daffe20ca2b8ed6fbf96809))
- Update styles & overlay for Fast Refresh [#29797](https://github.com/gatsbyjs/gatsby/issues/29797) [#29808](https://github.com/gatsbyjs/gatsby/issues/29808) ([fefa6b1](https://github.com/gatsbyjs/gatsby/commit/fefa6b1cffafc64971bf16377c85f5ee489987e9))
- temporarily pin mini-css-extract-plugin version [#29773](https://github.com/gatsbyjs/gatsby/issues/29773) ([8967b88](https://github.com/gatsbyjs/gatsby/commit/8967b888b71ce2621b3f2957dae42f78b394ba20))
- don't print deprecation warning for touchNode for the sample plugin multiple times [#29745](https://github.com/gatsbyjs/gatsby/issues/29745) ([d024b70](https://github.com/gatsbyjs/gatsby/commit/d024b70528232818ee573394e42ca47cc28ce8a8))
- don't print deprecation warning for deleteNode for the sample plugin multiple times [#29746](https://github.com/gatsbyjs/gatsby/issues/29746) ([66477f1](https://github.com/gatsbyjs/gatsby/commit/66477f1e40355c56a5fdabc572388d8c81a213e2))
- re-implement loadPageDataSync for onRenderBody in gatsby-ssr [#29734](https://github.com/gatsbyjs/gatsby/issues/29734) ([3d8a7db](https://github.com/gatsbyjs/gatsby/commit/3d8a7db7f51f61f6ba41de60782c28c4a298187e))
- context.nodeModel.runQuery should return [] instead of null [#25885](https://github.com/gatsbyjs/gatsby/issues/25885) ([684ac0e](https://github.com/gatsbyjs/gatsby/commit/684ac0eeb0d0ed2935079a69240977256714a4f2))
- fix root resolving of resources fix [#29577](https://github.com/gatsbyjs/gatsby/issues/29577) ([affb1d6](https://github.com/gatsbyjs/gatsby/commit/affb1d6c055efd58586d4e6fb667f64dee9cd18e))
- fix regex filter in graphql queries fix [#26592](https://github.com/gatsbyjs/gatsby/issues/26592) ([9ecec6c](https://github.com/gatsbyjs/gatsby/commit/9ecec6c0074e34a4d558974171634fa722a0d8e3))
- render QoD overlay in its own root element to avoid hydration issues [#29692](https://github.com/gatsbyjs/gatsby/issues/29692) ([d3dd3e1](https://github.com/gatsbyjs/gatsby/commit/d3dd3e15e27ea040d764a81c6f77f15c281f2499))
- re-add prefetch/preload links for child assets [#29693](https://github.com/gatsbyjs/gatsby/issues/29693) ([170c604](https://github.com/gatsbyjs/gatsby/commit/170c604ace4cd27b056412cadbbd008d87ec2379))
- set NODE_ENV to production for render-html worker process instead of pointing externals to production react [#29620](https://github.com/gatsbyjs/gatsby/issues/29620) ([d8772ec](https://github.com/gatsbyjs/gatsby/commit/d8772ec9dd398ebf1a0e4ecf423f16455a4cbf11))
- add blank .css to ensure mini-css-extract-plugin always has something to extract [#29681](https://github.com/gatsbyjs/gatsby/issues/29681) ([5de8562](https://github.com/gatsbyjs/gatsby/commit/5de8562e38e3874040717fa00153b2753861a383))
- don't disable webpack's cache [#29663](https://github.com/gatsbyjs/gatsby/issues/29663) ([258e0f7](https://github.com/gatsbyjs/gatsby/commit/258e0f7dbfa500353cdadf80077896383a35c76c))
- fix fs empty webpack5 deprecation fix [#29631](https://github.com/gatsbyjs/gatsby/issues/29631) ([893219e](https://github.com/gatsbyjs/gatsby/commit/893219ebceb84c5eb43beebbdeefe81fece33330))
- cleanup fullySpecified resolving [#29576](https://github.com/gatsbyjs/gatsby/issues/29576) ([1343d38](https://github.com/gatsbyjs/gatsby/commit/1343d38a6f22e8919eacbfdcb718fbdc409a03dc))
- fix webpack config for css modules fix [#29596](https://github.com/gatsbyjs/gatsby/issues/29596) ([c43fb52](https://github.com/gatsbyjs/gatsby/commit/c43fb520ae7f7e028ac77ac39e89c411cbaf1452))
- prevent errors when backwards compat node.nodeId is for a deleted node in touchNode [#29575](https://github.com/gatsbyjs/gatsby/issues/29575) ([077eb16](https://github.com/gatsbyjs/gatsby/commit/077eb16f78cf72f2f4291bd4e51de61a5d6d826c))
- fix deprecation export messages fix [#29563](https://github.com/gatsbyjs/gatsby/issues/29563) ([15b55f0](https://github.com/gatsbyjs/gatsby/commit/15b55f09ba97c7cabe368900bcdc4c120f988d47))
- track page data and not page query [#29498](https://github.com/gatsbyjs/gatsby/issues/29498) ([31a23d8](https://github.com/gatsbyjs/gatsby/commit/31a23d873d4b1fa76d4c432fcecfe54876c0af1d))
- skip unions in input types [#29479](https://github.com/gatsbyjs/gatsby/issues/29479) ([8ef695d](https://github.com/gatsbyjs/gatsby/commit/8ef695dfae16c46e46641f2559ccc64b79aaaae2))
- drop terminal-link [#29472](https://github.com/gatsbyjs/gatsby/issues/29472) ([260c297](https://github.com/gatsbyjs/gatsby/commit/260c29795537bb2e5bf04f0f719b5aeadbb3cc16))
- clear tracked queries when deleting stale page-data files [#29431](https://github.com/gatsbyjs/gatsby/issues/29431) ([478cf68](https://github.com/gatsbyjs/gatsby/commit/478cf68f0077d95d5e46a235cf235e01fe4eaddc))

#### Refactoring

- explicitly persist status of generated html files [#29473](https://github.com/gatsbyjs/gatsby/issues/29473) ([2b7d230](https://github.com/gatsbyjs/gatsby/commit/2b7d230f1ab38d22206cb17a15c5f4d352037261))
- remove fs from ssr bundle, remove static queries from ssr bundle [#29396](https://github.com/gatsbyjs/gatsby/issues/29396) ([f221c33](https://github.com/gatsbyjs/gatsby/commit/f221c3394d344d7ad84f2add79bd203dbded4de0))

#### Chores

- update readme [#29837](https://github.com/gatsbyjs/gatsby/issues/29837) [#29909](https://github.com/gatsbyjs/gatsby/issues/29909) ([83adec5](https://github.com/gatsbyjs/gatsby/commit/83adec585dad4291e8074f09583e78537e5b0aea))
- upgrade postcss & plugins [#29793](https://github.com/gatsbyjs/gatsby/issues/29793) ([76f4f96](https://github.com/gatsbyjs/gatsby/commit/76f4f96b667b1037ffc9f18a4f9d00c45315010e))
- deprecate createJob, setJob and endJob actions [#29767](https://github.com/gatsbyjs/gatsby/issues/29767) ([b3b19d3](https://github.com/gatsbyjs/gatsby/commit/b3b19d30a560a8e66dbd0258461d4fb44e386eb7))
- upgrade eslint [#29770](https://github.com/gatsbyjs/gatsby/issues/29770) ([4377591](https://github.com/gatsbyjs/gatsby/commit/4377591c5365e3a3f4ff2f2717849ff6d06a8cb4))
- upgrade socket.io [#29765](https://github.com/gatsbyjs/gatsby/issues/29765) ([3ab492c](https://github.com/gatsbyjs/gatsby/commit/3ab492cabdf436fa5f8e93b245a9e4004621b389))
- swap out loader for eslint plugin [#29736](https://github.com/gatsbyjs/gatsby/issues/29736) ([f8be41a](https://github.com/gatsbyjs/gatsby/commit/f8be41a0d56fde70e08520979fe07404fc162edf))
- Fix broken eslint rule Fix [#29727](https://github.com/gatsbyjs/gatsby/issues/29727) ([3db77a5](https://github.com/gatsbyjs/gatsby/commit/3db77a59f84a61243e2fa42132acf8ad7d140996))
- Upgrade typescript [#29388](https://github.com/gatsbyjs/gatsby/issues/29388) ([823140f](https://github.com/gatsbyjs/gatsby/commit/823140f2b0bbbcab51923186bab8128bb8e0afe5))
- drop unused friendly-errors-webpack-plugin dep [#29662](https://github.com/gatsbyjs/gatsby/issues/29662) ([b61af20](https://github.com/gatsbyjs/gatsby/commit/b61af20fb23d8cdb86618c50868ff5f329394bd2))
- remove dead `setPageData` action [#29645](https://github.com/gatsbyjs/gatsby/issues/29645) ([b0dbda1](https://github.com/gatsbyjs/gatsby/commit/b0dbda12d7ad998a66b30e15e9a1657dd3c4344b))
- add context about not handling page query result directly in html reducer [#29646](https://github.com/gatsbyjs/gatsby/issues/29646) ([dbbcb6a](https://github.com/gatsbyjs/gatsby/commit/dbbcb6a5194d6815232cc8b7a238b9fd10eed3bf))
- use params from yargs and don't check process.argv [#29648](https://github.com/gatsbyjs/gatsby/issues/29648) ([e3a7be3](https://github.com/gatsbyjs/gatsby/commit/e3a7be3d1437ea62b9e95d38d3fb0d32d6326007))
- bump mini-css-extract-plugin [#29630](https://github.com/gatsbyjs/gatsby/issues/29630) ([1c52157](https://github.com/gatsbyjs/gatsby/commit/1c5215712400f6063d7e613969dd12c83aa8bd49))
- move html generation to separate function [#29499](https://github.com/gatsbyjs/gatsby/issues/29499) ([1bf8d23](https://github.com/gatsbyjs/gatsby/commit/1bf8d23ba38ca90d556398fc3df1a3d371dcca7f))
- pin graphql-compose version to patch [#29519](https://github.com/gatsbyjs/gatsby/issues/29519) ([b91f495](https://github.com/gatsbyjs/gatsby/commit/b91f495376e411c260de4ba1ad5b7ea4643a644c))
- address core package todos [#29463](https://github.com/gatsbyjs/gatsby/issues/29463) ([94fbf21](https://github.com/gatsbyjs/gatsby/commit/94fbf2134ef04d1007d7b301e308f7fcf4250ef5))
- remove noDefaultResolvers argument from infer extension [#29367](https://github.com/gatsbyjs/gatsby/issues/29367) ([5d0dfa2](https://github.com/gatsbyjs/gatsby/commit/5d0dfa2cf455a86ac0b215a7ee8c4c83a71a4cd4))
- do not add \_\_typename to GraphQL query [#29399](https://github.com/gatsbyjs/gatsby/issues/29399) ([ddb1d27](https://github.com/gatsbyjs/gatsby/commit/ddb1d279b9d7324d23c2d73e0514ac61a0172e7e))
- no implicit `childOf` with `dontInfer` [#29369](https://github.com/gatsbyjs/gatsby/issues/29369) ([09d6cfb](https://github.com/gatsbyjs/gatsby/commit/09d6cfbf8b641bd467e109b8c4b533777bb9dfd5))
- remove `many` argument from `childOf` directive [#29368](https://github.com/gatsbyjs/gatsby/issues/29368) ([992fed6](https://github.com/gatsbyjs/gatsby/commit/992fed6f03aa9ec2eb7f51f26bd978220346b1b2))
- Remove hasNodeChanged [#29208](https://github.com/gatsbyjs/gatsby/issues/29208) ([7c24fd0](https://github.com/gatsbyjs/gatsby/commit/7c24fd023160cbb644dba4d34403a483ea51c832))
- bump graphql and graphql-compose major versions [#29090](https://github.com/gatsbyjs/gatsby/issues/29090) ([7e4ba2b](https://github.com/gatsbyjs/gatsby/commit/7e4ba2b82a7c63ea4809c489d5e95165e9a33c03))
- Remove deprecated `gatsby-browser` APIs [#29248](https://github.com/gatsbyjs/gatsby/issues/29248) ([182d3de](https://github.com/gatsbyjs/gatsby/commit/182d3de782a5a9b4ef078ac0d09ce97fd9c55732))
- Remove \_\_experimentalThemes [#29127](https://github.com/gatsbyjs/gatsby/issues/29127) ([79c557b](https://github.com/gatsbyjs/gatsby/commit/79c557b64808df27bb294e512e853c2469dd2d24))

#### Other Changes

- Move peerdeps to 16.9.0 & 17+ for react & react-dom [#29735](https://github.com/gatsbyjs/gatsby/issues/29735) ([6b86b99](https://github.com/gatsbyjs/gatsby/commit/6b86b99f7e760c6ffa74b1330399d9fdd94e48a2))
- Make experiments test deterministic [#29763](https://github.com/gatsbyjs/gatsby/issues/29763) ([ba7d505](https://github.com/gatsbyjs/gatsby/commit/ba7d505b84415b3641c3d9feca852ce282167abc))
- add tests for loading indicator behavior [#28700](https://github.com/gatsbyjs/gatsby/issues/28700) ([7319229](https://github.com/gatsbyjs/gatsby/commit/7319229a223e261059f95fa4f0d2c43e0d713c65))
- fix case of GitHub, JavaScript, TypeScript and WordPress fix [#29580](https://github.com/gatsbyjs/gatsby/issues/29580) ([6aef65a](https://github.com/gatsbyjs/gatsby/commit/6aef65ad2403651b20c784e36066aed2d77bef0e))
- remove generateSideEffects API [#29474](https://github.com/gatsbyjs/gatsby/issues/29474) ([e713ef7](https://github.com/gatsbyjs/gatsby/commit/e713ef7c993582ed3f8e59d8c8d3e90e211a7301))
- Address todos for major release [#29413](https://github.com/gatsbyjs/gatsby/issues/29413) ([bde7394](https://github.com/gatsbyjs/gatsby/commit/bde7394fc5245739cdf6b740ccb211a061126828))
- gatsby-transformer-sharp: Remove `sizes` and `resolutions` node [#29247](https://github.com/gatsbyjs/gatsby/issues/29247) ([22b9c2f](https://github.com/gatsbyjs/gatsby/commit/22b9c2fd40c3b904245383573b5d695b01885803))
- Remove pathContext [#29186](https://github.com/gatsbyjs/gatsby/issues/29186) ([3ac97d8](https://github.com/gatsbyjs/gatsby/commit/3ac97d868e793b72b5d23402f11010ce49841a73))

### [2.32.13](https://github.com/gatsbyjs/gatsby/commits/gatsby@2.32.13/packages/gatsby) (2021-05-04)

**Note:** Version bump only for package gatsby

### [2.32.12](https://github.com/gatsbyjs/gatsby/commits/gatsby@2.32.12/packages/gatsby) (2021-04-07)

#### Bug Fixes

- fix incorrect intersection of filtered results fix [#30594](https://github.com/gatsbyjs/gatsby/issues/30594) fix [#30619](https://github.com/gatsbyjs/gatsby/issues/30619) ([0eac672](https://github.com/gatsbyjs/gatsby/commit/0eac672696997784c4e565447b719d6bf9fca7c6))

### [2.32.11](https://github.com/gatsbyjs/gatsby/commits/gatsby@2.32.11/packages/gatsby) (2021-03-09)

#### Bug Fixes

- set program.verbose when VERBOSE env var is used [#30123](https://github.com/gatsbyjs/gatsby/issues/30123) [#30138](https://github.com/gatsbyjs/gatsby/issues/30138) ([ff7d46e](https://github.com/gatsbyjs/gatsby/commit/ff7d46e1a5954bffcf9b1f893d1ce097f0dea49f))
- don't ignore SOURCE_FILE_CHANGED event [#30127](https://github.com/gatsbyjs/gatsby/issues/30127) [#30129](https://github.com/gatsbyjs/gatsby/issues/30129) ([123e47c](https://github.com/gatsbyjs/gatsby/commit/123e47c1d7a79ccf1d2ff5003ae44dc4326129c8))

### [2.32.10](https://github.com/gatsbyjs/gatsby/commits/gatsby@2.32.10/packages/gatsby) (2021-03-08)

#### Bug Fixes

- Fix various small DEV_SSR bugs exposed in development_runtime tests Fix [#29748](https://github.com/gatsbyjs/gatsby/issues/29748) ([890d5e5](https://github.com/gatsbyjs/gatsby/commit/890d5e5c8fc98819d32dd23cbf2679c37e0121c5))

### [2.32.9](https://github.com/gatsbyjs/gatsby/commits/gatsby@2.32.9/packages/gatsby) (2021-03-01)

#### Bug Fixes

- query on demand loading indicator always active on preact. [#29829](https://github.com/gatsbyjs/gatsby/issues/29829) [#29882](https://github.com/gatsbyjs/gatsby/issues/29882) ([706a754](https://github.com/gatsbyjs/gatsby/commit/706a754479a161a8c8bf99be7971e1ab06401229))

### [2.32.8](https://github.com/gatsbyjs/gatsby/commits/gatsby@2.32.8/packages/gatsby) (2021-02-25)

#### Chores

- upgrade socket.io [#29765](https://github.com/gatsbyjs/gatsby/issues/29765) [#29769](https://github.com/gatsbyjs/gatsby/issues/29769) ([180ebad](https://github.com/gatsbyjs/gatsby/commit/180ebad6fd64a45819b78183f42ec07743d64e87))

### [2.32.7](https://github.com/gatsbyjs/gatsby/commits/gatsby@2.32.7/packages/gatsby) (2021-02-25)

#### Features

- ignore case option in create redirect [#29742](https://github.com/gatsbyjs/gatsby/issues/29742) ([91b9d66](https://github.com/gatsbyjs/gatsby/commit/91b9d66891d3a7972c340cb9c9bf141c56ec8027))

#### Other Changes

- force cherry-pick [#29749](https://github.com/gatsbyjs/gatsby/issues/29749) ([61bdabd](https://github.com/gatsbyjs/gatsby/commit/61bdabd905bc3925326fb25ac645fe8e2ef2fb80))

### [2.32.6](https://github.com/gatsbyjs/gatsby/commits/gatsby@2.32.6/packages/gatsby) (2021-02-24)

#### Features

- Respect VERBOSE env var [#29708](https://github.com/gatsbyjs/gatsby/issues/29708) [#29713](https://github.com/gatsbyjs/gatsby/issues/29713) [#29708](https://github.com/gatsbyjs/gatsby/issues/29708) ([49f19fd](https://github.com/gatsbyjs/gatsby/commit/49f19fd0575f5715b47028ac56472690809606b3))

### [2.32.5](https://github.com/gatsbyjs/gatsby/commits/gatsby@2.32.5/packages/gatsby) (2021-02-24)

#### Bug Fixes

- more reliable way to use prod versions of react/react-dom [#29683](https://github.com/gatsbyjs/gatsby/issues/29683) Fix [#discussioncomment-371276](https://github.com/gatsbyjs/gatsby/issues/discussioncomment-371276) ([01d07b3](https://github.com/gatsbyjs/gatsby/commit/01d07b339ff32d1fca81f031c1772ad09322e367))

### [2.32.4](https://github.com/gatsbyjs/gatsby/commits/gatsby@2.32.4/packages/gatsby) (2021-02-18)

#### Bug Fixes

- drop terminal-link [#29472](https://github.com/gatsbyjs/gatsby/issues/29472) [#29477](https://github.com/gatsbyjs/gatsby/issues/29477) ([6374419](https://github.com/gatsbyjs/gatsby/commit/637441942806a439cc7efc4c7ba54be24c59d276))

### [2.32.3](https://github.com/gatsbyjs/gatsby/commits/gatsby@2.32.3/packages/gatsby) (2021-02-05)

**Note:** Version bump only for package gatsby

### [2.32.2](https://github.com/gatsbyjs/gatsby/commits/gatsby@2.32.2/packages/gatsby) (2021-02-04)

**Note:** Version bump only for package gatsby

### [2.32.1](https://github.com/gatsbyjs/gatsby/commits/gatsby@2.32.1/packages/gatsby) (2021-02-04)

#### Bug Fixes

- use separate eslint-loader for rules that are always required [#29317](https://github.com/gatsbyjs/gatsby/issues/29317) [#29327](https://github.com/gatsbyjs/gatsby/issues/29327) ([488e5d3](https://github.com/gatsbyjs/gatsby/commit/488e5d38fad19311a5910700c4fbeddf34f5f907))

## [2.32.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@2.32.0/packages/gatsby) (2021-02-02)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v2.32)

#### Features

- cache/memoize hot functions in runAPI [#29240](https://github.com/gatsbyjs/gatsby/issues/29240) ([e1c899f](https://github.com/gatsbyjs/gatsby/commit/e1c899f3abc54af038bd5aa3fb1c2ee79dd098fc))
- distinguish total number of pages from number of written html files [#29149](https://github.com/gatsbyjs/gatsby/issues/29149) ([e676944](https://github.com/gatsbyjs/gatsby/commit/e676944d629eab2b92446d3dac72f9a290fa4367))

#### Bug Fixes

- Upgrade v8-compile-cache [#29244](https://github.com/gatsbyjs/gatsby/issues/29244) ([1af6e10](https://github.com/gatsbyjs/gatsby/commit/1af6e10a8c00d72f5aeebe120d06888394ca1bd9))
- queue fs writes so event loop not overwhelmed on large sites [#29219](https://github.com/gatsbyjs/gatsby/issues/29219) ([7c38997](https://github.com/gatsbyjs/gatsby/commit/7c38997090f550d2b2cd902128f87fc5b19a631b))
- Add missing prev location TS property for RouteUpdateArgs [#29125](https://github.com/gatsbyjs/gatsby/issues/29125) ([e363adb](https://github.com/gatsbyjs/gatsby/commit/e363adb642423a08f4cd70009cb41fb59a4499d6))
- don't use .eslintrc and set parser settings [#29109](https://github.com/gatsbyjs/gatsby/issues/29109) ([5f0d214](https://github.com/gatsbyjs/gatsby/commit/5f0d2146b591a0c09576c455f2f4f7e1424f8a20))

#### Other Changes

- Adding missing arg to example ([e771b2a](https://github.com/gatsbyjs/gatsby/commit/e771b2a0f6eeb747310234904524c14e972b027a))

### [2.31.1](https://github.com/gatsbyjs/gatsby/commits/gatsby@2.31.1/packages/gatsby) (2021-01-22)

#### Bug Fixes

- don't use .eslintrc and set parser settings [#29109](https://github.com/gatsbyjs/gatsby/issues/29109) [#29128](https://github.com/gatsbyjs/gatsby/issues/29128) ([54e72a1](https://github.com/gatsbyjs/gatsby/commit/54e72a1563495dc4fd4e93bfe94da8e5ff3a9c28))

## [2.31.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@2.31.0/packages/gatsby) (2021-01-20)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v2.31)

#### Features

- bump opt-in % to dev-ssr to 20% [#29075](https://github.com/gatsbyjs/gatsby/issues/29075) ([a1921b5](https://github.com/gatsbyjs/gatsby/commit/a1921b537cda6cbfd73188fba8ea0d6a8dba3ef7))
- allow to skip cache persistence [#29047](https://github.com/gatsbyjs/gatsby/issues/29047) ([bd5b5f7](https://github.com/gatsbyjs/gatsby/commit/bd5b5f75d3c95819c7bf6a548e4c4c98aaae5dfe))
- Add eslint rules to warn against bad patterns in pageTemplates (for Fast Refresh) [#28689](https://github.com/gatsbyjs/gatsby/issues/28689) ([9a55d12](https://github.com/gatsbyjs/gatsby/commit/9a55d1231331ebd8e1fab5496a85ba0a14dacdca))
- add support for magic fragments [#28878](https://github.com/gatsbyjs/gatsby/issues/28878) ([a03e862](https://github.com/gatsbyjs/gatsby/commit/a03e862fe1ec54ac6609a67528234476dfb76dfa))
- Partially release develop SSR to 5% [#28844](https://github.com/gatsbyjs/gatsby/issues/28844) ([6b8cd5d](https://github.com/gatsbyjs/gatsby/commit/6b8cd5d69bc8a5ad63413756eb71ff3e739230e5))

#### Bug Fixes

- Always render the body component to ensure needed head & pre/post body components are added [#29077](https://github.com/gatsbyjs/gatsby/issues/29077) ([e998870](https://github.com/gatsbyjs/gatsby/commit/e99887039d822d3940069c9f35655e9653b27967))
- fix broken GraphQL resolver tracing ([48db6ac](https://github.com/gatsbyjs/gatsby/commit/48db6ac672220c21b4fef9b117237c73d622a344))
- Use fast-refresh for React 17 [#28930](https://github.com/gatsbyjs/gatsby/issues/28930) ([90b6e3d](https://github.com/gatsbyjs/gatsby/commit/90b6e3d3c5526e4f3db891019969f7cfddc11958))
- update vulnerable packages, include React 17 in peerDeps [#28545](https://github.com/gatsbyjs/gatsby/issues/28545) ([18b5f30](https://github.com/gatsbyjs/gatsby/commit/18b5f30e367895aa5f3af46e4989b347912a0f35))
- fix stale query results on data updates fix [#28986](https://github.com/gatsbyjs/gatsby/issues/28986) ([811c2a8](https://github.com/gatsbyjs/gatsby/commit/811c2a839c44999967b5f081cc1998fc4a347e85))
- rewrite a spread that would break at scale [#28910](https://github.com/gatsbyjs/gatsby/issues/28910) ([638ac0a](https://github.com/gatsbyjs/gatsby/commit/638ac0af798de9727ec2488f201b7c578464c916))
- show stack trace for non-graphql errors [#28888](https://github.com/gatsbyjs/gatsby/issues/28888) ([1769fc3](https://github.com/gatsbyjs/gatsby/commit/1769fc361b5d3f664ec71bd5ecf4f22b85bfe5a2))
- Pin socket.io version to 2.3.0 [#28885](https://github.com/gatsbyjs/gatsby/issues/28885) ([247b1dc](https://github.com/gatsbyjs/gatsby/commit/247b1dc0441fdade52a5ff7a71de8c9340ee05fd))

#### Performance Improvements

- don't use debug config for bluebird [#28957](https://github.com/gatsbyjs/gatsby/issues/28957) ([125f571](https://github.com/gatsbyjs/gatsby/commit/125f571880190b55d6e9c03672b6d79e854dd4bd))
- do not call and iterate getAllNodes(File) for each file [#28891](https://github.com/gatsbyjs/gatsby/issues/28891) ([a455a23](https://github.com/gatsbyjs/gatsby/commit/a455a2396c97997dca6fb0797e845de0acebd2f6))

#### Chores

- Improve type safety of ShouldUpdateScrollArgs [#28923](https://github.com/gatsbyjs/gatsby/issues/28923) ([16499fd](https://github.com/gatsbyjs/gatsby/commit/16499fd47c938938187720182cfed7f226db0c66))
- remove unused await [#28978](https://github.com/gatsbyjs/gatsby/issues/28978) ([7329d48](https://github.com/gatsbyjs/gatsby/commit/7329d48fa2aa9e5e0ec933d5b2ec07531f536513))
- remove unused code (page-hot-reloader) [#28940](https://github.com/gatsbyjs/gatsby/issues/28940) ([d4c9389](https://github.com/gatsbyjs/gatsby/commit/d4c9389af0d327cec84b28b27b30979f8527991d))
- Add `flags` to GatsbyConfig interface [#28887](https://github.com/gatsbyjs/gatsby/issues/28887) ([5f711fc](https://github.com/gatsbyjs/gatsby/commit/5f711fc98c7687640ca3a970602a10fa41b22d84))
- Fix all `/packages` links to `/plugins` Fix [#28816](https://github.com/gatsbyjs/gatsby/issues/28816) ([200e307](https://github.com/gatsbyjs/gatsby/commit/200e30748102a478267a67700238304a2a56068b))
- Changed .org to .com [#28818](https://github.com/gatsbyjs/gatsby/issues/28818) ([65835b0](https://github.com/gatsbyjs/gatsby/commit/65835b0fb1831582640e836030b3385af35b7c4c))
- Fix spelling Fix [#28761](https://github.com/gatsbyjs/gatsby/issues/28761) ([b960334](https://github.com/gatsbyjs/gatsby/commit/b960334309e8d7fe894e59d1079ea1150e958078))

#### Other Changes

- Hydrate when the page was server rendered [#29016](https://github.com/gatsbyjs/gatsby/issues/29016) ([bf6f264](https://github.com/gatsbyjs/gatsby/commit/bf6f2647930d454055210540a6ac9d83a9a71db8))
- Extract non-css-in-js css and add add to <head> when SSRing in dev [#28471](https://github.com/gatsbyjs/gatsby/issues/28471) [#r546803732](https://github.com/gatsbyjs/gatsby/issues/r546803732) ([121ccbf](https://github.com/gatsbyjs/gatsby/commit/121ccbf5feeeffa0a6f87a20fcfc8fd68a71c425))

### [2.30.3](https://github.com/gatsbyjs/gatsby/commits/gatsby@2.30.3/packages/gatsby) (2021-01-16)

#### Other Changes

- Hydrate when the page was server rendered [#29016](https://github.com/gatsbyjs/gatsby/issues/29016) [#29053](https://github.com/gatsbyjs/gatsby/issues/29053) ([47324d0](https://github.com/gatsbyjs/gatsby/commit/47324d0b26f50fa114fafb41d2fd6fedccded4ab))

### [2.30.2](https://github.com/gatsbyjs/gatsby/commits/gatsby@2.30.2/packages/gatsby) (2021-01-13)

#### Bug Fixes

- fix stale query results on data updates fix [#28986](https://github.com/gatsbyjs/gatsby/issues/28986) fix [#28994](https://github.com/gatsbyjs/gatsby/issues/28994) ([c172848](https://github.com/gatsbyjs/gatsby/commit/c172848f16cd9449f2ce47df8ec0ba42254381e2))

#### Performance Improvements

- don't use debug config for bluebird [#28957](https://github.com/gatsbyjs/gatsby/issues/28957) [#28993](https://github.com/gatsbyjs/gatsby/issues/28993) ([f632c0a](https://github.com/gatsbyjs/gatsby/commit/f632c0ac5e8e1085942a4616c98b980636949d6e))

### [2.30.1](https://github.com/gatsbyjs/gatsby/commits/gatsby@2.30.1/packages/gatsby) (2021-01-06)

#### Bug Fixes

- Pin socket.io version to 2.3.0 [#28885](https://github.com/gatsbyjs/gatsby/issues/28885) [#28886](https://github.com/gatsbyjs/gatsby/issues/28886) ([64f2e95](https://github.com/gatsbyjs/gatsby/commit/64f2e95316c557e64efcc4bd8a8399eb33f9856c))

## [2.30.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@2.30.0/packages/gatsby) (2021-01-06)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v2.30)

#### Features

- Partially release develop SSR to 5% [#28844](https://github.com/gatsbyjs/gatsby/issues/28844) [#28859](https://github.com/gatsbyjs/gatsby/issues/28859) ([f04304e](https://github.com/gatsbyjs/gatsby/commit/f04304eb63fee67f55c0326d693e8dbc7abbb690))
- use production React for dev-ssr when CI=true [#28728](https://github.com/gatsbyjs/gatsby/issues/28728) ([bd6b899](https://github.com/gatsbyjs/gatsby/commit/bd6b899fdb22748c2ecc016643ed39e32d014a6b))
- decouple html activities [#28648](https://github.com/gatsbyjs/gatsby/issues/28648) ([140d123](https://github.com/gatsbyjs/gatsby/commit/140d12375e61f76238e7d1b8073eaf897918284a))
- Add AVIF file support to image loader in webpack config [#28638](https://github.com/gatsbyjs/gatsby/issues/28638) ([1a59200](https://github.com/gatsbyjs/gatsby/commit/1a592001eecee463b25a0ec599c2223956066905))
- improve refresh endpoint output [#28621](https://github.com/gatsbyjs/gatsby/issues/28621) ([deb4e1e](https://github.com/gatsbyjs/gatsby/commit/deb4e1ebdfbf4c9e9f4516bb6c24afbaf61e81ff))

#### Bug Fixes

- print childOf directive for implicit child fields [#28483](https://github.com/gatsbyjs/gatsby/issues/28483) ([146b197](https://github.com/gatsbyjs/gatsby/commit/146b1975cc83f862c883b27415b914e152c708e8))
- use correct stageLabel instead of `undefined` [#28701](https://github.com/gatsbyjs/gatsby/issues/28701) ([a77e1d8](https://github.com/gatsbyjs/gatsby/commit/a77e1d80d5b3a75979760d3be2005742feb09266))
- always add both `childField` and `childrenField` in GraphQL [#28656](https://github.com/gatsbyjs/gatsby/issues/28656) ([739df13](https://github.com/gatsbyjs/gatsby/commit/739df134adbffddab58d9f85032579169362a348))
- remove redundant dispatch of query extraction error [#28676](https://github.com/gatsbyjs/gatsby/issues/28676) ([1d7dc76](https://github.com/gatsbyjs/gatsby/commit/1d7dc76a18de379e0004bd62a26d7630e0a060fe))
- Do not activate inspect if already active [#28643](https://github.com/gatsbyjs/gatsby/issues/28643) ([f4e90b6](https://github.com/gatsbyjs/gatsby/commit/f4e90b61c8826dca7f9e07727c8cd7179c51a8a0))
- require gatsby-config.js before accessing process.env [#28572](https://github.com/gatsbyjs/gatsby/issues/28572) ([b3f11ed](https://github.com/gatsbyjs/gatsby/commit/b3f11ed1b48113142333ccb57124fd5dc625aac5))
- Only set auto optin flags if not in config [#28627](https://github.com/gatsbyjs/gatsby/issues/28627) ([b81e6bd](https://github.com/gatsbyjs/gatsby/commit/b81e6bdb70fbda4f02739728f79b12c166b1a188))
- correct opt-in percentage for QUERY_ON_DEMAND and LAZY_IMAGES [#28579](https://github.com/gatsbyjs/gatsby/issues/28579) ([c21dac9](https://github.com/gatsbyjs/gatsby/commit/c21dac9e8cf97093e00889e850c5a441aef46bda))

#### Chores

- enable query on demand (and lazy images) by default for local development [#28787](https://github.com/gatsbyjs/gatsby/issues/28787) ([f19c807](https://github.com/gatsbyjs/gatsby/commit/f19c8072b4a8e37ff899b478c1e69212c14b40dd))
- Keep page renderer around [#28784](https://github.com/gatsbyjs/gatsby/issues/28784) ([5c3931c](https://github.com/gatsbyjs/gatsby/commit/5c3931c70f63c779c57af037712e26d847d1e8c9))
- don't dispatch CREATE_SERVER_VISITED_PAGE if component is already tracked [#28725](https://github.com/gatsbyjs/gatsby/issues/28725) ([76a3b57](https://github.com/gatsbyjs/gatsby/commit/76a3b57455704f72778b41e01f00ed1b61cc6622))
- refactor try/finally to .finally [#28436](https://github.com/gatsbyjs/gatsby/issues/28436) ([d4a6529](https://github.com/gatsbyjs/gatsby/commit/d4a6529637a55c5afa5ea16dc76becb06fe9785c))

#### Other Changes

- Extract non-css-in-js css and add add to <head> when SSRing in dev [#28471](https://github.com/gatsbyjs/gatsby/issues/28471) [#28856](https://github.com/gatsbyjs/gatsby/issues/28856) [#r546803732](https://github.com/gatsbyjs/gatsby/issues/r546803732) ([883d184](https://github.com/gatsbyjs/gatsby/commit/883d1847d4940eb672d3ec69e2292171584a8e41))
- Pause dev-ssr watching between page loads to avoid slowing down regular develop-js HMR [#28394](https://github.com/gatsbyjs/gatsby/issues/28394) ([8ff6245](https://github.com/gatsbyjs/gatsby/commit/8ff6245f44882d891bc6f291363019047cbdb55f))
- docs reorganization [#28165](https://github.com/gatsbyjs/gatsby/issues/28165) ([18de9ef](https://github.com/gatsbyjs/gatsby/commit/18de9ef795e86fc6cfa0b948cf51157eaca2bff2))

### [2.29.3](https://github.com/gatsbyjs/gatsby/commits/gatsby@2.29.3/packages/gatsby) (2020-12-30)

#### Features

- use production React for dev-ssr when CI=true [#28728](https://github.com/gatsbyjs/gatsby/issues/28728) [#28792](https://github.com/gatsbyjs/gatsby/issues/28792) ([ad8e4cb](https://github.com/gatsbyjs/gatsby/commit/ad8e4cb1b388e2c36dc2a0d376e96e0122bc04df))

### [2.29.2](https://github.com/gatsbyjs/gatsby/commits/gatsby@2.29.2/packages/gatsby) (2020-12-23)

#### Bug Fixes

- remove redundant dispatch of query extraction error [#28676](https://github.com/gatsbyjs/gatsby/issues/28676) [#28744](https://github.com/gatsbyjs/gatsby/issues/28744) ([0b8ea51](https://github.com/gatsbyjs/gatsby/commit/0b8ea518949d73b8ce53b6edf795fed2232669fb))

#### Other Changes

- Pause dev-ssr watching between page loads to avoid slowing down regular develop-js HMR [#28394](https://github.com/gatsbyjs/gatsby/issues/28394) [#28746](https://github.com/gatsbyjs/gatsby/issues/28746) ([6919703](https://github.com/gatsbyjs/gatsby/commit/69197038f9016e31e89b230fb2fb22fd8ec78f04))

### [2.29.1](https://github.com/gatsbyjs/gatsby/commits/gatsby@2.29.1/packages/gatsby) (2020-12-16)

**Note:** Version bump only for package gatsby

## [2.29.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@2.29.0/packages/gatsby) (2020-12-15)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v2.29)

#### Features

- improve refresh endpoint output [#28621](https://github.com/gatsbyjs/gatsby/issues/28621) [#28641](https://github.com/gatsbyjs/gatsby/issues/28641) ([2e7250e](https://github.com/gatsbyjs/gatsby/commit/2e7250e10fe37f6fb6738469a670c5dd6e845bbe))
- loading indicator for query-on-demand [#28562](https://github.com/gatsbyjs/gatsby/issues/28562) ([1b97f5f](https://github.com/gatsbyjs/gatsby/commit/1b97f5f44b715704ebaff2a714bc81116189aec3))
- track how long query-on-demand querying takes [#28544](https://github.com/gatsbyjs/gatsby/issues/28544) ([fbf9694](https://github.com/gatsbyjs/gatsby/commit/fbf96942efb920a883ea679972461140d3b770ec))
- Expose plugin-specific refresh endpoint in gatsby-serve [#27931](https://github.com/gatsbyjs/gatsby/issues/27931) ([903439b](https://github.com/gatsbyjs/gatsby/commit/903439bcb4c909c1881cb3139b7545b161ea580b))
- add preload headers for critical resources so those can started fetching before common.js is fetched [#28460](https://github.com/gatsbyjs/gatsby/issues/28460) ([b4a76f5](https://github.com/gatsbyjs/gatsby/commit/b4a76f581d1f4e0f1f7f61f96eedd94703468116))
- Add new caching clearing behavior for webpack/file downloads behind flags [#28334](https://github.com/gatsbyjs/gatsby/issues/28334) ([f57d590](https://github.com/gatsbyjs/gatsby/commit/f57d590142a67bd8c79c7805d3298f316198fde9))
- people who are using a flag, invite them to try out other flags [#28338](https://github.com/gatsbyjs/gatsby/issues/28338) ([9c8f788](https://github.com/gatsbyjs/gatsby/commit/9c8f78842784c6882953d2f5c72dd71d61ba3e29))
- Track the use of flags in gatsby-config.js [#28337](https://github.com/gatsbyjs/gatsby/issues/28337) ([3e056d1](https://github.com/gatsbyjs/gatsby/commit/3e056d1ab51cffb8fbf15c7b932fd4f11e1db545))

#### Bug Fixes

- Only set auto optin flags if not in config [#28627](https://github.com/gatsbyjs/gatsby/issues/28627) [#28634](https://github.com/gatsbyjs/gatsby/issues/28634) ([9cd252f](https://github.com/gatsbyjs/gatsby/commit/9cd252f4fa2adf81bc6ad3b29b14b45392b05d28))
- correct opt-in percentage for QUERY_ON_DEMAND and LAZY_IMAGES [#28579](https://github.com/gatsbyjs/gatsby/issues/28579) [#28622](https://github.com/gatsbyjs/gatsby/issues/28622) ([15cf4a2](https://github.com/gatsbyjs/gatsby/commit/15cf4a27d36842fc37565f61a4cf69d0c6376140))
- correct GraphQL warning text [#28563](https://github.com/gatsbyjs/gatsby/issues/28563) ([2bb4214](https://github.com/gatsbyjs/gatsby/commit/2bb4214d36616ae593a8a82d63102dca2d5e44e6))
- Avoid undefined object errors [#28554](https://github.com/gatsbyjs/gatsby/issues/28554) ([39995ae](https://github.com/gatsbyjs/gatsby/commit/39995ae008d72ff17ab57bb91cbb625ed64e39f5))
- don't resolve get-page-data if query is marked as dirty resolve [#28535](https://github.com/gatsbyjs/gatsby/issues/28535) ([56c2b4c](https://github.com/gatsbyjs/gatsby/commit/56c2b4cd3983eb1d540d2f456c93332f9757f863))
- show multiple invites together & at end where people are more likely to see them [#28450](https://github.com/gatsbyjs/gatsby/issues/28450) ([7e734cc](https://github.com/gatsbyjs/gatsby/commit/7e734cc5716e6fcc6c1bdc5806f492ad5414b7e9))
- Wait for jobs to complete in onPostBuild [#28534](https://github.com/gatsbyjs/gatsby/issues/28534) ([98f22e7](https://github.com/gatsbyjs/gatsby/commit/98f22e702ee3defefd8e99d49aa50b080bbe0d6f))
- improve deprecation text for missing childOf directive [#28532](https://github.com/gatsbyjs/gatsby/issues/28532) ([f733f4e](https://github.com/gatsbyjs/gatsby/commit/f733f4e941198f4ac4378f141d87f9ad6cfec6a0))
- better text for missing inferred extension [#28530](https://github.com/gatsbyjs/gatsby/issues/28530) ([298110c](https://github.com/gatsbyjs/gatsby/commit/298110c28c7635114cab300f44180fd641ffce36))
- do not fail the build when eslint loader is removed [#28494](https://github.com/gatsbyjs/gatsby/issues/28494) ([b3c171f](https://github.com/gatsbyjs/gatsby/commit/b3c171f0d6dd5a91cdc9ecbe73606b503bd40bda))
- Add bodyComponent to replaceRenderer args [#28456](https://github.com/gatsbyjs/gatsby/issues/28456) ([9a77810](https://github.com/gatsbyjs/gatsby/commit/9a77810b1f2f0a529dd13760d0a7b73b2b50fd81))
- PRESERVE_WEBPACK_CACHE notice should actually show after 30 seconds [#28427](https://github.com/gatsbyjs/gatsby/issues/28427) ([95b4fdd](https://github.com/gatsbyjs/gatsby/commit/95b4fdd7a7ce2032a658a9cc14e6bcb219fb2bc2))
- scroll restoration issue in browser API [#27384](https://github.com/gatsbyjs/gatsby/issues/27384) ([4a7a324](https://github.com/gatsbyjs/gatsby/commit/4a7a324553669a72445a427ed8cc30e812f38bd1))
- correct tracing for GraphQL queries [#28415](https://github.com/gatsbyjs/gatsby/issues/28415) ([4e50d5c](https://github.com/gatsbyjs/gatsby/commit/4e50d5c8008e1608138b2cecabd00b014bc90bf9))
- re-render route when location state changes [#28346](https://github.com/gatsbyjs/gatsby/issues/28346) ([3ccaec8](https://github.com/gatsbyjs/gatsby/commit/3ccaec855b376b267c02009f51772c237620088d))
- Add `FAST_REFRESH` config flag [#28409](https://github.com/gatsbyjs/gatsby/issues/28409) ([ce090e5](https://github.com/gatsbyjs/gatsby/commit/ce090e5e058ff4927e51aaadba1a834f9f5c4e9f))
- move starting dev-ssr listener inside function & only init listeners once [#28395](https://github.com/gatsbyjs/gatsby/issues/28395) ([3ce476b](https://github.com/gatsbyjs/gatsby/commit/3ce476b1eac97aedd16f9d150cd6a81f36255380))
- emit stale page data messages when staticQueryHashes change [#28349](https://github.com/gatsbyjs/gatsby/issues/28349) ([5096e90](https://github.com/gatsbyjs/gatsby/commit/5096e90f3af9490f910a47331ac42efa2edfd9e2))
- fix telemetryId for LAZY_IMAGES fix [#28340](https://github.com/gatsbyjs/gatsby/issues/28340) ([4998303](https://github.com/gatsbyjs/gatsby/commit/49983036de2bf7a61fe654b37fb8b3fe7d639153))
- handle in dev-ssr when a page is deleted [#28325](https://github.com/gatsbyjs/gatsby/issues/28325) ([a9f9a23](https://github.com/gatsbyjs/gatsby/commit/a9f9a23705edaf393466b30bc89546b59de59158))

#### Performance Improvements

- do not force resolvers to be async [#28525](https://github.com/gatsbyjs/gatsby/issues/28525) ([cf06435](https://github.com/gatsbyjs/gatsby/commit/cf064355d77a9958b5e3240945b46729dfdac538))

#### Chores

- don't actually fetch async dummy.js chunk [#28569](https://github.com/gatsbyjs/gatsby/issues/28569) ([003a5ee](https://github.com/gatsbyjs/gatsby/commit/003a5eed1b9015297c4e4dcef81ecd73544a99cf))
- update dependency cross-env to ^7.0.3 [#28505](https://github.com/gatsbyjs/gatsby/issues/28505) ([a819b9b](https://github.com/gatsbyjs/gatsby/commit/a819b9bfb663139f7b06c3ed7d6d6069a2382b2c))
- prerun query for homepage for initial run [#28538](https://github.com/gatsbyjs/gatsby/issues/28538) ([badd466](https://github.com/gatsbyjs/gatsby/commit/badd46659c439121024c867d7811180b7265c8d6))
- use gatsby.dev links in flags.ts [#28472](https://github.com/gatsbyjs/gatsby/issues/28472) ([2820066](https://github.com/gatsbyjs/gatsby/commit/28200668b91709a9a069b13a469a70e038ddf8d8))
- specify in description for LAZY_IMAGES min supported version of gatsby-plugin-sharp [#28448](https://github.com/gatsbyjs/gatsby/issues/28448) ([856406f](https://github.com/gatsbyjs/gatsby/commit/856406f6846ba609ca59aede181c9b0ef4a8ad5e))
- refactor into await syntax [#28435](https://github.com/gatsbyjs/gatsby/issues/28435) ([013035b](https://github.com/gatsbyjs/gatsby/commit/013035b2f75f26f635a32ae1268c99a5e98dbad9))
- remove `async/await` where not needed [#28433](https://github.com/gatsbyjs/gatsby/issues/28433) ([f0603a2](https://github.com/gatsbyjs/gatsby/commit/f0603a2c81198ba5ddb5713ce973535169737bb2))
- fold three loops into one [#28432](https://github.com/gatsbyjs/gatsby/issues/28432) ([b3f0f2d](https://github.com/gatsbyjs/gatsby/commit/b3f0f2d4ce5fe7c0e0881b111b7cebc451f32dc9))
- Invite more people to try QUERY_ON_DEMAND [#28327](https://github.com/gatsbyjs/gatsby/issues/28327) ([a84f78e](https://github.com/gatsbyjs/gatsby/commit/a84f78e075901d3195e4a81a949aaaa48979ff5b))

#### Other Changes

- Enable partial releases of flags to a % of users [#28387](https://github.com/gatsbyjs/gatsby/issues/28387) ([ad65656](https://github.com/gatsbyjs/gatsby/commit/ad65656f42c0333473869c13fb452d89db42a423))
- add new cache flags to FAST_DEV [#28447](https://github.com/gatsbyjs/gatsby/issues/28447) ([eafbbab](https://github.com/gatsbyjs/gatsby/commit/eafbbabb5b863c76794d733334afbd30af3fc899))
- style the SSR error page [#28416](https://github.com/gatsbyjs/gatsby/issues/28416) ([239589a](https://github.com/gatsbyjs/gatsby/commit/239589a2304911cb7c0b3a5736aa8b7f59f016b2))
- Add experiment to run source plugins in parallel [#28214](https://github.com/gatsbyjs/gatsby/issues/28214) ([4fb1f62](https://github.com/gatsbyjs/gatsby/commit/4fb1f62183bdd0bc676e4357c3218ae919e491fa))
- let users skip out of dev SSR [#28396](https://github.com/gatsbyjs/gatsby/issues/28396) ([7577e3f](https://github.com/gatsbyjs/gatsby/commit/7577e3ffc1c3ac31554311014b0fa0dd8b78ebb9))
- (gatsby-cli) Add a CLI command for listing plugins [#28018](https://github.com/gatsbyjs/gatsby/issues/28018) ([0e4d026](https://github.com/gatsbyjs/gatsby/commit/0e4d026059d9d0507de9433ed13e4bcd3d7376a6))
- Warn when there's unknown flags in gatsby-config.js & suggest fixes to potential typos fixes [#28326](https://github.com/gatsbyjs/gatsby/issues/28326) ([c4978e9](https://github.com/gatsbyjs/gatsby/commit/c4978e948c5b0cebf85ef9af62da523169994bf9))

### [2.28.2](https://github.com/gatsbyjs/gatsby/commits/gatsby@2.28.2/packages/gatsby) (2020-12-10)

#### Features

- track how long query-on-demand querying takes [#28544](https://github.com/gatsbyjs/gatsby/issues/28544) [#28570](https://github.com/gatsbyjs/gatsby/issues/28570) ([4dc4312](https://github.com/gatsbyjs/gatsby/commit/4dc431262de0be78d06388c5c89180304eef0eb1))

#### Bug Fixes

- show multiple invites together & at end where people are more likely to see them [#28450](https://github.com/gatsbyjs/gatsby/issues/28450) [#28541](https://github.com/gatsbyjs/gatsby/issues/28541) ([f8d5c9b](https://github.com/gatsbyjs/gatsby/commit/f8d5c9b745b6b50be67a2017c2779aa1d12b3d9c))
- correct GraphQL warning text [#28563](https://github.com/gatsbyjs/gatsby/issues/28563) [#28567](https://github.com/gatsbyjs/gatsby/issues/28567) ([0b306c5](https://github.com/gatsbyjs/gatsby/commit/0b306c55e7436741b3370296313f197e82886ebd))
- Wait for jobs to complete in onPostBuild [#28534](https://github.com/gatsbyjs/gatsby/issues/28534) [#28557](https://github.com/gatsbyjs/gatsby/issues/28557) ([d0dce3f](https://github.com/gatsbyjs/gatsby/commit/d0dce3f0e842a17911192a2268c7e052f9936776))
- improve deprecation text for missing childOf directive [#28532](https://github.com/gatsbyjs/gatsby/issues/28532) [#28543](https://github.com/gatsbyjs/gatsby/issues/28543) ([7f10385](https://github.com/gatsbyjs/gatsby/commit/7f10385a8cf24213a145ca79af3d81f03b11cedd))
- better text for missing inferred extension [#28530](https://github.com/gatsbyjs/gatsby/issues/28530) [#28542](https://github.com/gatsbyjs/gatsby/issues/28542) ([fd9d872](https://github.com/gatsbyjs/gatsby/commit/fd9d872fb1f08d781bcd24d8f2921c329fb34f52))

### [2.28.1](https://github.com/gatsbyjs/gatsby/commits/gatsby@2.28.1/packages/gatsby) (2020-12-07)

#### Features

- add preload headers for critical resources so those can started fetching before common.js is fetched [#28460](https://github.com/gatsbyjs/gatsby/issues/28460) [#28521](https://github.com/gatsbyjs/gatsby/issues/28521) ([4555b6a](https://github.com/gatsbyjs/gatsby/commit/4555b6a83da83e4ecaf01a2087d29cc8a307327e))

#### Bug Fixes

- do not fail the build when eslint loader is removed [#28494](https://github.com/gatsbyjs/gatsby/issues/28494) [#28517](https://github.com/gatsbyjs/gatsby/issues/28517) ([27864d6](https://github.com/gatsbyjs/gatsby/commit/27864d6135bf6d2c36f473a7a67b6892e414ebad))
- Add bodyComponent to replaceRenderer args [#28456](https://github.com/gatsbyjs/gatsby/issues/28456) [#28486](https://github.com/gatsbyjs/gatsby/issues/28486) ([e29866a](https://github.com/gatsbyjs/gatsby/commit/e29866a3525ccdd2ad99ad06d85f889d5f63b515))
- correct tracing for GraphQL queries [#28415](https://github.com/gatsbyjs/gatsby/issues/28415) [#28475](https://github.com/gatsbyjs/gatsby/issues/28475) ([53502cc](https://github.com/gatsbyjs/gatsby/commit/53502cca8fe0bb980e75b666c7edca47a4a9027a))
- re-render route when location state changes [#28346](https://github.com/gatsbyjs/gatsby/issues/28346) [#28476](https://github.com/gatsbyjs/gatsby/issues/28476) ([bb044de](https://github.com/gatsbyjs/gatsby/commit/bb044de83e0a9adb4010d84ec6800416af45fa42))
- scroll restoration issue in browser API [#27384](https://github.com/gatsbyjs/gatsby/issues/27384) [#28477](https://github.com/gatsbyjs/gatsby/issues/28477) ([7a6b7ae](https://github.com/gatsbyjs/gatsby/commit/7a6b7ae1fe7cbd81db76eb4473ea4cf77deb3eb7))

#### Chores

- use gatsby.dev links in flags.ts [#28472](https://github.com/gatsbyjs/gatsby/issues/28472) [#28488](https://github.com/gatsbyjs/gatsby/issues/28488) ([fe488d9](https://github.com/gatsbyjs/gatsby/commit/fe488d9e7e81ee4e409bc4b9be5f2a08e761f881))
- specify in description for LAZY_IMAGES min supported version of gatsby-plugin-sharp [#28448](https://github.com/gatsbyjs/gatsby/issues/28448) [#28478](https://github.com/gatsbyjs/gatsby/issues/28478) ([3cadaac](https://github.com/gatsbyjs/gatsby/commit/3cadaac46bb1466863df5b1fbfd49e3a17f1a894))

#### Other Changes

- add new cache flags to FAST_DEV [#28447](https://github.com/gatsbyjs/gatsby/issues/28447) [#28473](https://github.com/gatsbyjs/gatsby/issues/28473) ([fa0acff](https://github.com/gatsbyjs/gatsby/commit/fa0acffa5f785352d99d1792fb2592160f0217ef))

## [2.28.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@2.28.0/packages/gatsby) (2020-12-02)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v2.28)

#### Features

- Add new caching clearing behavior for webpack/file downloads behind flags [#28334](https://github.com/gatsbyjs/gatsby/issues/28334) [#28425](https://github.com/gatsbyjs/gatsby/issues/28425) ([bbd97c2](https://github.com/gatsbyjs/gatsby/commit/bbd97c2d533269c59255792a2d5b2f59185e4db7))
- Track the use of flags in gatsby-config.js [#28337](https://github.com/gatsbyjs/gatsby/issues/28337) [#28388](https://github.com/gatsbyjs/gatsby/issues/28388) ([5f21ff3](https://github.com/gatsbyjs/gatsby/commit/5f21ff3ae3b90b4b0ae46ce0570d1c8d63b17418))
- people who are using a flag, invite them to try out other flags [#28338](https://github.com/gatsbyjs/gatsby/issues/28338) [#28392](https://github.com/gatsbyjs/gatsby/issues/28392) ([c1e8590](https://github.com/gatsbyjs/gatsby/commit/c1e85904877215165910d897430068d674e6dace))
- add experimental opt-in lazy image processing mode for `gatsby develop` [#28288](https://github.com/gatsbyjs/gatsby/issues/28288) ([cc68a1f](https://github.com/gatsbyjs/gatsby/commit/cc68a1f435e6fc923908d7a2b84f52dc2a999f4d))
- Add preliminary fast-refresh integration [#26664](https://github.com/gatsbyjs/gatsby/issues/26664) ([613f5c7](https://github.com/gatsbyjs/gatsby/commit/613f5c791fd059e8a64eeaa81993d1f9f14bec53))
- make dev ssr bundling lazy [#28149](https://github.com/gatsbyjs/gatsby/issues/28149) ([70b81a6](https://github.com/gatsbyjs/gatsby/commit/70b81a6e825c583387728c02d83a70e0d4e16072))
- bump % that get invited to try dev_ssr to 5% from 1% [#28232](https://github.com/gatsbyjs/gatsby/issues/28232) ([2b494c3](https://github.com/gatsbyjs/gatsby/commit/2b494c34b5a8bb798fa1134a8a482165afc72fce))
- track usage of GATSBY_EXPERIMENTAL_FAST_DEV [#28223](https://github.com/gatsbyjs/gatsby/issues/28223) ([849b3bd](https://github.com/gatsbyjs/gatsby/commit/849b3bd4ec871ecb7596819940f8004ce9ec3793))
- invite people with long page query running to try out query on demand feature [#28181](https://github.com/gatsbyjs/gatsby/issues/28181) ([413888b](https://github.com/gatsbyjs/gatsby/commit/413888b61ad3014b9cd3fc9d846b5382a1ec82f9))
- enable all dev improvements with one env var [#28166](https://github.com/gatsbyjs/gatsby/issues/28166) ([158ceb7](https://github.com/gatsbyjs/gatsby/commit/158ceb7d404967920613c5e8e4f57520b049167d))
- add telemetry for usage of lazy devjs bundling [#28147](https://github.com/gatsbyjs/gatsby/issues/28147) ([48f2b2d](https://github.com/gatsbyjs/gatsby/commit/48f2b2d76af060b7d9d83d28be5c4f6d069133d5))

#### Bug Fixes

- PRESERVE_WEBPACK_CACHE notice should actually show after 30 seconds [#28427](https://github.com/gatsbyjs/gatsby/issues/28427) [#28428](https://github.com/gatsbyjs/gatsby/issues/28428) ([2a1b4c4](https://github.com/gatsbyjs/gatsby/commit/2a1b4c456204b28fa2e077b89086d7d583348092))
- Add `FAST_REFRESH` config flag [#28409](https://github.com/gatsbyjs/gatsby/issues/28409) [#28419](https://github.com/gatsbyjs/gatsby/issues/28419) ([ef1019a](https://github.com/gatsbyjs/gatsby/commit/ef1019a8e015261314cecac405f47a3ce130d69a))
- move starting dev-ssr listener inside function & only init listeners once [#28395](https://github.com/gatsbyjs/gatsby/issues/28395) [#28418](https://github.com/gatsbyjs/gatsby/issues/28418) ([b249ba5](https://github.com/gatsbyjs/gatsby/commit/b249ba5b0fd2bb05fe8fd04e2a6708230291974a))
- fix telemetryId for LAZY_IMAGES fix [#28340](https://github.com/gatsbyjs/gatsby/issues/28340) fix [#28403](https://github.com/gatsbyjs/gatsby/issues/28403) ([d6129b1](https://github.com/gatsbyjs/gatsby/commit/d6129b153b5ba28d5252f7bf403636011bb5ec3c))
- handle in dev-ssr when a page is deleted [#28325](https://github.com/gatsbyjs/gatsby/issues/28325) [#28381](https://github.com/gatsbyjs/gatsby/issues/28381) ([e0dd082](https://github.com/gatsbyjs/gatsby/commit/e0dd082dd85c5d0030732c538b0f94a1aa50bd8e))
- emit stale page data messages when staticQueryHashes change [#28349](https://github.com/gatsbyjs/gatsby/issues/28349) [#28391](https://github.com/gatsbyjs/gatsby/issues/28391) ([11d9c39](https://github.com/gatsbyjs/gatsby/commit/11d9c39f78b20f255fb9fabc1bce9a151051448f))
- Actually handle timeout while waiting for page component to be bundled [#28302](https://github.com/gatsbyjs/gatsby/issues/28302) ([7846fd4](https://github.com/gatsbyjs/gatsby/commit/7846fd4a591094d57bd24a7f0927b97725caf3ed))
- fix materialization edge case fix [#28244](https://github.com/gatsbyjs/gatsby/issues/28244) ([807589b](https://github.com/gatsbyjs/gatsby/commit/807589bf759b01fe5a5235282bbcdc5a9a969265))
- do not ignore source file changes during recompilation [#28237](https://github.com/gatsbyjs/gatsby/issues/28237) ([4148877](https://github.com/gatsbyjs/gatsby/commit/41488778ddcb102a5147b7acfb9631565ede958e))
- pull out a few bug fixes from https://github.com/gatsbyjs/gatsby/pull/28149/ fixes [#28186](https://github.com/gatsbyjs/gatsby/issues/28186) ([f9fd11d](https://github.com/gatsbyjs/gatsby/commit/f9fd11d319b3ec097cce6378ccedb86a7f2f8cc8))
- get-page-data should timeout gracefully [#28131](https://github.com/gatsbyjs/gatsby/issues/28131) ([c517b60](https://github.com/gatsbyjs/gatsby/commit/c517b605b7572171607be140175be279748de7fa))

#### Chores

- Invite more people to try QUERY_ON_DEMAND [#28327](https://github.com/gatsbyjs/gatsby/issues/28327) [#28383](https://github.com/gatsbyjs/gatsby/issues/28383) ([c1518b3](https://github.com/gatsbyjs/gatsby/commit/c1518b3decff31eef4d8fcf00a67111f76e7602c))
- remove lazy dev js experiment [#28295](https://github.com/gatsbyjs/gatsby/issues/28295) ([2e3ec89](https://github.com/gatsbyjs/gatsby/commit/2e3ec895a227c8de5a7d8c69e92548c935c0fdcc))
- Only warn for cache lock timeout once [#28255](https://github.com/gatsbyjs/gatsby/issues/28255) ([7cba837](https://github.com/gatsbyjs/gatsby/commit/7cba8372574c32da88b8e23eda9ff3be7cdda381))

#### Other Changes

- style the SSR error page [#28416](https://github.com/gatsbyjs/gatsby/issues/28416) [#28426](https://github.com/gatsbyjs/gatsby/issues/28426) ([7239e96](https://github.com/gatsbyjs/gatsby/commit/7239e96f4ac3736249fde647f3ab2b0ca0cfce92))
- let users skip out of dev SSR [#28396](https://github.com/gatsbyjs/gatsby/issues/28396) [#28423](https://github.com/gatsbyjs/gatsby/issues/28423) ([7df196c](https://github.com/gatsbyjs/gatsby/commit/7df196cba61139ed0cf0b6a66b525cacf2de560f))
- Warn when there's unknown flags in gatsby-config.js & suggest fixes to potential typos fixes [#28326](https://github.com/gatsbyjs/gatsby/issues/28326) fixes [#28382](https://github.com/gatsbyjs/gatsby/issues/28382) ([8f3d9d6](https://github.com/gatsbyjs/gatsby/commit/8f3d9d6523fdef5edc942cf8759735fe48bd0a8d))
- Add support for setting flags in gatsby-config.js [#28296](https://github.com/gatsbyjs/gatsby/issues/28296) ([7c511eb](https://github.com/gatsbyjs/gatsby/commit/7c511ebe5bc83c126f4864b970a52f721f25feb2))
- Always compile the index page (if it exists) [#28265](https://github.com/gatsbyjs/gatsby/issues/28265) ([f75e358](https://github.com/gatsbyjs/gatsby/commit/f75e358a79a104b597a97993088b27268a9a9242))
- Increase timeout to fetching component to 30 seconds [#28264](https://github.com/gatsbyjs/gatsby/issues/28264) ([bd0a7f4](https://github.com/gatsbyjs/gatsby/commit/bd0a7f4d717c49306c968fd99a3b2e6466dada15))
- update to emotion@11 [#27981](https://github.com/gatsbyjs/gatsby/issues/27981) ([9c00fc9](https://github.com/gatsbyjs/gatsby/commit/9c00fc9ec27ebedb440b8400aee8b41892b173ee))

### [2.27.5](https://github.com/gatsbyjs/gatsby/commits/gatsby@2.27.5/packages/gatsby) (2020-12-01)

#### Bug Fixes

- handle in dev-ssr when a page is deleted [#28325](https://github.com/gatsbyjs/gatsby/issues/28325) [#28370](https://github.com/gatsbyjs/gatsby/issues/28370) ([e293ebc](https://github.com/gatsbyjs/gatsby/commit/e293ebcdb8cb0f4c2930ea9d659391e07194c8da))

#### Chores

- Invite more people to try QUERY_ON_DEMAND [#28327](https://github.com/gatsbyjs/gatsby/issues/28327) [#28371](https://github.com/gatsbyjs/gatsby/issues/28371) ([4dc5a1d](https://github.com/gatsbyjs/gatsby/commit/4dc5a1d6baeb5b9d10c4c78123a8d203c7301b49))

### [2.27.4](https://github.com/gatsbyjs/gatsby/commits/gatsby@2.27.4/packages/gatsby) (2020-11-27)

**Note:** Version bump only for package gatsby

### [2.27.3](https://github.com/gatsbyjs/gatsby/commits/gatsby@2.27.3/packages/gatsby) (2020-11-25)

#### Other Changes

- Increase timeout to fetching component to 30 seconds [#28264](https://github.com/gatsbyjs/gatsby/issues/28264) [#28284](https://github.com/gatsbyjs/gatsby/issues/28284) ([350d745](https://github.com/gatsbyjs/gatsby/commit/350d745059c8ee4bc96f218dd7db2edede947c0b))
- Always compile the index page (if it exists) [#28265](https://github.com/gatsbyjs/gatsby/issues/28265) [#28283](https://github.com/gatsbyjs/gatsby/issues/28283) ([138e015](https://github.com/gatsbyjs/gatsby/commit/138e0155f644c2d00b2891f033e613db0d6a2406))

### [2.27.2](https://github.com/gatsbyjs/gatsby/commits/gatsby@2.27.2/packages/gatsby) (2020-11-25)

#### Bug Fixes

- do not ignore source file changes during recompilation [#28237](https://github.com/gatsbyjs/gatsby/issues/28237) [#28262](https://github.com/gatsbyjs/gatsby/issues/28262) ([5136da0](https://github.com/gatsbyjs/gatsby/commit/5136da05a4b9d6174008b8fe84f4dd94089a562a))
- fix materialization edge case fix [#28244](https://github.com/gatsbyjs/gatsby/issues/28244) fix [#28263](https://github.com/gatsbyjs/gatsby/issues/28263) ([f4b1e09](https://github.com/gatsbyjs/gatsby/commit/f4b1e09a659d0e0170ca11c29a4495789122f8db))

### [2.27.1](https://github.com/gatsbyjs/gatsby/commits/gatsby@2.27.1/packages/gatsby) (2020-11-24)

#### Features

- bump % that get invited to try dev_ssr to 5% from 1% [#28232](https://github.com/gatsbyjs/gatsby/issues/28232) [#28246](https://github.com/gatsbyjs/gatsby/issues/28246) ([30bc6a8](https://github.com/gatsbyjs/gatsby/commit/30bc6a8d6f9f59e802cff9eac6d9daeeebdd21f5))
- track usage of GATSBY_EXPERIMENTAL_FAST_DEV [#28223](https://github.com/gatsbyjs/gatsby/issues/28223) [#28245](https://github.com/gatsbyjs/gatsby/issues/28245) ([f0d93d8](https://github.com/gatsbyjs/gatsby/commit/f0d93d8a2818825a451f8cbb062e14945d2aab8c))
- make dev ssr bundling lazy [#28149](https://github.com/gatsbyjs/gatsby/issues/28149) [#28247](https://github.com/gatsbyjs/gatsby/issues/28247) ([2dd2767](https://github.com/gatsbyjs/gatsby/commit/2dd2767e5bb99594e16446d05a6bf3deffccfbf8))

## [2.27.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@2.27.0/packages/gatsby) (2020-11-20)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v2.27)

#### Features

- invite people with long page query running to try out query on demand feature [#28181](https://github.com/gatsbyjs/gatsby/issues/28181) [#28185](https://github.com/gatsbyjs/gatsby/issues/28185) ([4b9cd2e](https://github.com/gatsbyjs/gatsby/commit/4b9cd2edcc026089657c621309ea7c3c30fbf526))
- enable all dev improvements with one env var [#28166](https://github.com/gatsbyjs/gatsby/issues/28166) [#28179](https://github.com/gatsbyjs/gatsby/issues/28179) [#28147](https://github.com/gatsbyjs/gatsby/issues/28147) [#28166](https://github.com/gatsbyjs/gatsby/issues/28166) ([9869094](https://github.com/gatsbyjs/gatsby/commit/98690940c748f8191f888fa264b89dd3a126cc86))
- invite (1%) of Gatsby users to try out develop ssr [#28139](https://github.com/gatsbyjs/gatsby/issues/28139) ([a612f26](https://github.com/gatsbyjs/gatsby/commit/a612f26cab94a7672f6c63067368ec6efc49ec49))
- lazy bundle page components in dev server [#27884](https://github.com/gatsbyjs/gatsby/issues/27884) ([04349a0](https://github.com/gatsbyjs/gatsby/commit/04349a042f9106a88b7a9054c0e1c4dc70469d1f))
- SSR pages during development [#27432](https://github.com/gatsbyjs/gatsby/issues/27432) ([23da2c3](https://github.com/gatsbyjs/gatsby/commit/23da2c3fb2e16b7e3fe1e15c19decd799000a212))
- add query on demand behind feature flag [#28127](https://github.com/gatsbyjs/gatsby/issues/28127) ([088eef4](https://github.com/gatsbyjs/gatsby/commit/088eef4fe125d03427712c557fbf19e96034d66d))
- invite people with long develop bundling times to try the lazy dev js bundling feature [#28116](https://github.com/gatsbyjs/gatsby/issues/28116) ([a737ea7](https://github.com/gatsbyjs/gatsby/commit/a737ea77ded04e0896d43ec233589b1dd8be7e63))
- add utility to show experiment invitation notices [#28120](https://github.com/gatsbyjs/gatsby/issues/28120) ([195d623](https://github.com/gatsbyjs/gatsby/commit/195d6233e2615074e2e5ce95d05e09d264ac1066))
- Add create-gatsby [#27703](https://github.com/gatsbyjs/gatsby/issues/27703) [#27801](https://github.com/gatsbyjs/gatsby/issues/27801) [#27995](https://github.com/gatsbyjs/gatsby/issues/27995) ([2371fd5](https://github.com/gatsbyjs/gatsby/commit/2371fd584d6824444d93f8667c45421c34aa5f54))
- add explicit express handler for page-data requests [#27882](https://github.com/gatsbyjs/gatsby/issues/27882) ([3d0de4a](https://github.com/gatsbyjs/gatsby/commit/3d0de4a93f23271417028843297b78a0d9450c3f))

#### Bug Fixes

- pull out a few bug fixes from https://github.com/gatsbyjs/gatsby/pull/28149/ fixes [#28186](https://github.com/gatsbyjs/gatsby/issues/28186) fixes [#28188](https://github.com/gatsbyjs/gatsby/issues/28188) ([a5131bd](https://github.com/gatsbyjs/gatsby/commit/a5131bd1509e93084260f5dd1d97e6e34edd7afc))
- get-page-data should timeout gracefully [#28131](https://github.com/gatsbyjs/gatsby/issues/28131) [#28180](https://github.com/gatsbyjs/gatsby/issues/28180) ([57b5840](https://github.com/gatsbyjs/gatsby/commit/57b584075ccd6d4775c9cb6f915c127979648136))
- rename env var for lazy dev bundling to make consistent with other experiments [#28150](https://github.com/gatsbyjs/gatsby/issues/28150) ([9e3ceec](https://github.com/gatsbyjs/gatsby/commit/9e3ceeccf2e6821429c7ae808588956fe7e3ef67))
- fix race condition in cache lock fix [#28097](https://github.com/gatsbyjs/gatsby/issues/28097) ([5b2d9b6](https://github.com/gatsbyjs/gatsby/commit/5b2d9b6343019f458e1c1f1d5c38b9b43ff47c32))
- allow unknown plugin options [#27938](https://github.com/gatsbyjs/gatsby/issues/27938) ([412b523](https://github.com/gatsbyjs/gatsby/commit/412b523fcb2909eabc3fae00f4bba5c3b59cc466))
- don't hide original error if stack-trace point to not existing file [#27953](https://github.com/gatsbyjs/gatsby/issues/27953) ([5e2b3ee](https://github.com/gatsbyjs/gatsby/commit/5e2b3eeb4af46a203de80fa8ce45774f9c6c3fa5))

#### Performance Improvements

- fix performance regression with query dependency cleaning fix [#28032](https://github.com/gatsbyjs/gatsby/issues/28032) ([de5517b](https://github.com/gatsbyjs/gatsby/commit/de5517b9db0b86c8b1729cb67c570a105596a97b))
- pull in cache lib and change lock from fs to mem [#27873](https://github.com/gatsbyjs/gatsby/issues/27873) ([84aae96](https://github.com/gatsbyjs/gatsby/commit/84aae96434b2432420dbdb851477c67c30b6c732))

#### Refactoring

- get-page-data util [#27939](https://github.com/gatsbyjs/gatsby/issues/27939) [#28111](https://github.com/gatsbyjs/gatsby/issues/28111) ([283da81](https://github.com/gatsbyjs/gatsby/commit/283da814e713c04bb28a919db2e16964f6533a2b))
- consolidate socket.io and loader caches, remove `getPageData` websocket logic [#28075](https://github.com/gatsbyjs/gatsby/issues/28075) ([bab6cc2](https://github.com/gatsbyjs/gatsby/commit/bab6cc247a82d1587118e6192a2dde606ff397fe))
- clear pending page-data writes per-page [#27922](https://github.com/gatsbyjs/gatsby/issues/27922) ([a98ca49](https://github.com/gatsbyjs/gatsby/commit/a98ca491982c3257d383aae14dddfda6613f9946))

#### Chores

- update babel monorepo [#27528](https://github.com/gatsbyjs/gatsby/issues/27528) ([539dbb0](https://github.com/gatsbyjs/gatsby/commit/539dbb09166e346a6cee568973d2de3d936e8ef3))

#### Other Changes

- Revert "fix(gatsby): refresh browser when receiving update and runtime errored (#27467)" [#27467](https://github.com/gatsbyjs/gatsby/issues/27467) [#28034](https://github.com/gatsbyjs/gatsby/issues/28034) ([076b59f](https://github.com/gatsbyjs/gatsby/commit/076b59fdd259be238d79bbbcda7fdb9c578adcd6))
- Fix #26359: Support HTTPS for the develop status server Fix [#26359](https://github.com/gatsbyjs/gatsby/issues/26359) Fix [#27955](https://github.com/gatsbyjs/gatsby/issues/27955) ([ccceda3](https://github.com/gatsbyjs/gatsby/commit/ccceda3f99d4b43d1cb1da006f5c0aef1840f007))

### [2.26.1](https://github.com/gatsbyjs/gatsby/commits/gatsby@2.26.1/packages/gatsby) (2020-11-14)

#### Bug Fixes

- allow unknown plugin options [#27938](https://github.com/gatsbyjs/gatsby/issues/27938) [#28010](https://github.com/gatsbyjs/gatsby/issues/28010) ([8f16b9d](https://github.com/gatsbyjs/gatsby/commit/8f16b9d130046d97b93f1be683d2936abafc4dcd))

#### Other Changes

- Revert "fix(gatsby): refresh browser when receiving update and runtime errored (#27467)" [#27467](https://github.com/gatsbyjs/gatsby/issues/27467) [#28034](https://github.com/gatsbyjs/gatsby/issues/28034) [#28038](https://github.com/gatsbyjs/gatsby/issues/28038) ([9f24f25](https://github.com/gatsbyjs/gatsby/commit/9f24f25490c83880985d022603e0291885464367))

## [2.26.0](https://github.com/gatsbyjs/gatsby/commits/gatsby@2.26.0/packages/gatsby) (2020-11-12)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v2.26)

#### Features

- enable compression in the dev server [#27948](https://github.com/gatsbyjs/gatsby/issues/27948) ([ebd5e2a](https://github.com/gatsbyjs/gatsby/commit/ebd5e2af53c00e80444110aab428e50a9b357c6e))
- File System Route API - General Availability [#27424](https://github.com/gatsbyjs/gatsby/issues/27424) ([07eeb2e](https://github.com/gatsbyjs/gatsby/commit/07eeb2ec35deadd212f009ce26f55f38d8304b11))
- Augment plugin errors with plugin name [#27435](https://github.com/gatsbyjs/gatsby/issues/27435) ([700d245](https://github.com/gatsbyjs/gatsby/commit/700d2454c824dcfbf7535a40df5032e1dc208c0c))

#### Bug Fixes

- don't hide original error if stack-trace point to not existing file [#27953](https://github.com/gatsbyjs/gatsby/issues/27953) ([9109758](https://github.com/gatsbyjs/gatsby/commit/9109758ec8bffb03ca4c93a4077e3bdac69fa3cb))
- Update TS types to allow Node 'parent' to be nullable [#26570](https://github.com/gatsbyjs/gatsby/issues/26570) ([90bb57b](https://github.com/gatsbyjs/gatsby/commit/90bb57b51a41b40200239471df6b66d9fcc730c2))
- wait for cache promises before returning [#27871](https://github.com/gatsbyjs/gatsby/issues/27871) ([071d50d](https://github.com/gatsbyjs/gatsby/commit/071d50d665c6f5542e29286eaef4dc54a61bb4d8))
- account for edge case when payload of DELETE_NODE is undefined [#27929](https://github.com/gatsbyjs/gatsby/issues/27929) ([d3471e0](https://github.com/gatsbyjs/gatsby/commit/d3471e08543536895016ccb023045ffa25275873))
- Remove version annotation in createPages [#27851](https://github.com/gatsbyjs/gatsby/issues/27851) ([b57e41f](https://github.com/gatsbyjs/gatsby/commit/b57e41f04616a6a7da72213a57e33b9e361c56c0))
- Update documentation for createPages [#27735](https://github.com/gatsbyjs/gatsby/issues/27735) ([27c3083](https://github.com/gatsbyjs/gatsby/commit/27c3083a8dccbab06f72f7259ddf6a79b7043bbd))

#### Refactoring

- handle more variations of page paths [#27782](https://github.com/gatsbyjs/gatsby/issues/27782) ([152a877](https://github.com/gatsbyjs/gatsby/commit/152a87710f0517eb9d7c427b3d3ed6e2e1e419aa))
- new dirty tracking implementation for queries [#27504](https://github.com/gatsbyjs/gatsby/issues/27504) ([9d322a4](https://github.com/gatsbyjs/gatsby/commit/9d322a4867ed8e21b5459f4cb91d1e3ce05d9d11))

#### Chores

- refactor of query-runner.ts [#27854](https://github.com/gatsbyjs/gatsby/issues/27854) ([051e1aa](https://github.com/gatsbyjs/gatsby/commit/051e1aa5c168fa75f04ea496c1e99802ae8a5511))
- small refactor in cache [#27869](https://github.com/gatsbyjs/gatsby/issues/27869) ([995c0dc](https://github.com/gatsbyjs/gatsby/commit/995c0dc6ef35b25065584c2c066c84ae221ae1be))
- async refactor in graphql-runner [#27853](https://github.com/gatsbyjs/gatsby/issues/27853) ([6bdd84e](https://github.com/gatsbyjs/gatsby/commit/6bdd84e19063e0c9262120070f1a8eec0365f0a1))
- log out when experimental concurrency flag is used [#27868](https://github.com/gatsbyjs/gatsby/issues/27868) ([139a809](https://github.com/gatsbyjs/gatsby/commit/139a8094ba874949d705a480af02bff379c9de57))

<a name="before-release-process"></a>

## [2.25.1](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.25.0...gatsby@2.25.1) (2020-11-02)

**Note:** Version bump only for package gatsby

# [2.25.0](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.92...gatsby@2.25.0) (2020-11-02)

### Features

- **gatsby:** release plugin option validation ([#27437](https://github.com/gatsbyjs/gatsby/issues/27437)) ([41ae1c0](https://github.com/gatsbyjs/gatsby/commit/41ae1c07ad9919655782ef17feed8cf4f14f12d8))

## [2.24.92](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.91...gatsby@2.24.92) (2020-11-02)

### Bug Fixes

- **gatsby:** include graphql type definition in published files ([#27646](https://github.com/gatsbyjs/gatsby/issues/27646)) ([875b214](https://github.com/gatsbyjs/gatsby/commit/875b214a7dd58d1e532a605d45906e5942a4e2c5))
- **gatsby:** print real plugin loading error in verbose ([#27664](https://github.com/gatsbyjs/gatsby/issues/27664)) ([c947568](https://github.com/gatsbyjs/gatsby/commit/c9475689615eb1b4e34f599e80c36bcef76ee77a))
- **gatsby:** purge jobsV2 results when cache is corrupt ([#27700](https://github.com/gatsbyjs/gatsby/issues/27700)) ([a6ecfb2](https://github.com/gatsbyjs/gatsby/commit/a6ecfb2b01d761e8a3612b8ea132c698659923d9))
- **gatsby:** show theme that has faulty config ([#27708](https://github.com/gatsbyjs/gatsby/issues/27708)) ([d7d1b97](https://github.com/gatsbyjs/gatsby/commit/d7d1b97e69cc5fa8030722a792a56e6d30937d2d))

### Features

- **gatsby:** allow configuration of default socket type ([#27734](https://github.com/gatsbyjs/gatsby/issues/27734)) ([f43a6bd](https://github.com/gatsbyjs/gatsby/commit/f43a6bd8ab3226afdfa79519d477c2a43f86e66d))
- Add "gatsby plugin" command ([#27725](https://github.com/gatsbyjs/gatsby/issues/27725)) ([5869cc5](https://github.com/gatsbyjs/gatsby/commit/5869cc5ab2189b257944a4c3f99af564be81ea80))

## [2.24.91](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.90...gatsby@2.24.91) (2020-10-28)

### Bug Fixes

- **gatsby:** fix subplugin validation ([#27616](https://github.com/gatsbyjs/gatsby/issues/27616)) ([65deab8](https://github.com/gatsbyjs/gatsby/commit/65deab8b47802262d19f7577ba5db302a2cd22e6))

## [2.24.90](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.89...gatsby@2.24.90) (2020-10-28)

### Performance Improvements

- **gatsby:** cache `createNodeId` locally ([#27686](https://github.com/gatsbyjs/gatsby/issues/27686)) ([5acfb60](https://github.com/gatsbyjs/gatsby/commit/5acfb605e971a6296a4dd588eb5a96031f9948cd))

## [2.24.89](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.88...gatsby@2.24.89) (2020-10-27)

### Bug Fixes

- **gatsby:** leak less in chokidar listeners ([#27685](https://github.com/gatsbyjs/gatsby/issues/27685)) ([e0a3645](https://github.com/gatsbyjs/gatsby/commit/e0a3645d7c788b7c589d69187840305a650678f7))

## [2.24.88](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.87...gatsby@2.24.88) (2020-10-27)

### Bug Fixes

- **gatsby:** add missing printTypeDefinitions ([#27670](https://github.com/gatsbyjs/gatsby/issues/27670)) ([2da94bf](https://github.com/gatsbyjs/gatsby/commit/2da94bfcd612d10b0816e38a95e43651986fd94b))
- **gatsby:** better heuristic for automatic cache purging ([#27682](https://github.com/gatsbyjs/gatsby/issues/27682)) ([a5665d2](https://github.com/gatsbyjs/gatsby/commit/a5665d28f585c7f8727e2bbaccb4ab0fffeaa8e7))

## [2.24.87](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.86...gatsby@2.24.87) (2020-10-26)

**Note:** Version bump only for package gatsby

## [2.24.86](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.85...gatsby@2.24.86) (2020-10-26)

### Features

- **gatsby:** disable automatic by default ([#27615](https://github.com/gatsbyjs/gatsby/issues/27615)) ([18c182a](https://github.com/gatsbyjs/gatsby/commit/18c182a574475c9c06dbbeb7ddae27f5cb008fe9))

## [2.24.85](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.84...gatsby@2.24.85) (2020-10-22)

### Bug Fixes

- **gatsby:** trigger location effects in navigation ([#27594](https://github.com/gatsbyjs/gatsby/issues/27594)) ([642eeb1](https://github.com/gatsbyjs/gatsby/commit/642eeb10a56a0618f2f0c608a035293cd3d5269f))

## [2.24.84](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.83...gatsby@2.24.84) (2020-10-21)

### Bug Fixes

- duplicate types to solve circular dependency ([#27578](https://github.com/gatsbyjs/gatsby/issues/27578)) ([029ec48](https://github.com/gatsbyjs/gatsby/commit/029ec489a271ddeb7ad3fa174bd536c1b38db246))

## [2.24.83](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.82...gatsby@2.24.83) (2020-10-20)

### Bug Fixes

- **gatsby:** Handle double prefix case for `extendErrorIdWithPluginName` ([#27547](https://github.com/gatsbyjs/gatsby/issues/27547)) ([b4d8342](https://github.com/gatsbyjs/gatsby/commit/b4d8342008de8fac199e3a524130573ba81ed354))

## [2.24.82](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.81...gatsby@2.24.82) (2020-10-19)

### Bug Fixes

- **gatsby:** notify when Gatsby cache is incomplete ([#27549](https://github.com/gatsbyjs/gatsby/issues/27549)) ([2d6a153](https://github.com/gatsbyjs/gatsby/commit/2d6a1535ca2fa45bc6821d3273c32e18f66913fc))

## [2.24.81](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.80...gatsby@2.24.81) (2020-10-19)

### Features

- **gatsby-plugin-utils:** save validation resulting value to plugin options ([#27381](https://github.com/gatsbyjs/gatsby/issues/27381)) ([0073fb1](https://github.com/gatsbyjs/gatsby/commit/0073fb167e7ccddefbff8872b5b9bd488660804d))

## [2.24.80](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.79...gatsby@2.24.80) (2020-10-16)

### Bug Fixes

- **gatsby:** refresh browser when receiving update and runtime errored ([#27467](https://github.com/gatsbyjs/gatsby/issues/27467)) ([f227e85](https://github.com/gatsbyjs/gatsby/commit/f227e85728168d104ed0a7982823923dcd3bba62))

### Performance Improvements

- **gatsby:** test sync before calling onCreateNode ([#27442](https://github.com/gatsbyjs/gatsby/issues/27442)) ([6400383](https://github.com/gatsbyjs/gatsby/commit/6400383287db9967a7124df7fb0d096408372b95))

## [2.24.79](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.78...gatsby@2.24.79) (2020-10-16)

### Bug Fixes

- **gatsby:** add runtime check for react 17 ([#27468](https://github.com/gatsbyjs/gatsby/issues/27468)) ([239d539](https://github.com/gatsbyjs/gatsby/commit/239d539b76421f210a0db901786021ac45a42ac7))

## [2.24.78](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.77...gatsby@2.24.78) (2020-10-15)

### Features

- **gatsby-plugin-typescript:** Add schema ([#27361](https://github.com/gatsbyjs/gatsby/issues/27361)) ([072ef6c](https://github.com/gatsbyjs/gatsby/commit/072ef6c992168c89505143670013d5d8147f4ab4))

## [2.24.77](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.76...gatsby@2.24.77) (2020-10-14)

**Note:** Version bump only for package gatsby

## [2.24.76](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.75...gatsby@2.24.76) (2020-10-13)

### Bug Fixes

- **gatsby:** Error context for 11328 ([#27419](https://github.com/gatsbyjs/gatsby/issues/27419)) ([3dcde6e](https://github.com/gatsbyjs/gatsby/commit/3dcde6e9973ff36143d1e43f3f2d00d7016c966c))
- **gatsby:** materialization should always use resolver when defined ([#27411](https://github.com/gatsbyjs/gatsby/issues/27411)) ([1ceb0c3](https://github.com/gatsbyjs/gatsby/commit/1ceb0c3ba836d027632e51822f2acb4010275b63))

## [2.24.75](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.74...gatsby@2.24.75) (2020-10-13)

**Note:** Version bump only for package gatsby

## [2.24.74](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.73...gatsby@2.24.74) (2020-10-12)

### Bug Fixes

- **gatsby:** Make pluginOptionsSchema optional ([#27397](https://github.com/gatsbyjs/gatsby/issues/27397)) ([a67fb02](https://github.com/gatsbyjs/gatsby/commit/a67fb0212ac9bd94964d8d5c256beebe6cb6f253)), closes [#27242](https://github.com/gatsbyjs/gatsby/issues/27242)
- **gatsby:** wait for extracted query enqueuing before running queries ([#27408](https://github.com/gatsbyjs/gatsby/issues/27408)) ([f50093e](https://github.com/gatsbyjs/gatsby/commit/f50093e90c07a9447f72c968a349711806b4f897))
- **gatsby-plugin-google-analytics:** remove required on trackingId ([#27398](https://github.com/gatsbyjs/gatsby/issues/27398)) ([3518d10](https://github.com/gatsbyjs/gatsby/commit/3518d10c3541277a3ba2da5bb099a54d02179257))
- lint ([#27371](https://github.com/gatsbyjs/gatsby/issues/27371)) ([6b37713](https://github.com/gatsbyjs/gatsby/commit/6b3771309459f76071ea239cdd62fda902836d80))

## [2.24.73](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.72...gatsby@2.24.73) (2020-10-09)

**Note:** Version bump only for package gatsby

## [2.24.72](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.71...gatsby@2.24.72) (2020-10-08)

**Note:** Version bump only for package gatsby

## [2.24.71](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.70...gatsby@2.24.71) (2020-10-08)

**Note:** Version bump only for package gatsby

## [2.24.70](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.69...gatsby@2.24.70) (2020-10-08)

### Bug Fixes

- **gatsby:** route lifecycle ordering ([#27261](https://github.com/gatsbyjs/gatsby/issues/27261)) ([b64f89e](https://github.com/gatsbyjs/gatsby/commit/b64f89e4fc22fdfbe8c7edf670a4b25d757db7a3))

### Features

- **gatsby,gatsby-cli:** Pass an errorMap to reporter.error ([#27176](https://github.com/gatsbyjs/gatsby/issues/27176)) ([56402db](https://github.com/gatsbyjs/gatsby/commit/56402dbb26aa56f8f1d69a0d4e2d079efccec669))

### Performance Improvements

- **redirect:** minified redirect file size ([#27160](https://github.com/gatsbyjs/gatsby/issues/27160)) ([41f0881](https://github.com/gatsbyjs/gatsby/commit/41f08814fa016683d9bb1c1aa064e6e9519d38fc))

## [2.24.69](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.68...gatsby@2.24.69) (2020-10-07)

### Bug Fixes

- **gatsby:** support `--https` develop ([#27302](https://github.com/gatsbyjs/gatsby/issues/27302)) ([17cdc22](https://github.com/gatsbyjs/gatsby/commit/17cdc223ed2b9ce362f2718dfaac7f21a3a5b60e)), closes [#27294](https://github.com/gatsbyjs/gatsby/issues/27294)

### Features

- **gatsby:** plugin option validation ([#27242](https://github.com/gatsbyjs/gatsby/issues/27242)) ([9b01ca7](https://github.com/gatsbyjs/gatsby/commit/9b01ca7926efa1c4c6d58b33a137c2f0a0ef99b7))

## [2.24.68](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.67...gatsby@2.24.68) (2020-10-06)

**Note:** Version bump only for package gatsby

## [2.24.67](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.66...gatsby@2.24.67) (2020-10-01)

### Bug Fixes

- **gatsby:** retry socket when connection closes ([#27060](https://github.com/gatsbyjs/gatsby/issues/27060)) ([8d62b2c](https://github.com/gatsbyjs/gatsby/commit/8d62b2c21acbac64c715e957b50aeaec1b906fac))

## [2.24.66](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.65...gatsby@2.24.66) (2020-09-28)

### Bug Fixes

- **gatsby:** PageProps TS type: add `params` ([#26974](https://github.com/gatsbyjs/gatsby/issues/26974)) ([026d49d](https://github.com/gatsbyjs/gatsby/commit/026d49dee032c98f87fa88c85b4f8a1393258b28))
- **gatsby:** set proper cacheIdentifier for babel ([#26809](https://github.com/gatsbyjs/gatsby/issues/26809)) ([e28d9ba](https://github.com/gatsbyjs/gatsby/commit/e28d9ba3a70ad5936dc6ee171da38c2caf192ae7))

## [2.24.65](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.64...gatsby@2.24.65) (2020-09-24)

### Bug Fixes

- **build:** remove stale page-data files ([#26937](https://github.com/gatsbyjs/gatsby/issues/26937)) ([dfe9fb0](https://github.com/gatsbyjs/gatsby/commit/dfe9fb00fa9d1bc5dce740c49901a6398638b742))
- **gatsby:** Recognise null pages as not found ([#27003](https://github.com/gatsbyjs/gatsby/issues/27003)) ([18944ce](https://github.com/gatsbyjs/gatsby/commit/18944cec9d87af4744b5583736cc9ed7adf0df0b))

## [2.24.64](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.63...gatsby@2.24.64) (2020-09-23)

### Features

- **gatsby:** Expose typescript transpiler to default site in plugin list ([#26452](https://github.com/gatsbyjs/gatsby/issues/26452)) ([a8ce6e6](https://github.com/gatsbyjs/gatsby/commit/a8ce6e6e2ad46693a49af052cd302187d56e5943))

## [2.24.63](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.62...gatsby@2.24.63) (2020-09-18)

### Bug Fixes

- **gatsby:** Finish running queries if source files change ([#26940](https://github.com/gatsbyjs/gatsby/issues/26940)) ([d7d2dda](https://github.com/gatsbyjs/gatsby/commit/d7d2dda329d5bf11e1f03d2a6ffb153df3a08031))

## [2.24.62](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.61...gatsby@2.24.62) (2020-09-16)

### Features

- **gatsby:** add babel-lodash plugin to reduce lodash filesize ([#26611](https://github.com/gatsbyjs/gatsby/issues/26611)) ([ede2fd9](https://github.com/gatsbyjs/gatsby/commit/ede2fd9eb89b08d97e5eab0883af819621d7f55f))

## [2.24.61](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.60...gatsby@2.24.61) (2020-09-16)

### Bug Fixes

- **gatsby-cli:** pass --verbose flag to gatsby build properly ([#26904](https://github.com/gatsbyjs/gatsby/issues/26904)) ([55e82f3](https://github.com/gatsbyjs/gatsby/commit/55e82f3e90adc87750aedcc00fe52ec1ca9de38f))

### Features

- **gatsby:** add `Site` and `SiteSiteMetadata` to built-in GraphQL types ([#26866](https://github.com/gatsbyjs/gatsby/issues/26866)) ([8636370](https://github.com/gatsbyjs/gatsby/commit/8636370ceeb0443f56dea4797157ec8887301e6b))
- **gatsby:** print node counts in CLI ([#26907](https://github.com/gatsbyjs/gatsby/issues/26907)) ([34f7a5a](https://github.com/gatsbyjs/gatsby/commit/34f7a5a1ed79cd2cc167502f2f07dffff3088766))
- **gatsby-admin:** track errors ([#26903](https://github.com/gatsbyjs/gatsby/issues/26903)) ([617cc1d](https://github.com/gatsbyjs/gatsby/commit/617cc1dd0e16d60abbea1caec8d3a63f8dbe4142))

## [2.24.60](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.59...gatsby@2.24.60) (2020-09-15)

### Bug Fixes

- **gatsby:** resend pageData when socket disconnect ([#26868](https://github.com/gatsbyjs/gatsby/issues/26868)) ([d153729](https://github.com/gatsbyjs/gatsby/commit/d1537293e27616079c78e8fcd3f29cae131d057f))

## [2.24.59](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.58...gatsby@2.24.59) (2020-09-15)

**Note:** Version bump only for package gatsby

## [2.24.58](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.57...gatsby@2.24.58) (2020-09-14)

### Features

- **gatsby:** create telemetry service and start it during develop ([#26832](https://github.com/gatsbyjs/gatsby/issues/26832)) ([6132b95](https://github.com/gatsbyjs/gatsby/commit/6132b9517f2d4668c55e98fe63f2509fdb3d130a)), closes [#26853](https://github.com/gatsbyjs/gatsby/issues/26853)
- **gatsby:** merge GraphQL types defined by different plugins (with a warning) ([#26864](https://github.com/gatsbyjs/gatsby/issues/26864)) ([0bc63fe](https://github.com/gatsbyjs/gatsby/commit/0bc63fe533f8419708a34b962339f43f4955355d))
- **gatsby-admin:** track plugin telemetry ([#26885](https://github.com/gatsbyjs/gatsby/issues/26885)) ([bf61854](https://github.com/gatsbyjs/gatsby/commit/bf61854dc5bb87911825f925fe839d67e44da986)), closes [#26853](https://github.com/gatsbyjs/gatsby/issues/26853) [#26853](https://github.com/gatsbyjs/gatsby/issues/26853) [#26853](https://github.com/gatsbyjs/gatsby/issues/26853)

## [2.24.57](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.56...gatsby@2.24.57) (2020-09-10)

### Bug Fixes

- **gatsby:** do not initialize cache in onPreInit API ([#26810](https://github.com/gatsbyjs/gatsby/issues/26810)) ([39df4fa](https://github.com/gatsbyjs/gatsby/commit/39df4fa51304bc05f5d9413da7ee80479a3ff726))
- **gatsby:** Handle node mutations immediately after file change ([#26848](https://github.com/gatsbyjs/gatsby/issues/26848)) ([de68259](https://github.com/gatsbyjs/gatsby/commit/de68259d990d4b43660655724122d2cfbc79a7d8))
- **gatsby:** Run actions while recreating pages and draining mutation queue ([#26847](https://github.com/gatsbyjs/gatsby/issues/26847)) ([4b494b6](https://github.com/gatsbyjs/gatsby/commit/4b494b6c259d29ec85f78fe5137036fc16e967ce))

## [2.24.56](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.55...gatsby@2.24.56) (2020-09-09)

**Note:** Version bump only for package gatsby

## [2.24.55](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.54...gatsby@2.24.55) (2020-09-08)

### Bug Fixes

- **gatsby:** fix `$in` operator to return unique elements ([#26822](https://github.com/gatsbyjs/gatsby/issues/26822)) ([df9014d](https://github.com/gatsbyjs/gatsby/commit/df9014d))
- **gatsby:** Run mutations during query running ([#26808](https://github.com/gatsbyjs/gatsby/issues/26808)) ([4427f13](https://github.com/gatsbyjs/gatsby/commit/4427f13))
- **gatsby-cli:** Fix typo (repeated ://) ([#26781](https://github.com/gatsbyjs/gatsby/issues/26781)) ([6a7fcfb](https://github.com/gatsbyjs/gatsby/commit/6a7fcfb))

## [2.24.54](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.53...gatsby@2.24.54) (2020-09-07)

### Bug Fixes

- **doc:** updated onCreateBabelConfig documentation ([#25212](https://github.com/gatsbyjs/gatsby/issues/25212)) ([5538c49](https://github.com/gatsbyjs/gatsby/commit/5538c49))
- **gatsby:** catch when lock already unlocked ([#26805](https://github.com/gatsbyjs/gatsby/issues/26805)) ([9509d01](https://github.com/gatsbyjs/gatsby/commit/9509d01))
- **gatsby:** tap just into main compilation in webpack-dep-tree-plugin ([#26778](https://github.com/gatsbyjs/gatsby/issues/26778)) ([bf7d633](https://github.com/gatsbyjs/gatsby/commit/bf7d633))

## [2.24.53](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.52...gatsby@2.24.53) (2020-08-31)

### Bug Fixes

- **gatsby:** only enable debugger when argument is given ([#26669](https://github.com/gatsbyjs/gatsby/issues/26669)) ([93fdc09](https://github.com/gatsbyjs/gatsby/commit/93fdc09))
- **gatsby:** properly unlock processes onExit ([#26670](https://github.com/gatsbyjs/gatsby/issues/26670)) ([c2aeded](https://github.com/gatsbyjs/gatsby/commit/c2aeded))

## [2.24.52](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.51...gatsby@2.24.52) (2020-08-28)

### Bug Fixes

- **gatsby:** fix error from ts conversion ([#26681](https://github.com/gatsbyjs/gatsby/issues/26681)) ([04c75bb](https://github.com/gatsbyjs/gatsby/commit/04c75bb))
- **gatsby:** fix materialization edge case with nullish values ([#26677](https://github.com/gatsbyjs/gatsby/issues/26677)) ([25e3a63](https://github.com/gatsbyjs/gatsby/commit/25e3a63))

### Features

- **gatsby:** Support React 17's new JSX Transform ([#26652](https://github.com/gatsbyjs/gatsby/issues/26652)) ([6ba68f8](https://github.com/gatsbyjs/gatsby/commit/6ba68f8))

## [2.24.51](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.50...gatsby@2.24.51) (2020-08-26)

### Bug Fixes

- **gatsby:** fix filtering by sub-fields of the field with custom resolver ([#26644](https://github.com/gatsbyjs/gatsby/issues/26644)) ([6eefdee](https://github.com/gatsbyjs/gatsby/commit/6eefdee))

## [2.24.50](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.49...gatsby@2.24.50) (2020-08-25)

### Bug Fixes

- move babel/types from devDependencies to dependencies ([#26404](https://github.com/gatsbyjs/gatsby/issues/26404)) ([318a8a2](https://github.com/gatsbyjs/gatsby/commit/318a8a2))

## [2.24.49](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.48...gatsby@2.24.49) (2020-08-24)

### Bug Fixes

- **gatsby:** take into account possible invalid values in getValueAt ([#26613](https://github.com/gatsbyjs/gatsby/issues/26613)) ([bc3a177](https://github.com/gatsbyjs/gatsby/commit/bc3a177))

## [2.24.48](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.47...gatsby@2.24.48) (2020-08-24)

### Bug Fixes

- **gatsby:** update devcert ([#26566](https://github.com/gatsbyjs/gatsby/issues/26566)) ([1328a97](https://github.com/gatsbyjs/gatsby/commit/1328a97))

### Features

- **gatsby-core-utils:** Add node.js export, and move site-metadata into its own function ([#26237](https://github.com/gatsbyjs/gatsby/issues/26237)) ([b164147](https://github.com/gatsbyjs/gatsby/commit/b164147))

## [2.24.47](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.46...gatsby@2.24.47) (2020-08-12)

**Note:** Version bump only for package gatsby

## [2.24.46](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.45...gatsby@2.24.46) (2020-08-12)

### Bug Fixes

- **gatsby:** place auto-generated virtual modules in `.cache` ([#26396](https://github.com/gatsbyjs/gatsby/issues/26396)) ([9590a2c](https://github.com/gatsbyjs/gatsby/commit/9590a2c))

## [2.24.45](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.44...gatsby@2.24.45) (2020-08-12)

**Note:** Version bump only for package gatsby

## [2.24.44](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.43...gatsby@2.24.44) (2020-08-12)

**Note:** Version bump only for package gatsby

## [2.24.43](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.42...gatsby@2.24.43) (2020-08-11)

### Bug Fixes

- **gatsby:** improve the log for service lock issues ([#26360](https://github.com/gatsbyjs/gatsby/issues/26360)) ([5a4496c](https://github.com/gatsbyjs/gatsby/commit/5a4496c))

## [2.24.42](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.41...gatsby@2.24.42) (2020-08-11)

### Bug Fixes

- **gatsby:** set correct content-type header for socket.io.js ([#26358](https://github.com/gatsbyjs/gatsby/issues/26358)) ([87babc9](https://github.com/gatsbyjs/gatsby/commit/87babc9))

### Features

- **gatsby-cli:** Allow setting the server status port ([#25862](https://github.com/gatsbyjs/gatsby/issues/25862)) ([67615bf](https://github.com/gatsbyjs/gatsby/commit/67615bf))

## [2.24.41](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.40...gatsby@2.24.41) (2020-08-11)

**Note:** Version bump only for package gatsby

## [2.24.40](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.39...gatsby@2.24.40) (2020-08-10)

**Note:** Version bump only for package gatsby

## [2.24.39](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.38...gatsby@2.24.39) (2020-08-10)

### Features

- **gatsby:** Extend support for file system pages to build client-only and collections of pages! ([#25204](https://github.com/gatsbyjs/gatsby/issues/25204)) ([61d8849](https://github.com/gatsbyjs/gatsby/commit/61d8849))

## [2.24.38](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.37...gatsby@2.24.38) (2020-08-10)

### Bug Fixes

- **gatsby:** Added { default } to default exports ([#26020](https://github.com/gatsbyjs/gatsby/issues/26020)) ([6e6e419](https://github.com/gatsbyjs/gatsby/commit/6e6e419))

## [2.24.37](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.36...gatsby@2.24.37) (2020-08-08)

**Note:** Version bump only for package gatsby

## [2.24.36](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.35...gatsby@2.24.36) (2020-08-07)

### Features

- **gatsby:** add flag to disable schema rebuilding ([#26291](https://github.com/gatsbyjs/gatsby/issues/26291)) ([44175f6](https://github.com/gatsbyjs/gatsby/commit/44175f6))

## [2.24.35](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.34...gatsby@2.24.35) (2020-08-07)

**Note:** Version bump only for package gatsby

## [2.24.34](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.33...gatsby@2.24.34) (2020-08-06)

**Note:** Version bump only for package gatsby

## [2.24.33](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.32...gatsby@2.24.33) (2020-08-06)

### Bug Fixes

- **gatsby:** Move static queries to page data dir ([#26242](https://github.com/gatsbyjs/gatsby/issues/26242)) ([de979d3](https://github.com/gatsbyjs/gatsby/commit/de979d3))

## [2.24.32](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.31...gatsby@2.24.32) (2020-08-06)

**Note:** Version bump only for package gatsby

## [2.24.31](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.30...gatsby@2.24.31) (2020-08-06)

**Note:** Version bump only for package gatsby

## [2.24.30](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.29...gatsby@2.24.30) (2020-08-05)

### Bug Fixes

- **gatsby:** enable ipc messaging on develop ([#26221](https://github.com/gatsbyjs/gatsby/issues/26221)) ([a063a1f](https://github.com/gatsbyjs/gatsby/commit/a063a1f))

## [2.24.29](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.28...gatsby@2.24.29) (2020-08-05)

**Note:** Version bump only for package gatsby

## [2.24.28](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.27...gatsby@2.24.28) (2020-08-05)

### Features

- **gatsby:** Store site metadata ([#26162](https://github.com/gatsbyjs/gatsby/issues/26162)) ([36367c4](https://github.com/gatsbyjs/gatsby/commit/36367c4))

## [2.24.27](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.26...gatsby@2.24.27) (2020-08-04)

**Note:** Version bump only for package gatsby

## [2.24.26](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.25...gatsby@2.24.26) (2020-08-03)

**Note:** Version bump only for package gatsby

## [2.24.25](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.24...gatsby@2.24.25) (2020-08-03)

### Features

- **gatsby-recipes:** add recipes gui ([#24595](https://github.com/gatsbyjs/gatsby/issues/24595)) ([07085fa](https://github.com/gatsbyjs/gatsby/commit/07085fa)), closes [#24655](https://github.com/gatsbyjs/gatsby/issues/24655) [#25133](https://github.com/gatsbyjs/gatsby/issues/25133) [#25930](https://github.com/gatsbyjs/gatsby/issues/25930) [#25939](https://github.com/gatsbyjs/gatsby/issues/25939) [#26009](https://github.com/gatsbyjs/gatsby/issues/26009) [#26085](https://github.com/gatsbyjs/gatsby/issues/26085) [#26115](https://github.com/gatsbyjs/gatsby/issues/26115) [#25763](https://github.com/gatsbyjs/gatsby/issues/25763) [#25812](https://github.com/gatsbyjs/gatsby/issues/25812) [#24306](https://github.com/gatsbyjs/gatsby/issues/24306) [#25884](https://github.com/gatsbyjs/gatsby/issues/25884) [#25883](https://github.com/gatsbyjs/gatsby/issues/25883) [#25886](https://github.com/gatsbyjs/gatsby/issues/25886) [#25316](https://github.com/gatsbyjs/gatsby/issues/25316) [#25874](https://github.com/gatsbyjs/gatsby/issues/25874) [#25606](https://github.com/gatsbyjs/gatsby/issues/25606) [#25891](https://github.com/gatsbyjs/gatsby/issues/25891) [#25896](https://github.com/gatsbyjs/gatsby/issues/25896) [#25894](https://github.com/gatsbyjs/gatsby/issues/25894) [#25905](https://github.com/gatsbyjs/gatsby/issues/25905) [#25902](https://github.com/gatsbyjs/gatsby/issues/25902) [#25907](https://github.com/gatsbyjs/gatsby/issues/25907) [#25882](https://github.com/gatsbyjs/gatsby/issues/25882) [#25892](https://github.com/gatsbyjs/gatsby/issues/25892) [#25879](https://github.com/gatsbyjs/gatsby/issues/25879) [#25875](https://github.com/gatsbyjs/gatsby/issues/25875) [#25744](https://github.com/gatsbyjs/gatsby/issues/25744) [#25903](https://github.com/gatsbyjs/gatsby/issues/25903) [#25863](https://github.com/gatsbyjs/gatsby/issues/25863) [#25915](https://github.com/gatsbyjs/gatsby/issues/25915) [#25910](https://github.com/gatsbyjs/gatsby/issues/25910) [#25912](https://github.com/gatsbyjs/gatsby/issues/25912) [#25901](https://github.com/gatsbyjs/gatsby/issues/25901) [#25643](https://github.com/gatsbyjs/gatsby/issues/25643) [#25720](https://github.com/gatsbyjs/gatsby/issues/25720) [#24652](https://github.com/gatsbyjs/gatsby/issues/24652) [#24549](https://github.com/gatsbyjs/gatsby/issues/24549) [#24549](https://github.com/gatsbyjs/gatsby/issues/24549) [#11](https://github.com/gatsbyjs/gatsby/issues/11) [#25832](https://github.com/gatsbyjs/gatsby/issues/25832) [#25936](https://github.com/gatsbyjs/gatsby/issues/25936) [#25344](https://github.com/gatsbyjs/gatsby/issues/25344) [#25721](https://github.com/gatsbyjs/gatsby/issues/25721) [#25943](https://github.com/gatsbyjs/gatsby/issues/25943) [#25479](https://github.com/gatsbyjs/gatsby/issues/25479) [#25716](https://github.com/gatsbyjs/gatsby/issues/25716) [#25946](https://github.com/gatsbyjs/gatsby/issues/25946) [#25940](https://github.com/gatsbyjs/gatsby/issues/25940) [#25954](https://github.com/gatsbyjs/gatsby/issues/25954) [#25464](https://github.com/gatsbyjs/gatsby/issues/25464) [#25914](https://github.com/gatsbyjs/gatsby/issues/25914) [#25970](https://github.com/gatsbyjs/gatsby/issues/25970) [#25972](https://github.com/gatsbyjs/gatsby/issues/25972) [#25815](https://github.com/gatsbyjs/gatsby/issues/25815) [#25944](https://github.com/gatsbyjs/gatsby/issues/25944) [#25941](https://github.com/gatsbyjs/gatsby/issues/25941) [#25974](https://github.com/gatsbyjs/gatsby/issues/25974) [#25971](https://github.com/gatsbyjs/gatsby/issues/25971) [#25921](https://github.com/gatsbyjs/gatsby/issues/25921) [#25276](https://github.com/gatsbyjs/gatsby/issues/25276) [#25463](https://github.com/gatsbyjs/gatsby/issues/25463) [#25980](https://github.com/gatsbyjs/gatsby/issues/25980) [#25965](https://github.com/gatsbyjs/gatsby/issues/25965) [#25926](https://github.com/gatsbyjs/gatsby/issues/25926) [#25983](https://github.com/gatsbyjs/gatsby/issues/25983) [#25958](https://github.com/gatsbyjs/gatsby/issues/25958) [#25978](https://github.com/gatsbyjs/gatsby/issues/25978) [#25998](https://github.com/gatsbyjs/gatsby/issues/25998) [#26002](https://github.com/gatsbyjs/gatsby/issues/26002) [#25997](https://github.com/gatsbyjs/gatsby/issues/25997) [#25984](https://github.com/gatsbyjs/gatsby/issues/25984) [#26006](https://github.com/gatsbyjs/gatsby/issues/26006) [#26043](https://github.com/gatsbyjs/gatsby/issues/26043) [#26030](https://github.com/gatsbyjs/gatsby/issues/26030) [#26016](https://github.com/gatsbyjs/gatsby/issues/26016) [#25960](https://github.com/gatsbyjs/gatsby/issues/25960) [#26054](https://github.com/gatsbyjs/gatsby/issues/26054) [#25929](https://github.com/gatsbyjs/gatsby/issues/25929) [#25995](https://github.com/gatsbyjs/gatsby/issues/25995) [#26068](https://github.com/gatsbyjs/gatsby/issues/26068) [#26051](https://github.com/gatsbyjs/gatsby/issues/26051) [#25747](https://github.com/gatsbyjs/gatsby/issues/25747) [#25613](https://github.com/gatsbyjs/gatsby/issues/25613) [#26067](https://github.com/gatsbyjs/gatsby/issues/26067) [#25682](https://github.com/gatsbyjs/gatsby/issues/25682) [#25631](https://github.com/gatsbyjs/gatsby/issues/25631) [#26065](https://github.com/gatsbyjs/gatsby/issues/26065) [#25683](https://github.com/gatsbyjs/gatsby/issues/25683) [#25792](https://github.com/gatsbyjs/gatsby/issues/25792) [#26078](https://github.com/gatsbyjs/gatsby/issues/26078) [#26053](https://github.com/gatsbyjs/gatsby/issues/26053) [#26077](https://github.com/gatsbyjs/gatsby/issues/26077) [#25371](https://github.com/gatsbyjs/gatsby/issues/25371) [#26092](https://github.com/gatsbyjs/gatsby/issues/26092) [#26101](https://github.com/gatsbyjs/gatsby/issues/26101) [#25952](https://github.com/gatsbyjs/gatsby/issues/25952) [#26104](https://github.com/gatsbyjs/gatsby/issues/26104) [#25776](https://github.com/gatsbyjs/gatsby/issues/25776) [#26109](https://github.com/gatsbyjs/gatsby/issues/26109)

## [2.24.24](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.23...gatsby@2.24.24) (2020-08-03)

**Note:** Version bump only for package gatsby

## [2.24.23](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.21...gatsby@2.24.23) (2020-07-31)

**Note:** Version bump only for package gatsby

## [2.24.22](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.21...gatsby@2.24.22) (2020-07-31)

**Note:** Version bump only for package gatsby

## [2.24.21](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.20...gatsby@2.24.21) (2020-07-31)

**Note:** Version bump only for package gatsby

## [2.24.20](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.19...gatsby@2.24.20) (2020-07-31)

**Note:** Version bump only for package gatsby

## [2.24.19](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.18...gatsby@2.24.19) (2020-07-31)

**Note:** Version bump only for package gatsby

## [2.24.18](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.17...gatsby@2.24.18) (2020-07-31)

**Note:** Version bump only for package gatsby

## [2.24.17](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.16...gatsby@2.24.17) (2020-07-31)

**Note:** Version bump only for package gatsby

## [2.24.16](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.15...gatsby@2.24.16) (2020-07-31)

**Note:** Version bump only for package gatsby

## [2.24.15](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.14...gatsby@2.24.15) (2020-07-30)

### Bug Fixes

- **gatsby:** Resolve node mutations in waiting state ([#26138](https://github.com/gatsbyjs/gatsby/issues/26138)) ([f9e12cc](https://github.com/gatsbyjs/gatsby/commit/f9e12cc))

### Features

- **gatsby-telemetry:** Track if cache was purged ([#26096](https://github.com/gatsbyjs/gatsby/issues/26096)) ([495fd73](https://github.com/gatsbyjs/gatsby/commit/495fd73))

## [2.24.14](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.13...gatsby@2.24.14) (2020-07-29)

### Bug Fixes

- **gatsby:** Load resources in ProdPageRenderer ([#26092](https://github.com/gatsbyjs/gatsby/issues/26092)) ([f8b7b35](https://github.com/gatsbyjs/gatsby/commit/f8b7b35))

## [2.24.13](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.12...gatsby@2.24.13) (2020-07-29)

### Bug Fixes

- **gatsby:** Delete babel and terser cache dirs ([#26053](https://github.com/gatsbyjs/gatsby/issues/26053)) ([9497c97](https://github.com/gatsbyjs/gatsby/commit/9497c97))
- **gatsby:** Load static query results from its own Db ([#26077](https://github.com/gatsbyjs/gatsby/issues/26077)) ([5cf9687](https://github.com/gatsbyjs/gatsby/commit/5cf9687))

## [2.24.12](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.11...gatsby@2.24.12) (2020-07-28)

### Bug Fixes

- **gatsby:** Defer node mutation in more APIs ([#26067](https://github.com/gatsbyjs/gatsby/issues/26067)) ([5e5b413](https://github.com/gatsbyjs/gatsby/commit/5e5b413))
- Enable CLI integration tests ([#25997](https://github.com/gatsbyjs/gatsby/issues/25997)) ([ffabe75](https://github.com/gatsbyjs/gatsby/commit/ffabe75))

### Features

- **gatsby:** Add top-level error handling to state machine ([#25995](https://github.com/gatsbyjs/gatsby/issues/25995)) ([b84ea14](https://github.com/gatsbyjs/gatsby/commit/b84ea14))

## [2.24.11](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.10...gatsby@2.24.11) (2020-07-24)

### Bug Fixes

- **gatsby:** call predicate for the root ancestor in findRootNodeAncestor ([#25974](https://github.com/gatsbyjs/gatsby/issues/25974)) ([ac40874](https://github.com/gatsbyjs/gatsby/commit/ac40874))

### Features

- **gatsby:** Add internal types export ([#25921](https://github.com/gatsbyjs/gatsby/issues/25921)) ([08d2d70](https://github.com/gatsbyjs/gatsby/commit/08d2d70))

## [2.24.10](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.9...gatsby@2.24.10) (2020-07-23)

**Note:** Version bump only for package gatsby

## [2.24.9](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.8...gatsby@2.24.9) (2020-07-22)

### Bug Fixes

- **gatsby:** don't place virtual modules in node_modules directory ([#25720](https://github.com/gatsbyjs/gatsby/issues/25720)) ([7b1a0f2](https://github.com/gatsbyjs/gatsby/commit/7b1a0f2))

### Features

- **gatsby:** Defer node mutation during querying ([#25479](https://github.com/gatsbyjs/gatsby/issues/25479)) ([cf14989](https://github.com/gatsbyjs/gatsby/commit/cf14989)), closes [#25716](https://github.com/gatsbyjs/gatsby/issues/25716)

## [2.24.8](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.7...gatsby@2.24.8) (2020-07-21)

### Bug Fixes

- **gatsby:** Support symlinks in static directories ([#25894](https://github.com/gatsbyjs/gatsby/issues/25894)) ([42d342e](https://github.com/gatsbyjs/gatsby/commit/42d342e))
- Restore CLI port in use prompt feature ([#25863](https://github.com/gatsbyjs/gatsby/issues/25863)) ([fc2f6f0](https://github.com/gatsbyjs/gatsby/commit/fc2f6f0))

## [2.24.7](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.6...gatsby@2.24.7) (2020-07-20)

### Features

- **gatsby:** Load static query results in Gatsby runtime ([#25723](https://github.com/gatsbyjs/gatsby/issues/25723)) ([b00c3df](https://github.com/gatsbyjs/gatsby/commit/b00c3df))

## [2.24.6](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.5...gatsby@2.24.6) (2020-07-20)

### Bug Fixes

- **docs:** change LeKoArts to LekoArts ([#25843](https://github.com/gatsbyjs/gatsby/issues/25843)) ([724d717](https://github.com/gatsbyjs/gatsby/commit/724d717))

## [2.24.5](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.4...gatsby@2.24.5) (2020-07-20)

**Note:** Version bump only for package gatsby

## [2.24.4](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.3...gatsby@2.24.4) (2020-07-17)

### Bug Fixes

- **gatsby-cli:** enable inspect-brk & inspect options ([#24693](https://github.com/gatsbyjs/gatsby/issues/24693)) ([ddfff2a](https://github.com/gatsbyjs/gatsby/commit/ddfff2a))

## [2.24.3](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.2...gatsby@2.24.3) (2020-07-15)

### Bug Fixes

- **gatsby:** fix timing issue around marking webpack as pending due to requires-writer run ([#25759](https://github.com/gatsbyjs/gatsby/issues/25759)) ([fa3a7eb](https://github.com/gatsbyjs/gatsby/commit/fa3a7eb))
- **gatsby:** Fixes process.env replacement for some packages ([#25684](https://github.com/gatsbyjs/gatsby/issues/25684)) ([d276917](https://github.com/gatsbyjs/gatsby/commit/d276917))
- **gatsby:** Support numbers in navigate function ([#25611](https://github.com/gatsbyjs/gatsby/issues/25611)) ([83926c8](https://github.com/gatsbyjs/gatsby/commit/83926c8))

### Features

- **gatsby:** Track static queries by template ([#25549](https://github.com/gatsbyjs/gatsby/issues/25549)) ([e640c5b](https://github.com/gatsbyjs/gatsby/commit/e640c5b))

## [2.24.2](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.1...gatsby@2.24.2) (2020-07-10)

### Bug Fixes

- **gatsby:** fix setting total in progress activities created by plugins ([#25648](https://github.com/gatsbyjs/gatsby/issues/25648)) ([4fe0a2e](https://github.com/gatsbyjs/gatsby/commit/4fe0a2e))

## [2.24.1](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.24.0...gatsby@2.24.1) (2020-07-09)

### Bug Fixes

- **gatsby:** Check if page data exists when hash matches ([#25614](https://github.com/gatsbyjs/gatsby/issues/25614)) ([1399426](https://github.com/gatsbyjs/gatsby/commit/1399426))

# [2.24.0](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.23.23...gatsby@2.24.0) (2020-07-09)

### Features

- **gatsby:** add polyfill chunk to gatsby ([#25159](https://github.com/gatsbyjs/gatsby/issues/25159)) ([0b7738c](https://github.com/gatsbyjs/gatsby/commit/0b7738c))
- **gatsby:** shim much used polyfills to noOp ([#25162](https://github.com/gatsbyjs/gatsby/issues/25162)) ([669de83](https://github.com/gatsbyjs/gatsby/commit/669de83))
- **gatsby-recipes:** add GatsbyPage provider ([#25248](https://github.com/gatsbyjs/gatsby/issues/25248)) ([9c58ee1](https://github.com/gatsbyjs/gatsby/commit/9c58ee1))

## [2.23.23](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.23.22...gatsby@2.23.23) (2020-07-09)

### Bug Fixes

- **gatsby:** end activity if plugin didn't do it ([#25470](https://github.com/gatsbyjs/gatsby/issues/25470)) ([44d0c2a](https://github.com/gatsbyjs/gatsby/commit/44d0c2a))

## [2.23.22](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.23.21...gatsby@2.23.22) (2020-07-07)

### Features

- **gatsby:** Use state machine for query running in develop ([#25378](https://github.com/gatsbyjs/gatsby/issues/25378)) ([e5ce35b](https://github.com/gatsbyjs/gatsby/commit/e5ce35b))

## [2.23.21](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.23.20...gatsby@2.23.21) (2020-07-06)

### Bug Fixes

- **gatsby:** correctly pass through exit signals from child process ([#25520](https://github.com/gatsbyjs/gatsby/issues/25520)) ([be78563](https://github.com/gatsbyjs/gatsby/commit/be78563))
- **gatsby-transformer-sharp:** removed unnecessary conversion to webp ([#25325](https://github.com/gatsbyjs/gatsby/issues/25325)) ([a5459bc](https://github.com/gatsbyjs/gatsby/commit/a5459bc))

## [2.23.20](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.23.19...gatsby@2.23.20) (2020-07-03)

**Note:** Version bump only for package gatsby

## [2.23.19](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.23.18...gatsby@2.23.19) (2020-07-03)

**Note:** Version bump only for package gatsby

## [2.23.18](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.23.17...gatsby@2.23.18) (2020-07-02)

### Bug Fixes

- **eslint-config:** Remove deprecated jsx-a11y/label-has-for rule ([#25317](https://github.com/gatsbyjs/gatsby/issues/25317)) ([ff4ce02](https://github.com/gatsbyjs/gatsby/commit/ff4ce02))

## [2.23.17](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.23.16...gatsby@2.23.17) (2020-07-02)

**Note:** Version bump only for package gatsby

## [2.23.16](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.23.15...gatsby@2.23.16) (2020-07-02)

**Note:** Version bump only for package gatsby

## [2.23.15](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.23.14...gatsby@2.23.15) (2020-07-02)

### Features

- **gatsby:** Track static queries by template ([#25120](https://github.com/gatsbyjs/gatsby/issues/25120)) ([6b39645](https://github.com/gatsbyjs/gatsby/commit/6b39645))

## [2.23.14](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.23.13...gatsby@2.23.14) (2020-07-01)

**Note:** Version bump only for package gatsby

## [2.23.13](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.23.12...gatsby@2.23.13) (2020-07-01)

### Bug Fixes

- update packages ([#25381](https://github.com/gatsbyjs/gatsby/issues/25381)) ([622e3c1](https://github.com/gatsbyjs/gatsby/commit/622e3c1))
- **gatsby:** fix typings in resolve-module-exports ([#25401](https://github.com/gatsbyjs/gatsby/issues/25401)) ([fdd71f4](https://github.com/gatsbyjs/gatsby/commit/fdd71f4))

### Features

- **gatsby:** Use state machine for bootstrap in develop ([#25305](https://github.com/gatsbyjs/gatsby/issues/25305)) ([ed9771b](https://github.com/gatsbyjs/gatsby/commit/ed9771b))

## [2.23.12](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.23.11...gatsby@2.23.12) (2020-06-29)

### Bug Fixes

- **gatsby:** fix build-html error stacktrace ([#25385](https://github.com/gatsbyjs/gatsby/issues/25385)) ([eac89cb](https://github.com/gatsbyjs/gatsby/commit/eac89cb))

## [2.23.11](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.23.10...gatsby@2.23.11) (2020-06-24)

### Bug Fixes

- **gatsby:** Fix SSL for develop ([#25230](https://github.com/gatsbyjs/gatsby/issues/25230)) ([432c4f7](https://github.com/gatsbyjs/gatsby/commit/432c4f7))

## [2.23.10](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.23.9...gatsby@2.23.10) (2020-06-23)

### Bug Fixes

- **gatsby:** Typo in the code example of the PageProps inline docs ([#25200](https://github.com/gatsbyjs/gatsby/issues/25200)) ([a72caa6](https://github.com/gatsbyjs/gatsby/commit/a72caa6))

## [2.23.9](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.23.8...gatsby@2.23.9) (2020-06-22)

**Note:** Version bump only for package gatsby

## [2.23.8](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.23.7...gatsby@2.23.8) (2020-06-22)

### Bug Fixes

- **gatsby:** convert module.exports to es6 in redux/filters ([#25191](https://github.com/gatsbyjs/gatsby/issues/25191)) ([3934c37](https://github.com/gatsbyjs/gatsby/commit/3934c37))
- **gatsby:** show error message instead of [Object object](<[#25182](https://github.com/gatsbyjs/gatsby/issues/25182)>) ([445e315](https://github.com/gatsbyjs/gatsby/commit/445e315))

## [2.23.7](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.23.6...gatsby@2.23.7) (2020-06-20)

### Bug Fixes

- **bin:** point bin to always existing files ([#25121](https://github.com/gatsbyjs/gatsby/issues/25121)) ([eba033e](https://github.com/gatsbyjs/gatsby/commit/eba033e))
- **gatsby:** remove page-date from jest-worker ([#25135](https://github.com/gatsbyjs/gatsby/issues/25135)) ([bed5dc4](https://github.com/gatsbyjs/gatsby/commit/bed5dc4))

## [2.23.6](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.23.5...gatsby@2.23.6) (2020-06-19)

**Note:** Version bump only for package gatsby

## [2.23.5](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.23.4...gatsby@2.23.5) (2020-06-19)

### Bug Fixes

- **gatsby:** allow amending autoprefixer options ([#24907](https://github.com/gatsbyjs/gatsby/issues/24907)) ([8e6e021](https://github.com/gatsbyjs/gatsby/commit/8e6e021))
- **gatsby:** Several fixes for scroll handling and restoration ([#24306](https://github.com/gatsbyjs/gatsby/issues/24306)) ([4c0916b](https://github.com/gatsbyjs/gatsby/commit/4c0916b))

### Features

- **gatsby:** allow serving of dotfiles from public folder ([#24958](https://github.com/gatsbyjs/gatsby/issues/24958)) ([2270c5a](https://github.com/gatsbyjs/gatsby/commit/2270c5a))
- **gatsby:** Instrument partial writes to page data ([#24808](https://github.com/gatsbyjs/gatsby/issues/24808)) ([b2bf298](https://github.com/gatsbyjs/gatsby/commit/b2bf298))

### Performance Improvements

- **gatsby:** Lazily re-create GraphQL runner ([#25063](https://github.com/gatsbyjs/gatsby/issues/25063)) ([0407cc6](https://github.com/gatsbyjs/gatsby/commit/0407cc6))

## [2.23.4](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.23.3...gatsby@2.23.4) (2020-06-15)

### Bug Fixes

- **gatsby:** Add null context check ([#24904](https://github.com/gatsbyjs/gatsby/issues/24904)) ([b554bd5](https://github.com/gatsbyjs/gatsby/commit/b554bd5))

## [2.23.3](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.23.2...gatsby@2.23.3) (2020-06-09)

**Note:** Version bump only for package gatsby

## [2.23.2](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.23.1...gatsby@2.23.2) (2020-06-09)

### Bug Fixes

- **babel-plugin-remove-graphql-queries:** Strip ignored characters from query text for better caching and deduping ([#24807](https://github.com/gatsbyjs/gatsby/issues/24807)) ([752f5ff](https://github.com/gatsbyjs/gatsby/commit/752f5ff))
- **gatsby:** Fix issue where inline static query in page gets added to page data ([#24805](https://github.com/gatsbyjs/gatsby/issues/24805)) ([7c9711b](https://github.com/gatsbyjs/gatsby/commit/7c9711b))

## [2.23.1](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.23.0...gatsby@2.23.1) (2020-06-05)

**Note:** Version bump only for package gatsby

# [2.23.0](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.22.22...gatsby@2.23.0) (2020-06-04)

### Performance Improvements

- **gatsby:** stop using Sift as fallback ([#24743](https://github.com/gatsbyjs/gatsby/issues/24743)) ([6ee4a35](https://github.com/gatsbyjs/gatsby/commit/6ee4a35))

## [2.22.22](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.22.21...gatsby@2.22.22) (2020-06-04)

### Bug Fixes

- **gatsby:** add connection data dependency on concrete types when abstract type is queried ([#24754](https://github.com/gatsbyjs/gatsby/issues/24754)) ([54d0cf9](https://github.com/gatsbyjs/gatsby/commit/54d0cf9))

## [2.22.21](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.22.20...gatsby@2.22.21) (2020-06-04)

**Note:** Version bump only for package gatsby

## [2.22.20](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.22.19...gatsby@2.22.20) (2020-06-03)

### Bug Fixes

- **gatsby:** bind develop-proxy server to host specified by user ([#24761](https://github.com/gatsbyjs/gatsby/issues/24761)) ([8750898](https://github.com/gatsbyjs/gatsby/commit/8750898))

## [2.22.19](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.22.18...gatsby@2.22.19) (2020-06-03)

### Bug Fixes

- **gatsby:** Fix develop SSL by moving the SSL setup to the proxy ([#24335](https://github.com/gatsbyjs/gatsby/issues/24335)) ([7180b26](https://github.com/gatsbyjs/gatsby/commit/7180b26))

## [2.22.18](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.22.17...gatsby@2.22.18) (2020-06-03)

### Performance Improvements

- **gatsby:** be more conservative in when to sort ([#24609](https://github.com/gatsbyjs/gatsby/issues/24609)) ([2b578e8](https://github.com/gatsbyjs/gatsby/commit/2b578e8))
- **gatsby:** drop severe scaling regression caused by analytics ([#24709](https://github.com/gatsbyjs/gatsby/issues/24709)) ([2528a85](https://github.com/gatsbyjs/gatsby/commit/2528a85))

## [2.22.17](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.22.16...gatsby@2.22.17) (2020-06-02)

### Bug Fixes

- **data-dependency-tracking:** clear data dependencies when rerunning dirty queries ([#24378](https://github.com/gatsbyjs/gatsby/issues/24378)) ([a56012c](https://github.com/gatsbyjs/gatsby/commit/a56012c))

### Features

- **gatsby:** Add support for relative links ([#24054](https://github.com/gatsbyjs/gatsby/issues/24054)) ([e2c6cf2](https://github.com/gatsbyjs/gatsby/commit/e2c6cf2))

## [2.22.16](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.22.15...gatsby@2.22.16) (2020-06-02)

**Note:** Version bump only for package gatsby

## [2.22.15](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.22.14...gatsby@2.22.15) (2020-05-31)

**Note:** Version bump only for package gatsby

## [2.22.14](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.22.13...gatsby@2.22.14) (2020-05-31)

**Note:** Version bump only for package gatsby

## [2.22.13](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.22.12...gatsby@2.22.13) (2020-05-30)

### Bug Fixes

- **gatsby:** show correct `serve` info when running on another port ([#24591](https://github.com/gatsbyjs/gatsby/issues/24591)) ([3717ad6](https://github.com/gatsbyjs/gatsby/commit/3717ad6))
- **gatsby:** Turn off react/jsx-pascal-case in ESLint to fix Theme-UI warnings ([#24560](https://github.com/gatsbyjs/gatsby/issues/24560)) ([ee00a6f](https://github.com/gatsbyjs/gatsby/commit/ee00a6f))

### Features

- **gatsby:** serve Admin from develop parent process ([#23734](https://github.com/gatsbyjs/gatsby/issues/23734)) ([a6eb21b](https://github.com/gatsbyjs/gatsby/commit/a6eb21b))

## [2.22.12](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.22.11...gatsby@2.22.12) (2020-05-28)

### Bug Fixes

- **code:** redux types - sireUrl -> siteUrl ([#24488](https://github.com/gatsbyjs/gatsby/issues/24488)) ([2beab4b](https://github.com/gatsbyjs/gatsby/commit/2beab4b))

### Performance Improvements

- **gatsby:** stop using sets and use ordered arrays instead ([#24486](https://github.com/gatsbyjs/gatsby/issues/24486)) ([928fd05](https://github.com/gatsbyjs/gatsby/commit/928fd05))

## [2.22.11](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.22.10...gatsby@2.22.11) (2020-05-26)

### Bug Fixes

- **gatsby:** add explicit dependency on `socket.io-client` and explicitly set `url-loader` fallback ([#24465](https://github.com/gatsbyjs/gatsby/issues/24465)) ([36357ab](https://github.com/gatsbyjs/gatsby/commit/36357ab))
- **gatsby:** Also traverse `FunctionDeclaration` ([#24472](https://github.com/gatsbyjs/gatsby/issues/24472)) ([6eb7290](https://github.com/gatsbyjs/gatsby/commit/6eb7290))

## [2.22.10](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.22.9...gatsby@2.22.10) (2020-05-25)

### Bug Fixes

- **docs:** brand name Webpack to webpack ([#22906](https://github.com/gatsbyjs/gatsby/issues/22906)) ([44cbb14](https://github.com/gatsbyjs/gatsby/commit/44cbb14))
- **gatsby:** Pass through ws in proxy ([#24352](https://github.com/gatsbyjs/gatsby/issues/24352)) ([5389bfd](https://github.com/gatsbyjs/gatsby/commit/5389bfd))

## [2.22.9](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.22.8...gatsby@2.22.9) (2020-05-22)

### Performance Improvements

- **gatsby:** support empty filters without sift ([#24258](https://github.com/gatsbyjs/gatsby/issues/24258)) ([542cda8](https://github.com/gatsbyjs/gatsby/commit/542cda8))

## [2.22.8](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.22.7...gatsby@2.22.8) (2020-05-22)

**Note:** Version bump only for package gatsby

## [2.22.7](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.22.6...gatsby@2.22.7) (2020-05-22)

**Note:** Version bump only for package gatsby

## [2.22.6](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.22.5...gatsby@2.22.6) (2020-05-21)

**Note:** Version bump only for package gatsby

## [2.22.5](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.22.4...gatsby@2.22.5) (2020-05-21)

### Bug Fixes

- **gatsby:** add control-has-associated-label rule into eslint-config ([#24311](https://github.com/gatsbyjs/gatsby/issues/24311)) ([c1ae8f2](https://github.com/gatsbyjs/gatsby/commit/c1ae8f2))
- **gatsby:** adjust `create-react-context` alias to match actual package exports ([#24305](https://github.com/gatsbyjs/gatsby/issues/24305)) ([cb5d055](https://github.com/gatsbyjs/gatsby/commit/cb5d055))

## [2.22.4](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.22.3...gatsby@2.22.4) (2020-05-20)

**Note:** Version bump only for package gatsby

## [2.22.3](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.22.2...gatsby@2.22.3) (2020-05-20)

**Note:** Version bump only for package gatsby

## [2.22.2](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.22.1...gatsby@2.22.2) (2020-05-20)

### Bug Fixes

- **gatsby-core-utils:** create lock per service, rather than per site ([#24252](https://github.com/gatsbyjs/gatsby/issues/24252)) ([718deb3](https://github.com/gatsbyjs/gatsby/commit/718deb3))

## [2.22.1](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.22.0...gatsby@2.22.1) (2020-05-20)

**Note:** Version bump only for package gatsby

# [2.22.0](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.21.40...gatsby@2.22.0) (2020-05-19)

### Features

- **gatsby:** Prompt users to restart process on gatsby-config & gatsby-node changes ([#22759](https://github.com/gatsbyjs/gatsby/issues/22759)) ([d4ec5e5](https://github.com/gatsbyjs/gatsby/commit/d4ec5e5))

## [2.21.40](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.21.39...gatsby@2.21.40) (2020-05-19)

**Note:** Version bump only for package gatsby

## [2.21.39](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.21.38...gatsby@2.21.39) (2020-05-19)

### Performance Improvements

- **gatsby:** Enable fast filters for $regex/$glob ([#24188](https://github.com/gatsbyjs/gatsby/issues/24188)) ([acfc455](https://github.com/gatsbyjs/gatsby/commit/acfc455))

## [2.21.38](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.21.37...gatsby@2.21.38) (2020-05-19)

**Note:** Version bump only for package gatsby

## [2.21.37](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.21.36...gatsby@2.21.37) (2020-05-18)

**Note:** Version bump only for package gatsby

## [2.21.36](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.21.35...gatsby@2.21.36) (2020-05-18)

**Note:** Version bump only for package gatsby

## [2.21.35](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.21.34...gatsby@2.21.35) (2020-05-18)

### Performance Improvements

- **gatsby:** Enable fast filters for \$nin comparator ([#24184](https://github.com/gatsbyjs/gatsby/issues/24184)) ([8e3428f](https://github.com/gatsbyjs/gatsby/commit/8e3428f))

## [2.21.34](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.21.33...gatsby@2.21.34) (2020-05-18)

### Features

- **gatsby:** Warn when pageContext is over 500k ([#23310](https://github.com/gatsbyjs/gatsby/issues/23310)) ([02bdba9](https://github.com/gatsbyjs/gatsby/commit/02bdba9))

## [2.21.33](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.21.32...gatsby@2.21.33) (2020-05-15)

### Performance Improvements

- **gatsby:** enable fast filters for `in` comparator ([#24095](https://github.com/gatsbyjs/gatsby/issues/24095)) ([70a7533](https://github.com/gatsbyjs/gatsby/commit/70a7533))

## [2.21.32](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.21.31...gatsby@2.21.32) (2020-05-15)

### Bug Fixes

- **gatsby:** Protect about possibly missing context in graphql ([#24108](https://github.com/gatsbyjs/gatsby/issues/24108)) ([9ad511b](https://github.com/gatsbyjs/gatsby/commit/9ad511b))

### Features

- **gatsby:** Add total count to pageInfo ([#24084](https://github.com/gatsbyjs/gatsby/issues/24084)) ([1e3b775](https://github.com/gatsbyjs/gatsby/commit/1e3b775))

## [2.21.31](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.21.30...gatsby@2.21.31) (2020-05-14)

### Bug Fixes

- **gatsby:** Update to handle changes to fast refresh webpack plugin ([#24091](https://github.com/gatsbyjs/gatsby/issues/24091)) ([7adad91](https://github.com/gatsbyjs/gatsby/commit/7adad91))

## [2.21.30](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.21.29...gatsby@2.21.30) (2020-05-14)

**Note:** Version bump only for package gatsby

## [2.21.29](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.21.28...gatsby@2.21.29) (2020-05-13)

### Bug Fixes

- **gatsby:** don't fail validation on fragments that are not used ([#24032](https://github.com/gatsbyjs/gatsby/issues/24032)) ([61d0ef4](https://github.com/gatsbyjs/gatsby/commit/61d0ef4))
- **gatsby:** update script to generate apis.json to accommodate TypeScript ([#24023](https://github.com/gatsbyjs/gatsby/issues/24023)) ([7878d0f](https://github.com/gatsbyjs/gatsby/commit/7878d0f))

## [2.21.28](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.21.27...gatsby@2.21.28) (2020-05-13)

### Bug Fixes

- **gatsby:** add generic locationState to types ([#24029](https://github.com/gatsbyjs/gatsby/issues/24029)) ([8f16846](https://github.com/gatsbyjs/gatsby/commit/8f16846))

### Performance Improvements

- **gatsby:** enable fast filters for \$ne ([#24050](https://github.com/gatsbyjs/gatsby/issues/24050)) ([8e5e5f7](https://github.com/gatsbyjs/gatsby/commit/8e5e5f7))

## [2.21.27](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.21.26...gatsby@2.21.27) (2020-05-13)

**Note:** Version bump only for package gatsby

## [2.21.26](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.21.25...gatsby@2.21.26) (2020-05-13)

### Bug Fixes

- **gatsby:** wait for app-data.json file writing ([#22099](https://github.com/gatsbyjs/gatsby/issues/22099)) ([037de56](https://github.com/gatsbyjs/gatsby/commit/037de56))

## [2.21.25](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.21.24...gatsby@2.21.25) (2020-05-13)

**Note:** Version bump only for package gatsby

## [2.21.24](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.21.23...gatsby@2.21.24) (2020-05-12)

### Bug Fixes

- **gatsby:** allow elemMatch on non-arrays, fix tests ([#23634](https://github.com/gatsbyjs/gatsby/issues/23634)) ([1d99ffd](https://github.com/gatsbyjs/gatsby/commit/1d99ffd))

### Performance Improvements

- **gatsby:** enable fast filters for lt and gt ([#23978](https://github.com/gatsbyjs/gatsby/issues/23978)) ([1d22341](https://github.com/gatsbyjs/gatsby/commit/1d22341))

## [2.21.23](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.21.22...gatsby@2.21.23) (2020-05-12)

### Bug Fixes

- handle nullish announcementRef to fix client side redirect error ([#23956](https://github.com/gatsbyjs/gatsby/issues/23956)) ([7a23392](https://github.com/gatsbyjs/gatsby/commit/7a23392))

### Features

- **gatsby:** Add tracing for graphql resolvers ([#23589](https://github.com/gatsbyjs/gatsby/issues/23589)) ([e124aae](https://github.com/gatsbyjs/gatsby/commit/e124aae))
- **gatsby:** Gatsby config validation should suggest related keys ([#23284](https://github.com/gatsbyjs/gatsby/issues/23284)) ([e50407a](https://github.com/gatsbyjs/gatsby/commit/e50407a))

## [2.21.22](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.21.21...gatsby@2.21.22) (2020-05-11)

**Note:** Version bump only for package gatsby

## [2.21.21](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.21.20...gatsby@2.21.21) (2020-05-08)

**Note:** Version bump only for package gatsby

## [2.21.20](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.21.19...gatsby@2.21.20) (2020-05-08)

**Note:** Version bump only for package gatsby

## [2.21.19](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.21.18...gatsby@2.21.19) (2020-05-07)

**Note:** Version bump only for package gatsby

## [2.21.18](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.21.17...gatsby@2.21.18) (2020-05-07)

### Performance Improvements

- **gatsby:** replace `mitt` with a modern Map/Set based version of it ([#23223](https://github.com/gatsbyjs/gatsby/issues/23223)) ([986f7b8](https://github.com/gatsbyjs/gatsby/commit/986f7b8))

## [2.21.17](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.21.16...gatsby@2.21.17) (2020-05-07)

### Bug Fixes

- **gatsby:** print LAN url with serve (like gatsby develop) ([#23418](https://github.com/gatsbyjs/gatsby/issues/23418)) ([0dc20a3](https://github.com/gatsbyjs/gatsby/commit/0dc20a3))
- **gatsby:** use scoped requires for theme plugins ([#23696](https://github.com/gatsbyjs/gatsby/issues/23696)) ([4430687](https://github.com/gatsbyjs/gatsby/commit/4430687))

### Performance Improvements

- **gatsby:** include node counts in output after sourcing steps ([#23671](https://github.com/gatsbyjs/gatsby/issues/23671)) ([192faf6](https://github.com/gatsbyjs/gatsby/commit/192faf6))

## [2.21.16](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.21.15...gatsby@2.21.16) (2020-05-06)

### Features

- **gatsby/dev-404-page:** support reading and writing filter to `?filter` query string ([#23618](https://github.com/gatsbyjs/gatsby/issues/23618)) ([8f4257a](https://github.com/gatsbyjs/gatsby/commit/8f4257a))

## [2.21.15](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.21.14...gatsby@2.21.15) (2020-05-06)

**Note:** Version bump only for package gatsby

## [2.21.14](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.21.13...gatsby@2.21.14) (2020-05-06)

**Note:** Version bump only for package gatsby

## [2.21.13](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.21.12...gatsby@2.21.13) (2020-05-05)

### Bug Fixes

- Add 98124 error to better help with "Can't resolve [...]" errors ([#23741](https://github.com/gatsbyjs/gatsby/issues/23741)) ([9970faf](https://github.com/gatsbyjs/gatsby/commit/9970faf))

## [2.21.12](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.21.11...gatsby@2.21.12) (2020-05-05)

### Bug Fixes

- **babel-preset-gatsby:** remove prop-types in production for dependencies ([#23609](https://github.com/gatsbyjs/gatsby/issues/23609)) ([a844157](https://github.com/gatsbyjs/gatsby/commit/a844157))
- **gatsby:** log config validation errors ([#23620](https://github.com/gatsbyjs/gatsby/issues/23620)) ([62d6bb4](https://github.com/gatsbyjs/gatsby/commit/62d6bb4))

## [2.21.11](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.21.10...gatsby@2.21.11) (2020-05-04)

### Bug Fixes

- **gatsby:** Fix dirty check for schema rebuilding ([#23658](https://github.com/gatsbyjs/gatsby/issues/23658)) ([fa50f3e](https://github.com/gatsbyjs/gatsby/commit/fa50f3e))

## [2.21.10](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.21.9...gatsby@2.21.10) (2020-05-04)

**Note:** Version bump only for package gatsby

## [2.21.9](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.21.8...gatsby@2.21.9) (2020-05-01)

**Note:** Version bump only for package gatsby

## [2.21.8](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.21.7...gatsby@2.21.8) (2020-05-01)

### Bug Fixes

- **gatsby:** add maxAsyncRequests to infinity to reduce bundle size ([#23528](https://github.com/gatsbyjs/gatsby/issues/23528)) ([0acafdd](https://github.com/gatsbyjs/gatsby/commit/0acafdd))

## [2.21.7](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.21.6...gatsby@2.21.7) (2020-04-30)

### Bug Fixes

- **gatsby:** fix binary search incorrectly setting next pivot + tests ([#23637](https://github.com/gatsbyjs/gatsby/issues/23637)) ([867cb31](https://github.com/gatsbyjs/gatsby/commit/867cb31))

## [2.21.6](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.21.5...gatsby@2.21.6) (2020-04-30)

### Performance Improvements

- **gatsby:** support fast filters for gte ([#23348](https://github.com/gatsbyjs/gatsby/issues/23348)) ([a69701b](https://github.com/gatsbyjs/gatsby/commit/a69701b))

## [2.21.5](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.21.4...gatsby@2.21.5) (2020-04-29)

**Note:** Version bump only for package gatsby

## [2.21.4](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.21.3...gatsby@2.21.4) (2020-04-29)

**Note:** Version bump only for package gatsby

## [2.21.3](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.21.2...gatsby@2.21.3) (2020-04-29)

**Note:** Version bump only for package gatsby

## [2.21.2](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.21.1...gatsby@2.21.2) (2020-04-29)

### Bug Fixes

- **gatsby:** fix dirty check for inference metadata with related nodes ([#23472](https://github.com/gatsbyjs/gatsby/issues/23472)) ([7b43a60](https://github.com/gatsbyjs/gatsby/commit/7b43a60))

## [2.21.1](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.21.0...gatsby@2.21.1) (2020-04-28)

### Bug Fixes

- update packages ([#23525](https://github.com/gatsbyjs/gatsby/issues/23525)) ([e65dd1e](https://github.com/gatsbyjs/gatsby/commit/e65dd1e))
- **gatsby:** don't show error for proper redirects ([#19789](https://github.com/gatsbyjs/gatsby/issues/19789)) ([2e6c509](https://github.com/gatsbyjs/gatsby/commit/2e6c509))

# [2.21.0](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.20.36...gatsby@2.21.0) (2020-04-27)

### Bug Fixes

- **webpack:** ensure resolution of react-refresh-webpack-plugin ([#23456](https://github.com/gatsbyjs/gatsby/issues/23456)) ([8c32917](https://github.com/gatsbyjs/gatsby/commit/8c32917))

## [2.20.36](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.20.35...gatsby@2.20.36) (2020-04-25)

**Note:** Version bump only for package gatsby

## [2.20.35](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.20.34...gatsby@2.20.35) (2020-04-25)

**Note:** Version bump only for package gatsby

## [2.20.34](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.20.33...gatsby@2.20.34) (2020-04-25)

**Note:** Version bump only for package gatsby

## [2.20.33](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.20.32...gatsby@2.20.33) (2020-04-24)

**Note:** Version bump only for package gatsby

## [2.20.32](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.20.31...gatsby@2.20.32) (2020-04-24)

**Note:** Version bump only for package gatsby

## [2.20.31](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.20.30...gatsby@2.20.31) (2020-04-24)

**Note:** Version bump only for package gatsby

## [2.20.30](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.20.29...gatsby@2.20.30) (2020-04-24)

**Note:** Version bump only for package gatsby

## [2.20.29](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.20.28...gatsby@2.20.29) (2020-04-22)

### Bug Fixes

- **gatsby:** fix Uncaught TypeError in navigation.js ([#23196](https://github.com/gatsbyjs/gatsby/issues/23196)) ([da535a8](https://github.com/gatsbyjs/gatsby/commit/da535a8)), closes [#21263](https://github.com/gatsbyjs/gatsby/issues/21263)
- **gatsby:** Improve error message when calling useStaticQuery without graphql ([#23189](https://github.com/gatsbyjs/gatsby/issues/23189)) ([6a079fb](https://github.com/gatsbyjs/gatsby/commit/6a079fb))

## [2.20.28](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.20.27...gatsby@2.20.28) (2020-04-21)

### Bug Fixes

- **gatsby:** Check for files before delete action when using GATSBY_EXPERIMENTAL_PAGE_BUILD_ON_DATA_CHANGES ([#23219](https://github.com/gatsbyjs/gatsby/issues/23219)) ([ea7160d](https://github.com/gatsbyjs/gatsby/commit/ea7160d))

## [2.20.27](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.20.26...gatsby@2.20.27) (2020-04-20)

**Note:** Version bump only for package gatsby

## [2.20.26](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.20.25...gatsby@2.20.26) (2020-04-20)

### Bug Fixes

- **gatsby:** Throw error on default export in gatsby-ssr/brows… ([#23133](https://github.com/gatsbyjs/gatsby/issues/23133)) ([3def3a7](https://github.com/gatsbyjs/gatsby/commit/3def3a7))

## [2.20.25](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.20.24...gatsby@2.20.25) (2020-04-18)

### Bug Fixes

- **gatsby:** Add self-signed cert to node trust store (https) ([#18703](https://github.com/gatsbyjs/gatsby/issues/18703)) ([4fd8f8e](https://github.com/gatsbyjs/gatsby/commit/4fd8f8e))

## [2.20.24](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.20.23...gatsby@2.20.24) (2020-04-17)

### Bug Fixes

- wrap ignore pattern in quotes ([#23176](https://github.com/gatsbyjs/gatsby/issues/23176)) ([7563db6](https://github.com/gatsbyjs/gatsby/commit/7563db6))

## [2.20.23](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.20.22...gatsby@2.20.23) (2020-04-16)

### Features

- **Gatsby Recipes:** Initial release ([#22709](https://github.com/gatsbyjs/gatsby/issues/22709)) ([c59a421](https://github.com/gatsbyjs/gatsby/commit/c59a421)), closes [#22721](https://github.com/gatsbyjs/gatsby/issues/22721) [#22743](https://github.com/gatsbyjs/gatsby/issues/22743) [#22764](https://github.com/gatsbyjs/gatsby/issues/22764) [#22783](https://github.com/gatsbyjs/gatsby/issues/22783) [#22805](https://github.com/gatsbyjs/gatsby/issues/22805) [#22823](https://github.com/gatsbyjs/gatsby/issues/22823) [#22830](https://github.com/gatsbyjs/gatsby/issues/22830) [#22861](https://github.com/gatsbyjs/gatsby/issues/22861) [#22864](https://github.com/gatsbyjs/gatsby/issues/22864) [#22876](https://github.com/gatsbyjs/gatsby/issues/22876) [#22885](https://github.com/gatsbyjs/gatsby/issues/22885) [#22889](https://github.com/gatsbyjs/gatsby/issues/22889) [#22891](https://github.com/gatsbyjs/gatsby/issues/22891) [#22909](https://github.com/gatsbyjs/gatsby/issues/22909) [#22911](https://github.com/gatsbyjs/gatsby/issues/22911) [#22648](https://github.com/gatsbyjs/gatsby/issues/22648) [#22903](https://github.com/gatsbyjs/gatsby/issues/22903) [#22901](https://github.com/gatsbyjs/gatsby/issues/22901) [#22902](https://github.com/gatsbyjs/gatsby/issues/22902) [#22895](https://github.com/gatsbyjs/gatsby/issues/22895) [#22900](https://github.com/gatsbyjs/gatsby/issues/22900) [#22772](https://github.com/gatsbyjs/gatsby/issues/22772) [#22653](https://github.com/gatsbyjs/gatsby/issues/22653) [#22628](https://github.com/gatsbyjs/gatsby/issues/22628) [#22882](https://github.com/gatsbyjs/gatsby/issues/22882) [#22708](https://github.com/gatsbyjs/gatsby/issues/22708) [#22871](https://github.com/gatsbyjs/gatsby/issues/22871) [#22863](https://github.com/gatsbyjs/gatsby/issues/22863) [#22874](https://github.com/gatsbyjs/gatsby/issues/22874) [#22851](https://github.com/gatsbyjs/gatsby/issues/22851) [#22870](https://github.com/gatsbyjs/gatsby/issues/22870) [#22786](https://github.com/gatsbyjs/gatsby/issues/22786) [#22687](https://github.com/gatsbyjs/gatsby/issues/22687) [#22866](https://github.com/gatsbyjs/gatsby/issues/22866) [#22666](https://github.com/gatsbyjs/gatsby/issues/22666) [#22865](https://github.com/gatsbyjs/gatsby/issues/22865) [#22820](https://github.com/gatsbyjs/gatsby/issues/22820) [#22793](https://github.com/gatsbyjs/gatsby/issues/22793) [#4](https://github.com/gatsbyjs/gatsby/issues/4) [#22796](https://github.com/gatsbyjs/gatsby/issues/22796) [#22775](https://github.com/gatsbyjs/gatsby/issues/22775) [#22835](https://github.com/gatsbyjs/gatsby/issues/22835) [#22767](https://github.com/gatsbyjs/gatsby/issues/22767) [#22850](https://github.com/gatsbyjs/gatsby/issues/22850) [#22836](https://github.com/gatsbyjs/gatsby/issues/22836) [#22800](https://github.com/gatsbyjs/gatsby/issues/22800) [#22801](https://github.com/gatsbyjs/gatsby/issues/22801) [#21847](https://github.com/gatsbyjs/gatsby/issues/21847) [#22808](https://github.com/gatsbyjs/gatsby/issues/22808) [#22828](https://github.com/gatsbyjs/gatsby/issues/22828) [#22815](https://github.com/gatsbyjs/gatsby/issues/22815) [#22827](https://github.com/gatsbyjs/gatsby/issues/22827) [#22848](https://github.com/gatsbyjs/gatsby/issues/22848) [#22845](https://github.com/gatsbyjs/gatsby/issues/22845) [#22839](https://github.com/gatsbyjs/gatsby/issues/22839) [#22837](https://github.com/gatsbyjs/gatsby/issues/22837) [#22787](https://github.com/gatsbyjs/gatsby/issues/22787) [#22362](https://github.com/gatsbyjs/gatsby/issues/22362) [#22769](https://github.com/gatsbyjs/gatsby/issues/22769) [#22756](https://github.com/gatsbyjs/gatsby/issues/22756) [#22712](https://github.com/gatsbyjs/gatsby/issues/22712) [#22698](https://github.com/gatsbyjs/gatsby/issues/22698) [#22371](https://github.com/gatsbyjs/gatsby/issues/22371) [#22790](https://github.com/gatsbyjs/gatsby/issues/22790) [#22824](https://github.com/gatsbyjs/gatsby/issues/22824) [#22797](https://github.com/gatsbyjs/gatsby/issues/22797) [#22803](https://github.com/gatsbyjs/gatsby/issues/22803) [#22819](https://github.com/gatsbyjs/gatsby/issues/22819) [#22807](https://github.com/gatsbyjs/gatsby/issues/22807) [#22802](https://github.com/gatsbyjs/gatsby/issues/22802) [#22771](https://github.com/gatsbyjs/gatsby/issues/22771) [#22799](https://github.com/gatsbyjs/gatsby/issues/22799) [#22791](https://github.com/gatsbyjs/gatsby/issues/22791) [#22779](https://github.com/gatsbyjs/gatsby/issues/22779) [#22780](https://github.com/gatsbyjs/gatsby/issues/22780) [#22766](https://github.com/gatsbyjs/gatsby/issues/22766) [#22760](https://github.com/gatsbyjs/gatsby/issues/22760) [#22710](https://github.com/gatsbyjs/gatsby/issues/22710) [#22563](https://github.com/gatsbyjs/gatsby/issues/22563) [#22752](https://github.com/gatsbyjs/gatsby/issues/22752) [#22738](https://github.com/gatsbyjs/gatsby/issues/22738) [#22770](https://github.com/gatsbyjs/gatsby/issues/22770) [#22740](https://github.com/gatsbyjs/gatsby/issues/22740) [#22781](https://github.com/gatsbyjs/gatsby/issues/22781) [#22692](https://github.com/gatsbyjs/gatsby/issues/22692) [#22686](https://github.com/gatsbyjs/gatsby/issues/22686) [#22736](https://github.com/gatsbyjs/gatsby/issues/22736) [#22761](https://github.com/gatsbyjs/gatsby/issues/22761) [#22690](https://github.com/gatsbyjs/gatsby/issues/22690) [#22729](https://github.com/gatsbyjs/gatsby/issues/22729) [#22732](https://github.com/gatsbyjs/gatsby/issues/22732) [#22745](https://github.com/gatsbyjs/gatsby/issues/22745) [#22737](https://github.com/gatsbyjs/gatsby/issues/22737) [#22739](https://github.com/gatsbyjs/gatsby/issues/22739) [#22727](https://github.com/gatsbyjs/gatsby/issues/22727) [#22603](https://github.com/gatsbyjs/gatsby/issues/22603) [#22723](https://github.com/gatsbyjs/gatsby/issues/22723) [#22720](https://github.com/gatsbyjs/gatsby/issues/22720) [#22705](https://github.com/gatsbyjs/gatsby/issues/22705) [#22604](https://github.com/gatsbyjs/gatsby/issues/22604) [#22716](https://github.com/gatsbyjs/gatsby/issues/22716) [#22699](https://github.com/gatsbyjs/gatsby/issues/22699) [#22953](https://github.com/gatsbyjs/gatsby/issues/22953) [#22986](https://github.com/gatsbyjs/gatsby/issues/22986) [#22987](https://github.com/gatsbyjs/gatsby/issues/22987) [#23003](https://github.com/gatsbyjs/gatsby/issues/23003) [#23064](https://github.com/gatsbyjs/gatsby/issues/23064) [#23063](https://github.com/gatsbyjs/gatsby/issues/23063) [#23076](https://github.com/gatsbyjs/gatsby/issues/23076) [#23079](https://github.com/gatsbyjs/gatsby/issues/23079) [#23083](https://github.com/gatsbyjs/gatsby/issues/23083) [#23085](https://github.com/gatsbyjs/gatsby/issues/23085) [#23084](https://github.com/gatsbyjs/gatsby/issues/23084) [#23086](https://github.com/gatsbyjs/gatsby/issues/23086) [#23108](https://github.com/gatsbyjs/gatsby/issues/23108) [#23112](https://github.com/gatsbyjs/gatsby/issues/23112) [#23078](https://github.com/gatsbyjs/gatsby/issues/23078) [#23117](https://github.com/gatsbyjs/gatsby/issues/23117) [#23119](https://github.com/gatsbyjs/gatsby/issues/23119) [#23122](https://github.com/gatsbyjs/gatsby/issues/23122) [#23113](https://github.com/gatsbyjs/gatsby/issues/23113) [#23111](https://github.com/gatsbyjs/gatsby/issues/23111) [#23103](https://github.com/gatsbyjs/gatsby/issues/23103) [#23072](https://github.com/gatsbyjs/gatsby/issues/23072) [#23100](https://github.com/gatsbyjs/gatsby/issues/23100) [#23073](https://github.com/gatsbyjs/gatsby/issues/23073) [#23096](https://github.com/gatsbyjs/gatsby/issues/23096) [#23080](https://github.com/gatsbyjs/gatsby/issues/23080) [#23095](https://github.com/gatsbyjs/gatsby/issues/23095) [#23043](https://github.com/gatsbyjs/gatsby/issues/23043) [#22932](https://github.com/gatsbyjs/gatsby/issues/22932) [#23075](https://github.com/gatsbyjs/gatsby/issues/23075) [#23074](https://github.com/gatsbyjs/gatsby/issues/23074) [#23089](https://github.com/gatsbyjs/gatsby/issues/23089) [#23088](https://github.com/gatsbyjs/gatsby/issues/23088) [#23065](https://github.com/gatsbyjs/gatsby/issues/23065) [#23055](https://github.com/gatsbyjs/gatsby/issues/23055) [#23022](https://github.com/gatsbyjs/gatsby/issues/23022) [#23069](https://github.com/gatsbyjs/gatsby/issues/23069) [#23070](https://github.com/gatsbyjs/gatsby/issues/23070) [#23068](https://github.com/gatsbyjs/gatsby/issues/23068) [#23066](https://github.com/gatsbyjs/gatsby/issues/23066) [#23067](https://github.com/gatsbyjs/gatsby/issues/23067) [#22954](https://github.com/gatsbyjs/gatsby/issues/22954) [#22883](https://github.com/gatsbyjs/gatsby/issues/22883) [#22858](https://github.com/gatsbyjs/gatsby/issues/22858) [#22788](https://github.com/gatsbyjs/gatsby/issues/22788) [#23060](https://github.com/gatsbyjs/gatsby/issues/23060) [#23028](https://github.com/gatsbyjs/gatsby/issues/23028) [#23056](https://github.com/gatsbyjs/gatsby/issues/23056) [#23021](https://github.com/gatsbyjs/gatsby/issues/23021) [#23048](https://github.com/gatsbyjs/gatsby/issues/23048) [#23053](https://github.com/gatsbyjs/gatsby/issues/23053) [#23042](https://github.com/gatsbyjs/gatsby/issues/23042) [#22960](https://github.com/gatsbyjs/gatsby/issues/22960) [#23025](https://github.com/gatsbyjs/gatsby/issues/23025) [#23046](https://github.com/gatsbyjs/gatsby/issues/23046) [#23009](https://github.com/gatsbyjs/gatsby/issues/23009) [#23034](https://github.com/gatsbyjs/gatsby/issues/23034) [#23036](https://github.com/gatsbyjs/gatsby/issues/23036) [#22965](https://github.com/gatsbyjs/gatsby/issues/22965) [#22843](https://github.com/gatsbyjs/gatsby/issues/22843) [#22703](https://github.com/gatsbyjs/gatsby/issues/22703) [#23029](https://github.com/gatsbyjs/gatsby/issues/23029) [#23017](https://github.com/gatsbyjs/gatsby/issues/23017) [#23014](https://github.com/gatsbyjs/gatsby/issues/23014) [#23016](https://github.com/gatsbyjs/gatsby/issues/23016) [#23015](https://github.com/gatsbyjs/gatsby/issues/23015) [#22985](https://github.com/gatsbyjs/gatsby/issues/22985) [#21907](https://github.com/gatsbyjs/gatsby/issues/21907) [#23008](https://github.com/gatsbyjs/gatsby/issues/23008) [#22750](https://github.com/gatsbyjs/gatsby/issues/22750) [#23007](https://github.com/gatsbyjs/gatsby/issues/23007) [#23001](https://github.com/gatsbyjs/gatsby/issues/23001) [#22881](https://github.com/gatsbyjs/gatsby/issues/22881) [#23000](https://github.com/gatsbyjs/gatsby/issues/23000) [#22638](https://github.com/gatsbyjs/gatsby/issues/22638) [#22854](https://github.com/gatsbyjs/gatsby/issues/22854) [#22993](https://github.com/gatsbyjs/gatsby/issues/22993) [#22872](https://github.com/gatsbyjs/gatsby/issues/22872) [#22893](https://github.com/gatsbyjs/gatsby/issues/22893) [#22992](https://github.com/gatsbyjs/gatsby/issues/22992) [#22297](https://github.com/gatsbyjs/gatsby/issues/22297) [#22984](https://github.com/gatsbyjs/gatsby/issues/22984) [#22942](https://github.com/gatsbyjs/gatsby/issues/22942) [#22981](https://github.com/gatsbyjs/gatsby/issues/22981) [#22967](https://github.com/gatsbyjs/gatsby/issues/22967) [#22966](https://github.com/gatsbyjs/gatsby/issues/22966) [#22544](https://github.com/gatsbyjs/gatsby/issues/22544) [#22696](https://github.com/gatsbyjs/gatsby/issues/22696) [#22747](https://github.com/gatsbyjs/gatsby/issues/22747) [#22774](https://github.com/gatsbyjs/gatsby/issues/22774) [#22929](https://github.com/gatsbyjs/gatsby/issues/22929) [#22898](https://github.com/gatsbyjs/gatsby/issues/22898) [#22943](https://github.com/gatsbyjs/gatsby/issues/22943) [#22873](https://github.com/gatsbyjs/gatsby/issues/22873) [#22617](https://github.com/gatsbyjs/gatsby/issues/22617) [#22798](https://github.com/gatsbyjs/gatsby/issues/22798) [#22956](https://github.com/gatsbyjs/gatsby/issues/22956) [#22860](https://github.com/gatsbyjs/gatsby/issues/22860) [#22944](https://github.com/gatsbyjs/gatsby/issues/22944) [#22946](https://github.com/gatsbyjs/gatsby/issues/22946) [#22947](https://github.com/gatsbyjs/gatsby/issues/22947) [#22961](https://github.com/gatsbyjs/gatsby/issues/22961) [#22959](https://github.com/gatsbyjs/gatsby/issues/22959) [#22810](https://github.com/gatsbyjs/gatsby/issues/22810) [#22869](https://github.com/gatsbyjs/gatsby/issues/22869) [#22879](https://github.com/gatsbyjs/gatsby/issues/22879) [#23138](https://github.com/gatsbyjs/gatsby/issues/23138) [#23146](https://github.com/gatsbyjs/gatsby/issues/23146) [#23154](https://github.com/gatsbyjs/gatsby/issues/23154) [#23152](https://github.com/gatsbyjs/gatsby/issues/23152) [#23168](https://github.com/gatsbyjs/gatsby/issues/23168) [#23169](https://github.com/gatsbyjs/gatsby/issues/23169) [#23175](https://github.com/gatsbyjs/gatsby/issues/23175)

## [2.20.22](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.20.20...gatsby@2.20.22) (2020-04-15)

**Note:** Version bump only for package gatsby

## [2.20.20](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.20.19...gatsby@2.20.20) (2020-04-14)

### Performance Improvements

- **gatsby:** Support `lte` for indexed fast filters ([#22932](https://github.com/gatsbyjs/gatsby/issues/22932)) ([fd57224](https://github.com/gatsbyjs/gatsby/commit/fd57224))

## [2.20.19](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.20.18...gatsby@2.20.19) (2020-04-14)

### Bug Fixes

- **gatsby:** call schema rebuild manually on \_\_refresh ([#23009](https://github.com/gatsbyjs/gatsby/issues/23009)) ([8493de8](https://github.com/gatsbyjs/gatsby/commit/8493de8))
- **gatsby:** Set a timeout of 15 seconds on queries ([#23036](https://github.com/gatsbyjs/gatsby/issues/23036)) ([1e81c76](https://github.com/gatsbyjs/gatsby/commit/1e81c76))
- Ensure component order is deterministic ([#22965](https://github.com/gatsbyjs/gatsby/issues/22965)) ([94267be](https://github.com/gatsbyjs/gatsby/commit/94267be))

## [2.20.18](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.20.17...gatsby@2.20.18) (2020-04-11)

### Bug Fixes

- **gatsby:** Use `moveSync` over `renameSync` to fix cross mount cases ([#23029](https://github.com/gatsbyjs/gatsby/issues/23029)) ([96f8d4b](https://github.com/gatsbyjs/gatsby/commit/96f8d4b))

## [2.20.17](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.20.16...gatsby@2.20.17) (2020-04-10)

**Note:** Version bump only for package gatsby

## [2.20.16](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.20.15...gatsby@2.20.16) (2020-04-10)

### Bug Fixes

- **gatsby:** Use tmp dir for tmp redux cache folder ([#22959](https://github.com/gatsbyjs/gatsby/issues/22959)) ([86cf920](https://github.com/gatsbyjs/gatsby/commit/86cf920))

## [2.20.15](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.20.14...gatsby@2.20.15) (2020-04-09)

### Bug Fixes

- **gatsby:** improve async commons chunking ([#22879](https://github.com/gatsbyjs/gatsby/issues/22879)) ([7cf056f](https://github.com/gatsbyjs/gatsby/commit/7cf056f))

## [2.20.14](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.20.13...gatsby@2.20.14) (2020-04-08)

### Performance Improvements

- **gatsby:** support `elemMatch` as fast filter ([#22742](https://github.com/gatsbyjs/gatsby/issues/22742)) ([66b3d35](https://github.com/gatsbyjs/gatsby/commit/66b3d35))

## [2.20.13](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.20.12...gatsby@2.20.13) (2020-04-07)

**Note:** Version bump only for package gatsby

## [2.20.12](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.20.11...gatsby@2.20.12) (2020-04-03)

### Bug Fixes

- **gatsby:** Fix OOM from telemetry storing too much ([#22752](https://github.com/gatsbyjs/gatsby/issues/22752)) ([a7281c2](https://github.com/gatsbyjs/gatsby/commit/a7281c2))

## [2.20.11](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.20.10...gatsby@2.20.11) (2020-04-03)

### Bug Fixes

- **gatsby:** Support grouping by reserved keywords ([#22603](https://github.com/gatsbyjs/gatsby/issues/22603)) ([ad6bc16](https://github.com/gatsbyjs/gatsby/commit/ad6bc16))

## [2.20.10](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.20.9...gatsby@2.20.10) (2020-04-01)

### Bug Fixes

- **core:** Add gatsby/graphql type definitions ([#22652](https://github.com/gatsbyjs/gatsby/issues/22652)) ([ac205cf](https://github.com/gatsbyjs/gatsby/commit/ac205cf))

## [2.20.9](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.20.8...gatsby@2.20.9) (2020-03-30)

### Bug Fixes

- **gatsby:** Collect nested webpack compilation stats errors ([#22598](https://github.com/gatsbyjs/gatsby/issues/22598)) ([3986380](https://github.com/gatsbyjs/gatsby/commit/3986380)), closes [#22597](https://github.com/gatsbyjs/gatsby/issues/22597)

## [2.20.8](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.20.7...gatsby@2.20.8) (2020-03-27)

### Bug Fixes

- **gatsby:** Mark plugin parameter as optional for actions ([#22546](https://github.com/gatsbyjs/gatsby/issues/22546)) ([6d1356c](https://github.com/gatsbyjs/gatsby/commit/6d1356c))

## [2.20.7](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.20.6...gatsby@2.20.7) (2020-03-26)

### Features

- **gatsby:** enable granular chunks ([#22253](https://github.com/gatsbyjs/gatsby/issues/22253)) ([0f02ea7](https://github.com/gatsbyjs/gatsby/commit/0f02ea7))

## [2.20.6](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.20.5...gatsby@2.20.6) (2020-03-25)

### Features

- **gatsby-telemetry:** Make build collect GraphQL/Sift query data for telemetry ([#22540](https://github.com/gatsbyjs/gatsby/issues/22540)) ([1bec140](https://github.com/gatsbyjs/gatsby/commit/1bec140))

## [2.20.5](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.20.4...gatsby@2.20.5) (2020-03-25)

### Features

- **gatsby-source-graphql:** Query batching ([#22347](https://github.com/gatsbyjs/gatsby/issues/22347)) ([2a4c7fd](https://github.com/gatsbyjs/gatsby/commit/2a4c7fd))

## [2.20.4](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.20.3...gatsby@2.20.4) (2020-03-24)

### Bug Fixes

- **docs:** remove double words ([#22494](https://github.com/gatsbyjs/gatsby/issues/22494)) ([75f6ee2](https://github.com/gatsbyjs/gatsby/commit/75f6ee2))

## [2.20.3](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.20.2...gatsby@2.20.3) (2020-03-23)

**Note:** Version bump only for package gatsby

## [2.20.2](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.20.1...gatsby@2.20.2) (2020-03-20)

**Note:** Version bump only for package gatsby

## [2.20.1](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.20.0...gatsby@2.20.1) (2020-03-20)

**Note:** Version bump only for package gatsby

# [2.20.0](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.19.50...gatsby@2.20.0) (2020-03-20)

### Features

- **gatsby:** bump node min version to 10.13.0 ([#22400](https://github.com/gatsbyjs/gatsby/issues/22400)) ([83d681a](https://github.com/gatsbyjs/gatsby/commit/83d681a))

## [2.19.50](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.19.49...gatsby@2.19.50) (2020-03-20)

### Bug Fixes

- **gatsby:** Incorrect PackageJson type ([#22406](https://github.com/gatsbyjs/gatsby/issues/22406)) ([5496e6b](https://github.com/gatsbyjs/gatsby/commit/5496e6b))

## [2.19.49](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.19.48...gatsby@2.19.49) (2020-03-19)

**Note:** Version bump only for package gatsby

## [2.19.48](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.19.47...gatsby@2.19.48) (2020-03-18)

**Note:** Version bump only for package gatsby

## [2.19.47](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.19.46...gatsby@2.19.47) (2020-03-18)

**Note:** Version bump only for package gatsby

## [2.19.46](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.19.45...gatsby@2.19.46) (2020-03-18)

### Bug Fixes

- update dependency axios to ^0.19.2 ([#22317](https://github.com/gatsbyjs/gatsby/issues/22317)) ([91e780f](https://github.com/gatsbyjs/gatsby/commit/91e780f))
- update dependency mini-css-extract-plugin ([#22320](https://github.com/gatsbyjs/gatsby/issues/22320)) ([d5c936e](https://github.com/gatsbyjs/gatsby/commit/d5c936e))
- update dependency webpack-stats-plugin to ^0.3.1 ([#22325](https://github.com/gatsbyjs/gatsby/issues/22325)) ([cc75305](https://github.com/gatsbyjs/gatsby/commit/cc75305))
- update minor updates in packages ([#22329](https://github.com/gatsbyjs/gatsby/issues/22329)) ([bfb864b](https://github.com/gatsbyjs/gatsby/commit/bfb864b))

## [2.19.45](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.19.44...gatsby@2.19.45) (2020-03-16)

**Note:** Version bump only for package gatsby

## [2.19.44](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.19.43...gatsby@2.19.44) (2020-03-16)

**Note:** Version bump only for package gatsby

## [2.19.43](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.19.42...gatsby@2.19.43) (2020-03-13)

### Bug Fixes

- **gatsby:** render <RouteAnnouncer> in html ([#21625](https://github.com/gatsbyjs/gatsby/issues/21625)) ([2fdd518](https://github.com/gatsbyjs/gatsby/commit/2fdd518))

## [2.19.42](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.19.41...gatsby@2.19.42) (2020-03-13)

### Bug Fixes

- **gatsby:** make SSR more compatible with PnP (fixes gatsby-plugin-sitemap usage in PnP) ([#21976](https://github.com/gatsbyjs/gatsby/issues/21976)) ([2eb8861](https://github.com/gatsbyjs/gatsby/commit/2eb8861))
- ensure that errorParser always returns something ([#20749](https://github.com/gatsbyjs/gatsby/issues/20749)) ([2688f29](https://github.com/gatsbyjs/gatsby/commit/2688f29))

## [2.19.41](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.19.40...gatsby@2.19.41) (2020-03-12)

### Bug Fixes

- runtime network/resource loading resilience fixes + restore e2e tests for it ([#18051](https://github.com/gatsbyjs/gatsby/issues/18051)) ([030d927](https://github.com/gatsbyjs/gatsby/commit/030d927))

## [2.19.40](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.19.39...gatsby@2.19.40) (2020-03-12)

### Bug Fixes

- **gatsby:** Show meaningful error when directory names are too long ([#21518](https://github.com/gatsbyjs/gatsby/issues/21518)) ([4404af1](https://github.com/gatsbyjs/gatsby/commit/4404af1))

## [2.19.39](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.19.38...gatsby@2.19.39) (2020-03-11)

### Features

- **gatsby:** Support FastRefresh for development hot reloading ([#21534](https://github.com/gatsbyjs/gatsby/issues/21534)) ([205847b](https://github.com/gatsbyjs/gatsby/commit/205847b))

## [2.19.38](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.19.37...gatsby@2.19.38) (2020-03-11)

**Note:** Version bump only for package gatsby

## [2.19.37](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.19.36...gatsby@2.19.37) (2020-03-11)

**Note:** Version bump only for package gatsby

## [2.19.36](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.19.35...gatsby@2.19.36) (2020-03-10)

**Note:** Version bump only for package gatsby

## [2.19.35](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.19.34...gatsby@2.19.35) (2020-03-10)

### Bug Fixes

- **gatsby:** Update types for WrapPageElement\*Args ([#22120](https://github.com/gatsbyjs/gatsby/issues/22120)) ([97fa23e](https://github.com/gatsbyjs/gatsby/commit/97fa23e)), closes [#21542](https://github.com/gatsbyjs/gatsby/issues/21542)

### Performance Improvements

- **gatsby:** more efficient parent-child check through arrays ([#22126](https://github.com/gatsbyjs/gatsby/issues/22126)) ([be7111b](https://github.com/gatsbyjs/gatsby/commit/be7111b))

## [2.19.34](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.19.33...gatsby@2.19.34) (2020-03-09)

**Note:** Version bump only for package gatsby

## [2.19.33](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.19.32...gatsby@2.19.33) (2020-03-09)

**Note:** Version bump only for package gatsby

## [2.19.32](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.19.31...gatsby@2.19.32) (2020-03-06)

**Note:** Version bump only for package gatsby

## [2.19.31](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.19.30...gatsby@2.19.31) (2020-03-06)

**Note:** Version bump only for package gatsby

## [2.19.30](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.19.29...gatsby@2.19.30) (2020-03-06)

### Bug Fixes

- **gatsby:** Prevent cache invalidation case for loki ([#22009](https://github.com/gatsbyjs/gatsby/issues/22009)) ([b5942d6](https://github.com/gatsbyjs/gatsby/commit/b5942d6))

## [2.19.29](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.19.28...gatsby@2.19.29) (2020-03-05)

**Note:** Version bump only for package gatsby

## [2.19.28](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.19.27...gatsby@2.19.28) (2020-03-04)

### Bug Fixes

- **gatsby:** Resolve linked interfaces consistently with objec… ([#21936](https://github.com/gatsbyjs/gatsby/issues/21936)) ([bd5bdd1](https://github.com/gatsbyjs/gatsby/commit/bd5bdd1))

## [2.19.27](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.19.26...gatsby@2.19.27) (2020-03-03)

### Features

- **gatsby:** Page build optimisations for incremental data changes ([#21523](https://github.com/gatsbyjs/gatsby/issues/21523)) ([c49d7b4](https://github.com/gatsbyjs/gatsby/commit/c49d7b4))

## [2.19.26](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.19.25...gatsby@2.19.26) (2020-03-03)

### Features

- **gatsby:** add react profiling option ([#21863](https://github.com/gatsbyjs/gatsby/issues/21863)) ([3e8f2c7](https://github.com/gatsbyjs/gatsby/commit/3e8f2c7))

## [2.19.25](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.19.24...gatsby@2.19.25) (2020-03-02)

### Bug Fixes

- **gatsby:** bump flex-bug postcss-plugin and postcss-loader ([#21398](https://github.com/gatsbyjs/gatsby/issues/21398)) ([47b05fc](https://github.com/gatsbyjs/gatsby/commit/47b05fc))
- **gatsby:** Check for nullable locations in query-runner ([#21839](https://github.com/gatsbyjs/gatsby/issues/21839)) ([dc484eb](https://github.com/gatsbyjs/gatsby/commit/dc484eb))
- **gatsby:** fix codepaths that result in js errors ([#21829](https://github.com/gatsbyjs/gatsby/issues/21829)) ([a87f1bd](https://github.com/gatsbyjs/gatsby/commit/a87f1bd))
- **gatsby:** Improve warning for built-in GraphQL type overrides ([#21899](https://github.com/gatsbyjs/gatsby/issues/21899)) ([1f4db4b](https://github.com/gatsbyjs/gatsby/commit/1f4db4b))
- hot fix for `gatsby develop` when HOME is not set ([#21914](https://github.com/gatsbyjs/gatsby/issues/21914)) ([b6de2b9](https://github.com/gatsbyjs/gatsby/commit/b6de2b9))

### Features

- **gatsby:** Allow silencing the warning for adding resolvers for missing types ([#21769](https://github.com/gatsbyjs/gatsby/issues/21769)) ([6b7ed63](https://github.com/gatsbyjs/gatsby/commit/6b7ed63))

## [2.19.24](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.19.23...gatsby@2.19.24) (2020-03-02)

### Bug Fixes

- **gatsby:** Improve error message when EnsureResources fails to ensure a resource ([#21429](https://github.com/gatsbyjs/gatsby/issues/21429)) ([7527993](https://github.com/gatsbyjs/gatsby/commit/7527993))
- **gatsby:** Switching from devcert-san to devcert to fix HTTP… ([#16726](https://github.com/gatsbyjs/gatsby/issues/16726)) ([22ead19](https://github.com/gatsbyjs/gatsby/commit/22ead19)), closes [#16212](https://github.com/gatsbyjs/gatsby/issues/16212)

## [2.19.23](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.19.22...gatsby@2.19.23) (2020-02-28)

### Bug Fixes

- Remove global namespace hack for a proper workflow ([#21591](https://github.com/gatsbyjs/gatsby/issues/21591)) ([4bc595b](https://github.com/gatsbyjs/gatsby/commit/4bc595b))

## [2.19.22](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.19.21...gatsby@2.19.22) (2020-02-25)

### Bug Fixes

- **gatsby:** Chunk nodes when serializing redux to prevent OOM ([#21555](https://github.com/gatsbyjs/gatsby/issues/21555)) ([c944aae](https://github.com/gatsbyjs/gatsby/commit/c944aae)), closes [#17233](https://github.com/gatsbyjs/gatsby/issues/17233)

## [2.19.21](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.19.20...gatsby@2.19.21) (2020-02-24)

**Note:** Version bump only for package gatsby

## [2.19.20](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.19.19...gatsby@2.19.20) (2020-02-24)

### Bug Fixes

- **gatsby:** add app-data to preload list ([#21537](https://github.com/gatsbyjs/gatsby/issues/21537)) ([ad92e13](https://github.com/gatsbyjs/gatsby/commit/ad92e13))
- **gatsby:** Fix wrongly skipping graphql filter cache ([#21578](https://github.com/gatsbyjs/gatsby/issues/21578)) ([4f68761](https://github.com/gatsbyjs/gatsby/commit/4f68761))

## [2.19.19](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.19.18...gatsby@2.19.19) (2020-02-20)

### Bug Fixes

- **gatsby:** Fix static query parsing for a special case ([#21551](https://github.com/gatsbyjs/gatsby/issues/21551)) ([dd344ac](https://github.com/gatsbyjs/gatsby/commit/dd344ac))

## [2.19.18](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.19.17...gatsby@2.19.18) (2020-02-17)

### Bug Fixes

- **gatsby:** Fix an edge case with sift queries using index ([#21458](https://github.com/gatsbyjs/gatsby/issues/21458)) ([b7e6bb1](https://github.com/gatsbyjs/gatsby/commit/b7e6bb1))

## [2.19.17](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.19.16...gatsby@2.19.17) (2020-02-13)

### Bug Fixes

- **gatsby:** add onPostBuild activity ([#21366](https://github.com/gatsbyjs/gatsby/issues/21366)) ([6780461](https://github.com/gatsbyjs/gatsby/commit/6780461))
- **gatsby:** Reset graphql runner on certain node events ([#20586](https://github.com/gatsbyjs/gatsby/issues/20586)) ([ef72f2b](https://github.com/gatsbyjs/gatsby/commit/ef72f2b))
- **gatsby:** revert auto-adding id field to queries ([#21216](https://github.com/gatsbyjs/gatsby/issues/21216)) ([e1fd083](https://github.com/gatsbyjs/gatsby/commit/e1fd083)), closes [#20943](https://github.com/gatsbyjs/gatsby/issues/20943)
- **gatsby:** Use argument for updating cache ([#21365](https://github.com/gatsbyjs/gatsby/issues/21365)) ([fb36368](https://github.com/gatsbyjs/gatsby/commit/fb36368)), closes [/github.com/gatsbyjs/gatsby/pull/20729#pullrequestreview-350948674](https://github.com//github.com/gatsbyjs/gatsby/pull/20729/issues/pullrequestreview-350948674)

## [2.19.16](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.19.15...gatsby@2.19.16) (2020-02-11)

### Features

- **www:** Convert API pages to MDX ([#20763](https://github.com/gatsbyjs/gatsby/issues/20763)) ([c905014](https://github.com/gatsbyjs/gatsby/commit/c905014))

## [2.19.15](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.19.14...gatsby@2.19.15) (2020-02-10)

**Note:** Version bump only for package gatsby

## [2.19.14](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.19.13...gatsby@2.19.14) (2020-02-10)

**Note:** Version bump only for package gatsby

## [2.19.13](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.19.12...gatsby@2.19.13) (2020-02-10)

**Note:** Version bump only for package gatsby

## [2.19.12](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.19.11...gatsby@2.19.12) (2020-02-02)

### Bug Fixes

- **gatsby:** Pin reach since they do not pass in location.href… ([#21144](https://github.com/gatsbyjs/gatsby/issues/21144)) ([f7d2f03](https://github.com/gatsbyjs/gatsby/commit/f7d2f03))

## [2.19.11](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.19.10...gatsby@2.19.11) (2020-02-01)

### Bug Fixes

- **gatsby:** Fix invalid algorithm of fragment cycles detection ([#21128](https://github.com/gatsbyjs/gatsby/issues/21128)) ([f570db3](https://github.com/gatsbyjs/gatsby/commit/f570db3))
- **gatsby:** fix onCreatePage typings ([#20871](https://github.com/gatsbyjs/gatsby/issues/20871)) ([26e0cbc](https://github.com/gatsbyjs/gatsby/commit/26e0cbc))

## [2.19.10](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.19.9...gatsby@2.19.10) (2020-01-29)

### Bug Fixes

- **gatsby-plugin-mdx:** support yarn PnP ([#20638](https://github.com/gatsbyjs/gatsby/issues/20638)) ([6375ba9](https://github.com/gatsbyjs/gatsby/commit/6375ba9))

## [2.19.9](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.19.8...gatsby@2.19.9) (2020-01-29)

### Bug Fixes

- **gatsby:** Do not add field `id` to the query when `id` alias exists ([#20980](https://github.com/gatsbyjs/gatsby/issues/20980)) ([acf2c35](https://github.com/gatsbyjs/gatsby/commit/acf2c35))
- **gatsby:** Fix potential issue in fragment cycles detection ([#20953](https://github.com/gatsbyjs/gatsby/issues/20953)) ([c6f4c62](https://github.com/gatsbyjs/gatsby/commit/c6f4c62))

## [2.19.8](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.19.7...gatsby@2.19.8) (2020-01-28)

### Bug Fixes

- **gatsby:** Fix stack overflow on queries with circular fragments ([#20936](https://github.com/gatsbyjs/gatsby/issues/20936)) ([094ca4c](https://github.com/gatsbyjs/gatsby/commit/094ca4c))
- **gatsby:** remove role alert on gatsby-announcer ([#20914](https://github.com/gatsbyjs/gatsby/issues/20914)) ([0008bc4](https://github.com/gatsbyjs/gatsby/commit/0008bc4))
- **gatsby:** structured error might be a string ([#20909](https://github.com/gatsbyjs/gatsby/issues/20909)) ([7e40b21](https://github.com/gatsbyjs/gatsby/commit/7e40b21))

### Performance Improvements

- **gatsby:** Create index on the fly for non-id index ([#20729](https://github.com/gatsbyjs/gatsby/issues/20729)) ([115d5c4](https://github.com/gatsbyjs/gatsby/commit/115d5c4))

## [2.19.7](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.19.6...gatsby@2.19.7) (2020-01-27)

### Bug Fixes

- wrap `GraphQLRunner.query` return in Promise.resolve ([#20904](https://github.com/gatsbyjs/gatsby/issues/20904)) ([86d3cda](https://github.com/gatsbyjs/gatsby/commit/86d3cda))

## [2.19.6](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.19.5...gatsby@2.19.6) (2020-01-27)

### Bug Fixes

- **gatsby:** Add `__typename` and `id` fields in queries to ma… ([#20849](https://github.com/gatsbyjs/gatsby/issues/20849)) ([4d27336](https://github.com/gatsbyjs/gatsby/commit/4d27336))

## [2.19.5](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.19.4...gatsby@2.19.5) (2020-01-24)

### Features

- **gatsby:** enable external jobs with ipc ([#20835](https://github.com/gatsbyjs/gatsby/issues/20835)) ([b4c5bfb](https://github.com/gatsbyjs/gatsby/commit/b4c5bfb))

## [2.19.4](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.19.3...gatsby@2.19.4) (2020-01-24)

### Bug Fixes

- **gatsby:** revert [#19664](https://github.com/gatsbyjs/gatsby/issues/19664) fix duplicate runs in develop mode ([#20836](https://github.com/gatsbyjs/gatsby/issues/20836)) ([9419bb3](https://github.com/gatsbyjs/gatsby/commit/9419bb3))

## [2.19.3](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.19.2...gatsby@2.19.3) (2020-01-23)

### Bug Fixes

- remove 1px line from gatsby-announcer on 100vh pages ([#20781](https://github.com/gatsbyjs/gatsby/issues/20781)) ([3880394](https://github.com/gatsbyjs/gatsby/commit/3880394))
- **chore:** remove processing and waiting queue ([#20757](https://github.com/gatsbyjs/gatsby/issues/20757)) ([c2ecb3a](https://github.com/gatsbyjs/gatsby/commit/c2ecb3a))

## [2.19.2](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.19.1...gatsby@2.19.2) (2020-01-23)

### Bug Fixes

- **gatsby:** Improve `gatsby` TS types for `sourceNodes` ([#20397](https://github.com/gatsbyjs/gatsby/issues/20397)) ([2a1508e](https://github.com/gatsbyjs/gatsby/commit/2a1508e))

## [2.19.1](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.19.0...gatsby@2.19.1) (2020-01-21)

### Bug Fixes

- **gatsby:** use slash from gatsby-core-utils ([#20744](https://github.com/gatsbyjs/gatsby/issues/20744)) ([00f3190](https://github.com/gatsbyjs/gatsby/commit/00f3190))

# [2.19.0](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.18.25...gatsby@2.19.0) (2020-01-21)

### Features

- **gatsby:** enable Jobs API v2 ([#19858](https://github.com/gatsbyjs/gatsby/issues/19858)) ([039c601](https://github.com/gatsbyjs/gatsby/commit/039c601)), closes [#19831](https://github.com/gatsbyjs/gatsby/issues/19831)

## [2.18.25](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.18.24...gatsby@2.18.25) (2020-01-17)

### Performance Improvements

- **gatsby:** cache parsing and validation results in graphql-runner ([#20477](https://github.com/gatsbyjs/gatsby/issues/20477)) ([ac7c79f](https://github.com/gatsbyjs/gatsby/commit/ac7c79f))

## [2.18.24](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.18.23...gatsby@2.18.24) (2020-01-17)

### Bug Fixes

- **gatsby:** Respect `[@dont](https://github.com/dont)Infer` directive on `SitePage` type ([#20662](https://github.com/gatsbyjs/gatsby/issues/20662)) ([631ba49](https://github.com/gatsbyjs/gatsby/commit/631ba49))

## [2.18.23](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.18.22...gatsby@2.18.23) (2020-01-16)

### Performance Improvements

- **gatsby:** Create one promise per queue, not one per job ([#20606](https://github.com/gatsbyjs/gatsby/issues/20606)) ([79eb6de](https://github.com/gatsbyjs/gatsby/commit/79eb6de))
- **gatsby:** Shortcut trivial queries by id ([#20609](https://github.com/gatsbyjs/gatsby/issues/20609)) ([fa4ff69](https://github.com/gatsbyjs/gatsby/commit/fa4ff69))
- **gatsby:** Use a Map instead of Object for job id lookups ([#20605](https://github.com/gatsbyjs/gatsby/issues/20605)) ([54fb530](https://github.com/gatsbyjs/gatsby/commit/54fb530))

## [2.18.22](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.18.21...gatsby@2.18.22) (2020-01-14)

### Bug Fixes

- **gatsby:** fix error cannot read referencePath of undefined ([#20517](https://github.com/gatsbyjs/gatsby/issues/20517)) ([c759a7d](https://github.com/gatsbyjs/gatsby/commit/c759a7d))
- **typing:** more precise typing for ssr api ([#20564](https://github.com/gatsbyjs/gatsby/issues/20564)) ([b53ec9a](https://github.com/gatsbyjs/gatsby/commit/b53ec9a))

### Features

- **gatsby:** Supports multiple development proxies ([#20369](https://github.com/gatsbyjs/gatsby/issues/20369)) ([8d1e37a](https://github.com/gatsbyjs/gatsby/commit/8d1e37a))

## [2.18.21](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.18.20...gatsby@2.18.21) (2020-01-09)

**Note:** Version bump only for package gatsby

## [2.18.20](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.18.18...gatsby@2.18.20) (2020-01-09)

### Bug Fixes

- **gatsby:** webpack /_ webpackPrefetch/webpackPreload _/ comments causing a bug ([#20403](https://github.com/gatsbyjs/gatsby/issues/20403)) ([1b89b10](https://github.com/gatsbyjs/gatsby/commit/1b89b10))

### Features

- **gatsby:** Allow alternative import syntax for useStaticQuery ([#20330](https://github.com/gatsbyjs/gatsby/issues/20330)) ([17eaa72](https://github.com/gatsbyjs/gatsby/commit/17eaa72))

## [2.18.19](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.18.18...gatsby@2.18.19) (2020-01-09)

### Bug Fixes

- **gatsby:** webpack /_ webpackPrefetch/webpackPreload _/ comments causing a bug ([#20403](https://github.com/gatsbyjs/gatsby/issues/20403)) ([1b89b10](https://github.com/gatsbyjs/gatsby/commit/1b89b10))

### Features

- **gatsby:** Allow alternative import syntax for useStaticQuery ([#20330](https://github.com/gatsbyjs/gatsby/issues/20330)) ([17eaa72](https://github.com/gatsbyjs/gatsby/commit/17eaa72))

## [2.18.18](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.18.17...gatsby@2.18.18) (2020-01-06)

**Note:** Version bump only for package gatsby

## [2.18.17](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.18.16...gatsby@2.18.17) (2019-12-23)

### Bug Fixes

- **gatsby:** don't write out `isCreatedByStatefulCreatePages` to page-data files ([#20241](https://github.com/gatsbyjs/gatsby/issues/20241)) ([4b113bd](https://github.com/gatsbyjs/gatsby/commit/4b113bd))

### Features

- **gatsby:** Improve structured errors around GraphQL ([#20120](https://github.com/gatsbyjs/gatsby/issues/20120)) ([a5740f9](https://github.com/gatsbyjs/gatsby/commit/a5740f9))

## [2.18.16](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.18.15...gatsby@2.18.16) (2019-12-20)

### Bug Fixes

- **gatsby:** enable static queries in `wrapRootElement` ([#19986](https://github.com/gatsbyjs/gatsby/issues/19986)) ([c591eb7](https://github.com/gatsbyjs/gatsby/commit/c591eb7))

### Features

- **gatsby:** bundle and page-data stats for telemetry ([#20146](https://github.com/gatsbyjs/gatsby/issues/20146)) ([3fe97f2](https://github.com/gatsbyjs/gatsby/commit/3fe97f2))

## [2.18.15](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.18.14...gatsby@2.18.15) (2019-12-19)

### Bug Fixes

- **gatsby:** Fix sift query against empty nodes ([#20212](https://github.com/gatsbyjs/gatsby/issues/20212)) ([6beeec3](https://github.com/gatsbyjs/gatsby/commit/6beeec3))

## [2.18.14](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.18.13...gatsby@2.18.14) (2019-12-18)

### Bug Fixes

- **gatsby:** add ./ prefix to paths in async-requires ([#20169](https://github.com/gatsbyjs/gatsby/issues/20169)) ([4f2154a](https://github.com/gatsbyjs/gatsby/commit/4f2154a))
- **gatsby:** do not rebuild schema having identical conflicts ([#20099](https://github.com/gatsbyjs/gatsby/issues/20099)) ([0d14926](https://github.com/gatsbyjs/gatsby/commit/0d14926))
- **gatsby:** support file inference for any field name (not just [a-zA-Z0-9_]) ([#20186](https://github.com/gatsbyjs/gatsby/issues/20186)) ([b681959](https://github.com/gatsbyjs/gatsby/commit/b681959))
- **gatsby:** support unicode characters for 404 page ([#20165](https://github.com/gatsbyjs/gatsby/issues/20165)) ([51474e8](https://github.com/gatsbyjs/gatsby/commit/51474e8))
- **gatsby-telemetry:** only report unique plugins ([#20147](https://github.com/gatsbyjs/gatsby/issues/20147)) ([4c138d5](https://github.com/gatsbyjs/gatsby/commit/4c138d5))

## [2.18.13](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.18.12...gatsby@2.18.13) (2019-12-17)

### Bug Fixes

- **gatsby:** fix circular ref stack overflow checks ([#20039](https://github.com/gatsbyjs/gatsby/issues/20039)) ([f780d21](https://github.com/gatsbyjs/gatsby/commit/f780d21))

### Features

- **gatsby:** Use webpack watchOptions config for webpack-dev-middleware ([#20067](https://github.com/gatsbyjs/gatsby/issues/20067)) ([aff5540](https://github.com/gatsbyjs/gatsby/commit/aff5540))

### Performance Improvements

- **gatsby:** Eliminate generator ([#20102](https://github.com/gatsbyjs/gatsby/issues/20102)) ([c3ca41a](https://github.com/gatsbyjs/gatsby/commit/c3ca41a))

## [2.18.12](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.18.11...gatsby@2.18.12) (2019-12-15)

**Note:** Version bump only for package gatsby

## [2.18.11](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.18.10...gatsby@2.18.11) (2019-12-11)

### Bug Fixes

- **gatsby:** Add early return in link resolver for empty arrays ([#20068](https://github.com/gatsbyjs/gatsby/issues/20068)) ([3e2ad17](https://github.com/gatsbyjs/gatsby/commit/3e2ad17))
- **gatsby:** remove default noscript tag from html.js template ([#20023](https://github.com/gatsbyjs/gatsby/issues/20023)) ([ebdaf6d](https://github.com/gatsbyjs/gatsby/commit/ebdaf6d))

## [2.18.10](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.18.8...gatsby@2.18.10) (2019-12-10)

**Note:** Version bump only for package gatsby

## [2.18.9](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.18.8...gatsby@2.18.9) (2019-12-10)

**Note:** Version bump only for package gatsby

## [2.18.8](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.18.7...gatsby@2.18.8) (2019-12-09)

### Bug Fixes

- **gatsby:** Ensure the number of jest-workers respects GATSBY_CPU_COUNT env var ([#19975](https://github.com/gatsbyjs/gatsby/issues/19975)) ([ce53d81](https://github.com/gatsbyjs/gatsby/commit/ce53d81))

## [2.18.7](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.18.6...gatsby@2.18.7) (2019-12-05)

### Bug Fixes

- **gatsby:** support union types for one-to-one \_\_\_NODE relations ([#19916](https://github.com/gatsbyjs/gatsby/issues/19916)) ([44875b8](https://github.com/gatsbyjs/gatsby/commit/44875b8))

### Features

- **gatsby:** add all rules from eslint-plugin-jsx-a11y ([#19946](https://github.com/gatsbyjs/gatsby/issues/19946)) ([000bef3](https://github.com/gatsbyjs/gatsby/commit/000bef3))

## [2.18.6](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.18.5...gatsby@2.18.6) (2019-12-02)

### Bug Fixes

- **gatsby:** use correct state in the schema hot reloader ([#19862](https://github.com/gatsbyjs/gatsby/issues/19862)) ([f92cb9c](https://github.com/gatsbyjs/gatsby/commit/f92cb9c))

## [2.18.5](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.18.4...gatsby@2.18.5) (2019-11-28)

### Bug Fixes

- **gatsby:** Call cwd() when called instead of on import ([#19800](https://github.com/gatsbyjs/gatsby/issues/19800)) ([451a489](https://github.com/gatsbyjs/gatsby/commit/451a489))
- **gatsby:** do not cause stack overflow over circular refs ([#19802](https://github.com/gatsbyjs/gatsby/issues/19802)) ([89c6b89](https://github.com/gatsbyjs/gatsby/commit/89c6b89)), closes [#11364](https://github.com/gatsbyjs/gatsby/issues/11364)

### Performance Improvements

- **gatsby:** Avoid unnecessary type inference during bootstrap ([#19781](https://github.com/gatsbyjs/gatsby/issues/19781)) ([006ecd8](https://github.com/gatsbyjs/gatsby/commit/006ecd8))

## [2.18.4](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.18.3...gatsby@2.18.4) (2019-11-26)

### Bug Fixes

- **gatsby:** Remove relay compiler & use our own ([#19665](https://github.com/gatsbyjs/gatsby/issues/19665)) ([bda9f1f](https://github.com/gatsbyjs/gatsby/commit/bda9f1f))
- update minor updates in packages ([#19776](https://github.com/gatsbyjs/gatsby/issues/19776)) ([559beb2](https://github.com/gatsbyjs/gatsby/commit/559beb2))
- **gatsby:** memoize shadowCreatePagePath to fix performance r… ([#19774](https://github.com/gatsbyjs/gatsby/issues/19774)) ([3043786](https://github.com/gatsbyjs/gatsby/commit/3043786))

## [2.18.3](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.18.2...gatsby@2.18.3) (2019-11-25)

**Note:** Version bump only for package gatsby

## [2.18.2](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.18.1...gatsby@2.18.2) (2019-11-22)

### Bug Fixes

- **gatsby:** Clean up third party schema customizations to avoid schema rebuilding failure ([#19712](https://github.com/gatsbyjs/gatsby/issues/19712)) ([b703ab1](https://github.com/gatsbyjs/gatsby/commit/b703ab1))
- **gatsby:** Fix createRequireFromPath deprecation warning ([#19677](https://github.com/gatsbyjs/gatsby/issues/19677)) ([78a7858](https://github.com/gatsbyjs/gatsby/commit/78a7858))
- **gatsby:** Improve warning message about implicit child fields ([#19657](https://github.com/gatsbyjs/gatsby/issues/19657)) ([3501267](https://github.com/gatsbyjs/gatsby/commit/3501267))

### Performance Improvements

- **gatsby:** perf problem for match-page search in large sites ([#19691](https://github.com/gatsbyjs/gatsby/issues/19691)) ([58b89fa](https://github.com/gatsbyjs/gatsby/commit/58b89fa)), closes [#19512](https://github.com/gatsbyjs/gatsby/issues/19512)

## [2.18.1](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.18.0...gatsby@2.18.1) (2019-11-20)

### Bug Fixes

- **gatsby:** don't rerun static queries if text didn't change ([#19616](https://github.com/gatsbyjs/gatsby/issues/19616)) ([824b685](https://github.com/gatsbyjs/gatsby/commit/824b685))
- **gatsby:** Improve discoverPluginsWithoutNodes performance ([#19594](https://github.com/gatsbyjs/gatsby/issues/19594)) ([83f3f0f](https://github.com/gatsbyjs/gatsby/commit/83f3f0f))
- **reporter:** TypeScript definitions for Reporter ([#19189](https://github.com/gatsbyjs/gatsby/issues/19189)) ([02ddd46](https://github.com/gatsbyjs/gatsby/commit/02ddd46)), closes [#19025](https://github.com/gatsbyjs/gatsby/issues/19025)

### Features

- **gatsby:** add plugin data to `gatsby develop` telemetry to… ([#19623](https://github.com/gatsbyjs/gatsby/issues/19623)) ([3c559c9](https://github.com/gatsbyjs/gatsby/commit/3c559c9))
- **gatsby:** Enable shadowing of page template queries ([#17681](https://github.com/gatsbyjs/gatsby/issues/17681)) ([6a82da8](https://github.com/gatsbyjs/gatsby/commit/6a82da8))

# [2.18.0](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.17.17...gatsby@2.18.0) (2019-11-19)

### Features

- **gatsby:** Schema rebuilding ([#19092](https://github.com/gatsbyjs/gatsby/issues/19092)) ([e4dae4d](https://github.com/gatsbyjs/gatsby/commit/e4dae4d))

## [2.17.17](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.17.16...gatsby@2.17.17) (2019-11-18)

### Bug Fixes

- **gatsby:** Handle special characters in windows paths ([#19600](https://github.com/gatsbyjs/gatsby/issues/19600)) ([9929cf0](https://github.com/gatsbyjs/gatsby/commit/9929cf0))
- **gatsby:** Improve perf of stale node detection ([#19599](https://github.com/gatsbyjs/gatsby/issues/19599)) ([2e8f381](https://github.com/gatsbyjs/gatsby/commit/2e8f381))

## [2.17.16](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.17.15...gatsby@2.17.16) (2019-11-18)

### Bug Fixes

- **gatsby:** Fix filtering on resolvable children ([#19586](https://github.com/gatsbyjs/gatsby/issues/19586)) ([7b500f4](https://github.com/gatsbyjs/gatsby/commit/7b500f4))

## [2.17.15](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.17.14...gatsby@2.17.15) (2019-11-15)

### Bug Fixes

- **gatsby:** createIndexHtml call missing activity ([#19544](https://github.com/gatsbyjs/gatsby/issues/19544)) ([b2df860](https://github.com/gatsbyjs/gatsby/commit/b2df860))

## [2.17.14](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.17.13...gatsby@2.17.14) (2019-11-15)

### Bug Fixes

- update dependency babel-plugin-dynamic-import-node to v2 ([#19535](https://github.com/gatsbyjs/gatsby/issues/19535)) ([500ebf6](https://github.com/gatsbyjs/gatsby/commit/500ebf6))
- update dependency convert-hrtime to v3 ([#19530](https://github.com/gatsbyjs/gatsby/issues/19530)) ([1a5ddc5](https://github.com/gatsbyjs/gatsby/commit/1a5ddc5))
- update dependency copyfiles to v2 ([#19531](https://github.com/gatsbyjs/gatsby/issues/19531)) ([1f9a2b5](https://github.com/gatsbyjs/gatsby/commit/1f9a2b5))

## [2.17.13](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.17.12...gatsby@2.17.13) (2019-11-13)

### Bug Fixes

- **gatsby:** Use crossorigin for link in linkPrefetch strategy ([#17581](https://github.com/gatsbyjs/gatsby/issues/17581)) ([2aac625](https://github.com/gatsbyjs/gatsby/commit/2aac625))

## [2.17.12](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.17.11...gatsby@2.17.12) (2019-11-13)

### Bug Fixes

- **gatsby:** add / to prefix when stripping prefixes ([#17544](https://github.com/gatsbyjs/gatsby/issues/17544)) ([58fe032](https://github.com/gatsbyjs/gatsby/commit/58fe032))
- **gatsby:** controlled search input component on dev-404-page ([#19168](https://github.com/gatsbyjs/gatsby/issues/19168)) ([d65183b](https://github.com/gatsbyjs/gatsby/commit/d65183b))
- **gatsby:** Ensure inferred types do not conflict with types created via schema customization ([#19338](https://github.com/gatsbyjs/gatsby/issues/19338)) ([3565d5a](https://github.com/gatsbyjs/gatsby/commit/3565d5a))
- **gatsby:** non-latin hash link ([#19376](https://github.com/gatsbyjs/gatsby/issues/19376)) ([8938c95](https://github.com/gatsbyjs/gatsby/commit/8938c95))
- **gatsby:** Re-use plugin resolution logic for theme dir resolution ([#19470](https://github.com/gatsbyjs/gatsby/issues/19470)) ([52be765](https://github.com/gatsbyjs/gatsby/commit/52be765))
- update minor updates in packages ([#19423](https://github.com/gatsbyjs/gatsby/issues/19423)) ([9935376](https://github.com/gatsbyjs/gatsby/commit/9935376))

## [2.17.11](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.17.10...gatsby@2.17.11) (2019-11-10)

**Note:** Version bump only for package gatsby

## [2.17.10](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.17.9...gatsby@2.17.10) (2019-11-06)

### Bug Fixes

- **gatsby:** Use CWD to get name if not specified in package.j… ([#19304](https://github.com/gatsbyjs/gatsby/issues/19304)) ([d50ddbc](https://github.com/gatsbyjs/gatsby/commit/d50ddbc))

## [2.17.9](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.17.8...gatsby@2.17.9) (2019-11-05)

### Bug Fixes

- **requires-writer:** use `@reach/router` path ranking algorit… ([#19050](https://github.com/gatsbyjs/gatsby/issues/19050)) ([813c191](https://github.com/gatsbyjs/gatsby/commit/813c191))

## [2.17.8](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.17.7...gatsby@2.17.8) (2019-11-04)

### Bug Fixes

- **gatsby:** clear cache before refresh ([#19159](https://github.com/gatsbyjs/gatsby/issues/19159)) ([4d5d780](https://github.com/gatsbyjs/gatsby/commit/4d5d780))
- **gatsby:** Fix flatMap import in schema/print.js ([#19208](https://github.com/gatsbyjs/gatsby/issues/19208)) ([0471751](https://github.com/gatsbyjs/gatsby/commit/0471751))
- **webpack-utils:** compact user JS only in production builds ([#19240](https://github.com/gatsbyjs/gatsby/issues/19240)) ([982fd22](https://github.com/gatsbyjs/gatsby/commit/982fd22)), closes [#19128](https://github.com/gatsbyjs/gatsby/issues/19128)

## [2.17.7](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.17.6...gatsby@2.17.7) (2019-10-29)

### Bug Fixes

- update minor updates in packages ([#19087](https://github.com/gatsbyjs/gatsby/issues/19087)) ([294a48f](https://github.com/gatsbyjs/gatsby/commit/294a48f))

### Features

- **gatsby:** enable local themes ([#15856](https://github.com/gatsbyjs/gatsby/issues/15856)) ([bd85555](https://github.com/gatsbyjs/gatsby/commit/bd85555))

## [2.17.6](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.17.5...gatsby@2.17.6) (2019-10-28)

### Bug Fixes

- update minor updates in packages ([#19086](https://github.com/gatsbyjs/gatsby/issues/19086)) ([54565f0](https://github.com/gatsbyjs/gatsby/commit/54565f0))

## [2.17.5](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.17.4...gatsby@2.17.5) (2019-10-28)

### Bug Fixes

- update minor updates in packages ([#19080](https://github.com/gatsbyjs/gatsby/issues/19080)) ([95e908e](https://github.com/gatsbyjs/gatsby/commit/95e908e))
- **gatsby:** Remove internal Node modules in getNonGatsbyCallS… ([#19009](https://github.com/gatsbyjs/gatsby/issues/19009)) ([467aa54](https://github.com/gatsbyjs/gatsby/commit/467aa54))
- update minor updates in packages ([#18875](https://github.com/gatsbyjs/gatsby/issues/18875)) ([b692879](https://github.com/gatsbyjs/gatsby/commit/b692879))

### Features

- **redirects:** allow multiple redirects from same path when they have different options ([#19048](https://github.com/gatsbyjs/gatsby/issues/19048)) ([84f8aea](https://github.com/gatsbyjs/gatsby/commit/84f8aea))

## [2.17.4](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.17.3...gatsby@2.17.4) (2019-10-25)

### Bug Fixes

- **gatsby:** fix hashes used in webpack for output ([#18973](https://github.com/gatsbyjs/gatsby/issues/18973)) ([76ac266](https://github.com/gatsbyjs/gatsby/commit/76ac266))

## [2.17.3](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.17.2...gatsby@2.17.3) (2019-10-25)

### Bug Fixes

- **gatsby:** Fix matchpath ordering ([#18478](https://github.com/gatsbyjs/gatsby/issues/18478)) ([b8aa333](https://github.com/gatsbyjs/gatsby/commit/b8aa333))

## [2.17.2](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.17.1...gatsby@2.17.2) (2019-10-23)

### Bug Fixes

- fix overriding default options of `gatsby-plugin-page-creator` on Windows ([#18828](https://github.com/gatsbyjs/gatsby/issues/18828)) ([fc61f06](https://github.com/gatsbyjs/gatsby/commit/fc61f06))
- **gatsby:** ensure `[@child](https://github.com/child)Of` adds convenience fields before root field arguments ([#18935](https://github.com/gatsbyjs/gatsby/issues/18935)) ([366d915](https://github.com/gatsbyjs/gatsby/commit/366d915))

### Features

- **gatsby:** Ensure status is set to Failed for thrown errors or panicOnBuild in plugins ([#18887](https://github.com/gatsbyjs/gatsby/issues/18887)) ([d7950e1](https://github.com/gatsbyjs/gatsby/commit/d7950e1))

## [2.17.1](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.17.0...gatsby@2.17.1) (2019-10-22)

**Note:** Version bump only for package gatsby

# [2.17.0](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.16.5...gatsby@2.17.0) (2019-10-21)

### Features

- **gatsby:** Move webpackCompilationHash into app-data.json ([#16686](https://github.com/gatsbyjs/gatsby/issues/16686)) ([ebff315](https://github.com/gatsbyjs/gatsby/commit/ebff315))

## [2.16.5](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.16.4...gatsby@2.16.5) (2019-10-18)

**Note:** Version bump only for package gatsby

## [2.16.4](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.16.3...gatsby@2.16.4) (2019-10-17)

**Note:** Version bump only for package gatsby

## [2.16.3](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.16.2...gatsby@2.16.3) (2019-10-15)

### Performance Improvements

- **schema:** speed up and lower memory usage of type inference ([#18008](https://github.com/gatsbyjs/gatsby/issues/18008)) ([e87ac50](https://github.com/gatsbyjs/gatsby/commit/e87ac50))

## [2.16.2](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.16.1...gatsby@2.16.2) (2019-10-15)

### Bug Fixes

- **gatsby:** create page dependencies from contextual node model methods even if no path is passed ([#18650](https://github.com/gatsbyjs/gatsby/issues/18650)) ([3d38af2](https://github.com/gatsbyjs/gatsby/commit/3d38af2))
- **gatsby:** Extend fields when merging types ([#18500](https://github.com/gatsbyjs/gatsby/issues/18500)) ([302aa26](https://github.com/gatsbyjs/gatsby/commit/302aa26))

## [2.16.1](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.16.0...gatsby@2.16.1) (2019-10-14)

### Bug Fixes

- **gatsby:** Fix sort for Node 12 ([#18502](https://github.com/gatsbyjs/gatsby/issues/18502)) ([d2869ad](https://github.com/gatsbyjs/gatsby/commit/d2869ad))
- update dependency autoprefixer to ^9.6.5 ([#18598](https://github.com/gatsbyjs/gatsby/issues/18598)) ([1525257](https://github.com/gatsbyjs/gatsby/commit/1525257))
- update dependency core-js to ^2.6.10 ([#18569](https://github.com/gatsbyjs/gatsby/issues/18569)) ([7a20eb7](https://github.com/gatsbyjs/gatsby/commit/7a20eb7))

# [2.16.0](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.15.37...gatsby@2.16.0) (2019-10-14)

### Features

- **gatsby:** structured logging ([#14973](https://github.com/gatsbyjs/gatsby/issues/14973)) ([eafb8c6](https://github.com/gatsbyjs/gatsby/commit/eafb8c6))

## [2.15.37](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.15.36...gatsby@2.15.37) (2019-10-14)

### Bug Fixes

- update dependency webpack to v4.41.1 ([#18504](https://github.com/gatsbyjs/gatsby/issues/18504)) ([a93df04](https://github.com/gatsbyjs/gatsby/commit/a93df04))

## [2.15.36](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.15.35...gatsby@2.15.36) (2019-10-11)

### Bug Fixes

- **gatsby:** update location state when location.key changes ([#18039](https://github.com/gatsbyjs/gatsby/issues/18039)) ([de3f323](https://github.com/gatsbyjs/gatsby/commit/de3f323))

## [2.15.35](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.15.34...gatsby@2.15.35) (2019-10-10)

**Note:** Version bump only for package gatsby

## [2.15.34](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.15.33...gatsby@2.15.34) (2019-10-09)

**Note:** Version bump only for package gatsby

## [2.15.33](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.15.32...gatsby@2.15.33) (2019-10-08)

**Note:** Version bump only for package gatsby

## [2.15.32](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.15.31...gatsby@2.15.32) (2019-10-08)

### Bug Fixes

- **gatsby:** In public actions, don't let actionOptions overwr… ([#18302](https://github.com/gatsbyjs/gatsby/issues/18302)) ([014b95e](https://github.com/gatsbyjs/gatsby/commit/014b95e))

## [2.15.31](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.15.30...gatsby@2.15.31) (2019-10-08)

### Bug Fixes

- update dependency react-hot-loader to ^4.12.15 ([#18295](https://github.com/gatsbyjs/gatsby/issues/18295)) ([7c3e8b3](https://github.com/gatsbyjs/gatsby/commit/7c3e8b3))

## [2.15.30](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.15.29...gatsby@2.15.30) (2019-10-08)

### Bug Fixes

- update dependency autoprefixer to ^9.6.4 ([#18204](https://github.com/gatsbyjs/gatsby/issues/18204)) ([b31fc56](https://github.com/gatsbyjs/gatsby/commit/b31fc56))
- update dependency eslint-plugin-react to ^7.16.0 ([#18119](https://github.com/gatsbyjs/gatsby/issues/18119)) ([a8144ee](https://github.com/gatsbyjs/gatsby/commit/a8144ee))
- **gatsby:** catch more browser only variable for SSR error ([#18112](https://github.com/gatsbyjs/gatsby/issues/18112)) ([e9ef934](https://github.com/gatsbyjs/gatsby/commit/e9ef934))

## [2.15.29](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.15.28...gatsby@2.15.29) (2019-10-04)

### Bug Fixes

- update dependency bluebird to ^3.7.0 ([#18029](https://github.com/gatsbyjs/gatsby/issues/18029)) ([bd235a8](https://github.com/gatsbyjs/gatsby/commit/bd235a8))
- update dependency chokidar to v3.2.1 ([#18009](https://github.com/gatsbyjs/gatsby/issues/18009)) ([4df0306](https://github.com/gatsbyjs/gatsby/commit/4df0306))
- update dependency eslint-plugin-react to ^7.15.0 ([#18010](https://github.com/gatsbyjs/gatsby/issues/18010)) ([6a5cd19](https://github.com/gatsbyjs/gatsby/commit/6a5cd19))
- update dependency eslint-plugin-react to ^7.15.1 ([#18031](https://github.com/gatsbyjs/gatsby/issues/18031)) ([8d5597f](https://github.com/gatsbyjs/gatsby/commit/8d5597f))
- update dependency webpack-dev-server to ^3.8.2 ([#18055](https://github.com/gatsbyjs/gatsby/issues/18055)) ([aa540c3](https://github.com/gatsbyjs/gatsby/commit/aa540c3))
- **gatsby:** Fix not materializing concrete fields ([#17942](https://github.com/gatsbyjs/gatsby/issues/17942)) ([8439305](https://github.com/gatsbyjs/gatsby/commit/8439305))

## [2.15.28](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.15.26...gatsby@2.15.28) (2019-09-26)

### Bug Fixes

- **gatsby:** console output: npm run build -> gatsby build ([#17896](https://github.com/gatsbyjs/gatsby/issues/17896)) ([fbbf406](https://github.com/gatsbyjs/gatsby/commit/fbbf406))

## [2.15.27](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.15.26...gatsby@2.15.27) (2019-09-26)

### Bug Fixes

- **gatsby:** console output: npm run build -> gatsby build ([#17896](https://github.com/gatsbyjs/gatsby/issues/17896)) ([fbbf406](https://github.com/gatsbyjs/gatsby/commit/fbbf406))

## [2.15.26](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.15.25...gatsby@2.15.26) (2019-09-25)

**Note:** Version bump only for package gatsby

## [2.15.25](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.15.24...gatsby@2.15.25) (2019-09-25)

### Bug Fixes

- **gatsby:** don't add undefined ([#17886](https://github.com/gatsbyjs/gatsby/issues/17886)) ([f0cdef0](https://github.com/gatsbyjs/gatsby/commit/f0cdef0))

## [2.15.24](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.15.23...gatsby@2.15.24) (2019-09-25)

### Bug Fixes

- **query:** improve query performance ([#17682](https://github.com/gatsbyjs/gatsby/issues/17682)) ([a1b1396](https://github.com/gatsbyjs/gatsby/commit/a1b1396))

## [2.15.23](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.15.22...gatsby@2.15.23) (2019-09-25)

### Bug Fixes

- **gatsby:** remove 404 pagedata logic on client side pages ([#17412](https://github.com/gatsbyjs/gatsby/issues/17412)) ([6c64948](https://github.com/gatsbyjs/gatsby/commit/6c64948))
- update dependency webpack to ~4.41.0 ([#17863](https://github.com/gatsbyjs/gatsby/issues/17863)) ([9c24bca](https://github.com/gatsbyjs/gatsby/commit/9c24bca))
- **gatsby:** prevent unmount wrapPageElement while page-data l… ([#17111](https://github.com/gatsbyjs/gatsby/issues/17111)) ([610b581](https://github.com/gatsbyjs/gatsby/commit/610b581))

### Features

- **gatsby-telemetry:** add exitCode to `BUILD_END` event ([#17847](https://github.com/gatsbyjs/gatsby/issues/17847)) ([6ab4de6](https://github.com/gatsbyjs/gatsby/commit/6ab4de6))

## [2.15.22](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.15.21...gatsby@2.15.22) (2019-09-24)

### Bug Fixes

- update dependency react-hot-loader to ^4.12.14 ([#17817](https://github.com/gatsbyjs/gatsby/issues/17817)) ([9e9dc3b](https://github.com/gatsbyjs/gatsby/commit/9e9dc3b))

## [2.15.21](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.15.20...gatsby@2.15.21) (2019-09-23)

### Bug Fixes

- update dependency is-wsl to ^2.1.1 ([#17815](https://github.com/gatsbyjs/gatsby/issues/17815)) ([1287648](https://github.com/gatsbyjs/gatsby/commit/1287648))

## [2.15.20](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.15.19...gatsby@2.15.20) (2019-09-20)

### Bug Fixes

- **gatsby:** add timeout so fetching API info doesn't fail on very slow connections ([#17735](https://github.com/gatsbyjs/gatsby/issues/17735)) ([e85278c](https://github.com/gatsbyjs/gatsby/commit/e85278c))
- update dependency eslint-plugin-graphql to ^3.1.0 ([#17775](https://github.com/gatsbyjs/gatsby/issues/17775)) ([5f4db21](https://github.com/gatsbyjs/gatsby/commit/5f4db21))
- update dependency socket.io to ^2.3.0 ([#17760](https://github.com/gatsbyjs/gatsby/issues/17760)) ([1ef5053](https://github.com/gatsbyjs/gatsby/commit/1ef5053))

## [2.15.19](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.15.18...gatsby@2.15.19) (2019-09-20)

### Bug Fixes

- **gatsby:** support `export { X as default }` syntax when checking if page template files have default export ([#17752](https://github.com/gatsbyjs/gatsby/issues/17752)) ([b785583](https://github.com/gatsbyjs/gatsby/commit/b785583))

## [2.15.18](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.15.17...gatsby@2.15.18) (2019-09-18)

**Note:** Version bump only for package gatsby

## [2.15.17](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.15.16...gatsby@2.15.17) (2019-09-18)

### Bug Fixes

- update dependency webpack-dev-server to ^3.8.1 ([#17669](https://github.com/gatsbyjs/gatsby/issues/17669)) ([97f328c](https://github.com/gatsbyjs/gatsby/commit/97f328c))

## [2.15.16](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.15.15...gatsby@2.15.16) (2019-09-16)

### Bug Fixes

- update dependency @babel/parser to ^7.6.0 ([#17620](https://github.com/gatsbyjs/gatsby/issues/17620)) ([2d942ed](https://github.com/gatsbyjs/gatsby/commit/2d942ed))

## [2.15.15](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.15.14...gatsby@2.15.15) (2019-09-13)

### Bug Fixes

- update dependency react-hot-loader to ^4.12.13 ([#17580](https://github.com/gatsbyjs/gatsby/issues/17580)) ([d43d2be](https://github.com/gatsbyjs/gatsby/commit/d43d2be))
- update minor updates in packages except react, babel and eslint ([#17601](https://github.com/gatsbyjs/gatsby/issues/17601)) ([588cd8f](https://github.com/gatsbyjs/gatsby/commit/588cd8f))

## [2.15.14](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.15.13...gatsby@2.15.14) (2019-09-10)

**Note:** Version bump only for package gatsby

## [2.15.13](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.15.12...gatsby@2.15.13) (2019-09-09)

### Bug Fixes

- **gatsby:** fix node internal validation ([#17511](https://github.com/gatsbyjs/gatsby/issues/17511)) ([97a720d](https://github.com/gatsbyjs/gatsby/commit/97a720d))

## [2.15.12](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.15.11...gatsby@2.15.12) (2019-09-09)

### Bug Fixes

- **gatsby:** move default-site-plugin lower than plugin page-creation ([#17409](https://github.com/gatsbyjs/gatsby/issues/17409)) ([4af8a59](https://github.com/gatsbyjs/gatsby/commit/4af8a59))

## [2.15.11](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.15.10...gatsby@2.15.11) (2019-09-09)

### Bug Fixes

- **gatsby:** Allow overriding options for default instance of gatsby-plugin-page-creator ([#17420](https://github.com/gatsbyjs/gatsby/issues/17420)) ([9bdeda4](https://github.com/gatsbyjs/gatsby/commit/9bdeda4))

## [2.15.10](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.15.9...gatsby@2.15.10) (2019-09-09)

### Bug Fixes

- **gatsby:** fix mapping stack trace to source file after dependency upgrade ([#17445](https://github.com/gatsbyjs/gatsby/issues/17445)) ([f38d8c7](https://github.com/gatsbyjs/gatsby/commit/f38d8c7))
- **gatsby:** Handle Windows drive letter casing correctly ([#17492](https://github.com/gatsbyjs/gatsby/issues/17492)) ([beddfb8](https://github.com/gatsbyjs/gatsby/commit/beddfb8))
- **gatsby:** Use concrete type resolver on interface fields ([#17284](https://github.com/gatsbyjs/gatsby/issues/17284)) ([fd72133](https://github.com/gatsbyjs/gatsby/commit/fd72133))

## [2.15.9](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.15.8...gatsby@2.15.9) (2019-09-05)

**Note:** Version bump only for package gatsby

## [2.15.8](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.15.7...gatsby@2.15.8) (2019-09-05)

### Bug Fixes

- **gatsby:** order matchpaths paths by specificity ([#17411](https://github.com/gatsbyjs/gatsby/issues/17411)) ([2968413](https://github.com/gatsbyjs/gatsby/commit/2968413))

## [2.15.7](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.15.6...gatsby@2.15.7) (2019-09-04)

**Note:** Version bump only for package gatsby

## [2.15.6](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.15.5...gatsby@2.15.6) (2019-09-04)

### Features

- **gatsby:** enable page-creator on all themes ([#16698](https://github.com/gatsbyjs/gatsby/issues/16698)) ([7398da4](https://github.com/gatsbyjs/gatsby/commit/7398da4))

## [2.15.5](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.15.4...gatsby@2.15.5) (2019-09-03)

### Bug Fixes

- update dependency webpack-dev-middleware to ^3.7.1 ([#17343](https://github.com/gatsbyjs/gatsby/issues/17343)) ([a578f4e](https://github.com/gatsbyjs/gatsby/commit/a578f4e))

## [2.15.4](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.15.3...gatsby@2.15.4) (2019-09-03)

**Note:** Version bump only for package gatsby

## [2.15.3](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.15.2...gatsby@2.15.3) (2019-09-02)

**Note:** Version bump only for package gatsby

## [2.15.2](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.15.1...gatsby@2.15.2) (2019-09-01)

### Bug Fixes

- **gatsby:** fix an infinite loop in node child collection ([#17078](https://github.com/gatsbyjs/gatsby/issues/17078)) ([240b4f8](https://github.com/gatsbyjs/gatsby/commit/240b4f8))
- **gatsby-cli:** Open Lan URL if Windows ([#16769](https://github.com/gatsbyjs/gatsby/issues/16769)) ([b2a2d6b](https://github.com/gatsbyjs/gatsby/commit/b2a2d6b))
- update minor updates in packages except react, babel and eslint ([#17254](https://github.com/gatsbyjs/gatsby/issues/17254)) ([252d867](https://github.com/gatsbyjs/gatsby/commit/252d867))

## [2.15.1](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.15.0...gatsby@2.15.1) (2019-08-30)

**Note:** Version bump only for package gatsby

# [2.15.0](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.14.7...gatsby@2.15.0) (2019-08-30)

### Features

- **gatsby:** Materialization ([#16091](https://github.com/gatsbyjs/gatsby/issues/16091)) ([ac10d3d](https://github.com/gatsbyjs/gatsby/commit/ac10d3d))

## [2.14.7](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.14.6...gatsby@2.14.7) (2019-08-30)

**Note:** Version bump only for package gatsby

## [2.14.6](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.14.5...gatsby@2.14.6) (2019-08-29)

**Note:** Version bump only for package gatsby

## [2.14.5](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.14.4...gatsby@2.14.5) (2019-08-29)

### Bug Fixes

- update minor updates in packages except react, babel and eslint ([#17178](https://github.com/gatsbyjs/gatsby/issues/17178)) ([77dad68](https://github.com/gatsbyjs/gatsby/commit/77dad68))

## [2.14.4](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.14.3...gatsby@2.14.4) (2019-08-29)

### Bug Fixes

- **gatsby:** revert redirects map to array ([#17168](https://github.com/gatsbyjs/gatsby/issues/17168)) ([b553891](https://github.com/gatsbyjs/gatsby/commit/b553891))

## [2.14.3](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.14.2...gatsby@2.14.3) (2019-08-29)

### Bug Fixes

- update dependency react-hot-loader to ^4.12.12 ([#17103](https://github.com/gatsbyjs/gatsby/issues/17103)) ([41f60b7](https://github.com/gatsbyjs/gatsby/commit/41f60b7))

## [2.14.2](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.14.1...gatsby@2.14.2) (2019-08-28)

### Bug Fixes

- **gatsby:** Release stdio streams when exiting `gatsby develop` ([#16714](https://github.com/gatsbyjs/gatsby/issues/16714)) ([280cf7f](https://github.com/gatsbyjs/gatsby/commit/280cf7f))

## [2.14.1](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.14.0...gatsby@2.14.1) (2019-08-28)

**Note:** Version bump only for package gatsby

# [2.14.0](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.83...gatsby@2.14.0) (2019-08-26)

### Bug Fixes

- update dependency address to v1.1.2 ([#17083](https://github.com/gatsbyjs/gatsby/issues/17083)) ([1f9664a](https://github.com/gatsbyjs/gatsby/commit/1f9664a))

### Features

- **gatsby:** add better splitchunks config ([#17093](https://github.com/gatsbyjs/gatsby/issues/17093)) ([fc93b7b](https://github.com/gatsbyjs/gatsby/commit/fc93b7b))

## [2.13.83](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.82...gatsby@2.13.83) (2019-08-25)

### Bug Fixes

- update dependency babel-eslint to ^10.0.3 ([#17071](https://github.com/gatsbyjs/gatsby/issues/17071)) ([28a7daf](https://github.com/gatsbyjs/gatsby/commit/28a7daf))

## [2.13.82](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.81...gatsby@2.13.82) (2019-08-24)

### Bug Fixes

- update dependency del to v5 ([#17026](https://github.com/gatsbyjs/gatsby/issues/17026)) ([47b2d86](https://github.com/gatsbyjs/gatsby/commit/47b2d86))

## [2.13.81](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.80...gatsby@2.13.81) (2019-08-24)

### Bug Fixes

- update dependency dotenv to v8 ([#17027](https://github.com/gatsbyjs/gatsby/issues/17027)) ([f92295e](https://github.com/gatsbyjs/gatsby/commit/f92295e))
- update dependency fs-extra to v8 ([#17031](https://github.com/gatsbyjs/gatsby/issues/17031)) ([d891a19](https://github.com/gatsbyjs/gatsby/commit/d891a19))
- update dependency is-relative-url to v3 ([#17038](https://github.com/gatsbyjs/gatsby/issues/17038)) ([ff9ae84](https://github.com/gatsbyjs/gatsby/commit/ff9ae84))
- update dependency is-wsl to v2 ([#17039](https://github.com/gatsbyjs/gatsby/issues/17039)) ([bfed424](https://github.com/gatsbyjs/gatsby/commit/bfed424))
- update dependency jest-worker to v24 ([#17040](https://github.com/gatsbyjs/gatsby/issues/17040)) ([bd089a4](https://github.com/gatsbyjs/gatsby/commit/bd089a4))
- update dependency slash to v3 ([#17019](https://github.com/gatsbyjs/gatsby/issues/17019)) ([c81f45c](https://github.com/gatsbyjs/gatsby/commit/c81f45c))

## [2.13.80](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.79...gatsby@2.13.80) (2019-08-23)

### Bug Fixes

- update dependency @gatsbyjs/relay-compiler to v2.0.0-prin… ([#16986](https://github.com/gatsbyjs/gatsby/issues/16986)) ([25f0318](https://github.com/gatsbyjs/gatsby/commit/25f0318))

## [2.13.79](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.78...gatsby@2.13.79) (2019-08-23)

### Bug Fixes

- update dependency chokidar to v3 ([#16975](https://github.com/gatsbyjs/gatsby/issues/16975)) ([816d475](https://github.com/gatsbyjs/gatsby/commit/816d475))

## [2.13.78](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.77...gatsby@2.13.78) (2019-08-23)

### Bug Fixes

- **gatsby:** update check for default exports ([#16979](https://github.com/gatsbyjs/gatsby/issues/16979)) ([d16474d](https://github.com/gatsbyjs/gatsby/commit/d16474d))

## [2.13.77](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.76...gatsby@2.13.77) (2019-08-23)

### Bug Fixes

- update minor updates in packages except react, babel and… ([#16960](https://github.com/gatsbyjs/gatsby/issues/16960)) ([d6bd515](https://github.com/gatsbyjs/gatsby/commit/d6bd515))

## [2.13.76](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.75...gatsby@2.13.76) (2019-08-22)

### Bug Fixes

- update minor updates in packages except react, babel and… ([#16948](https://github.com/gatsbyjs/gatsby/issues/16948)) ([1c34c9b](https://github.com/gatsbyjs/gatsby/commit/1c34c9b))
- **gatsby:** Remove deprecation warning from express-graphql ([#16956](https://github.com/gatsbyjs/gatsby/issues/16956)) ([58ed3ca](https://github.com/gatsbyjs/gatsby/commit/58ed3ca))

## [2.13.75](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.74...gatsby@2.13.75) (2019-08-22)

**Note:** Version bump only for package gatsby

## [2.13.74](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.73...gatsby@2.13.74) (2019-08-21)

### Bug Fixes

- update dependency bluebird to ^3.5.5 ([#16825](https://github.com/gatsbyjs/gatsby/issues/16825)) ([ec0be83](https://github.com/gatsbyjs/gatsby/commit/ec0be83))
- update dependency cache-manager to ^2.10.0 ([#16828](https://github.com/gatsbyjs/gatsby/issues/16828)) ([917a1a7](https://github.com/gatsbyjs/gatsby/commit/917a1a7))
- update dependency chalk to ^2.4.2 ([#16830](https://github.com/gatsbyjs/gatsby/issues/16830)) ([3c89607](https://github.com/gatsbyjs/gatsby/commit/3c89607))
- update dependency common-tags to ^1.8.0 ([#16834](https://github.com/gatsbyjs/gatsby/issues/16834)) ([8ed5197](https://github.com/gatsbyjs/gatsby/commit/8ed5197))
- update dependency core-js to ^2.6.9 ([#16839](https://github.com/gatsbyjs/gatsby/issues/16839)) ([e1860c0](https://github.com/gatsbyjs/gatsby/commit/e1860c0))
- update dependency css-loader to ^1.0.1 ([#16858](https://github.com/gatsbyjs/gatsby/issues/16858)) ([2d3536f](https://github.com/gatsbyjs/gatsby/commit/2d3536f))
- update dependency debug to ^3.2.6 ([#16859](https://github.com/gatsbyjs/gatsby/issues/16859)) ([697f76b](https://github.com/gatsbyjs/gatsby/commit/697f76b))
- update dependency detect-port to ^1.3.0 ([#16860](https://github.com/gatsbyjs/gatsby/issues/16860)) ([d4246d8](https://github.com/gatsbyjs/gatsby/commit/d4246d8))
- update dependency eslint to ^5.16.0 ([#16862](https://github.com/gatsbyjs/gatsby/issues/16862)) ([e3b306c](https://github.com/gatsbyjs/gatsby/commit/e3b306c))
- update dependency eslint-loader to ^2.2.1 ([#16864](https://github.com/gatsbyjs/gatsby/issues/16864)) ([7c7c79c](https://github.com/gatsbyjs/gatsby/commit/7c7c79c))
- update dependency eslint-plugin-flowtype to ^2.50.3 ([#16866](https://github.com/gatsbyjs/gatsby/issues/16866)) ([aeaa141](https://github.com/gatsbyjs/gatsby/commit/aeaa141))
- update dependency eslint-plugin-import to ^2.18.2 ([#16867](https://github.com/gatsbyjs/gatsby/issues/16867)) ([aed2414](https://github.com/gatsbyjs/gatsby/commit/aed2414))
- update dependency eslint-plugin-jsx-a11y to ^6.2.3 ([#16868](https://github.com/gatsbyjs/gatsby/issues/16868)) ([a6a1d4f](https://github.com/gatsbyjs/gatsby/commit/a6a1d4f))
- update dependency eslint-plugin-react to ^7.14.3 ([#16869](https://github.com/gatsbyjs/gatsby/issues/16869)) ([6864ef6](https://github.com/gatsbyjs/gatsby/commit/6864ef6))
- update dependency event-source-polyfill to ^1.0.8 ([#16870](https://github.com/gatsbyjs/gatsby/issues/16870)) ([1430af5](https://github.com/gatsbyjs/gatsby/commit/1430af5))
- **gatsby:** Fix tracing so that everything happens under one span ([#16893](https://github.com/gatsbyjs/gatsby/issues/16893)) ([f8cae16](https://github.com/gatsbyjs/gatsby/commit/f8cae16))
- **gatsby:** Use publicLoader in production-app ([#16800](https://github.com/gatsbyjs/gatsby/issues/16800)) ([4ea8cb1](https://github.com/gatsbyjs/gatsby/commit/4ea8cb1))
- update dependency express to ^4.17.1 ([#16872](https://github.com/gatsbyjs/gatsby/issues/16872)) ([b0ae41e](https://github.com/gatsbyjs/gatsby/commit/b0ae41e))
- update dependency express-graphql to ^0.9.0 ([#16873](https://github.com/gatsbyjs/gatsby/issues/16873)) ([9e16547](https://github.com/gatsbyjs/gatsby/commit/9e16547))
- update dependency flat to ^4.1.0 ([#16875](https://github.com/gatsbyjs/gatsby/issues/16875)) ([19e5b30](https://github.com/gatsbyjs/gatsby/commit/19e5b30))
- update dependency got to v8.3.2 ([#16881](https://github.com/gatsbyjs/gatsby/issues/16881)) ([ac583b1](https://github.com/gatsbyjs/gatsby/commit/ac583b1))
- update dependency graphql-compose to ^6.3.5 ([#16882](https://github.com/gatsbyjs/gatsby/issues/16882)) ([10ec53b](https://github.com/gatsbyjs/gatsby/commit/10ec53b))

### Features

- **gatsby:** Bumps eslint-config-react-app 4.x ([#16168](https://github.com/gatsbyjs/gatsby/issues/16168)) ([1bbce27](https://github.com/gatsbyjs/gatsby/commit/1bbce27))

## [2.13.73](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.72...gatsby@2.13.73) (2019-08-21)

### Bug Fixes

- update dependency babel-plugin-add-module-exports to ^0.3.3([#16810](https://github.com/gatsbyjs/gatsby/issues/16810)) ([6378994](https://github.com/gatsbyjs/gatsby/commit/6378994))
- update dependency better-queue to ^3.8.10 ([#16824](https://github.com/gatsbyjs/gatsby/issues/16824)) ([6834344](https://github.com/gatsbyjs/gatsby/commit/6834344))
- update dependency cache-manager-fs-hash to ^0.0.7 ([#16829](https://github.com/gatsbyjs/gatsby/issues/16829)) ([3ceb6db](https://github.com/gatsbyjs/gatsby/commit/3ceb6db))
- update dependency chokidar to v2.1.6 ([#16832](https://github.com/gatsbyjs/gatsby/issues/16832)) ([dbcf65f](https://github.com/gatsbyjs/gatsby/commit/dbcf65f))
- update dependency compression to ^1.7.4 ([#16836](https://github.com/gatsbyjs/gatsby/issues/16836)) ([2e60499](https://github.com/gatsbyjs/gatsby/commit/2e60499))

## [2.13.72](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.71...gatsby@2.13.72) (2019-08-20)

### Bug Fixes

- update dependency [@hapi](https://github.com/hapi)/joi to ^15.1.1 ([#16796](https://github.com/gatsbyjs/gatsby/issues/16796)) ([2cfc19c](https://github.com/gatsbyjs/gatsby/commit/2cfc19c))
- update dependency [@reach](https://github.com/reach)/router to ^1.2.1 ([#16797](https://github.com/gatsbyjs/gatsby/issues/16797)) ([f3554bc](https://github.com/gatsbyjs/gatsby/commit/f3554bc))
- update dependency address to v1.1.0 ([#16802](https://github.com/gatsbyjs/gatsby/issues/16802)) ([503f1b3](https://github.com/gatsbyjs/gatsby/commit/503f1b3))
- update dependency autoprefixer to ^9.6.1 ([#16807](https://github.com/gatsbyjs/gatsby/issues/16807)) ([780c62a](https://github.com/gatsbyjs/gatsby/commit/780c62a))

## [2.13.71](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.70...gatsby@2.13.71) (2019-08-20)

### Bug Fixes

- **gatsby:** keep all page-data files in public ([#16766](https://github.com/gatsbyjs/gatsby/issues/16766)) ([a573f9f](https://github.com/gatsbyjs/gatsby/commit/a573f9f))

## [2.13.70](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.69...gatsby@2.13.70) (2019-08-20)

### Features

- **gatsby:** Add meta tag for development ([#16743](https://github.com/gatsbyjs/gatsby/issues/16743)) ([d0e24d2](https://github.com/gatsbyjs/gatsby/commit/d0e24d2))

## [2.13.69](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.68...gatsby@2.13.69) (2019-08-20)

### Bug Fixes

- **telemetry:** only look at websocket updates when we have active clients. ([#16750](https://github.com/gatsbyjs/gatsby/issues/16750)) ([164cd5b](https://github.com/gatsbyjs/gatsby/commit/164cd5b))

## [2.13.68](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.67...gatsby@2.13.68) (2019-08-19)

### Bug Fixes

- **gatsby:** remove finally to enable ie11 + firefox support ([#16734](https://github.com/gatsbyjs/gatsby/issues/16734)) ([a4c97e3](https://github.com/gatsbyjs/gatsby/commit/a4c97e3))

### Features

- **gatsby:** Allow specifying type on link extension ([#16680](https://github.com/gatsbyjs/gatsby/issues/16680)) ([f9bbb55](https://github.com/gatsbyjs/gatsby/commit/f9bbb55))

## [2.13.67](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.66...gatsby@2.13.67) (2019-08-16)

**Note:** Version bump only for package gatsby

## [2.13.66](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.65...gatsby@2.13.66) (2019-08-16)

### Bug Fixes

- **gatsby:** don't break if an ancestor directory is inaccessible ([#15876](https://github.com/gatsbyjs/gatsby/issues/15876)) ([cac4246](https://github.com/gatsbyjs/gatsby/commit/cac4246))

## [2.13.65](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.64...gatsby@2.13.65) (2019-08-16)

### Bug Fixes

- **gatsby:** Set default for modulesThatUseGatsby ([#16657](https://github.com/gatsbyjs/gatsby/issues/16657)) ([278ff98](https://github.com/gatsbyjs/gatsby/commit/278ff98))

## [2.13.64](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.63...gatsby@2.13.64) (2019-08-15)

### Bug Fixes

- **gatsby:** adjust regex to handle MODULE_NOT_FOUND errors thrown by Bazel ([#16573](https://github.com/gatsbyjs/gatsby/issues/16573)) ([ee19535](https://github.com/gatsbyjs/gatsby/commit/ee19535))

## [2.13.63](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.62...gatsby@2.13.63) (2019-08-14)

### Bug Fixes

- **gatsby:** Set CORS to \* in serve ([#14483](https://github.com/gatsbyjs/gatsby/issues/14483)) ([74959ab](https://github.com/gatsbyjs/gatsby/commit/74959ab))
- **gatsby:** Use anonymous requests when fetching resources ([#14443](https://github.com/gatsbyjs/gatsby/issues/14443)) ([cdd800f](https://github.com/gatsbyjs/gatsby/commit/cdd800f)), closes [/github.com/gatsbyjs/gatsby/issues/14293#issue-448125073](https://github.com//github.com/gatsbyjs/gatsby/issues/14293/issues/issue-448125073) [#14293](https://github.com/gatsbyjs/gatsby/issues/14293)

## [2.13.62](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.61...gatsby@2.13.62) (2019-08-13)

### Bug Fixes

- **gatsby:** check if navigator.connection is defined ([#16572](https://github.com/gatsbyjs/gatsby/issues/16572)) ([8c54e5b](https://github.com/gatsbyjs/gatsby/commit/8c54e5b))
- **gatsby:** Don't show deprecation warning when adding childr… ([#16559](https://github.com/gatsbyjs/gatsby/issues/16559)) ([5c7a3e1](https://github.com/gatsbyjs/gatsby/commit/5c7a3e1))

## [2.13.61](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.60...gatsby@2.13.61) (2019-08-12)

### Features

- **gatsby-plugin-schema-snapshot:** First version ([#16561](https://github.com/gatsbyjs/gatsby/issues/16561)) ([9dd1070](https://github.com/gatsbyjs/gatsby/commit/9dd1070))

## [2.13.60](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.59...gatsby@2.13.60) (2019-08-12)

### Bug Fixes

- **gatsby:** improve hot-reloading for hooks ([#16546](https://github.com/gatsbyjs/gatsby/issues/16546)) ([8d66161](https://github.com/gatsbyjs/gatsby/commit/8d66161))

## [2.13.59](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.58...gatsby@2.13.59) (2019-08-12)

### Bug Fixes

- **gatsby:** remove page not found for client routes in develop ([#16301](https://github.com/gatsbyjs/gatsby/issues/16301)) ([69b808a](https://github.com/gatsbyjs/gatsby/commit/69b808a))

### Features

- **gatsby:** Allow proxying field values from nested fields ([#16149](https://github.com/gatsbyjs/gatsby/issues/16149)) ([d2128ab](https://github.com/gatsbyjs/gatsby/commit/d2128ab))

## [2.13.58](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.57...gatsby@2.13.58) (2019-08-11)

### Features

- **gatsby:** Display network url for GraphiQL when using -H ([#16530](https://github.com/gatsbyjs/gatsby/issues/16530)) ([44fd333](https://github.com/gatsbyjs/gatsby/commit/44fd333))
- **gatsby:** enable richer error handling for unknown APIs ([#16105](https://github.com/gatsbyjs/gatsby/issues/16105)) ([0adab13](https://github.com/gatsbyjs/gatsby/commit/0adab13))

## [2.13.57](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.56...gatsby@2.13.57) (2019-08-09)

**Note:** Version bump only for package gatsby

## [2.13.56](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.55...gatsby@2.13.56) (2019-08-09)

**Note:** Version bump only for package gatsby

## [2.13.55](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.54...gatsby@2.13.55) (2019-08-09)

### Bug Fixes

- **gatsby:** Make root plural fields non nullable ([#15321](https://github.com/gatsbyjs/gatsby/issues/15321)) ([2c79309](https://github.com/gatsbyjs/gatsby/commit/2c79309))
- **gatsby:** Reserve graphqljs internal directive names ([#16483](https://github.com/gatsbyjs/gatsby/issues/16483)) ([4032012](https://github.com/gatsbyjs/gatsby/commit/4032012))

### Features

- **gatsby:** Allow field extensions to register return types ([#16484](https://github.com/gatsbyjs/gatsby/issues/16484)) ([0df297b](https://github.com/gatsbyjs/gatsby/commit/0df297b))
- **gatsby:** Allow printing type definitions to file (schema lock-down) ([#16291](https://github.com/gatsbyjs/gatsby/issues/16291)) ([23a460a](https://github.com/gatsbyjs/gatsby/commit/23a460a))

## [2.13.54](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.53...gatsby@2.13.54) (2019-08-08)

### Bug Fixes

- **gatsby:** reevaluate page query if context modified via createPage ([#15404](https://github.com/gatsbyjs/gatsby/issues/15404)) ([ddddc68](https://github.com/gatsbyjs/gatsby/commit/ddddc68))

## [2.13.53](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.52...gatsby@2.13.53) (2019-08-08)

### Bug Fixes

- **gatsby-plugin-offline:** Change navigation handler logic ([#13502](https://github.com/gatsbyjs/gatsby/issues/13502)) ([504b077](https://github.com/gatsbyjs/gatsby/commit/504b077))

## [2.13.52](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.51...gatsby@2.13.52) (2019-08-06)

### Bug Fixes

- **gatsby:** Add findMatchPath to the default loader ([#16334](https://github.com/gatsbyjs/gatsby/issues/16334)) ([f6aa41e](https://github.com/gatsbyjs/gatsby/commit/f6aa41e))
- **gatsby:** always use publicLoader for window.\_\_\_loader ([#16122](https://github.com/gatsbyjs/gatsby/issues/16122)) ([afb3485](https://github.com/gatsbyjs/gatsby/commit/afb3485))
- **gatsby:** createSchemaCustomization typings ([#16369](https://github.com/gatsbyjs/gatsby/issues/16369)) ([ac48c51](https://github.com/gatsbyjs/gatsby/commit/ac48c51))

### Features

- **gatsby:** Allow custom resolver context ([#16359](https://github.com/gatsbyjs/gatsby/issues/16359)) ([142b8ff](https://github.com/gatsbyjs/gatsby/commit/142b8ff))

## [2.13.51](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.50...gatsby@2.13.51) (2019-08-05)

### Bug Fixes

- **gatsby:** Don't delete 404 page-data so we don't crash build ([#16354](https://github.com/gatsbyjs/gatsby/issues/16354)) ([a2855b3](https://github.com/gatsbyjs/gatsby/commit/a2855b3))
- **gatsby:** Prefer a user's shouldUpdateScroll over a plugin's ([#16328](https://github.com/gatsbyjs/gatsby/issues/16328)) ([f02f366](https://github.com/gatsbyjs/gatsby/commit/f02f366))

### Features

- **gatsby:** Allow all dateformat options as directive args ([#16335](https://github.com/gatsbyjs/gatsby/issues/16335)) ([1a02b85](https://github.com/gatsbyjs/gatsby/commit/1a02b85))

## [2.13.50](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.48...gatsby@2.13.50) (2019-08-01)

**Note:** Version bump only for package gatsby

## [2.13.48](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.47...gatsby@2.13.48) (2019-08-01)

**Note:** Version bump only for package gatsby

## [2.13.47](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.46...gatsby@2.13.47) (2019-08-01)

### Bug Fixes

- **gatsby:** Handle missing match-paths.json in serve ([#16246](https://github.com/gatsbyjs/gatsby/issues/16246)) ([d54de72](https://github.com/gatsbyjs/gatsby/commit/d54de72))

## [2.13.46](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.45...gatsby@2.13.46) (2019-08-01)

### Bug Fixes

- **gatsby:** Check if callSite exists in stack-trace-utils ([#16257](https://github.com/gatsbyjs/gatsby/issues/16257)) ([4a348b2](https://github.com/gatsbyjs/gatsby/commit/4a348b2))
- **gatsby:** Check if page exists before trying to get page data ([#16220](https://github.com/gatsbyjs/gatsby/issues/16220)) ([065a551](https://github.com/gatsbyjs/gatsby/commit/065a551))
- **gatsby:** Panic when root config is a function ([#16272](https://github.com/gatsbyjs/gatsby/issues/16272)) ([81ff489](https://github.com/gatsbyjs/gatsby/commit/81ff489))
- **gatsby:** use Set instead of Array in page-component state machine ([#15533](https://github.com/gatsbyjs/gatsby/issues/15533)) ([d5d7e5d](https://github.com/gatsbyjs/gatsby/commit/d5d7e5d))

## [2.13.45](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.44...gatsby@2.13.45) (2019-07-30)

### Bug Fixes

- **gatsby:** Add error message for field extension validation ([#16232](https://github.com/gatsbyjs/gatsby/issues/16232)) ([f64a9e0](https://github.com/gatsbyjs/gatsby/commit/f64a9e0))
- **gatsby:** Fix absent parents ([#16228](https://github.com/gatsbyjs/gatsby/issues/16228)) ([5330a21](https://github.com/gatsbyjs/gatsby/commit/5330a21))
- **gatsby:** Fix special case id:eq queries for abstract types ([#16114](https://github.com/gatsbyjs/gatsby/issues/16114)) ([6d8b663](https://github.com/gatsbyjs/gatsby/commit/6d8b663))
- **gatsby:** Respect infer extension in schema update ([#16110](https://github.com/gatsbyjs/gatsby/issues/16110)) ([ce56b9d](https://github.com/gatsbyjs/gatsby/commit/ce56b9d))

## [2.13.44](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.43...gatsby@2.13.44) (2019-07-30)

### Bug Fixes

- **gatsby:** enable babel.config.js once again ([#16205](https://github.com/gatsbyjs/gatsby/issues/16205)) ([d72b6d9](https://github.com/gatsbyjs/gatsby/commit/d72b6d9))
- **gatsby:** run onPrefetchPathname when prefetch is disabled ([#16208](https://github.com/gatsbyjs/gatsby/issues/16208)) ([da859c0](https://github.com/gatsbyjs/gatsby/commit/da859c0))

## [2.13.43](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.42...gatsby@2.13.43) (2019-07-30)

**Note:** Version bump only for package gatsby

## [2.13.42](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.41...gatsby@2.13.42) (2019-07-29)

**Note:** Version bump only for package gatsby

## [2.13.41](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.40...gatsby@2.13.41) (2019-07-25)

**Note:** Version bump only for package gatsby

## [2.13.40](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.39...gatsby@2.13.40) (2019-07-25)

**Note:** Version bump only for package gatsby

## [2.13.39](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.38...gatsby@2.13.39) (2019-07-24)

**Note:** Version bump only for package gatsby

## [2.13.38](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.37...gatsby@2.13.38) (2019-07-23)

### Bug Fixes

- **gatsby:** use joi validation result instead of payload ([#15379](https://github.com/gatsbyjs/gatsby/issues/15379)) ([5856fb7](https://github.com/gatsbyjs/gatsby/commit/5856fb7))

## [2.13.37](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.36...gatsby@2.13.37) (2019-07-23)

**Note:** Version bump only for package gatsby

## [2.13.36](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.35...gatsby@2.13.36) (2019-07-23)

### Features

- **gatsby:** Includes ts/tsx files to eslint rules ([#15976](https://github.com/gatsbyjs/gatsby/issues/15976)) ([6adcb9a](https://github.com/gatsbyjs/gatsby/commit/6adcb9a))

## [2.13.35](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.34...gatsby@2.13.35) (2019-07-23)

**Note:** Version bump only for package gatsby

## [2.13.34](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.33...gatsby@2.13.34) (2019-07-23)

### Bug Fixes

- **gatsby:** add jsdoc for matchPath on page Object ([#15749](https://github.com/gatsbyjs/gatsby/issues/15749)) ([5633fdb](https://github.com/gatsbyjs/gatsby/commit/5633fdb))
- **gatsby:** Add touchNode to populate typeOwners ([#15919](https://github.com/gatsbyjs/gatsby/issues/15919)) ([9d5026f](https://github.com/gatsbyjs/gatsby/commit/9d5026f))

## [2.13.33](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.32...gatsby@2.13.33) (2019-07-22)

### Bug Fixes

- **gatsby:** Use UTC dates in test ([#15895](https://github.com/gatsbyjs/gatsby/issues/15895)) ([6eb1b76](https://github.com/gatsbyjs/gatsby/commit/6eb1b76))

## [2.13.32](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.31...gatsby@2.13.32) (2019-07-20)

**Note:** Version bump only for package gatsby

## [2.13.31](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.30...gatsby@2.13.31) (2019-07-19)

**Note:** Version bump only for package gatsby

## [2.13.30](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.29...gatsby@2.13.30) (2019-07-19)

**Note:** Version bump only for package gatsby

## [2.13.29](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.28...gatsby@2.13.29) (2019-07-19)

**Note:** Version bump only for package gatsby

## [2.13.28](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.27...gatsby@2.13.28) (2019-07-18)

### Bug Fixes

- **gatsby:** 404 page when using path-prefix ([#15858](https://github.com/gatsbyjs/gatsby/issues/15858)) ([51886a3](https://github.com/gatsbyjs/gatsby/commit/51886a3))
- **gatsby:** Make intermediate schema available to createResolvers API ([#15838](https://github.com/gatsbyjs/gatsby/issues/15838)) ([055a1b0](https://github.com/gatsbyjs/gatsby/commit/055a1b0))

### Features

- **gatsby:** Allow explicitly defining parent-child relations with type extensions ([#15715](https://github.com/gatsbyjs/gatsby/issues/15715)) ([696106d](https://github.com/gatsbyjs/gatsby/commit/696106d))

## [2.13.27](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.26...gatsby@2.13.27) (2019-07-17)

### Bug Fixes

- **gatsby:** Hot reload package and theme queries ([#15739](https://github.com/gatsbyjs/gatsby/issues/15739)) ([1685a2b](https://github.com/gatsbyjs/gatsby/commit/1685a2b))
- **gatsby:** Track nodes when mutated ([#15720](https://github.com/gatsbyjs/gatsby/issues/15720)) ([f939f6c](https://github.com/gatsbyjs/gatsby/commit/f939f6c))

## [2.13.26](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.25...gatsby@2.13.26) (2019-07-17)

### Bug Fixes

- **docs:** Don’t include example code in API docs that doesn’t work ([#15803](https://github.com/gatsbyjs/gatsby/issues/15803)) ([044eea5](https://github.com/gatsbyjs/gatsby/commit/044eea5))

### Features

- **gatsby:** pass webhook data to sourceNodes functions ([#15564](https://github.com/gatsbyjs/gatsby/issues/15564)) ([dd130f1](https://github.com/gatsbyjs/gatsby/commit/dd130f1))

## [2.13.25](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.24...gatsby@2.13.25) (2019-07-16)

### Bug Fixes

- **gatsby:** fix matchpath prioritisation ([#15762](https://github.com/gatsbyjs/gatsby/issues/15762)) ([a1ab8bc](https://github.com/gatsbyjs/gatsby/commit/a1ab8bc))

## [2.13.24](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.23...gatsby@2.13.24) (2019-07-16)

### Bug Fixes

- **gatsby:** Fix import on cache-dir/gatsby-browser-entry.js ([#15735](https://github.com/gatsbyjs/gatsby/issues/15735)) ([4b206c3](https://github.com/gatsbyjs/gatsby/commit/4b206c3)), closes [/github.com/gatsbyjs/gatsby/blob/2d27d7d42112fcbeb13cd52fa9fe0d46b1764d13/packages/gatsby/cache-dir/loader.js#L355](https://github.com//github.com/gatsbyjs/gatsby/blob/2d27d7d42112fcbeb13cd52fa9fe0d46b1764d13/packages/gatsby/cache-dir/loader.js/issues/L355)

## [2.13.23](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.22...gatsby@2.13.23) (2019-07-15)

### Features

- **gatsby:** Refine typing on createPage ([#15723](https://github.com/gatsbyjs/gatsby/issues/15723)) ([65d5181](https://github.com/gatsbyjs/gatsby/commit/65d5181))

## [2.13.22](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.21...gatsby@2.13.22) (2019-07-15)

### Bug Fixes

- **gatsby:** Add NodeInput for createNode function types ([#14537](https://github.com/gatsbyjs/gatsby/issues/14537)) ([1b549e8](https://github.com/gatsbyjs/gatsby/commit/1b549e8))

### Features

- **gatsby:** Add nodeInterface extension ([#15545](https://github.com/gatsbyjs/gatsby/issues/15545)) ([8c46237](https://github.com/gatsbyjs/gatsby/commit/8c46237))
- **gatsby:** add prefetchPathname the public api ([#13985](https://github.com/gatsbyjs/gatsby/issues/13985)) ([7173f96](https://github.com/gatsbyjs/gatsby/commit/7173f96))

## [2.13.21](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.20...gatsby@2.13.21) (2019-07-14)

### Features

- **gatsby:** Add enum and scalar type builders ([#15689](https://github.com/gatsbyjs/gatsby/issues/15689)) ([e12d79d](https://github.com/gatsbyjs/gatsby/commit/e12d79d))

## [2.13.20](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.19...gatsby@2.13.20) (2019-07-13)

**Note:** Version bump only for package gatsby

## [2.13.19](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.18...gatsby@2.13.19) (2019-07-12)

**Note:** Version bump only for package gatsby

## [2.13.18](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.17...gatsby@2.13.18) (2019-07-12)

**Note:** Version bump only for package gatsby

## [2.13.17](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.16...gatsby@2.13.17) (2019-07-12)

### Bug Fixes

- **gatsby:** blank dev-404-page when no custom 404 page found ([#15658](https://github.com/gatsbyjs/gatsby/issues/15658)) ([11e86a6](https://github.com/gatsbyjs/gatsby/commit/11e86a6))

## [2.13.16](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.15...gatsby@2.13.16) (2019-07-12)

### Bug Fixes

- **gatsby:** Make createPage action errors structured ([#15619](https://github.com/gatsbyjs/gatsby/issues/15619)) ([44654be](https://github.com/gatsbyjs/gatsby/commit/44654be))
- **svg:** don't try to use convertShapeToPath svgo optim ([#15636](https://github.com/gatsbyjs/gatsby/issues/15636)) ([4db78dc](https://github.com/gatsbyjs/gatsby/commit/4db78dc))

## [2.13.15](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.14...gatsby@2.13.15) (2019-07-11)

### Bug Fixes

- **gatsby:** handle `/404/`, `/404`, `404/` or `404` page paths ([#15615](https://github.com/gatsbyjs/gatsby/issues/15615)) ([482ea8d](https://github.com/gatsbyjs/gatsby/commit/482ea8d))

## [2.13.14](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.13...gatsby@2.13.14) (2019-07-11)

**Note:** Version bump only for package gatsby

## [2.13.13](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.12...gatsby@2.13.13) (2019-07-10)

### Bug Fixes

- don't break joi validation for production bundles webpack… ([#15602](https://github.com/gatsbyjs/gatsby/issues/15602)) ([4c50024](https://github.com/gatsbyjs/gatsby/commit/4c50024))
- don't break joi validation for unhandledRejections & apirunner ([#15600](https://github.com/gatsbyjs/gatsby/issues/15600)) ([14ba538](https://github.com/gatsbyjs/gatsby/commit/14ba538))

## [2.13.12](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.11...gatsby@2.13.12) (2019-07-10)

### Bug Fixes

- **gatsby:** Prefer nodes over inline objects in findRootNodeAncestor ([#14843](https://github.com/gatsbyjs/gatsby/issues/14843)) ([e18acb6](https://github.com/gatsbyjs/gatsby/commit/e18acb6))

### Features

- **gatsby:** Make builtin field extensions wrap resolvers ([#15515](https://github.com/gatsbyjs/gatsby/issues/15515)) ([c2edf6c](https://github.com/gatsbyjs/gatsby/commit/c2edf6c))

## [2.13.11](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.10...gatsby@2.13.11) (2019-07-09)

### Bug Fixes

- support unicode paths ([#15552](https://github.com/gatsbyjs/gatsby/issues/15552)) ([f3b9912](https://github.com/gatsbyjs/gatsby/commit/f3b9912))

## [2.13.10](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.9...gatsby@2.13.10) (2019-07-09)

### Bug Fixes

- **gatsby:** restore client-only-paths behaviour ([#15457](https://github.com/gatsbyjs/gatsby/issues/15457)) ([0ffbe59](https://github.com/gatsbyjs/gatsby/commit/0ffbe59))

## [2.13.9](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.8...gatsby@2.13.9) (2019-07-08)

### Bug Fixes

- **gatsby:** support for yarn workspaces in gatsby-dependents ([#15517](https://github.com/gatsbyjs/gatsby/issues/15517)) ([3b5e41b](https://github.com/gatsbyjs/gatsby/commit/3b5e41b))

## [2.13.8](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.7...gatsby@2.13.8) (2019-07-08)

### Bug Fixes

- **gatsby:** speed up and lower memory of createPages ([#15503](https://github.com/gatsbyjs/gatsby/issues/15503)) ([0ffa8bc](https://github.com/gatsbyjs/gatsby/commit/0ffa8bc))

## [2.13.7](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.6...gatsby@2.13.7) (2019-07-07)

### Bug Fixes

- **gatsby:** bump `react-hot-loader` version to fix regression… ([#15485](https://github.com/gatsbyjs/gatsby/issues/15485)) ([02eaaa4](https://github.com/gatsbyjs/gatsby/commit/02eaaa4))
- **gatsby:** Exclude node_modules when depth > 1 ([#15442](https://github.com/gatsbyjs/gatsby/issues/15442)) ([ba0c3cb](https://github.com/gatsbyjs/gatsby/commit/ba0c3cb))

## [2.13.6](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.5...gatsby@2.13.6) (2019-07-06)

### Bug Fixes

- **gatsby:** parse pageData response when contentType is not s… ([#15410](https://github.com/gatsbyjs/gatsby/issues/15410)) ([8bf80be](https://github.com/gatsbyjs/gatsby/commit/8bf80be))

## [2.13.5](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.4...gatsby@2.13.5) (2019-07-06)

### Bug Fixes

- **PnP:** updates the test to account for the property name ch… ([#15463](https://github.com/gatsbyjs/gatsby/issues/15463)) ([f657474](https://github.com/gatsbyjs/gatsby/commit/f657474))

## [2.13.4](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.3...gatsby@2.13.4) (2019-07-05)

**Note:** Version bump only for package gatsby

## [2.13.3](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.2...gatsby@2.13.3) (2019-07-03)

### Bug Fixes

- **gatsby:** regression ~ show non structured grapqhl errors ([#15352](https://github.com/gatsbyjs/gatsby/issues/15352)) ([a364c3d](https://github.com/gatsbyjs/gatsby/commit/a364c3d))

## [2.13.2](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.13.1...gatsby@2.13.2) (2019-07-03)

### Bug Fixes

- **gatsby:** fix not focusing router wrapper after navigation ([#13197](https://github.com/gatsbyjs/gatsby/issues/13197)) ([b8e2adc](https://github.com/gatsbyjs/gatsby/commit/b8e2adc))

## [2.13.1](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.12.1...gatsby@2.13.1) (2019-07-02)

### Bug Fixes

- **gatsby:** Default to empty arrays in load-themes ([#15331](https://github.com/gatsbyjs/gatsby/issues/15331)) ([6366914](https://github.com/gatsbyjs/gatsby/commit/6366914))

### Features

- **gatsby:** Make \_\_experimentalThemes part of plugin APIs ([#15144](https://github.com/gatsbyjs/gatsby/issues/15144)) ([3dce8cb](https://github.com/gatsbyjs/gatsby/commit/3dce8cb))

## [2.12.2](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.12.1...gatsby@2.12.2) (2019-07-02)

### Bug Fixes

- **gatsby:** Default to empty arrays in load-themes ([#15331](https://github.com/gatsbyjs/gatsby/issues/15331)) ([6366914](https://github.com/gatsbyjs/gatsby/commit/6366914))

### Features

- **gatsby:** Make \_\_experimentalThemes part of plugin APIs ([#15144](https://github.com/gatsbyjs/gatsby/issues/15144)) ([3dce8cb](https://github.com/gatsbyjs/gatsby/commit/3dce8cb))

## [2.12.1](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.12.0...gatsby@2.12.1) (2019-07-02)

### Bug Fixes

- **gatsby:** adds the missing micromatch dependency ([#15310](https://github.com/gatsbyjs/gatsby/issues/15310)) ([5f66f21](https://github.com/gatsbyjs/gatsby/commit/5f66f21))
- **gatsby:** Exclude gatsby itself in gatsby-dependents ([#15318](https://github.com/gatsbyjs/gatsby/issues/15318)) ([25cd90e](https://github.com/gatsbyjs/gatsby/commit/25cd90e))
- **gatsby:** various TypeScript definitions ([#15268](https://github.com/gatsbyjs/gatsby/issues/15268)) ([b8f3ed5](https://github.com/gatsbyjs/gatsby/commit/b8f3ed5))
- **themes:** normalize plugin entries before merging plugin ar… ([#15307](https://github.com/gatsbyjs/gatsby/issues/15307)) ([300d331](https://github.com/gatsbyjs/gatsby/commit/300d331))

### Features

- **gatsby:** enable babel in deps ([#15284](https://github.com/gatsbyjs/gatsby/issues/15284)) ([4ea3fa1](https://github.com/gatsbyjs/gatsby/commit/4ea3fa1))
- **gatsby:** Refine typing on createPages’ graphql function ([#14575](https://github.com/gatsbyjs/gatsby/issues/14575)) ([5bedc01](https://github.com/gatsbyjs/gatsby/commit/5bedc01))
- **gatsby:** support symlinked directories ([#15295](https://github.com/gatsbyjs/gatsby/issues/15295)) ([54b417f](https://github.com/gatsbyjs/gatsby/commit/54b417f))
- **gatsby:** Switch to name based package filtering for speed ([#15308](https://github.com/gatsbyjs/gatsby/issues/15308)) ([b79e96a](https://github.com/gatsbyjs/gatsby/commit/b79e96a))

# [2.12.0](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.11.8...gatsby@2.12.0) (2019-07-02)

### Features

- **gatsby:** Allow adding custom field extensions ([#14610](https://github.com/gatsbyjs/gatsby/issues/14610)) ([4f9c790](https://github.com/gatsbyjs/gatsby/commit/4f9c790))

## [2.11.8](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.11.7...gatsby@2.11.8) (2019-07-02)

### Bug Fixes

- enable separate config for node_modules transpilation ([#15270](https://github.com/gatsbyjs/gatsby/issues/15270)) ([7e39a12](https://github.com/gatsbyjs/gatsby/commit/7e39a12))

### Features

- **gatsby:** Add gatsby-dependents util ([#15269](https://github.com/gatsbyjs/gatsby/issues/15269)) ([f55250e](https://github.com/gatsbyjs/gatsby/commit/f55250e))
- **gatsby:** Handle duplicated fragment definitions ([#15179](https://github.com/gatsbyjs/gatsby/issues/15179)) ([a92f6e1](https://github.com/gatsbyjs/gatsby/commit/a92f6e1))

## [2.11.7](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.11.6...gatsby@2.11.7) (2019-07-01)

### Bug Fixes

- **gatsby:** update tsc definition for some actions ([1adb7d5](https://github.com/gatsbyjs/gatsby/commit/1adb7d5))

## [2.11.6](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.11.5...gatsby@2.11.6) (2019-06-30)

### Bug Fixes

- pin terser-webpack-plugin ([#15253](https://github.com/gatsbyjs/gatsby/issues/15253)) ([62cdce2](https://github.com/gatsbyjs/gatsby/commit/62cdce2))

## [2.11.5](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.11.4...gatsby@2.11.5) (2019-06-29)

**Note:** Version bump only for package gatsby

## [2.11.4](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.11.3...gatsby@2.11.4) (2019-06-29)

**Note:** Version bump only for package gatsby

## [2.11.3](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.11.2...gatsby@2.11.3) (2019-06-28)

**Note:** Version bump only for package gatsby

## [2.11.2](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.11.1...gatsby@2.11.2) (2019-06-28)

### Features

- **gatsby-cli:** Add error codes and structured errors ([#14904](https://github.com/gatsbyjs/gatsby/issues/14904)) ([d26651e](https://github.com/gatsbyjs/gatsby/commit/d26651e))

## [2.11.1](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.11.0...gatsby@2.11.1) (2019-06-28)

### Features

- **gatsby:** Rewrite resource loading - retry mechanism ([#14889](https://github.com/gatsbyjs/gatsby/issues/14889)) ([68e15e7](https://github.com/gatsbyjs/gatsby/commit/68e15e7))

# [2.11.0](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.10.5...gatsby@2.11.0) (2019-06-27)

### Bug Fixes

- **gatsby:** update tsc definition of cache in NodePluginArgs ([#14955](https://github.com/gatsbyjs/gatsby/issues/14955)) ([65b42e9](https://github.com/gatsbyjs/gatsby/commit/65b42e9))

### Features

- **gatsby:** enable babel-loader for all dependencies ([#14111](https://github.com/gatsbyjs/gatsby/issues/14111)) ([268ed27](https://github.com/gatsbyjs/gatsby/commit/268ed27))
- **gatsby:** Support absolute certificate paths for developme… ([#14932](https://github.com/gatsbyjs/gatsby/issues/14932)) ([7694c0c](https://github.com/gatsbyjs/gatsby/commit/7694c0c))

## [2.10.5](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.10.4...gatsby@2.10.5) (2019-06-25)

**Note:** Version bump only for package gatsby

## [2.10.4](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.10.3...gatsby@2.10.4) (2019-06-24)

### Bug Fixes

- **gatsby:** Fix client side routing match paths regression ([#15010](https://github.com/gatsbyjs/gatsby/issues/15010)) ([f52bbac](https://github.com/gatsbyjs/gatsby/commit/f52bbac))

## [2.10.3](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.10.2...gatsby@2.10.3) (2019-06-24)

**Note:** Version bump only for package gatsby

## [2.10.2](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.10.1...gatsby@2.10.2) (2019-06-24)

**Note:** Version bump only for package gatsby

## [2.10.1](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.10.0...gatsby@2.10.1) (2019-06-24)

**Note:** Version bump only for package gatsby

# [2.10.0](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.9.11...gatsby@2.10.0) (2019-06-20)

**Note:** Version bump only for package gatsby

## [2.9.11](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.9.10...gatsby@2.9.11) (2019-06-19)

### Bug Fixes

- **gatsby:** Normalize paths for run queries before caching ([#14910](https://github.com/gatsbyjs/gatsby/issues/14910)) ([f03bf5c](https://github.com/gatsbyjs/gatsby/commit/f03bf5c)), closes [#14903](https://github.com/gatsbyjs/gatsby/issues/14903)

## [2.9.10](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.9.9...gatsby@2.9.10) (2019-06-19)

**Note:** Version bump only for package gatsby

## [2.9.9](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.9.6...gatsby@2.9.9) (2019-06-19)

**Note:** Version bump only for package gatsby

## [2.9.8](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.9.7...gatsby@2.9.8) (2019-06-19)

**Note:** Version bump only for package gatsby

## [2.9.7](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.9.6...gatsby@2.9.7) (2019-06-18)

**Note:** Version bump only for package gatsby

## [2.9.6](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.9.5...gatsby@2.9.6) (2019-06-18)

**Note:** Version bump only for package gatsby

## [2.9.5](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.9.4...gatsby@2.9.5) (2019-06-18)

**Note:** Version bump only for package gatsby

## [2.9.4](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.9.2...gatsby@2.9.4) (2019-06-14)

### Bug Fixes

- **gatsby:** Move importing of match-paths.json outside of loader.js ([#14732](https://github.com/gatsbyjs/gatsby/issues/14732)) ([672e384](https://github.com/gatsbyjs/gatsby/commit/672e384))

## [2.9.3](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.9.2...gatsby@2.9.3) (2019-06-14)

### Bug Fixes

- **gatsby:** Move importing of match-paths.json outside of loader.js ([#14732](https://github.com/gatsbyjs/gatsby/issues/14732)) ([672e384](https://github.com/gatsbyjs/gatsby/commit/672e384))

## [2.9.2](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.9.0...gatsby@2.9.2) (2019-06-12)

### Bug Fixes

- **gatsby:** Fix group and distinct when used with fragments ([#14728](https://github.com/gatsbyjs/gatsby/issues/14728)) ([3a15873](https://github.com/gatsbyjs/gatsby/commit/3a15873))
- **gatsby:** Make createPageDependency public again ([#14679](https://github.com/gatsbyjs/gatsby/issues/14679)) ([9ff3ba7](https://github.com/gatsbyjs/gatsby/commit/9ff3ba7))

## [2.9.1](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.9.0...gatsby@2.9.1) (2019-06-12)

**Note:** Version bump only for package gatsby

# [2.9.0](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.8.8...gatsby@2.9.0) (2019-06-11)

**Note:** Version bump only for package gatsby

## [2.8.8](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.8.7...gatsby@2.8.8) (2019-06-10)

### Bug Fixes

- **react-hooks-support:** Changed the gatsby browser entry to not bre… ([#13184](https://github.com/gatsbyjs/gatsby/issues/13184)) ([f311698](https://github.com/gatsbyjs/gatsby/commit/f311698))

## [2.8.7](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.8.6...gatsby@2.8.7) (2019-06-10)

### Bug Fixes

- **gatsby:** Resolve group and distinct field ([#14625](https://github.com/gatsbyjs/gatsby/issues/14625)) ([0c3cba1](https://github.com/gatsbyjs/gatsby/commit/0c3cba1))

## [2.8.6](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.8.5...gatsby@2.8.6) (2019-06-07)

### Bug Fixes

- **gatsby:** respect the GATSBY_CPU_COUNT env var, if set, by default for sharp ([#14624](https://github.com/gatsbyjs/gatsby/issues/14624)) ([a812c5f](https://github.com/gatsbyjs/gatsby/commit/a812c5f))

## [2.8.5](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.8.4...gatsby@2.8.5) (2019-06-05)

**Note:** Version bump only for package gatsby

## [2.8.4](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.8.3...gatsby@2.8.4) (2019-06-05)

### Bug Fixes

- **themes:** Upgrade Tapable Calls ([#14552](https://github.com/gatsbyjs/gatsby/issues/14552)) ([9359098](https://github.com/gatsbyjs/gatsby/commit/9359098))

## [2.8.3](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.8.2...gatsby@2.8.3) (2019-06-04)

### Bug Fixes

- **gatsby:** autoprefixer browsers option warning ([#14533](https://github.com/gatsbyjs/gatsby/issues/14533)) ([cb09e78](https://github.com/gatsbyjs/gatsby/commit/cb09e78))

## [2.8.2](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.8.1...gatsby@2.8.2) (2019-05-31)

**Note:** Version bump only for package gatsby

## [2.8.1](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.8.0...gatsby@2.8.1) (2019-05-31)

**Note:** Version bump only for package gatsby

# [2.8.0](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.7.6...gatsby@2.8.0) (2019-05-31)

### Features

- **gatsby:** Allow sorting resolved fields ([#14423](https://github.com/gatsbyjs/gatsby/issues/14423)) ([461439a](https://github.com/gatsbyjs/gatsby/commit/461439a))

## [2.7.6](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.7.5...gatsby@2.7.6) (2019-05-31)

### Bug Fixes

- **gatsby:** Find identifiers only in the first argument when extracting queries from useStaticQuery ([#14362](https://github.com/gatsbyjs/gatsby/issues/14362)) ([524817a](https://github.com/gatsbyjs/gatsby/commit/524817a)), closes [#14345](https://github.com/gatsbyjs/gatsby/issues/14345)
- **schema:** Handle types wrapped in js array in createResolvers ([#14422](https://github.com/gatsbyjs/gatsby/issues/14422)) ([56647bc](https://github.com/gatsbyjs/gatsby/commit/56647bc))

## [2.7.5](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.7.4...gatsby@2.7.5) (2019-05-29)

**Note:** Version bump only for package gatsby

## [2.7.4](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.7.3...gatsby@2.7.4) (2019-05-29)

### Features

- **gatsby:** Add `ogv` support to webpack media rule ([#14365](https://github.com/gatsbyjs/gatsby/issues/14365)) ([6070279](https://github.com/gatsbyjs/gatsby/commit/6070279))

## [2.7.3](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.7.2...gatsby@2.7.3) (2019-05-27)

### Features

- **gatsby:** use graphiql-explorer ([#14280](https://github.com/gatsbyjs/gatsby/issues/14280)) ([3863f24](https://github.com/gatsbyjs/gatsby/commit/3863f24))

## [2.7.2](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.7.1...gatsby@2.7.2) (2019-05-27)

### Bug Fixes

- **gatsby:** send all responses from the proxy API to the client ([#14329](https://github.com/gatsbyjs/gatsby/issues/14329)) ([17b6ea0](https://github.com/gatsbyjs/gatsby/commit/17b6ea0))

## [2.7.1](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.7.0...gatsby@2.7.1) (2019-05-23)

### Bug Fixes

- **gatsby:** fix `gatsby develop` with Yarn PnP ([#14261](https://github.com/gatsbyjs/gatsby/issues/14261)) ([2870dfb](https://github.com/gatsbyjs/gatsby/commit/2870dfb))

# [2.7.0](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.6.4...gatsby@2.7.0) (2019-05-23)

### Features

- **schema:** Merge user-defined types with plugin-defined types ([#14116](https://github.com/gatsbyjs/gatsby/issues/14116)) ([321ae05](https://github.com/gatsbyjs/gatsby/commit/321ae05))

## [2.6.4](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.6.3...gatsby@2.6.4) (2019-05-23)

### Bug Fixes

- **gatsby:** improve `externals` webpack configuration to better support yarn PnP ([#14208](https://github.com/gatsbyjs/gatsby/issues/14208)) ([e47ed89](https://github.com/gatsbyjs/gatsby/commit/e47ed89))

## [2.6.3](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.6.2...gatsby@2.6.3) (2019-05-22)

### Bug Fixes

- **docs:** Updating Docs so CommonJS syntax with wrapPageElement works ([#14235](https://github.com/gatsbyjs/gatsby/issues/14235)) ([4f53fd5](https://github.com/gatsbyjs/gatsby/commit/4f53fd5))

## [2.6.2](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.6.1...gatsby@2.6.2) (2019-05-22)

**Note:** Version bump only for package gatsby

## [2.6.1](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.6.0...gatsby@2.6.1) (2019-05-22)

**Note:** Version bump only for package gatsby

# [2.6.0](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.5.7...gatsby@2.6.0) (2019-05-21)

**Note:** Version bump only for package gatsby

## [2.5.7](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.5.6...gatsby@2.5.7) (2019-05-20)

### Bug Fixes

- **themes:** package names don't have to match filesystem ([#14149](https://github.com/gatsbyjs/gatsby/issues/14149)) ([e4b27b3](https://github.com/gatsbyjs/gatsby/commit/e4b27b3)), closes [#14134](https://github.com/gatsbyjs/gatsby/issues/14134)

## [2.5.6](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.5.5...gatsby@2.5.6) (2019-05-20)

### Bug Fixes

- **develop:** fix "Unexpected token < in JSON at position 0" after restarting development server ([#14166](https://github.com/gatsbyjs/gatsby/issues/14166)) ([c63dbb8](https://github.com/gatsbyjs/gatsby/commit/c63dbb8))
- **gatsby:** Fix ordering for node links when search field isn't id ([#14176](https://github.com/gatsbyjs/gatsby/issues/14176)) ([eeb1f8c](https://github.com/gatsbyjs/gatsby/commit/eeb1f8c))

## [2.5.5](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.5.4...gatsby@2.5.5) (2019-05-18)

**Note:** Version bump only for package gatsby

## [2.5.4](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.5.3...gatsby@2.5.4) (2019-05-18)

### Features

- **gatsby-source-contentful:** add options validation and more detailed error messages ([#9231](https://github.com/gatsbyjs/gatsby/issues/9231)) ([68cb1a5](https://github.com/gatsbyjs/gatsby/commit/68cb1a5))

## [2.5.3](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.5.2...gatsby@2.5.3) (2019-05-17)

### Bug Fixes

- **gatsby:** include includePrerelease in semver.satisfies check ([#14118](https://github.com/gatsbyjs/gatsby/issues/14118)) ([20c2169](https://github.com/gatsbyjs/gatsby/commit/20c2169))

## [2.5.2](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.5.1...gatsby@2.5.2) (2019-05-17)

### Bug Fixes

- **gatsby:** fix hot-reloading for hooks (patch hmr) ([#13713](https://github.com/gatsbyjs/gatsby/issues/13713)) ([117fbb4](https://github.com/gatsbyjs/gatsby/commit/117fbb4))

## [2.5.1](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.5.0...gatsby@2.5.1) (2019-05-17)

### Bug Fixes

- **schema:** Fix proxying invalid field names ([#14108](https://github.com/gatsbyjs/gatsby/issues/14108)) ([6d297c5](https://github.com/gatsbyjs/gatsby/commit/6d297c5))

# [2.5.0](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.4.7...gatsby@2.5.0) (2019-05-16)

### Features

- **schema:** Inference controls and improvements ([#13028](https://github.com/gatsbyjs/gatsby/issues/13028)) ([0f8febf](https://github.com/gatsbyjs/gatsby/commit/0f8febf))

## [2.4.7](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.4.6...gatsby@2.4.7) (2019-05-16)

### Features

- **gatsby:** cors is enabled correctly in development ([#14065](https://github.com/gatsbyjs/gatsby/issues/14065)) ([32e49ce](https://github.com/gatsbyjs/gatsby/commit/32e49ce))

## [2.4.6](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.4.5...gatsby@2.4.6) (2019-05-15)

### Bug Fixes

- **gatsby:** compile themes through default webpack config ([#13651](https://github.com/gatsbyjs/gatsby/issues/13651)) ([d5be306](https://github.com/gatsbyjs/gatsby/commit/d5be306))

## [2.4.5](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.4.4...gatsby@2.4.5) (2019-05-14)

### Features

- **gatsby:** allow awaiting API run triggered by createNode action ([#12748](https://github.com/gatsbyjs/gatsby/issues/12748)) ([17a67a5](https://github.com/gatsbyjs/gatsby/commit/17a67a5))

## [2.4.4](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.4.3...gatsby@2.4.4) (2019-05-14)

**Note:** Version bump only for package gatsby

## [2.4.3](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.4.2...gatsby@2.4.3) (2019-05-09)

**Note:** Version bump only for package gatsby

## [2.4.2](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.4.1...gatsby@2.4.2) (2019-05-03)

**Note:** Version bump only for package gatsby

## [2.4.1](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.4.0...gatsby@2.4.1) (2019-05-03)

**Note:** Version bump only for package gatsby

# [2.4.0](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.3.36...gatsby@2.4.0) (2019-05-02)

### Features

- **gatsby:** add assetPrefix to support deploying assets separate from html ([#12128](https://github.com/gatsbyjs/gatsby/issues/12128)) ([8291044](https://github.com/gatsbyjs/gatsby/commit/8291044))

## [2.3.36](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.3.35...gatsby@2.3.36) (2019-05-02)

### Bug Fixes

- **types:** node APIs typings should be in GatsbyNode interface not in Node ([#13799](https://github.com/gatsbyjs/gatsby/issues/13799)) ([cbdb039](https://github.com/gatsbyjs/gatsby/commit/cbdb039))

## [2.3.35](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.3.34...gatsby@2.3.35) (2019-05-01)

### Bug Fixes

- **types:** update TypeScript declarations ([#13755](https://github.com/gatsbyjs/gatsby/issues/13755)) ([b41755b](https://github.com/gatsbyjs/gatsby/commit/b41755b))

## [2.3.34](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.3.33...gatsby@2.3.34) (2019-04-30)

**Note:** Version bump only for package gatsby

## [2.3.33](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.3.32...gatsby@2.3.33) (2019-04-29)

### Bug Fixes

- **gatsby:** development proxy should proceed request headers and method ([#13685](https://github.com/gatsbyjs/gatsby/issues/13685)) ([842d9ce](https://github.com/gatsbyjs/gatsby/commit/842d9ce))
- **typo:** fix typos in error message ([#13683](https://github.com/gatsbyjs/gatsby/issues/13683)) ([f472a08](https://github.com/gatsbyjs/gatsby/commit/f472a08))

## [2.3.32](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.3.31...gatsby@2.3.32) (2019-04-27)

**Note:** Version bump only for package gatsby

## [2.3.31](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.3.30...gatsby@2.3.31) (2019-04-25)

### Bug Fixes

- **gatsby:** fixes react-hot-reloader for new react features ([#13610](https://github.com/gatsbyjs/gatsby/issues/13610)) ([213da5a](https://github.com/gatsbyjs/gatsby/commit/213da5a))

## [2.3.30](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.3.29...gatsby@2.3.30) (2019-04-25)

### Features

- **gatsby:** Add details to pagination info ([#13625](https://github.com/gatsbyjs/gatsby/issues/13625)) ([f115994](https://github.com/gatsbyjs/gatsby/commit/f115994))

## [2.3.29](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.3.28...gatsby@2.3.29) (2019-04-24)

**Note:** Version bump only for package gatsby

## [2.3.28](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.3.27...gatsby@2.3.28) (2019-04-24)

### Bug Fixes

- Add fallback for createContentDigest ([#13584](https://github.com/gatsbyjs/gatsby/issues/13584)) ([093f1f2](https://github.com/gatsbyjs/gatsby/commit/093f1f2))

## [2.3.27](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.3.26...gatsby@2.3.27) (2019-04-23)

**Note:** Version bump only for package gatsby

## [2.3.26](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.3.25...gatsby@2.3.26) (2019-04-23)

### Bug Fixes

- **docs:** Fix typo in Gatsby Browser APIs ([#13527](https://github.com/gatsbyjs/gatsby/issues/13527)) ([a60a909](https://github.com/gatsbyjs/gatsby/commit/a60a909))
- raise Unexpected Errors in resolve-module-exports ([#13476](https://github.com/gatsbyjs/gatsby/issues/13476)) ([805a1dd](https://github.com/gatsbyjs/gatsby/commit/805a1dd))
- **gatsby:** respect node type owner in deleteNode ([#13492](https://github.com/gatsbyjs/gatsby/issues/13492)) ([dffb74e](https://github.com/gatsbyjs/gatsby/commit/dffb74e))
- **gatsby:** Set fixed precision for "bootstrap finished" timer ([#13528](https://github.com/gatsbyjs/gatsby/issues/13528)) ([74a60af](https://github.com/gatsbyjs/gatsby/commit/74a60af))

## [2.3.25](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.3.24...gatsby@2.3.25) (2019-04-18)

**Note:** Version bump only for package gatsby

## [2.3.24](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.3.23...gatsby@2.3.24) (2019-04-17)

### Bug Fixes

- Handle links to array of array of File nodes ([#13295](https://github.com/gatsbyjs/gatsby/issues/13295)) ([ed74ec0](https://github.com/gatsbyjs/gatsby/commit/ed74ec0)), closes [#13272](https://github.com/gatsbyjs/gatsby/issues/13272)

## [2.3.23](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.3.22...gatsby@2.3.23) (2019-04-15)

### Bug Fixes

- pageInfo.totalCount should be total number of results ([#13352](https://github.com/gatsbyjs/gatsby/issues/13352)) ([f77b053](https://github.com/gatsbyjs/gatsby/commit/f77b053)), closes [#13342](https://github.com/gatsbyjs/gatsby/issues/13342)
- Pin graphql-compose version ([#13356](https://github.com/gatsbyjs/gatsby/issues/13356)) ([7a34c6d](https://github.com/gatsbyjs/gatsby/commit/7a34c6d))
- **cpu-core-count:** fallback to generic Node.JS method if system specific call fails ([#13294](https://github.com/gatsbyjs/gatsby/issues/13294)) ([857e9e3](https://github.com/gatsbyjs/gatsby/commit/857e9e3)), closes [#12734](https://github.com/gatsbyjs/gatsby/issues/12734)
- **gatsby:** bail early if pageResources are not available in public pageRenderer ([#13113](https://github.com/gatsbyjs/gatsby/issues/13113)) ([da1d5a6](https://github.com/gatsbyjs/gatsby/commit/da1d5a6))

### Features

- pathname in SSR APIs when in develop ([#12995](https://github.com/gatsbyjs/gatsby/issues/12995)) ([077a9c8](https://github.com/gatsbyjs/gatsby/commit/077a9c8))

## [2.3.22](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.3.21...gatsby@2.3.22) (2019-04-12)

### Bug Fixes

- **gatsby:** fix NODE_ENV & GATSBY_ACTIVE_ENV in webpack ([#13314](https://github.com/gatsbyjs/gatsby/issues/13314)) ([21db36f](https://github.com/gatsbyjs/gatsby/commit/21db36f))
- **themes:** Include user's site in the list of potential shadowFiles ([#13323](https://github.com/gatsbyjs/gatsby/issues/13323)) ([116cb48](https://github.com/gatsbyjs/gatsby/commit/116cb48))

## [2.3.21](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.3.20...gatsby@2.3.21) (2019-04-12)

### Bug Fixes

- **themes:** Restrict the paths that count as shadowable for an issuer ([#12930](https://github.com/gatsbyjs/gatsby/issues/12930)) ([e040947](https://github.com/gatsbyjs/gatsby/commit/e040947))

## [2.3.20](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.3.19...gatsby@2.3.20) (2019-04-11)

### Features

- **gatsby:** use V8.serialize instead of JSON.stringify if available ([#10732](https://github.com/gatsbyjs/gatsby/issues/10732)) ([c043816](https://github.com/gatsbyjs/gatsby/commit/c043816))

## [2.3.19](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.3.18...gatsby@2.3.19) (2019-04-11)

### Bug Fixes

- Get parent not root File node in resolver ([#13289](https://github.com/gatsbyjs/gatsby/issues/13289)) ([8031fcf](https://github.com/gatsbyjs/gatsby/commit/8031fcf)), closes [#13267](https://github.com/gatsbyjs/gatsby/issues/13267) [#13267](https://github.com/gatsbyjs/gatsby/issues/13267)

## [2.3.18](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.3.17...gatsby@2.3.18) (2019-04-11)

**Note:** Version bump only for package gatsby

## [2.3.17](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.3.16...gatsby@2.3.17) (2019-04-10)

**Note:** Version bump only for package gatsby

## [2.3.16](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.3.15...gatsby@2.3.16) (2019-04-09)

### Features

- **gatsby:** Add normalization for pathPrefix, siteUrl, etc ([#12139](https://github.com/gatsbyjs/gatsby/issues/12139)) ([1e74779](https://github.com/gatsbyjs/gatsby/commit/1e74779)), closes [#11871](https://github.com/gatsbyjs/gatsby/issues/11871) [#11871](https://github.com/gatsbyjs/gatsby/issues/11871)

## [2.3.15](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.3.14...gatsby@2.3.15) (2019-04-08)

### Bug Fixes

- **gatsby:** move db.startAutosave after bootstrap in `gatsby develop` ([#13180](https://github.com/gatsbyjs/gatsby/issues/13180)) ([530e087](https://github.com/gatsbyjs/gatsby/commit/530e087))

## [2.3.14](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.3.13...gatsby@2.3.14) (2019-04-05)

**Note:** Version bump only for package gatsby

## [2.3.13](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.3.12...gatsby@2.3.13) (2019-04-04)

### Features

- **gatsby:** add DANGEROUSLY_DISABLE_OOM ([#13066](https://github.com/gatsbyjs/gatsby/issues/13066)) ([800b8d7](https://github.com/gatsbyjs/gatsby/commit/800b8d7))

## [2.3.12](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.3.11...gatsby@2.3.12) (2019-04-04)

**Note:** Version bump only for package gatsby

## [2.3.11](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.3.10...gatsby@2.3.11) (2019-04-03)

### Bug Fixes

- **query-extraction:** handle duplicated graphql query names error ([#12931](https://github.com/gatsbyjs/gatsby/issues/12931)) ([0263a77](https://github.com/gatsbyjs/gatsby/commit/0263a77))

### Features

- **gatsby:** write match-paths.json ([#13012](https://github.com/gatsbyjs/gatsby/issues/13012)) ([cec5e28](https://github.com/gatsbyjs/gatsby/commit/cec5e28))

## [2.3.10](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.3.9...gatsby@2.3.10) (2019-04-03)

### Bug Fixes

- **gatsby:** ignore \_\_esModule export in gatsby-node exports ([#13081](https://github.com/gatsbyjs/gatsby/issues/13081)) ([1c78ffb](https://github.com/gatsbyjs/gatsby/commit/1c78ffb)), closes [#13079](https://github.com/gatsbyjs/gatsby/issues/13079)

## [2.3.9](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.3.8...gatsby@2.3.9) (2019-04-03)

### Features

- **gatsby:** add util.promisify polyfill for older node version ([#13024](https://github.com/gatsbyjs/gatsby/issues/13024)) ([b278a60](https://github.com/gatsbyjs/gatsby/commit/b278a60))

## [2.3.8](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.3.7...gatsby@2.3.8) (2019-04-03)

### Bug Fixes

- **gatsby:** don't try to statically analyze gatsby-node, require it and examine exports instead ([#13053](https://github.com/gatsbyjs/gatsby/issues/13053)) ([d74b3f0](https://github.com/gatsbyjs/gatsby/commit/d74b3f0))

## [2.3.7](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.3.6...gatsby@2.3.7) (2019-04-02)

**Note:** Version bump only for package gatsby

## [2.3.6](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.3.5...gatsby@2.3.6) (2019-04-02)

**Note:** Version bump only for package gatsby

## [2.3.5](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.3.4...gatsby@2.3.5) (2019-04-02)

### Bug Fixes

- **gatsby:** Only use one redux namespace for plugins ([#12263](https://github.com/gatsbyjs/gatsby/issues/12263)) ([bba69e9](https://github.com/gatsbyjs/gatsby/commit/bba69e9))

### Features

- **gatsby-cli:** Detect if something is already running on a port when running gatsby serve ([#12989](https://github.com/gatsbyjs/gatsby/issues/12989)) ([e587e57](https://github.com/gatsbyjs/gatsby/commit/e587e57))

## [2.3.4](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.3.3...gatsby@2.3.4) (2019-03-28)

### Features

- **schema:** Use extensions to specify infer config ([ff102c9](https://github.com/gatsbyjs/gatsby/commit/ff102c9))

## [2.3.3](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.3.2...gatsby@2.3.3) (2019-03-27)

### Bug Fixes

- **gatsby:** Handle already deleted nodes in deleteNode action ([#12866](https://github.com/gatsbyjs/gatsby/issues/12866)) ([1548841](https://github.com/gatsbyjs/gatsby/commit/1548841))
- **gatsby-telemetry:** Ensure quickly running commands exit freely ([#12888](https://github.com/gatsbyjs/gatsby/issues/12888)) ([e30d264](https://github.com/gatsbyjs/gatsby/commit/e30d264))
- **themes:** Handle shared parent theme with component shadowing ([#12883](https://github.com/gatsbyjs/gatsby/issues/12883)) ([7a82dc2](https://github.com/gatsbyjs/gatsby/commit/7a82dc2))

### Features

- **themes:** copy static folders in themes ([#12746](https://github.com/gatsbyjs/gatsby/issues/12746)) ([edd6cb1](https://github.com/gatsbyjs/gatsby/commit/edd6cb1))

## [2.3.2](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.3.1...gatsby@2.3.2) (2019-03-26)

**Note:** Version bump only for package gatsby

## [2.3.1](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.3.0...gatsby@2.3.1) (2019-03-26)

**Note:** Version bump only for package gatsby

# [2.3.0](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.2.13...gatsby@2.3.0) (2019-03-26)

### Features

- **gatsby:** add anonymous telemetry instrumentation to gatsby ([#12758](https://github.com/gatsbyjs/gatsby/issues/12758)) ([da8ded9](https://github.com/gatsbyjs/gatsby/commit/da8ded9))

## [2.2.13](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.2.12...gatsby@2.2.13) (2019-03-26)

### Bug Fixes

- **schema:** Add tests for incorrect list counting ([#12824](https://github.com/gatsbyjs/gatsby/issues/12824)) ([d2bf6f5](https://github.com/gatsbyjs/gatsby/commit/d2bf6f5))
- **schema:** Remove accidental capitalization of lowercase typenames. ([#12837](https://github.com/gatsbyjs/gatsby/issues/12837)) ([d25b39d](https://github.com/gatsbyjs/gatsby/commit/d25b39d))

## [2.2.12](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.2.11...gatsby@2.2.12) (2019-03-26)

### Features

- **gatsby:** Move page component state & side effect handling to xstate ([#11897](https://github.com/gatsbyjs/gatsby/issues/11897)) ([91086d4](https://github.com/gatsbyjs/gatsby/commit/91086d4))

## [2.2.11](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.2.10...gatsby@2.2.11) (2019-03-25)

**Note:** Version bump only for package gatsby

## [2.2.10](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.2.9...gatsby@2.2.10) (2019-03-25)

### Bug Fixes

- **gatsby:** added looksLikeADate to check date on schema creation ([#12722](https://github.com/gatsbyjs/gatsby/issues/12722)) ([aff2c5d](https://github.com/gatsbyjs/gatsby/commit/aff2c5d))
- **gatsby:** Allow setting nullability in createResolvers ([#12775](https://github.com/gatsbyjs/gatsby/issues/12775)) ([4fbac99](https://github.com/gatsbyjs/gatsby/commit/4fbac99))
- **gatsby:** Improve handling of sparse arrays in example value creation ([#12807](https://github.com/gatsbyjs/gatsby/issues/12807)) ([3e84352](https://github.com/gatsbyjs/gatsby/commit/3e84352))
- **schema:** Don't default to tracking all nodes ([#12825](https://github.com/gatsbyjs/gatsby/issues/12825)) ([a9b6d68](https://github.com/gatsbyjs/gatsby/commit/a9b6d68))
- **schema:** fix `types` for buildUnionType config object ([#12814](https://github.com/gatsbyjs/gatsby/issues/12814)) ([0c2cda4](https://github.com/gatsbyjs/gatsby/commit/0c2cda4))
- **schema:** Fix querying for filtered File type ([#12752](https://github.com/gatsbyjs/gatsby/issues/12752)) ([c949b9a](https://github.com/gatsbyjs/gatsby/commit/c949b9a))
- **schema:** Preserve resolvers on \_\_\_NODE fields ([#12806](https://github.com/gatsbyjs/gatsby/issues/12806)) ([e8816bf](https://github.com/gatsbyjs/gatsby/commit/e8816bf))

## [2.2.9](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.2.8...gatsby@2.2.9) (2019-03-23)

### Features

- **redux:** cache truePath lookups for performance ([#12693](https://github.com/gatsbyjs/gatsby/issues/12693)) ([d5c3351](https://github.com/gatsbyjs/gatsby/commit/d5c3351))

## [2.2.8](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.2.7...gatsby@2.2.8) (2019-03-22)

### Bug Fixes

- **gatsby:** tolerate null object values ([#12756](https://github.com/gatsbyjs/gatsby/issues/12756)) ([7e51263](https://github.com/gatsbyjs/gatsby/commit/7e51263))
- **gatsby-source-filesystem:** pin chokidar@2.1.2 to fix unix issues ([#12759](https://github.com/gatsbyjs/gatsby/issues/12759)) ([0ea1505](https://github.com/gatsbyjs/gatsby/commit/0ea1505))

## [2.2.7](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.2.6...gatsby@2.2.7) (2019-03-22)

### Bug Fixes

- **gatsby:** make sure interface implementations in third-party schema ([#12721](https://github.com/gatsbyjs/gatsby/issues/12721)) ([423c953](https://github.com/gatsbyjs/gatsby/commit/423c953))

## [2.2.6](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.2.5...gatsby@2.2.6) (2019-03-21)

**Note:** Version bump only for package gatsby

## [2.2.5](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.2.4...gatsby@2.2.5) (2019-03-21)

**Note:** Version bump only for package gatsby

## [2.2.4](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.2.3...gatsby@2.2.4) (2019-03-21)

### Bug Fixes

- **gatsby:** keep track of pages created by stateful createPages after edits ([#12671](https://github.com/gatsbyjs/gatsby/issues/12671)) ([62f0d10](https://github.com/gatsbyjs/gatsby/commit/62f0d10)), closes [#12143](https://github.com/gatsbyjs/gatsby/issues/12143)
- **gatsby:** quick check if string looks like a date ([#12700](https://github.com/gatsbyjs/gatsby/issues/12700)) ([22a2689](https://github.com/gatsbyjs/gatsby/commit/22a2689)), closes [#12692](https://github.com/gatsbyjs/gatsby/issues/12692)

### Features

- **gatsby:** Add stack trace to error reporting in GraphiQL ([#12690](https://github.com/gatsbyjs/gatsby/issues/12690)) ([efa7d1a](https://github.com/gatsbyjs/gatsby/commit/efa7d1a))

## [2.2.3](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.2.2...gatsby@2.2.3) (2019-03-20)

### Features

- **gatsby:** add support for microsecond and alternative iso datetime formats ([#12533](https://github.com/gatsbyjs/gatsby/issues/12533)) ([dfe93ee](https://github.com/gatsbyjs/gatsby/commit/dfe93ee))

## [2.2.2](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.2.1...gatsby@2.2.2) (2019-03-19)

### Bug Fixes

- **develop:** query runner queue - use priority buckets for tasks instead of sorting ([#12365](https://github.com/gatsbyjs/gatsby/issues/12365)) ([653d771](https://github.com/gatsbyjs/gatsby/commit/653d771)), closes [#12343](https://github.com/gatsbyjs/gatsby/issues/12343)

## [2.2.1](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.2.0...gatsby@2.2.1) (2019-03-19)

### Bug Fixes

- **gatsby:** Fix third-party schemas with self-referential queries failing ([#12668](https://github.com/gatsbyjs/gatsby/issues/12668)) ([a1953e0](https://github.com/gatsbyjs/gatsby/commit/a1953e0))

# [2.2.0](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.1.39...gatsby@2.2.0) (2019-03-19)

### Features

- **gatsby:** allow schema customization ([#11480](https://github.com/gatsbyjs/gatsby/issues/11480)) ([07e69be](https://github.com/gatsbyjs/gatsby/commit/07e69be))

## [2.1.39](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.1.38...gatsby@2.1.39) (2019-03-19)

### Bug Fixes

- **gatsby:** filter null values in headComponents, preBodyComponents and postBodyComponents ([#12555](https://github.com/gatsbyjs/gatsby/issues/12555)) ([f7dbc8b](https://github.com/gatsbyjs/gatsby/commit/f7dbc8b))
- **gatsby:** workaround webpack terser plugin hanging on WSL ([#12636](https://github.com/gatsbyjs/gatsby/issues/12636)) ([8f71f50](https://github.com/gatsbyjs/gatsby/commit/8f71f50)), closes [#6540](https://github.com/gatsbyjs/gatsby/issues/6540) [#7013](https://github.com/gatsbyjs/gatsby/issues/7013)

## [2.1.38](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.1.37...gatsby@2.1.38) (2019-03-18)

### Features

- let shadowed components import parents ([#12586](https://github.com/gatsbyjs/gatsby/issues/12586)) ([368c9e0](https://github.com/gatsbyjs/gatsby/commit/368c9e0))

## [2.1.37](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.1.36...gatsby@2.1.37) (2019-03-16)

### Bug Fixes

- **gatsby:** extract queries from themes not starting with "gatsby-theme-\*" name ([#12604](https://github.com/gatsbyjs/gatsby/issues/12604)) ([b9808f2](https://github.com/gatsbyjs/gatsby/commit/b9808f2))

## [2.1.36](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.1.35...gatsby@2.1.36) (2019-03-16)

**Note:** Version bump only for package gatsby

## [2.1.35](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.1.34...gatsby@2.1.35) (2019-03-15)

### Features

- **gatsby:** set up webpack config for eventual PnP support ([#12315](https://github.com/gatsbyjs/gatsby/issues/12315)) ([ad6319b](https://github.com/gatsbyjs/gatsby/commit/ad6319b)), closes [/github.com/arcanis/pnp-webpack-plugin/blob/master/index.js#L110-L138](https://github.com//github.com/arcanis/pnp-webpack-plugin/blob/master/index.js/issues/L110-L138) [#10245](https://github.com/gatsbyjs/gatsby/issues/10245) [#12163](https://github.com/gatsbyjs/gatsby/issues/12163)

## [2.1.34](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.1.33...gatsby@2.1.34) (2019-03-14)

### Bug Fixes

- **gatsby:** properly support --no-color for pretty-error ([#12531](https://github.com/gatsbyjs/gatsby/issues/12531)) ([e493538](https://github.com/gatsbyjs/gatsby/commit/e493538))

## [2.1.33](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.1.32...gatsby@2.1.33) (2019-03-14)

### Bug Fixes

- **gatsby:** allow environment variables to be replaced per environment ([#10565](https://github.com/gatsbyjs/gatsby/issues/10565)) ([828eaf8](https://github.com/gatsbyjs/gatsby/commit/828eaf8))

## [2.1.32](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.1.31...gatsby@2.1.32) (2019-03-13)

### Features

- **redirects:** handle absolute from paths when path prefix is used ([#12509](https://github.com/gatsbyjs/gatsby/issues/12509)) ([c6583d4](https://github.com/gatsbyjs/gatsby/commit/c6583d4)), closes [#12497](https://github.com/gatsbyjs/gatsby/issues/12497)

## [2.1.31](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.1.30...gatsby@2.1.31) (2019-03-12)

**Note:** Version bump only for package gatsby

## [2.1.30](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.1.29...gatsby@2.1.30) (2019-03-11)

**Note:** Version bump only for package gatsby

## [2.1.29](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.1.28...gatsby@2.1.29) (2019-03-11)

### Bug Fixes

- **gatsby:** return graphqlRunner from bootstrap ([#12477](https://github.com/gatsbyjs/gatsby/issues/12477)) ([79b7d4e](https://github.com/gatsbyjs/gatsby/commit/79b7d4e))

## [2.1.28](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.1.27...gatsby@2.1.28) (2019-03-11)

### Bug Fixes

- **gatsby:** correct bootstrap emit order ([#12473](https://github.com/gatsbyjs/gatsby/issues/12473)) ([fceb4e7](https://github.com/gatsbyjs/gatsby/commit/fceb4e7))
- **gatsby:** Emit BOOTSTRAP_FINISHED when bootstrap finishes ([#12461](https://github.com/gatsbyjs/gatsby/issues/12461)) ([0f136d5](https://github.com/gatsbyjs/gatsby/commit/0f136d5))

## [2.1.27](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.1.26...gatsby@2.1.27) (2019-03-08)

### Bug Fixes

- **gatsby:** Vendor express-static so we can avoid loading html files from public during development ([#12336](https://github.com/gatsbyjs/gatsby/issues/12336)) ([800e023](https://github.com/gatsbyjs/gatsby/commit/800e023)), closes [/github.com/gatsbyjs/gatsby/pull/12243#pullrequestreview-210895624](https://github.com//github.com/gatsbyjs/gatsby/pull/12243/issues/pullrequestreview-210895624)

## [2.1.26](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.1.25...gatsby@2.1.26) (2019-03-08)

### Bug Fixes

- **gatsby): Revert "chore(gatsby:** Update more dependencies to support graphql@14" ([#12408](https://github.com/gatsbyjs/gatsby/issues/12408)) ([b040b44](https://github.com/gatsbyjs/gatsby/commit/b040b44)), closes [gatsbyjs/gatsby#11512](https://github.com/gatsbyjs/gatsby/issues/11512)

## [2.1.25](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.1.24...gatsby@2.1.25) (2019-03-08)

**Note:** Version bump only for package gatsby

## [2.1.24](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.1.23...gatsby@2.1.24) (2019-03-07)

### Features

- **gatsby:** add pnp resolving by passing rootdir in pkg resolving ([#12163](https://github.com/gatsbyjs/gatsby/issues/12163)) ([72e0d6f](https://github.com/gatsbyjs/gatsby/commit/72e0d6f)), closes [#10245](https://github.com/gatsbyjs/gatsby/issues/10245)

## [2.1.23](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.1.22...gatsby@2.1.23) (2019-03-05)

### Bug Fixes

- **core:** Only delete html/css files during prod builds ([#12243](https://github.com/gatsbyjs/gatsby/issues/12243)) ([9835f56](https://github.com/gatsbyjs/gatsby/commit/9835f56))
- **gatsby:** don't delete /404.html during development ([#12297](https://github.com/gatsbyjs/gatsby/issues/12297)) ([23488ea](https://github.com/gatsbyjs/gatsby/commit/23488ea))

## [2.1.22](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.1.21...gatsby@2.1.22) (2019-03-05)

**Note:** Version bump only for package gatsby

## [2.1.21](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.1.20...gatsby@2.1.21) (2019-03-04)

**Note:** Version bump only for package gatsby

## [2.1.20](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.1.19...gatsby@2.1.20) (2019-03-04)

### Bug Fixes

- **gatsby:** Call onPostBootstrap only once after bootstrap ([#12262](https://github.com/gatsbyjs/gatsby/issues/12262)) ([8fc999f](https://github.com/gatsbyjs/gatsby/commit/8fc999f))

### Features

- **gatsby:** configure physical cores, logical_cores or fixed number ([#10257](https://github.com/gatsbyjs/gatsby/issues/10257)) ([c51440e](https://github.com/gatsbyjs/gatsby/commit/c51440e))

## [2.1.19](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.1.18...gatsby@2.1.19) (2019-02-28)

### Bug Fixes

- **gatsby:** Adapt Loki workaround for eq:null ([#12062](https://github.com/gatsbyjs/gatsby/issues/12062)) ([ff7f5ba](https://github.com/gatsbyjs/gatsby/commit/ff7f5ba))
- **gatsby:** Don't delete nodes multiple times ([#12049](https://github.com/gatsbyjs/gatsby/issues/12049)) ([9a15739](https://github.com/gatsbyjs/gatsby/commit/9a15739))

## [2.1.18](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.1.17...gatsby@2.1.18) (2019-02-25)

### Bug Fixes

- **gatsby:** Catch errors when persisting state ([#12046](https://github.com/gatsbyjs/gatsby/issues/12046)) ([8460992](https://github.com/gatsbyjs/gatsby/commit/8460992))
- **gatsby:** normalize component path casing ([#12005](https://github.com/gatsbyjs/gatsby/issues/12005)) ([3006163](https://github.com/gatsbyjs/gatsby/commit/3006163))
- **gatsby:** theme component shadow fails when extension is used ([#12010](https://github.com/gatsbyjs/gatsby/issues/12010)) ([0d11ff5](https://github.com/gatsbyjs/gatsby/commit/0d11ff5))

## [2.1.17](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.1.16...gatsby@2.1.17) (2019-02-22)

**Note:** Version bump only for package gatsby

## [2.1.16](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.1.15...gatsby@2.1.16) (2019-02-22)

**Note:** Version bump only for package gatsby

## [2.1.15](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.1.14...gatsby@2.1.15) (2019-02-22)

**Note:** Version bump only for package gatsby

## [2.1.14](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.1.13...gatsby@2.1.14) (2019-02-21)

### Bug Fixes

- **themes:** reverse order of themes checked when shadowing ([#11954](https://github.com/gatsbyjs/gatsby/issues/11954)) ([8284793](https://github.com/gatsbyjs/gatsby/commit/8284793))

## [2.1.13](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.1.12...gatsby@2.1.13) (2019-02-20)

### Bug Fixes

- **gatsby:** don't show false positive async createPage warning ([#11929](https://github.com/gatsbyjs/gatsby/issues/11929)) ([5e66f87](https://github.com/gatsbyjs/gatsby/commit/5e66f87))

## [2.1.12](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.1.11...gatsby@2.1.12) (2019-02-20)

### Bug Fixes

- **gatsby:** Stopped queueing further calls to onCreatePage after a page is deleted ([#11777](https://github.com/gatsbyjs/gatsby/issues/11777)) ([f32c016](https://github.com/gatsbyjs/gatsby/commit/f32c016))

## [2.1.11](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.1.10...gatsby@2.1.11) (2019-02-20)

### Bug Fixes

- **webpack.config.js:** Fix test for one CSS chunk to cover more flavors of CSS ([#11927](https://github.com/gatsbyjs/gatsby/issues/11927)) ([c2c66b9](https://github.com/gatsbyjs/gatsby/commit/c2c66b9))

## [2.1.10](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.1.9...gatsby@2.1.10) (2019-02-20)

### Bug Fixes

- **themes:** Remove require.resolve in component resolve path ([#11848](https://github.com/gatsbyjs/gatsby/issues/11848)) ([6295325](https://github.com/gatsbyjs/gatsby/commit/6295325))
- check for dirty pages when nodes are deleted (so queries are ru-run and data is removed from pages) ([#11831](https://github.com/gatsbyjs/gatsby/issues/11831)) ([1fff689](https://github.com/gatsbyjs/gatsby/commit/1fff689))

## [2.1.9](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.1.8...gatsby@2.1.9) (2019-02-19)

### Features

- **gatsby:** show warning if createPage was called after createPages API finished ([#11883](https://github.com/gatsbyjs/gatsby/issues/11883)) ([258b655](https://github.com/gatsbyjs/gatsby/commit/258b655))

## [2.1.8](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.1.7...gatsby@2.1.8) (2019-02-19)

### Features

- **gatsby-cli:** add a clean command to wipe out local dirs ([#9126](https://github.com/gatsbyjs/gatsby/issues/9126)) ([5807936](https://github.com/gatsbyjs/gatsby/commit/5807936))

## [2.1.7](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.1.6...gatsby@2.1.7) (2019-02-19)

### Bug Fixes

- **gatsby:** use route path to serve _exact_ page in client routing ([#11740](https://github.com/gatsbyjs/gatsby/issues/11740)) ([a680e69](https://github.com/gatsbyjs/gatsby/commit/a680e69))

## [2.1.6](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.1.5...gatsby@2.1.6) (2019-02-19)

**Note:** Version bump only for package gatsby

## [2.1.5](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.1.4...gatsby@2.1.5) (2019-02-19)

**Note:** Version bump only for package gatsby

## [2.1.4](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.1.3...gatsby@2.1.4) (2019-02-15)

### Features

- **gatsby:** update cache.set to resolve with set value ([#11327](https://github.com/gatsbyjs/gatsby/issues/11327)) ([930164a](https://github.com/gatsbyjs/gatsby/commit/930164a)), closes [#1234](https://github.com/gatsbyjs/gatsby/issues/1234) [#1234](https://github.com/gatsbyjs/gatsby/issues/1234) [#1234](https://github.com/gatsbyjs/gatsby/issues/1234) [#11275](https://github.com/gatsbyjs/gatsby/issues/11275)

## [2.1.3](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.1.2...gatsby@2.1.3) (2019-02-15)

### Bug Fixes

- Only create one CSS file during builds to avoid problems caused by split CSS files loading in different orders ([#11800](https://github.com/gatsbyjs/gatsby/issues/11800)) ([7058a25](https://github.com/gatsbyjs/gatsby/commit/7058a25)), closes [#11072](https://github.com/gatsbyjs/gatsby/issues/11072)

## [2.1.2](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.1.1...gatsby@2.1.2) (2019-02-14)

**Note:** Version bump only for package gatsby

## [2.1.1](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.1.0...gatsby@2.1.1) (2019-02-14)

### Bug Fixes

- **gatsby:** move to @gatsby scoped version of relay-compiler to fix some upstream bugs([#11759](https://github.com/gatsbyjs/gatsby/pull/11759))

# [2.1.0](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.120...gatsby@2.1.0) (2019-02-13)

### Features

- **gatsby:** add useStaticQuery hook ([#11588](https://github.com/gatsbyjs/gatsby/issues/11588)) ([f149c4c](https://github.com/gatsbyjs/gatsby/commit/f149c4c))

## [2.0.120](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.119...gatsby@2.0.120) (2019-02-13)

### Bug Fixes

- **core:** added event source polyfill in develop to fix IE/edge hmr ([#11582](https://github.com/gatsbyjs/gatsby/issues/11582)) ([8a6db6a](https://github.com/gatsbyjs/gatsby/commit/8a6db6a)), closes [#11495](https://github.com/gatsbyjs/gatsby/issues/11495)

## [2.0.119](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.118...gatsby@2.0.119) (2019-02-12)

### Bug Fixes

- **gatsby:** add history fallback for client-only routes ([#11610](https://github.com/gatsbyjs/gatsby/issues/11610)) ([a0da7a2](https://github.com/gatsbyjs/gatsby/commit/a0da7a2)), closes [#11581](https://github.com/gatsbyjs/gatsby/issues/11581) [#11581](https://github.com/gatsbyjs/gatsby/issues/11581)

## [2.0.118](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.117...gatsby@2.0.118) (2019-02-08)

### Bug Fixes

- **gatsby:** pin webpack to fix unexpected token error during build ([#11640](https://github.com/gatsbyjs/gatsby/issues/11640)) ([f460b7f](https://github.com/gatsbyjs/gatsby/commit/f460b7f)), closes [#11198](https://github.com/gatsbyjs/gatsby/issues/11198) [webpack/webpack#8656](https://github.com/webpack/webpack/issues/8656) [#11198](https://github.com/gatsbyjs/gatsby/issues/11198) [webpack/webpack#8656](https://github.com/webpack/webpack/issues/8656)

## [2.0.117](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.116...gatsby@2.0.117) (2019-02-07)

### Bug Fixes

- **gatsby:** add sanity check before displaying path for static html build error ([#11620](https://github.com/gatsbyjs/gatsby/issues/11620)) ([3ee60d5](https://github.com/gatsbyjs/gatsby/commit/3ee60d5))
- **gatsby:** Fix Loki query operators special casing ([#11517](https://github.com/gatsbyjs/gatsby/issues/11517)) ([e61692d](https://github.com/gatsbyjs/gatsby/commit/e61692d))

### Features

- **gatsby:** Cache resolved nodes in develop ([#11522](https://github.com/gatsbyjs/gatsby/issues/11522)) ([55e3425](https://github.com/gatsbyjs/gatsby/commit/55e3425))

## [2.0.116](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.115...gatsby@2.0.116) (2019-02-06)

### Bug Fixes

- **gatsby:** use history fallback to display client-only routes in serve ([#11581](https://github.com/gatsbyjs/gatsby/issues/11581)) ([75f6118](https://github.com/gatsbyjs/gatsby/commit/75f6118)), closes [#8080](https://github.com/gatsbyjs/gatsby/issues/8080)

### Features

- **gatsby-plugin-netlify:** Allow status codes in redirects ([#11255](https://github.com/gatsbyjs/gatsby/issues/11255)) ([#11484](https://github.com/gatsbyjs/gatsby/issues/11484)) ([024f6f4](https://github.com/gatsbyjs/gatsby/commit/024f6f4))

## [2.0.115](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.114...gatsby@2.0.115) (2019-02-05)

### Bug Fixes

- **gatsby-cli:** use host option if it is passed ([#11566](https://github.com/gatsbyjs/gatsby/issues/11566)) ([ec15b04](https://github.com/gatsbyjs/gatsby/commit/ec15b04)), closes [#8080](https://github.com/gatsbyjs/gatsby/issues/8080)

## [2.0.114](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.113...gatsby@2.0.114) (2019-02-04)

**Note:** Version bump only for package gatsby

## [2.0.113](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.112...gatsby@2.0.113) (2019-02-04)

**Note:** Version bump only for package gatsby

## [2.0.112](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.111...gatsby@2.0.112) (2019-02-04)

### Bug Fixes

- **gatsby:** update terser-webpack-plugin to avoid webpack error ([#11542](https://github.com/gatsbyjs/gatsby/issues/11542)) ([f945fe8](https://github.com/gatsbyjs/gatsby/commit/f945fe8))

## [2.0.111](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.110...gatsby@2.0.111) (2019-02-01)

### Bug Fixes

- **core:** empty cache if delete fails [docker](<[#11454](https://github.com/gatsbyjs/gatsby/issues/11454)>) ([c2fa762](https://github.com/gatsbyjs/gatsby/commit/c2fa762)), closes [#11097](https://github.com/gatsbyjs/gatsby/issues/11097)

## [2.0.110](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.109...gatsby@2.0.110) (2019-02-01)

**Note:** Version bump only for package gatsby

## [2.0.109](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.108...gatsby@2.0.109) (2019-02-01)

**Note:** Version bump only for package gatsby

## [2.0.108](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.107...gatsby@2.0.108) (2019-02-01)

### Bug Fixes

- **core:** Disable HMR for CSS modules ([#11032](https://github.com/gatsbyjs/gatsby/issues/11032)) ([97c98e9](https://github.com/gatsbyjs/gatsby/commit/97c98e9))

### Features

- **gatsby:** Update graphql to ^14.1.1, relay-compiler to 2.0.0 ([#11377](https://github.com/gatsbyjs/gatsby/issues/11377)) ([97c98e9](https://github.com/gatsbyjs/gatsby/commit/a5b322d))

## [2.0.107](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.106...gatsby@2.0.107) (2019-01-31)

### Bug Fixes

- **gatsby:** always respond with index html without checking path ([#11400](https://github.com/gatsbyjs/gatsby/issues/11400)) ([2f79efe](https://github.com/gatsbyjs/gatsby/commit/2f79efe)), closes [/github.com/gatsbyjs/gatsby/blob/aa4f9397665d6d1e7ea6cdd3bfd6f40b449daccf/packages/gatsby/src/commands/develop.js#L192](https://github.com//github.com/gatsbyjs/gatsby/blob/aa4f9397665d6d1e7ea6cdd3bfd6f40b449daccf/packages/gatsby/src/commands/develop.js/issues/L192)
- **gatsby:** check type when querying by ID ([#11448](https://github.com/gatsbyjs/gatsby/issues/11448)) ([1d95e67](https://github.com/gatsbyjs/gatsby/commit/1d95e67))

### Features

- **gatsby:** Allow specifying sort order per sort field ([#11381](https://github.com/gatsbyjs/gatsby/issues/11381)) ([11e8930](https://github.com/gatsbyjs/gatsby/commit/11e8930))

## [2.0.106](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.105...gatsby@2.0.106) (2019-01-29)

### Features

- **gatsby:** add support for GraphQL playground ([#11193](https://github.com/gatsbyjs/gatsby/issues/11193)) ([2b1b551](https://github.com/gatsbyjs/gatsby/commit/2b1b551))

## [2.0.105](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.104...gatsby@2.0.105) (2019-01-29)

### Features

- **gatsby:** show path to page that fails to render html ([#11390](https://github.com/gatsbyjs/gatsby/issues/11390)) ([3677150](https://github.com/gatsbyjs/gatsby/commit/3677150))

## [2.0.104](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.103...gatsby@2.0.104) (2019-01-29)

### Bug Fixes

- reevaluate page query when page context is modified ([#11048](https://github.com/gatsbyjs/gatsby/issues/11048)) ([6d7c576](https://github.com/gatsbyjs/gatsby/commit/6d7c576))

## [2.0.103](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.102...gatsby@2.0.103) (2019-01-28)

### Features

- **gatsby:** add support for ExportSpecifier in API files ([#11171](https://github.com/gatsbyjs/gatsby/issues/11171)) ([84abff0](https://github.com/gatsbyjs/gatsby/commit/84abff0))
- **gatsby:** extend core theming composition API to be recursive ([#10787](https://github.com/gatsbyjs/gatsby/issues/10787)) ([63c9dd9](https://github.com/gatsbyjs/gatsby/commit/63c9dd9))

## [2.0.102](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.101...gatsby@2.0.102) (2019-01-28)

**Note:** Version bump only for package gatsby

## [2.0.101](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.100...gatsby@2.0.101) (2019-01-28)

**Note:** Version bump only for package gatsby

## [2.0.100](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.99...gatsby@2.0.100) (2019-01-28)

### Features

- **gatsby-plugin-offline:** reload when missing resources and SW was updated + add "onServiceWorkerUpdateReady" API ([#10432](https://github.com/gatsbyjs/gatsby/issues/10432)) ([4a01c6d](https://github.com/gatsbyjs/gatsby/commit/4a01c6d))

## [2.0.99](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.98...gatsby@2.0.99) (2019-01-28)

### Features

- **gatsby:** add Jaeger tracing support ([#10268](https://github.com/gatsbyjs/gatsby/issues/10268)) ([916b834](https://github.com/gatsbyjs/gatsby/commit/916b834))

## [2.0.98](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.97...gatsby@2.0.98) (2019-01-25)

### Bug Fixes

- **gatsby:** Fix regression introduced in [#11149](https://github.com/gatsbyjs/gatsby/issues/11149) ([#11263](https://github.com/gatsbyjs/gatsby/issues/11263)) ([70c3f32](https://github.com/gatsbyjs/gatsby/commit/70c3f32))

## [2.0.97](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.96...gatsby@2.0.97) (2019-01-24)

### Bug Fixes

- **docs:** change bound-action-creators links into actions links ([#11207](https://github.com/gatsbyjs/gatsby/issues/11207)) ([5aaaadb](https://github.com/gatsbyjs/gatsby/commit/5aaaadb))

<a name="2.0.96"></a>

## [2.0.96](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.95...gatsby@2.0.96) (2019-01-24)

**Note:** Version bump only for package gatsby

<a name="2.0.95"></a>

## [2.0.95](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.94...gatsby@2.0.95) (2019-01-24)

### Bug Fixes

- **gatsby:** Resolve all fields before querying with Sift ([#11149](https://github.com/gatsbyjs/gatsby/issues/11149)) ([d432e2a](https://github.com/gatsbyjs/gatsby/commit/d432e2a))
- handle escaped regex string ([#11002](https://github.com/gatsbyjs/gatsby/issues/11002)) ([d7a2885](https://github.com/gatsbyjs/gatsby/commit/d7a2885))

<a name="2.0.94"></a>

## [2.0.94](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.93...gatsby@2.0.94) (2019-01-24)

**Note:** Version bump only for package gatsby

<a name="2.0.93"></a>

## [2.0.93](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.92...gatsby@2.0.93) (2019-01-23)

### Bug Fixes

- **gatsby:** Ensure publicPath is always relative for gatsby develop ([#11227](https://github.com/gatsbyjs/gatsby/issues/11227)) ([549b8ac](https://github.com/gatsbyjs/gatsby/commit/549b8ac))

<a name="2.0.92"></a>

## [2.0.92](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.91...gatsby@2.0.92) (2019-01-23)

### Bug Fixes

- **graphql:** findLinkedNodeByField not returning any value ([#11045](https://github.com/gatsbyjs/gatsby/issues/11045)) ([cef713a](https://github.com/gatsbyjs/gatsby/commit/cef713a)), closes [#1234](https://github.com/gatsbyjs/gatsby/issues/1234) [#1234](https://github.com/gatsbyjs/gatsby/issues/1234) [#1234](https://github.com/gatsbyjs/gatsby/issues/1234)

### Features

- **browser-api:** add previous location argument to navigation updates ([#11095](https://github.com/gatsbyjs/gatsby/issues/11095)) ([b842255](https://github.com/gatsbyjs/gatsby/commit/b842255))

<a name="2.0.91"></a>

## [2.0.91](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.90...gatsby@2.0.91) (2019-01-10)

**Note:** Version bump only for package gatsby

<a name="2.0.90"></a>

## [2.0.90](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.89...gatsby@2.0.90) (2019-01-09)

### Features

- **gatsby:** Add noscript tag to default-html ([#10945](https://github.com/gatsbyjs/gatsby/issues/10945)) ([d517ead](https://github.com/gatsbyjs/gatsby/commit/d517ead))

<a name="2.0.89"></a>

## [2.0.89](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.88...gatsby@2.0.89) (2019-01-08)

### Bug Fixes

- **gatsby:** test plugin name to handle symlinks, rather than path ([#10835](https://github.com/gatsbyjs/gatsby/issues/10835)) ([f914607](https://github.com/gatsbyjs/gatsby/commit/f914607))

<a name="2.0.88"></a>

## [2.0.88](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.87...gatsby@2.0.88) (2019-01-08)

### Features

- **gatsby:** provide a mechanism for plugins to use a named cache instance ([#10146](https://github.com/gatsbyjs/gatsby/issues/10146)) ([b9a8c00](https://github.com/gatsbyjs/gatsby/commit/b9a8c00))

<a name="2.0.87"></a>

## [2.0.87](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.86...gatsby@2.0.87) (2019-01-08)

### Bug Fixes

- allow plugins to use gatsby-browser.js to load global styles, etc. ([#10845](https://github.com/gatsbyjs/gatsby/issues/10845)) ([33a3e61](https://github.com/gatsbyjs/gatsby/commit/33a3e61))

<a name="2.0.86"></a>

## [2.0.86](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.85...gatsby@2.0.86) (2019-01-08)

### Bug Fixes

- fix SSL naming error caused by @ scoped package name in develop ([#10863](https://github.com/gatsbyjs/gatsby/issues/10863)) ([b5209b9](https://github.com/gatsbyjs/gatsby/commit/b5209b9))

<a name="2.0.85"></a>

## [2.0.85](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.84...gatsby@2.0.85) (2019-01-04)

### Bug Fixes

- **gatsby:** correctly inject static query in theme components ([#10786](https://github.com/gatsbyjs/gatsby/issues/10786)) ([edff703](https://github.com/gatsbyjs/gatsby/commit/edff703))

<a name="2.0.84"></a>

## [2.0.84](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.83...gatsby@2.0.84) (2019-01-04)

### Features

- update builtin ESLint to v5 ([#10220](https://github.com/gatsbyjs/gatsby/issues/10220)) ([2429459](https://github.com/gatsbyjs/gatsby/commit/2429459))

<a name="2.0.83"></a>

## [2.0.83](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.82...gatsby@2.0.83) (2019-01-03)

### Bug Fixes

- don't change default node_modules resolution ([#10561](https://github.com/gatsbyjs/gatsby/issues/10561)) ([201ff4b](https://github.com/gatsbyjs/gatsby/commit/201ff4b))

<a name="2.0.82"></a>

## [2.0.82](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.81...gatsby@2.0.82) (2019-01-02)

**Note:** Version bump only for package gatsby

<a name="2.0.81"></a>

## [2.0.81](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.80...gatsby@2.0.81) (2019-01-01)

**Note:** Version bump only for package gatsby

<a name="2.0.80"></a>

## [2.0.80](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.79...gatsby@2.0.80) (2019-01-01)

**Note:** Version bump only for package gatsby

<a name="2.0.79"></a>

## [2.0.79](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.78...gatsby@2.0.79) (2018-12-31)

### Features

- dev server can now reuse the same tab on Mac ([#6550](https://github.com/gatsbyjs/gatsby/issues/6550)) ([1a4ea3c](https://github.com/gatsbyjs/gatsby/commit/1a4ea3c))

<a name="2.0.78"></a>

## [2.0.78](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.77...gatsby@2.0.78) (2018-12-29)

### Bug Fixes

- **gatsby:** avoid full page refresh when navigating to non-existent page ([#10684](https://github.com/gatsbyjs/gatsby/issues/10684)) ([88866c7](https://github.com/gatsbyjs/gatsby/commit/88866c7))

<a name="2.0.77"></a>

## [2.0.77](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.76...gatsby@2.0.77) (2018-12-27)

### Bug Fixes

- **gatsby:** wrap dev 404 component with route update ([#10653](https://github.com/gatsbyjs/gatsby/issues/10653)) ([754174d](https://github.com/gatsbyjs/gatsby/commit/754174d))

<a name="2.0.76"></a>

## [2.0.76](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.75...gatsby@2.0.76) (2018-12-24)

### Bug Fixes

- **gatsby:** handle missing pages metadata chunk ([#10507](https://github.com/gatsbyjs/gatsby/issues/10507)) ([b9411d8](https://github.com/gatsbyjs/gatsby/commit/b9411d8))
- don't use EnsureResources for development 404 page ([#10625](https://github.com/gatsbyjs/gatsby/issues/10625)) ([f6e2e65](https://github.com/gatsbyjs/gatsby/commit/f6e2e65))

<a name="2.0.75"></a>

## [2.0.75](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.74...gatsby@2.0.75) (2018-12-21)

### Bug Fixes

- **query-runner:** replace .off with .removeListener ([#10613](https://github.com/gatsbyjs/gatsby/issues/10613)) ([ed5e5d5](https://github.com/gatsbyjs/gatsby/commit/ed5e5d5)), closes [#10593](https://github.com/gatsbyjs/gatsby/issues/10593) [#1234](https://github.com/gatsbyjs/gatsby/issues/1234) [#1234](https://github.com/gatsbyjs/gatsby/issues/1234) [#1234](https://github.com/gatsbyjs/gatsby/issues/1234) [#10612](https://github.com/gatsbyjs/gatsby/issues/10612)

<a name="2.0.74"></a>

## [2.0.74](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.73...gatsby@2.0.74) (2018-12-21)

### Bug Fixes

- **gatsby:** fix eventemitter leak in page query runner ([#10593](https://github.com/gatsbyjs/gatsby/issues/10593)) ([80a856f](https://github.com/gatsbyjs/gatsby/commit/80a856f))

<a name="2.0.73"></a>

## [2.0.73](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.72...gatsby@2.0.73) (2018-12-19)

### Bug Fixes

- **gatsby:** Ignore fields with key set to empty string in getExampleValues ([#10557](https://github.com/gatsbyjs/gatsby/issues/10557)) ([86fc9dc](https://github.com/gatsbyjs/gatsby/commit/86fc9dc)), closes [/github.com/graphql/graphql-js/blob/958eb961513de1147c19508d66f97920c26e99e5/src/type/validate.js#L220](https://github.com//github.com/graphql/graphql-js/blob/958eb961513de1147c19508d66f97920c26e99e5/src/type/validate.js/issues/L220) [#10480](https://github.com/gatsbyjs/gatsby/issues/10480)

<a name="2.0.72"></a>

## [2.0.72](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.71...gatsby@2.0.72) (2018-12-18)

**Note:** Version bump only for package gatsby

<a name="2.0.71"></a>

## [2.0.71](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.70...gatsby@2.0.71) (2018-12-18)

### Bug Fixes

- **gatsby:** add Safari 10 support to default terser options ([#10536](https://github.com/gatsbyjs/gatsby/issues/10536)) ([9db27c1](https://github.com/gatsbyjs/gatsby/commit/9db27c1)), closes [/github.com/parcel-bundler/parcel/blob/75310e15f6fa3c8a0ce6593ada1bcca00240ea54/packages/core/parcel-bundler/src/transforms/terser.js#L13](https://github.com//github.com/parcel-bundler/parcel/blob/75310e15f6fa3c8a0ce6593ada1bcca00240ea54/packages/core/parcel-bundler/src/transforms/terser.js/issues/L13)
- **gatsby:** bump minimum react-hot-loader version to get quick fix ([#10542](https://github.com/gatsbyjs/gatsby/issues/10542)) ([9cec72a](https://github.com/gatsbyjs/gatsby/commit/9cec72a)), closes [#10528](https://github.com/gatsbyjs/gatsby/issues/10528)

### Features

- **gatsby:** don't watch files in static directory for production builds ([#5807](https://github.com/gatsbyjs/gatsby/issues/5807)) ([a0bcc58](https://github.com/gatsbyjs/gatsby/commit/a0bcc58))

<a name="2.0.70"></a>

## [2.0.70](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.69...gatsby@2.0.70) (2018-12-17)

**Note:** Version bump only for package gatsby

<a name="2.0.69"></a>

## [2.0.69](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.68...gatsby@2.0.69) (2018-12-17)

**Note:** Version bump only for package gatsby

<a name="2.0.68"></a>

## [2.0.68](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.67...gatsby@2.0.68) (2018-12-17)

**Note:** Version bump only for package gatsby

<a name="2.0.67"></a>

## [2.0.67](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.66...gatsby@2.0.67) (2018-12-13)

### Bug Fixes

- **gatsby:** fix extracting StaticQuery nested in shorthand fragment ([#10443](https://github.com/gatsbyjs/gatsby/issues/10443)) ([d504d44](https://github.com/gatsbyjs/gatsby/commit/d504d44))

<a name="2.0.66"></a>

## [2.0.66](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.65...gatsby@2.0.66) (2018-12-11)

### Features

- **prefetch:** add support for effective-connection-type & saveData ([#10365](https://github.com/gatsbyjs/gatsby/issues/10365)) ([1c51831](https://github.com/gatsbyjs/gatsby/commit/1c51831))

<a name="2.0.65"></a>

## [2.0.65](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.64...gatsby@2.0.65) (2018-12-11)

### Bug Fixes

- **gatsby:** fix false type conflict warning on plugin fields ([#10355](https://github.com/gatsbyjs/gatsby/issues/10355)) ([510fb88](https://github.com/gatsbyjs/gatsby/commit/510fb88))

<a name="2.0.64"></a>

## [2.0.64](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.63...gatsby@2.0.64) (2018-12-07)

### Bug Fixes

- **gatsby:** [loki] sync db autosaves ([#10212](https://github.com/gatsbyjs/gatsby/issues/10212)) ([1c0d051](https://github.com/gatsbyjs/gatsby/commit/1c0d051))

<a name="2.0.63"></a>

## [2.0.63](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.62...gatsby@2.0.63) (2018-12-05)

### Bug Fixes

- **gatsby:** don't remount matchPath pages ([#10261](https://github.com/gatsbyjs/gatsby/issues/10261)) ([1dd3987](https://github.com/gatsbyjs/gatsby/commit/1dd3987))

<a name="2.0.62"></a>

## [2.0.62](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.61...gatsby@2.0.62) (2018-12-04)

### Features

- **gatsby:** update react-hot-loader dependency to enable hooks ([#10259](https://github.com/gatsbyjs/gatsby/issues/10259)) ([bf46002](https://github.com/gatsbyjs/gatsby/commit/bf46002))

<a name="2.0.61"></a>

## [2.0.61](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.60...gatsby@2.0.61) (2018-12-03)

**Note:** Version bump only for package gatsby

<a name="2.0.60"></a>

## [2.0.60](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.59...gatsby@2.0.60) (2018-12-01)

### Bug Fixes

- **gatsby:** skip functions when inferring schema ([#10177](https://github.com/gatsbyjs/gatsby/issues/10177)) ([64a8844](https://github.com/gatsbyjs/gatsby/commit/64a8844)), closes [/github.com/gatsbyjs/gatsby/pull/10159#issuecomment-442045709](https://github.com//github.com/gatsbyjs/gatsby/pull/10159/issues/issuecomment-442045709)

### Features

- **gatsby:** Add type checks to createNodeId ([#10234](https://github.com/gatsbyjs/gatsby/issues/10234)) ([6a86b4d](https://github.com/gatsbyjs/gatsby/commit/6a86b4d))

<a name="2.0.59"></a>

## [2.0.59](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.58...gatsby@2.0.59) (2018-11-29)

### Features

- **gatsby:** add lokijs nodes db implementation ([#9919](https://github.com/gatsbyjs/gatsby/issues/9919)) ([4bcca2a](https://github.com/gatsbyjs/gatsby/commit/4bcca2a)), closes [#9338](https://github.com/gatsbyjs/gatsby/issues/9338)

<a name="2.0.58"></a>

## [2.0.58](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.57...gatsby@2.0.58) (2018-11-29)

**Note:** Version bump only for package gatsby

<a name="2.0.57"></a>

## [2.0.57](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.56...gatsby@2.0.57) (2018-11-28)

### Bug Fixes

- **gatsby:** fix infinite reloads when resources fail ([#10141](https://github.com/gatsbyjs/gatsby/issues/10141)) ([9fc25f3](https://github.com/gatsbyjs/gatsby/commit/9fc25f3)), closes [#10074](https://github.com/gatsbyjs/gatsby/issues/10074)

<a name="2.0.56"></a>

## [2.0.56](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.55...gatsby@2.0.56) (2018-11-27)

**Note:** Version bump only for package gatsby

<a name="2.0.55"></a>

## [2.0.55](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.54...gatsby@2.0.55) (2018-11-22)

### Features

- **gatsby:** use cheap-module-source-map devtool webpack config in develop mode for easier debugging ([#10083](https://github.com/gatsbyjs/gatsby/issues/10083)) ([ce5cbe8](https://github.com/gatsbyjs/gatsby/commit/ce5cbe8)), closes [#6278](https://github.com/gatsbyjs/gatsby/issues/6278)

<a name="2.0.54"></a>

## [2.0.54](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.53...gatsby@2.0.54) (2018-11-21)

### Features

- **gatsby:** warn user about incompatible plugins ([#10034](https://github.com/gatsbyjs/gatsby/issues/10034)) ([8421707](https://github.com/gatsbyjs/gatsby/commit/8421707)), closes [#7143](https://github.com/gatsbyjs/gatsby/issues/7143) [#9731](https://github.com/gatsbyjs/gatsby/issues/9731)

<a name="2.0.53"></a>

## [2.0.53](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.52...gatsby@2.0.53) (2018-11-20)

### Features

- **gatsby-plugin-offline:** replace no-cache detection with dynamic path whitelist ([#9907](https://github.com/gatsbyjs/gatsby/issues/9907)) ([8d3af3f](https://github.com/gatsbyjs/gatsby/commit/8d3af3f))

<a name="2.0.52"></a>

## [2.0.52](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.51...gatsby@2.0.52) (2018-11-19)

### Bug Fixes

- prefix graphql type names with underscore if it starts with number ([#10007](https://github.com/gatsbyjs/gatsby/issues/10007)) ([1d2a9be](https://github.com/gatsbyjs/gatsby/commit/1d2a9be)), closes [#9950](https://github.com/gatsbyjs/gatsby/issues/9950)

<a name="2.0.51"></a>

## [2.0.51](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.50...gatsby@2.0.51) (2018-11-19)

### Bug Fixes

- avoid leaking defined env vars when trying to access not defined env vars ([#10030](https://github.com/gatsbyjs/gatsby/issues/10030)) ([8061e3b](https://github.com/gatsbyjs/gatsby/commit/8061e3b))

<a name="2.0.50"></a>

## [2.0.50](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.49...gatsby@2.0.50) (2018-11-15)

### Bug Fixes

- **gatsby:** correctly pick up browserslist overrides ([#9669](https://github.com/gatsbyjs/gatsby/issues/9669)) ([0f0feac](https://github.com/gatsbyjs/gatsby/commit/0f0feac))

<a name="2.0.49"></a>

## [2.0.49](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.48...gatsby@2.0.49) (2018-11-14)

### Bug Fixes

- **docs:** update broken links with working links ([#9912](https://github.com/gatsbyjs/gatsby/issues/9912)) ([e9f2a6f](https://github.com/gatsbyjs/gatsby/commit/e9f2a6f))

<a name="2.0.48"></a>

## [2.0.48](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.47...gatsby@2.0.48) (2018-11-13)

**Note:** Version bump only for package gatsby

<a name="2.0.47"></a>

## [2.0.47](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.46...gatsby@2.0.47) (2018-11-12)

**Note:** Version bump only for package gatsby

<a name="2.0.46"></a>

## [2.0.46](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.45...gatsby@2.0.46) (2018-11-12)

**Note:** Version bump only for package gatsby

<a name="2.0.45"></a>

## [2.0.45](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.44...gatsby@2.0.45) (2018-11-09)

### Bug Fixes

- handle development proxy exceptions and show some context ([#9839](https://github.com/gatsbyjs/gatsby/issues/9839)) ([b605ade](https://github.com/gatsbyjs/gatsby/commit/b605ade)), closes [#6771](https://github.com/gatsbyjs/gatsby/issues/6771)

<a name="2.0.44"></a>

## [2.0.44](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.43...gatsby@2.0.44) (2018-11-09)

### Features

- show GraphQL compile errors in browser overlay ([#6247](https://github.com/gatsbyjs/gatsby/issues/6247)) ([2cd7bfa](https://github.com/gatsbyjs/gatsby/commit/2cd7bfa)), closes [#5234](https://github.com/gatsbyjs/gatsby/issues/5234)

<a name="2.0.43"></a>

## [2.0.43](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.42...gatsby@2.0.43) (2018-11-08)

**Note:** Version bump only for package gatsby

<a name="2.0.42"></a>

## [2.0.42](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.41...gatsby@2.0.42) (2018-11-08)

### Bug Fixes

- use relative HMR path ([#9734](https://github.com/gatsbyjs/gatsby/issues/9734)) ([c4b9283](https://github.com/gatsbyjs/gatsby/commit/c4b9283))

<a name="2.0.41"></a>

## [2.0.41](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.40...gatsby@2.0.41) (2018-11-08)

### Features

- pass pathname to replaceRenderer and onPreRenderHTML SSR APIs ([#9792](https://github.com/gatsbyjs/gatsby/issues/9792)) ([f032ceb](https://github.com/gatsbyjs/gatsby/commit/f032ceb))

<a name="2.0.40"></a>

## [2.0.40](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.39...gatsby@2.0.40) (2018-11-06)

### Bug Fixes

- adjust page order to make nested matchPaths work ([#9719](https://github.com/gatsbyjs/gatsby/issues/9719)) ([5b4e0b5](https://github.com/gatsbyjs/gatsby/commit/5b4e0b5)), closes [#9705](https://github.com/gatsbyjs/gatsby/issues/9705)

<a name="2.0.39"></a>

## [2.0.39](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.38...gatsby@2.0.39) (2018-11-05)

**Note:** Version bump only for package gatsby

<a name="2.0.38"></a>

## [2.0.38](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.37...gatsby@2.0.38) (2018-11-02)

### Bug Fixes

- load plugin object style without options object ([#9647](https://github.com/gatsbyjs/gatsby/issues/9647)) ([42a2d07](https://github.com/gatsbyjs/gatsby/commit/42a2d07)), closes [#9559](https://github.com/gatsbyjs/gatsby/issues/9559)

<a name="2.0.37"></a>

## [2.0.37](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.36...gatsby@2.0.37) (2018-11-01)

**Note:** Version bump only for package gatsby

<a name="2.0.36"></a>

## [2.0.36](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.35...gatsby@2.0.36) (2018-11-01)

### Bug Fixes

- **gatsby:** detect additional 404 page locations when performing canonical path redirects ([679db41](https://github.com/gatsbyjs/gatsby/commit/679db41))

### Features

- **gatsby:** Move connection out of sift ([#9508](https://github.com/gatsbyjs/gatsby/issues/9508)) ([8c7a745](https://github.com/gatsbyjs/gatsby/commit/8c7a745)), closes [#9416](https://github.com/gatsbyjs/gatsby/issues/9416) [#9338](https://github.com/gatsbyjs/gatsby/issues/9338)

<a name="2.0.35"></a>

## [2.0.35](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.34...gatsby@2.0.35) (2018-10-30)

### Bug Fixes

- **gatsby:** fix crash on inferring input type with missing node ([#9487](https://github.com/gatsbyjs/gatsby/issues/9487)) ([b5b43d5](https://github.com/gatsbyjs/gatsby/commit/b5b43d5))

<a name="2.0.34"></a>

## [2.0.34](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.33...gatsby@2.0.34) (2018-10-29)

### Features

- **gatsby:** use json-stream-stringify to serialize redux state ([#9370](https://github.com/gatsbyjs/gatsby/issues/9370)) ([c334075](https://github.com/gatsbyjs/gatsby/commit/c334075)), closes [#9362](https://github.com/gatsbyjs/gatsby/issues/9362)

<a name="2.0.33"></a>

## [2.0.33](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.32...gatsby@2.0.33) (2018-10-29)

### Features

- **gatsby:** Add nodes db module ([#9416](https://github.com/gatsbyjs/gatsby/issues/9416)) ([7d31fe7](https://github.com/gatsbyjs/gatsby/commit/7d31fe7)), closes [#9338](https://github.com/gatsbyjs/gatsby/issues/9338)

<a name="2.0.32"></a>

## [2.0.32](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.31...gatsby@2.0.32) (2018-10-29)

### Bug Fixes

- **gatsby-plugin-jss:** use separate SheetsRegistry for each page ([#9401](https://github.com/gatsbyjs/gatsby/issues/9401)) ([15375c8](https://github.com/gatsbyjs/gatsby/commit/15375c8)), closes [#7716](https://github.com/gatsbyjs/gatsby/issues/7716)

<a name="2.0.31"></a>

## [2.0.31](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.30...gatsby@2.0.31) (2018-10-24)

**Note:** Version bump only for package gatsby

<a name="2.0.30"></a>

## [2.0.30](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.29...gatsby@2.0.30) (2018-10-24)

**Note:** Version bump only for package gatsby

<a name="2.0.29"></a>

## [2.0.29](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.28...gatsby@2.0.29) (2018-10-23)

### Bug Fixes

- handle node api-api error gracefully ([#9255](https://github.com/gatsbyjs/gatsby/issues/9255)) ([fa8ef4e](https://github.com/gatsbyjs/gatsby/commit/fa8ef4e))
- **package.json:** update homepage to point at the package ([#9227](https://github.com/gatsbyjs/gatsby/issues/9227)) ([69fd92b](https://github.com/gatsbyjs/gatsby/commit/69fd92b))

<a name="2.0.28"></a>

## [2.0.28](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.27...gatsby@2.0.28) (2018-10-19)

### Bug Fixes

- **schema:** share union type instances ([#9052](https://github.com/gatsbyjs/gatsby/issues/9052)) ([d87881a](https://github.com/gatsbyjs/gatsby/commit/d87881a))
- fix builds without gatsby-config [#8917](https://github.com/gatsbyjs/gatsby/issues/8917) ([#9256](https://github.com/gatsbyjs/gatsby/issues/9256)) ([27fcc4d](https://github.com/gatsbyjs/gatsby/commit/27fcc4d))

<a name="2.0.27"></a>

## [2.0.27](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.26...gatsby@2.0.27) (2018-10-19)

### Bug Fixes

- **gatsby:** ignore `__esModule` property when resolving module exports ([#9226](https://github.com/gatsbyjs/gatsby/issues/9226)) ([c57f1e0](https://github.com/gatsbyjs/gatsby/commit/c57f1e0))

<a name="2.0.26"></a>

## [2.0.26](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.25...gatsby@2.0.26) (2018-10-18)

### Bug Fixes

- check for empty fields in InputFilter inference ([#9057](https://github.com/gatsbyjs/gatsby/issues/9057)) ([4a0563e](https://github.com/gatsbyjs/gatsby/commit/4a0563e))

<a name="2.0.25"></a>

## [2.0.25](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.24...gatsby@2.0.25) (2018-10-16)

### Bug Fixes

- **gatsby:** Prevent minifier from compressing output using ES6+ syntax ([#9135](https://github.com/gatsbyjs/gatsby/issues/9135)) ([fed6d35](https://github.com/gatsbyjs/gatsby/commit/fed6d35))

<a name="2.0.24"></a>

## [2.0.24](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.23...gatsby@2.0.24) (2018-10-16)

### Bug Fixes

- **gatsby:** add main field pointing to transpiled commonjs entry ([#9123](https://github.com/gatsbyjs/gatsby/issues/9123)) ([eeca436](https://github.com/gatsbyjs/gatsby/commit/eeca436))
- make elemMatch operator work with \_\_\_NODE arrays ([#8076](https://github.com/gatsbyjs/gatsby/issues/8076)) ([d0b9d94](https://github.com/gatsbyjs/gatsby/commit/d0b9d94))

<a name="2.0.23"></a>

## [2.0.23](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.22...gatsby@2.0.23) (2018-10-15)

### Bug Fixes

- querying nodes by id and operator different than eq ([#9101](https://github.com/gatsbyjs/gatsby/issues/9101)) ([ccc3082](https://github.com/gatsbyjs/gatsby/commit/ccc3082))

<a name="2.0.22"></a>

## [2.0.22](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.21...gatsby@2.0.22) (2018-10-12)

**Note:** Version bump only for package gatsby

<a name="2.0.21"></a>

## [2.0.21](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.20...gatsby@2.0.21) (2018-10-10)

### Features

- add onCreateDevServer node api ([#7556](https://github.com/gatsbyjs/gatsby/issues/7556)) ([a1d3d70](https://github.com/gatsbyjs/gatsby/commit/a1d3d70))
- store sync token for contentful preview ([#8814](https://github.com/gatsbyjs/gatsby/issues/8814)) ([365942b](https://github.com/gatsbyjs/gatsby/commit/365942b))

<a name="2.0.20"></a>

## [2.0.20](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.19...gatsby@2.0.20) (2018-10-09)

### Bug Fixes

- **gatsby-plugin-offline:** delay adding resources for paths until we have urls ([#8613](https://github.com/gatsbyjs/gatsby/issues/8613)) ([2605aa0](https://github.com/gatsbyjs/gatsby/commit/2605aa0))
- **register-service-worker:** show an error if installing SW not over HTTPS ([#8958](https://github.com/gatsbyjs/gatsby/issues/8958)) ([2ba57ea](https://github.com/gatsbyjs/gatsby/commit/2ba57ea))
- more work to prevent queries from running when there's in-progress node processing ([#8859](https://github.com/gatsbyjs/gatsby/issues/8859)) ([00eeef0](https://github.com/gatsbyjs/gatsby/commit/00eeef0))

<a name="2.0.19"></a>

## [2.0.19](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.18...gatsby@2.0.19) (2018-10-05)

### Bug Fixes

- hot-reload page updates when querying by id ([#8799](https://github.com/gatsbyjs/gatsby/issues/8799)) ([508d3b6](https://github.com/gatsbyjs/gatsby/commit/508d3b6))
- pretty print syntax error in gatsby api files ([#8723](https://github.com/gatsbyjs/gatsby/issues/8723)) ([1ef38c2](https://github.com/gatsbyjs/gatsby/commit/1ef38c2))

<a name="2.0.18"></a>

## [2.0.18](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.17...gatsby@2.0.18) (2018-10-03)

### Features

- **gatsby:** switch to different caching mechanism backed by fs ([#8435](https://github.com/gatsbyjs/gatsby/issues/8435)) ([5386e1d](https://github.com/gatsbyjs/gatsby/commit/5386e1d))

<a name="2.0.17"></a>

## [2.0.17](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.16...gatsby@2.0.17) (2018-10-02)

**Note:** Version bump only for package gatsby

<a name="2.0.16"></a>

## [2.0.16](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.15...gatsby@2.0.16) (2018-10-02)

### Bug Fixes

- **gatsby:** add mjs config to webpack and resolve correctly ([#8717](https://github.com/gatsbyjs/gatsby/issues/8717)) ([a0cbbcb](https://github.com/gatsbyjs/gatsby/commit/a0cbbcb)), closes [#8655](https://github.com/gatsbyjs/gatsby/issues/8655)

<a name="2.0.15"></a>

## [2.0.15](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.14...gatsby@2.0.15) (2018-10-02)

**Note:** Version bump only for package gatsby

<a name="2.0.14"></a>

## [2.0.14](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.13...gatsby@2.0.14) (2018-10-01)

**Note:** Version bump only for package gatsby

<a name="2.0.13"></a>

## [2.0.13](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.12...gatsby@2.0.13) (2018-10-01)

### Bug Fixes

- run onPreRenderHTML after gatsby-script-loader and gatsby-chunk-mapper ([#8043](https://github.com/gatsbyjs/gatsby/issues/8043)) ([3bec55e](https://github.com/gatsbyjs/gatsby/commit/3bec55e))

<a name="2.0.12"></a>

## [2.0.12](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.11...gatsby@2.0.12) (2018-09-28)

### Bug Fixes

- add missing html and body attributes from ssr apis to develop mode ([#8594](https://github.com/gatsbyjs/gatsby/issues/8594)) ([e4dcd85](https://github.com/gatsbyjs/gatsby/commit/e4dcd85))

<a name="2.0.11"></a>

## [2.0.11](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.10...gatsby@2.0.11) (2018-09-27)

### Bug Fixes

- fix unhandled rejection when no browser found when running with --open flag ([#8507](https://github.com/gatsbyjs/gatsby/issues/8507)) ([f497b74](https://github.com/gatsbyjs/gatsby/commit/f497b74))

<a name="2.0.10"></a>

## [2.0.10](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.9...gatsby@2.0.10) (2018-09-27)

### Bug Fixes

- fix displaying and hydrating 404 page in production builds ([#8510](https://github.com/gatsbyjs/gatsby/issues/8510)) ([c42924a](https://github.com/gatsbyjs/gatsby/commit/c42924a))

### Features

- **cache-dir:** Add a button for custom 404s in development ([#8548](https://github.com/gatsbyjs/gatsby/issues/8548)) ([0658f0b](https://github.com/gatsbyjs/gatsby/commit/0658f0b)), closes [#8234](https://github.com/gatsbyjs/gatsby/issues/8234)

<a name="2.0.9"></a>

## [2.0.9](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.8...gatsby@2.0.9) (2018-09-26)

### Bug Fixes

- scroll behaviour when navigating back to anchor on the same page ([#8061](https://github.com/gatsbyjs/gatsby/issues/8061)) ([ef44cff](https://github.com/gatsbyjs/gatsby/commit/ef44cff))

<a name="2.0.8"></a>

## [2.0.8](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.7...gatsby@2.0.8) (2018-09-24)

### Bug Fixes

- check for INVALID_VALUE to avoid throwing exceptions on bad data ([#8346](https://github.com/gatsbyjs/gatsby/issues/8346)) ([bb5c0d2](https://github.com/gatsbyjs/gatsby/commit/bb5c0d2))

<a name="2.0.7"></a>

## [2.0.7](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.6...gatsby@2.0.7) (2018-09-21)

**Note:** Version bump only for package gatsby

<a name="2.0.6"></a>

## [2.0.6](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.5...gatsby@2.0.6) (2018-09-19)

**Note:** Version bump only for package gatsby

<a name="2.0.5"></a>

## [2.0.5](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.4...gatsby@2.0.5) (2018-09-19)

**Note:** Version bump only for package gatsby

<a name="2.0.4"></a>

## [2.0.4](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.3...gatsby@2.0.4) (2018-09-19)

**Note:** Version bump only for package gatsby

<a name="2.0.3"></a>

## [2.0.3](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.2...gatsby@2.0.3) (2018-09-18)

**Note:** Version bump only for package gatsby

<a name="2.0.2"></a>

## [2.0.2](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.1...gatsby@2.0.2) (2018-09-18)

### Features

- add --prefix-paths option to gatsby serve cli ([#8060](https://github.com/gatsbyjs/gatsby/issues/8060)) ([98c8e91](https://github.com/gatsbyjs/gatsby/commit/98c8e91))

<a name="2.0.1"></a>

## [2.0.1](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-rc.28...gatsby@2.0.1) (2018-09-18)

**Note:** Version bump only for package gatsby

<a name="2.0.0"></a>

## [2.0.0](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-rc.28...gatsby@2.0.0) (2018-09-17)

### Added

- Improve Gatsby's routing accessibility by integrating @reach/router (#6918) @KyleAMathews
- Add new onPreRenderHTML SSR API to manage head components in html.js (#6760) @octalmage
- Improve build speeds on larger sites (HulkSmash!) (#6226) @KyleAMathews
- Add multi-process HTML rendering support(#6417) @KyleAMathews
- Add babel-plugin-macros for custom babel config (#7129) @porfirioribeiro
- Upgrade webpack to v3, improve webpack utils (#3126) @jquense
- Add gatsby-remark-graphviz plugin to render dot (graphviz) code blocks to SVG (#7341) @Moocar
- Improve support for non-latin language content in gatsby-transformer-remark (#6992) @youngboy
- Improve support for Drupal relationships in gatsby-source-drupal (#5020) @pieh
- Add support for extra connection string params in gatsby-source-mongodb (#5972) @lcostea
- Add support for additional options supplied to gatsby-plugin-styled-components (#5240) @nihgwu
- Add guide on debugging the Gatsby build process (#6369) @pieh
- Add docs on unit testing, Cypress, react-testing-library and testing CSS-in-JS (#6678, #6708) @ascorbic, @LekoArts
- Redesigned docs navigation and expanded docs topics (#6245, #6610) @shannonbux, @fk
- Allow plugins to override core prefetching behavior (#5320) @KyleAMathews
- Add gatsby-codemods package to assist v1 -> v2 transition (#6122) @jquense
- Add gatsby-plugin-layout package to allow use of v1 layout components in v2 (#7204) @pieh
- Add support for service worker caching of prefetched resources in gatsby-plugin-offline (#6566) @kkemple
- Add critical scripts and links to static file globs in service worker in gatsby-plugin-offline (#6316) @kkemple
- Add snapshot testing for gatsby-link (#7090) @alexandernanberg
- Introduce REPL command to gatsby-cli (#7262) @kkemple
- Add support for webpackPrefetch (#5901) @pistachiology
- Explicitly export graphql tag from Gatsby (#5415) @pieh
- Add eslint-loader and eslint configuration (#4893) @kkemple
- Improve loading graphql query results ("ludicrous mode!") (#4555) @m-allanson
- Improve error messaging when Gatsby is not installed (#7106) @KyleAMathews
- Improve modifyWebpackConfig error messaging (#7152) @m-allanson
- Add support for open tracing with zipkin (#6347) @Moocar
- Improve error messaging when plugin can't be loaded (#7023) @KyleAMathews
- Display formatted message for graphql resolver errors (#6142) @pieh
- Improve error formatting on HTML build errors (#6188) @pieh

### Fixed

- Fix out of memory error by saving state to after bootstrap is complete (#6636) @KyleAMathews
- Fix out of memory error by flattening entry values (#6797) @chuntley
- Fix code syntax formatting bug which highlighted keywords in plaintext (#7342) @tryzniak
- Remove dependency on react-lifecycles-compat (#7070) @alexandernanberg
- Prevent both preloading and inlining css in head (#6009) @thescientist13
- Fix service worker bug originating from inlining webpack-runtime (#5540) @KyleAMathews
- Fix bug producing duplicates when naming GraphQL queries (#6765) @fusepilot
- Fix typo in type annotation (#6288) @sudodoki
- Fix showing 404 page in development (#7140) @KyleAMathews
- Tighten externals matching to prevent code imports from causing build errors (#7325) @m-allanson

**Note:** Version bump only for package gatsby

<a name="2.0.0-rc.28"></a>

# [2.0.0-rc.28](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-rc.27...gatsby@2.0.0-rc.28) (2018-09-17)

### Features

- add generator meta tag for gatsby version ([#8221](https://github.com/gatsbyjs/gatsby/issues/8221)) ([0de459a](https://github.com/gatsbyjs/gatsby/commit/0de459a))

<a name="2.0.0-rc.27"></a>

# [2.0.0-rc.27](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-rc.26...gatsby@2.0.0-rc.27) (2018-09-17)

**Note:** Version bump only for package gatsby

<a name="2.0.0-rc.26"></a>

# [2.0.0-rc.26](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-rc.25...gatsby@2.0.0-rc.26) (2018-09-17)

**Note:** Version bump only for package gatsby

<a name="2.0.0-rc.25"></a>

# [2.0.0-rc.25](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-rc.24...gatsby@2.0.0-rc.25) (2018-09-14)

**Note:** Version bump only for package gatsby

<a name="2.0.0-rc.24"></a>

# [2.0.0-rc.24](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-rc.23...gatsby@2.0.0-rc.24) (2018-09-13)

**Note:** Version bump only for package gatsby

<a name="2.0.0-rc.23"></a>

# [2.0.0-rc.23](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-rc.22...gatsby@2.0.0-rc.23) (2018-09-13)

**Note:** Version bump only for package gatsby

<a name="2.0.0-rc.22"></a>

# [2.0.0-rc.22](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-rc.21...gatsby@2.0.0-rc.22) (2018-09-13)

**Note:** Version bump only for package gatsby

<a name="2.0.0-rc.21"></a>

# [2.0.0-rc.21](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-rc.20...gatsby@2.0.0-rc.21) (2018-09-12)

**Note:** Version bump only for package gatsby

<a name="2.0.0-rc.20"></a>

# [2.0.0-rc.20](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-rc.19...gatsby@2.0.0-rc.20) (2018-09-12)

### Bug Fixes

- bug where client routes are redirected to their base page path ([#8083](https://github.com/gatsbyjs/gatsby/issues/8083)) ([4cd37ea](https://github.com/gatsbyjs/gatsby/commit/4cd37ea))

<a name="2.0.0-rc.19"></a>

# [2.0.0-rc.19](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-rc.18...gatsby@2.0.0-rc.19) (2018-09-11)

**Note:** Version bump only for package gatsby

<a name="2.0.0-rc.18"></a>

# [2.0.0-rc.18](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-rc.17...gatsby@2.0.0-rc.18) (2018-09-11)

**Note:** Version bump only for package gatsby

<a name="2.0.0-rc.17"></a>

# [2.0.0-rc.17](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-rc.16...gatsby@2.0.0-rc.17) (2018-09-11)

**Note:** Version bump only for package gatsby

<a name="2.0.0-rc.16"></a>

# [2.0.0-rc.16](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-rc.15...gatsby@2.0.0-rc.16) (2018-09-11)

**Note:** Version bump only for package gatsby

<a name="2.0.0-rc.15"></a>

# [2.0.0-rc.15](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-rc.14...gatsby@2.0.0-rc.15) (2018-09-08)

**Note:** Version bump only for package gatsby

<a name="2.0.0-rc.14"></a>

# [2.0.0-rc.14](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-rc.13...gatsby@2.0.0-rc.14) (2018-09-07)

### Bug Fixes

- ensure graphql key (starting with numeric) is valid ([#7913](https://github.com/gatsbyjs/gatsby/issues/7913)) ([dd8f79c](https://github.com/gatsbyjs/gatsby/commit/dd8f79c))
- remove some warnings on promises ([#7922](https://github.com/gatsbyjs/gatsby/issues/7922)) ([e069f27](https://github.com/gatsbyjs/gatsby/commit/e069f27))

<a name="2.0.0-rc.13"></a>

# [2.0.0-rc.13](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-rc.12...gatsby@2.0.0-rc.13) (2018-09-05)

**Note:** Version bump only for package gatsby

<a name="2.0.0-rc.12"></a>

# [2.0.0-rc.12](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-rc.11...gatsby@2.0.0-rc.12) (2018-09-05)

### Bug Fixes

- sort data before writing into the data.json cache file ([#7878](https://github.com/gatsbyjs/gatsby/issues/7878)) ([4cfee57](https://github.com/gatsbyjs/gatsby/commit/4cfee57))

<a name="2.0.0-rc.11"></a>

# [2.0.0-rc.11](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-rc.10...gatsby@2.0.0-rc.11) (2018-09-05)

### Bug Fixes

- babel options ([#7865](https://github.com/gatsbyjs/gatsby/issues/7865)) ([9c45441](https://github.com/gatsbyjs/gatsby/commit/9c45441))

<a name="2.0.0-rc.10"></a>

# [2.0.0-rc.10](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-rc.9...gatsby@2.0.0-rc.10) (2018-09-04)

### Bug Fixes

- babel default options ([300277d](https://github.com/gatsbyjs/gatsby/commit/300277d))

<a name="2.0.0-rc.9"></a>

# [2.0.0-rc.9](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-rc.8...gatsby@2.0.0-rc.9) (2018-09-03)

### Bug Fixes

- setBabelOptions ([#7838](https://github.com/gatsbyjs/gatsby/issues/7838)) ([66101ca](https://github.com/gatsbyjs/gatsby/commit/66101ca))

<a name="2.0.0-rc.8"></a>

# [2.0.0-rc.8](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-rc.7...gatsby@2.0.0-rc.8) (2018-09-03)

**Note:** Version bump only for package gatsby

<a name="2.0.0-rc.7"></a>

# [2.0.0-rc.7](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-rc.6...gatsby@2.0.0-rc.7) (2018-08-31)

**Note:** Version bump only for package gatsby

<a name="2.0.0-rc.6"></a>

# [2.0.0-rc.6](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-rc.5...gatsby@2.0.0-rc.6) (2018-08-31)

**Note:** Version bump only for package gatsby

<a name="2.0.0-rc.5"></a>

# [2.0.0-rc.5](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-rc.4...gatsby@2.0.0-rc.5) (2018-08-31)

**Note:** Version bump only for package gatsby

<a name="2.0.0-rc.4"></a>

# [2.0.0-rc.4](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-rc.3...gatsby@2.0.0-rc.4) (2018-08-29)

**Note:** Version bump only for package gatsby

<a name="2.0.0-rc.3"></a>

# [2.0.0-rc.3](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-rc.2...gatsby@2.0.0-rc.3) (2018-08-29)

**Note:** Version bump only for package gatsby

<a name="2.0.0-rc.2"></a>

# [2.0.0-rc.2](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-rc.1...gatsby@2.0.0-rc.2) (2018-08-29)

**Note:** Version bump only for package gatsby

<a name="2.0.0-rc.1"></a>

# [2.0.0-rc.1](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-rc.0...gatsby@2.0.0-rc.1) (2018-08-29)

**Note:** Version bump only for package gatsby

<a name="2.0.0-rc.0"></a>

# [2.0.0-rc.0](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.113...gatsby@2.0.0-rc.0) (2018-08-21)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.113"></a>

# [2.0.0-beta.113](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.112...gatsby@2.0.0-beta.113) (2018-08-21)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.112"></a>

# [2.0.0-beta.112](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.111...gatsby@2.0.0-beta.112) (2018-08-20)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.111"></a>

# [2.0.0-beta.111](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.110...gatsby@2.0.0-beta.111) (2018-08-17)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.110"></a>

# [2.0.0-beta.110](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.109...gatsby@2.0.0-beta.110) (2018-08-16)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.109"></a>

# [2.0.0-beta.109](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.108...gatsby@2.0.0-beta.109) (2018-08-16)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.108"></a>

# [2.0.0-beta.108](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.107...gatsby@2.0.0-beta.108) (2018-08-16)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.107"></a>

# [2.0.0-beta.107](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.106...gatsby@2.0.0-beta.107) (2018-08-16)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.106"></a>

# [2.0.0-beta.106](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.105...gatsby@2.0.0-beta.106) (2018-08-16)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.105"></a>

# [2.0.0-beta.105](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.104...gatsby@2.0.0-beta.105) (2018-08-15)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.104"></a>

# [2.0.0-beta.104](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.103...gatsby@2.0.0-beta.104) (2018-08-15)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.103"></a>

# [2.0.0-beta.103](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.102...gatsby@2.0.0-beta.103) (2018-08-15)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.102"></a>

# [2.0.0-beta.102](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.101...gatsby@2.0.0-beta.102) (2018-08-15)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.101"></a>

# [2.0.0-beta.101](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.100...gatsby@2.0.0-beta.101) (2018-08-15)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.100"></a>

# [2.0.0-beta.100](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.99...gatsby@2.0.0-beta.100) (2018-08-14)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.99"></a>

# [2.0.0-beta.99](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.97...gatsby@2.0.0-beta.99) (2018-08-13)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.97"></a>

# [2.0.0-beta.97](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.96...gatsby@2.0.0-beta.97) (2018-08-10)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.96"></a>

# [2.0.0-beta.96](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.95...gatsby@2.0.0-beta.96) (2018-08-10)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.95"></a>

# [2.0.0-beta.95](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.94...gatsby@2.0.0-beta.95) (2018-08-10)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.94"></a>

# [2.0.0-beta.94](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.93...gatsby@2.0.0-beta.94) (2018-08-10)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.93"></a>

# [2.0.0-beta.93](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.92...gatsby@2.0.0-beta.93) (2018-08-09)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.92"></a>

# [2.0.0-beta.92](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.91...gatsby@2.0.0-beta.92) (2018-08-09)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.91"></a>

# [2.0.0-beta.91](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.90...gatsby@2.0.0-beta.91) (2018-08-09)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.90"></a>

# [2.0.0-beta.90](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.89...gatsby@2.0.0-beta.90) (2018-08-09)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.89"></a>

# [2.0.0-beta.89](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.88...gatsby@2.0.0-beta.89) (2018-08-09)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.88"></a>

# [2.0.0-beta.88](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.87...gatsby@2.0.0-beta.88) (2018-08-09)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.87"></a>

# [2.0.0-beta.87](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.86...gatsby@2.0.0-beta.87) (2018-08-08)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.86"></a>

# [2.0.0-beta.86](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.85...gatsby@2.0.0-beta.86) (2018-08-08)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.85"></a>

# [2.0.0-beta.85](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.84...gatsby@2.0.0-beta.85) (2018-08-08)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.84"></a>

# [2.0.0-beta.84](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.83...gatsby@2.0.0-beta.84) (2018-08-08)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.83"></a>

# [2.0.0-beta.83](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.81...gatsby@2.0.0-beta.83) (2018-08-07)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.81"></a>

# [2.0.0-beta.81](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.79...gatsby@2.0.0-beta.81) (2018-08-07)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.80"></a>

# [2.0.0-beta.80](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.79...gatsby@2.0.0-beta.80) (2018-08-07)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.79"></a>

# [2.0.0-beta.79](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.77...gatsby@2.0.0-beta.79) (2018-08-07)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.77"></a>

# [2.0.0-beta.77](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.76...gatsby@2.0.0-beta.77) (2018-08-07)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.76"></a>

# [2.0.0-beta.76](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.75...gatsby@2.0.0-beta.76) (2018-08-07)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.75"></a>

# [2.0.0-beta.75](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.74...gatsby@2.0.0-beta.75) (2018-08-07)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.74"></a>

# [2.0.0-beta.74](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.73...gatsby@2.0.0-beta.74) (2018-08-07)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.73"></a>

# [2.0.0-beta.73](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.71...gatsby@2.0.0-beta.73) (2018-08-07)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.72"></a>

# [2.0.0-beta.72](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.71...gatsby@2.0.0-beta.72) (2018-08-06)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.71"></a>

# [2.0.0-beta.71](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.70...gatsby@2.0.0-beta.71) (2018-08-06)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.70"></a>

# [2.0.0-beta.70](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.69...gatsby@2.0.0-beta.70) (2018-08-06)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.69"></a>

# [2.0.0-beta.69](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.68...gatsby@2.0.0-beta.69) (2018-08-04)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.68"></a>

# [2.0.0-beta.68](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.67...gatsby@2.0.0-beta.68) (2018-08-04)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.67"></a>

# [2.0.0-beta.67](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.66...gatsby@2.0.0-beta.67) (2018-08-03)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.66"></a>

# [2.0.0-beta.66](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.65...gatsby@2.0.0-beta.66) (2018-08-02)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.65"></a>

# [2.0.0-beta.65](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.64...gatsby@2.0.0-beta.65) (2018-08-01)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.64"></a>

# [2.0.0-beta.64](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.63...gatsby@2.0.0-beta.64) (2018-07-31)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.63"></a>

# [2.0.0-beta.63](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.62...gatsby@2.0.0-beta.63) (2018-07-31)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.62"></a>

# [2.0.0-beta.62](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.61...gatsby@2.0.0-beta.62) (2018-07-31)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.61"></a>

# [2.0.0-beta.61](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.60...gatsby@2.0.0-beta.61) (2018-07-28)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.60"></a>

# [2.0.0-beta.60](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.59...gatsby@2.0.0-beta.60) (2018-07-27)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.59"></a>

# [2.0.0-beta.59](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.58...gatsby@2.0.0-beta.59) (2018-07-25)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.58"></a>

# [2.0.0-beta.58](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.57...gatsby@2.0.0-beta.58) (2018-07-25)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.57"></a>

# [2.0.0-beta.57](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.56...gatsby@2.0.0-beta.57) (2018-07-24)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.56"></a>

# [2.0.0-beta.56](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.55...gatsby@2.0.0-beta.56) (2018-07-24)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.55"></a>

# [2.0.0-beta.55](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.54...gatsby@2.0.0-beta.55) (2018-07-21)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.54"></a>

# [2.0.0-beta.54](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.53...gatsby@2.0.0-beta.54) (2018-07-20)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.53"></a>

# [2.0.0-beta.53](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.52...gatsby@2.0.0-beta.53) (2018-07-20)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.52"></a>

# [2.0.0-beta.52](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.51...gatsby@2.0.0-beta.52) (2018-07-20)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.51"></a>

# [2.0.0-beta.51](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.50...gatsby@2.0.0-beta.51) (2018-07-20)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.50"></a>

# [2.0.0-beta.50](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.49...gatsby@2.0.0-beta.50) (2018-07-20)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.49"></a>

# [2.0.0-beta.49](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.48...gatsby@2.0.0-beta.49) (2018-07-20)

### Bug Fixes

- Bumping Serve Up to 9.2.0 Broke Calls to Serve's API ([#6598](https://github.com/gatsbyjs/gatsby/issues/6598)) ([ce9c3a8](https://github.com/gatsbyjs/gatsby/commit/ce9c3a8))

<a name="2.0.0-beta.48"></a>

# [2.0.0-beta.48](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.47...gatsby@2.0.0-beta.48) (2018-07-19)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.47"></a>

# [2.0.0-beta.47](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.46...gatsby@2.0.0-beta.47) (2018-07-18)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.46"></a>

# [2.0.0-beta.46](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.45...gatsby@2.0.0-beta.46) (2018-07-18)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.45"></a>

# [2.0.0-beta.45](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.44...gatsby@2.0.0-beta.45) (2018-07-18)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.44"></a>

# [2.0.0-beta.44](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.43...gatsby@2.0.0-beta.44) (2018-07-18)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.43"></a>

# [2.0.0-beta.43](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.42...gatsby@2.0.0-beta.43) (2018-07-17)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.42"></a>

# [2.0.0-beta.42](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.41...gatsby@2.0.0-beta.42) (2018-07-17)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.41"></a>

# [2.0.0-beta.41](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.40...gatsby@2.0.0-beta.41) (2018-07-17)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.40"></a>

# [2.0.0-beta.40](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.39...gatsby@2.0.0-beta.40) (2018-07-16)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.39"></a>

# [2.0.0-beta.39](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.38...gatsby@2.0.0-beta.39) (2018-07-16)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.38"></a>

# [2.0.0-beta.38](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.37...gatsby@2.0.0-beta.38) (2018-07-15)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.37"></a>

# [2.0.0-beta.37](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.36...gatsby@2.0.0-beta.37) (2018-07-15)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.36"></a>

# [2.0.0-beta.36](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.35...gatsby@2.0.0-beta.36) (2018-07-14)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.35"></a>

# [2.0.0-beta.35](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.34...gatsby@2.0.0-beta.35) (2018-07-13)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.34"></a>

# [2.0.0-beta.34](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.33...gatsby@2.0.0-beta.34) (2018-07-13)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.33"></a>

# [2.0.0-beta.33](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.32...gatsby@2.0.0-beta.33) (2018-07-13)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.32"></a>

# [2.0.0-beta.32](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.31...gatsby@2.0.0-beta.32) (2018-07-13)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.31"></a>

# [2.0.0-beta.31](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.30...gatsby@2.0.0-beta.31) (2018-07-13)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.30"></a>

# [2.0.0-beta.30](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.29...gatsby@2.0.0-beta.30) (2018-07-13)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.29"></a>

# [2.0.0-beta.29](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.28...gatsby@2.0.0-beta.29) (2018-07-12)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.28"></a>

# [2.0.0-beta.28](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.27...gatsby@2.0.0-beta.28) (2018-07-12)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.27"></a>

# [2.0.0-beta.27](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.26...gatsby@2.0.0-beta.27) (2018-07-12)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.26"></a>

# [2.0.0-beta.26](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.25...gatsby@2.0.0-beta.26) (2018-07-12)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.25"></a>

# [2.0.0-beta.25](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.24...gatsby@2.0.0-beta.25) (2018-07-11)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.24"></a>

# [2.0.0-beta.24](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.23...gatsby@2.0.0-beta.24) (2018-07-11)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.23"></a>

# [2.0.0-beta.23](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.22...gatsby@2.0.0-beta.23) (2018-07-11)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.22"></a>

# [2.0.0-beta.22](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.21...gatsby@2.0.0-beta.22) (2018-07-11)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.21"></a>

# [2.0.0-beta.21](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.20...gatsby@2.0.0-beta.21) (2018-07-11)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.20"></a>

# [2.0.0-beta.20](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.19...gatsby@2.0.0-beta.20) (2018-07-09)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.19"></a>

# [2.0.0-beta.19](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.18...gatsby@2.0.0-beta.19) (2018-07-06)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.18"></a>

# [2.0.0-beta.18](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.17...gatsby@2.0.0-beta.18) (2018-07-06)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.17"></a>

# [2.0.0-beta.17](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.16...gatsby@2.0.0-beta.17) (2018-07-03)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.16"></a>

# [2.0.0-beta.16](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.15...gatsby@2.0.0-beta.16) (2018-07-03)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.15"></a>

# [2.0.0-beta.15](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.14...gatsby@2.0.0-beta.15) (2018-07-02)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.14"></a>

# [2.0.0-beta.14](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.13...gatsby@2.0.0-beta.14) (2018-07-02)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.13"></a>

# [2.0.0-beta.13](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.12...gatsby@2.0.0-beta.13) (2018-06-29)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.12"></a>

# [2.0.0-beta.12](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.11...gatsby@2.0.0-beta.12) (2018-06-26)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.11"></a>

# [2.0.0-beta.11](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.10...gatsby@2.0.0-beta.11) (2018-06-25)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.10"></a>

# [2.0.0-beta.10](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.9...gatsby@2.0.0-beta.10) (2018-06-25)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.9"></a>

# [2.0.0-beta.9](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.8...gatsby@2.0.0-beta.9) (2018-06-21)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.8"></a>

# [2.0.0-beta.8](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.7...gatsby@2.0.0-beta.8) (2018-06-21)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.7"></a>

# [2.0.0-beta.7](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.6...gatsby@2.0.0-beta.7) (2018-06-21)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.6"></a>

# [2.0.0-beta.6](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.5...gatsby@2.0.0-beta.6) (2018-06-21)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.5"></a>

# [2.0.0-beta.5](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.4...gatsby@2.0.0-beta.5) (2018-06-21)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.4"></a>

# [2.0.0-beta.4](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.3...gatsby@2.0.0-beta.4) (2018-06-20)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.3"></a>

# [2.0.0-beta.3](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.2...gatsby@2.0.0-beta.3) (2018-06-20)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.2"></a>

# [2.0.0-beta.2](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.1...gatsby@2.0.0-beta.2) (2018-06-19)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.1"></a>

# [2.0.0-beta.1](https://github.com/gatsbyjs/gatsby/compare/gatsby@2.0.0-beta.0...gatsby@2.0.0-beta.1) (2018-06-17)

**Note:** Version bump only for package gatsby

<a name="2.0.0-beta.0"></a>

# [2.0.0-beta.0](https://github.com/gatsbyjs/gatsby/compare/gatsby@1.9.272...gatsby@2.0.0-beta.0) (2018-06-17)

**Note:** Version bump only for package gatsby

## [1.5.0] - 2017-07-27

### Added

- Add gatsby-source-mongodb plugin to gatsby (#1570) @jorishermans
- [www] Refactor Homepage and Navigation & convert diagram to html/css (#1605)
  @fk
- Included example with WP-API-MENUS items (#1619) @sebastienfi
- added new site to showcase (#1616) @dvzrd
- Docs: add grommet starter (#1626) @alampros
- add a bunch of tests for various plugins (#1581) @DSchau

### Fixed

- fix broken gatsby link definition for TypeScript 2.4.2 (#1628) @DominikGuzei
- test: fix failing test due to missing argyle image (#1636) @DSchau
- Revise part one of tutorial to use hello-world starter (#1630) @KyleAMathews
- Fix passing createNode as argument (#1629) @sebastienfi
- Don't mutate page context (#1537) @okcoker
- Updated instructions for Windows (#1621) @sebastienfi
- Tweak JSS links + add it to plugins page (#1615) @KyleAMathews

## [1.4.0] - 2017-07-25

### Added

- Add gatsby-plugin-feed to www #1569 @nicholaswyoung
- Implement gatsby-plugin-jss #1431 @wizardzloy
- gatsby-transformer-sharp: Added the option to use the original image #1556
  @chiedo

### Fixed

- [www] Blog post meta styles #1561 @fk
- Fix unsupported method in IE #1573 @variadicintegrity
- Don't set a default title in html.js as not overridden by react-helmet #1578
  @KyleAMathews
- Downgrade Glamor to v2 as v3 unstable #1580 @KyleAMathews
- Remove the slash between the pathPrefix and pathname when navigating #1574
  @DaleWebb
- Fix url in Contentful example #1596 @axe312ger
- Small fixes to tutorial #1586 @benmathews
- Add missing dep to gatsby-source-filesystem #1607 @jquense
- WordPress -> WordPress #1608 @Alaev
- Fix typo #1609 @fk
- Update modifyWebpackConfig docs #1613 @KyleAMathews
- Fix broken links #1614 @KyleAMathews

## [1.3.0] - 2017-07-19

### Added

- docs: add "creating a static blog with gatsby" blog post #1560 @DSchau
- add tests to gatsby-remark-images #1559 @DSchau
- add glitch-gatsby-starter-blog #1554 @100ideas
- use consistent chunk ids #1534 @stevensurgnier
- Enhance API for multiple feeds #1548 @nicholaswyoung
- Add new plugin to handle csv files #1496 @ssonal
- Adds showcase segment for starters/websites built with Gatsby. #1535 @Vagr9K
- Fancy JavaScript Example #1492 @jbolda
- Add sitemap plugin to www #1541 @nicholaswyoung

### Fixed

- Clone context to prevent mutations #1553 @kyleamathews
- Update dependencies to avoid hoisting errors #1552 @kyleamathews
- Set pathPrefix if not defined to an empty string to avoid undefined #1551
  @kyleamathews
- Fix prefixes in gatsby-link + navigateTo #1550 @kyleamathews
- Make path to packages the same on website as GitHub #1549 @kyleamathews
- Fixing sw.js 404-ing because of pathPrefix not being prefixed to sw.js
  properly. Fixing #1539 #1540 @gregsqueeb
- [gatsby-plugin-sharp] Fix PNG generation when using the "duotone" option #1506
  @fk
- fix: ensure pathPrefix is added to responsive images #1510 @DSchau
- Fix the onClick override logic #1489 @jakedeichert
- Check if node.value is set as otherwise cheerio throws an error #1543
  @kyleamathews
- Fix docs referencing outdated React Router <Link> API #1523 @ahfarmer
- Fixes component-renderer to allow for use of internal routing #1542 @scottyeck
- Center .twitter-tweet-rendered #1529 @fk
- double '... use use ...' word #1528 @GoreStarry

## [1.2.0] - 2017-07-13

### Added

- Watch for changes to html.js #1473 @felixjung
- Add stylus example #1479 @iansinnott
- Added support for nested img tags in html nodes #1485 @chiedo
- Prism plugin bugfix alt #1491 @bvaughn
- Allow for env files #1462 @okcoker
- Create deploy-gatsby.md #1480 @couturecraigj

### Fixed

- Fix Contentful example URL #1483 @oscar-b
- Fix reference to program.directory #1490 @jakedeichert
- Fixes docs referencing removed "1.0" branch source code instead of master.
  #1495 @Vagr9K
- fix(gatsby-source-contentful): missing host param in createClient #1487
  @Smiter
- use program directory over cwd #1478 @craig-mulligan

## [1.1.0] - 2017-07-11

### Added

- Add gatsby-plugin-twitter for embedding Tweets #1389 @KyleAMathews
- Document promise/callback interface for async plugins #1409 @KyleAMathews
- Add an example of a config query to migration docs #1429 @benmccormick
- Adds more information to documentation pages. #1428 @Vagr9K
- Add new plugin `gatsby-plugin-emotion` #1447 @rawrmonstar
- Gatsby remark images default alt tags and optional linking #1451 @chiedo
- Add stylus support #1437 @iansinnott
- [gatsby-source-contentful] Add Support for preview api #1464 @Khaledgarbaya

### Fixed

- Update init-starter.js #1393 @kimown
- fix URL for packages, using the master branch #1399 @bmackinney
- Use latest instead of next for versions in examples #1404 @KyleAMathews
- Update www dependencies #1402 @KyleAMathews
- Fix frontpage copy issues #1401 @KyleAMathews
- Add missing return statement #1405 @ahmedlhanafy
- Fixed documentation #1406 @chiedo
- fix: Update examples directory URL due to 404 with current link #1410
  @bencodezen
- Add link to gatsby-dev-cli + we're stable + copy editing @KyleAMathews
- fix glamor + babel modification #1416 @jaredly
- Typo, grammar and standardising flags #1426 @IrregularShed
- Fix bug where the target is incorrectly set #1427 @samzhao
- Fix "gastsby" to "gatsby" on line 34 #1433 @trautlein
- Fix "Creating Pages" example's variable reference #1430 @benmccormick
- Fixes the example for navigateTo. #1440 @Vagr9K
- Properly load options for Remark #1441 @benmccormick
- Use lowercase require for "rss" #1444 @nicholaswyoung
- fix issue with ssr for redux example #1445 lemuelbarango
- Update .nvmrc, Node 8 #1446 @nicholaswyoung
- Set a key on pages so when switching between pages, the same component
  instance isn't reusued #1460 @KyleAMathews
- Removed `owner` assignation to prevent error #1454 @sebastienfi
- Update gatsby-node.js #1452 @sebastienfi
- Update README.md #1453 @sebastienfi
- Improve TypeScript example #1466 @fabien0102
- Remove react-helmet from src/html.js fixes #1443 #1474 @KyleAMathews
- Updates add-custom-webpack-config.md to fix broken links #1420 @marcustisater
- Fix source-wordpress npmignore #1476 @KyleAMathews

## [1.0.0] - 2017-07-06

### Added

- Adds Material Blog starter to the list of starters. #1344 @Vagr9K committed
  with KyleAMathews 4 days ago
- Continuation: WIP update home page with new design #1355 @fk
- WordPress source plugin and example site #1321 @sebastienfi
- [v1.0] Documentation improvements. #1370 @Vagr9K
- 1.0.0 announcement blog post #1379 @KyleAMathews
- Adds gatsby-transformer-toml to the core. ##1382 @Vagr9K

### Fixed

- Update README to make it clearer about deploying to gh pages #1343 @jsfeb26
- Call next() after serving HTML #1349 @levibuzolic
- Use int for defaultValue of int field #1352 @KyleAMathews
- Make default sitemap meet expectations #1351 @chiedo
- Guard against calling ga function if it doesn't (yet) exist #1361
  @KyleAMathews
- Namespace type names for Contentful #1374 @KyleAMathews
- Add missing parens in code examples #1376 @okcoker
- Fix gatsby-transformer-react-docgen dependencies #1377 @jquense

## [1.0.0-beta.6] - 2017-07-01

### Added

- Use the sync endpoint to pull data from Contentful #1241 @Khaledgarbaya
- Use localized space #1266 @Khaledgarbaya
- gatsby-transformer-javascript-static-exports #1253 @jbolda
- Added support for HTML img tags #1285 @chiedo
- [gatsby-source-contentful] support creating localized nodes #1279
  @kyleamathews
- Link pages to their plugin creators for easier understanding/debugging fixes
  #1281 #1297 @kyleamathews
- Support NavLink in gatsby-link #1302 @abi
- Add an example for using the sass plugin #1312 @danielfarrell
- Add CSS Modules example site #1314 @kyleamathews
- Add TypeScript example #1319 @kyleamathews
- Support using browserslist for setting per-site browser targeting for JS/CSS
  transformations #1336 @kyleamathews
- Add gatsby-plugin-canonical-url #1337 @kyleamathews
- [source-contentful] Allow for querying gifs & when user queries for image
  height, actually crop #1339 @kyleamathews

### Changed

- Replace build-images with just images @kyleamathews
- Make mediaType optional #1299 @kyleamathews
- Just use name/value for createNodeField #1325 @kyleamathews
- Renamed remark-responsive-image-plugin to gatsby-remark-images @chiedo
- Write images processed by sharp to public/static along with other assets #1332
  @kyleamathews

### Fixed

- using-remark fixes #1250 @fk
- Broken example commands in DOCS / Getting Started page #1252 @sebastienfi
- Don't catch links to files #1260 @kyleamathews
- Improve develop-html stage #1254 @craig-mulligan
- Make various tweaks to the tutorial #1262 @kyleamathews
- Add tests for parsing regex args + fix bug #1267 @kyleamathews
- Fixes for feed plugin README #1273 @kyleamathews
- [gatsby-source-contentful] Add testing for existing API processing #1274
  @kyleamathews
- Throw error and quit if there's a JS parse error for gatsby-config.js #1296
  @kyleamathews
- Add missing npmignore files #1298 @kyleamathews
- Move creating 404.html page into plugin so can enforce pages only created by
  plugins #1300 @kyleamathews
- Fix occasionally out-of-order query watching which would throw errors #1301
  @kyleamathews
- Waiting for query extraction wasn't actually waiting #1303 @kyleamathews
- Improved plugin error without exit #1309 @0x80
- Fixed a small typo in gatsby-plugin-postcss-sass that prevented CSS modules
  from working #1307 @levibuzolic
- Don't use the sass loader on build-javascript #1278 @danielfarrell
- Fixes 1317 Google Analytics plugin; updates attachHistory listener logic #1318
  @camsjams
- Call onRouteUpdate on initial page load #1320 @kyleamathews
- Fix check if there's a sw plugin added #1323 @kyleamathews
- Only build 1 html page in development and always serve it #1324 @kyleamathews
- Fix server/client rendering mismatch #1326 @kyleamathews
- update gatsby-remark-responsive-iframe readme #1328 @eddywashere
- Use memory lowdb as it is significantly faster. Also snuck in yurnalist for
  better console output #1329 @kyleamathews
- Quit on ctrl-c #1334 @kyleamathews
- Set keys on head/body components #1335 @kyleamathews

## [1.0.0-beta.4] - 2017-06-23

### Added

- Add using-remark example site #1230 @fk
- Add friendly webpack output #1240 @craig-mulligan
- Add documentation on how to use custom webpack-config #1242 @bananenmannfrau
- Add graphql fields for creating responsive images using Contentful image API
  #1228 @kyleamathews

### Changed

- Refactor Contentful data processing into own module + use more standard
  GraphQL type names @kyleamathews
- Prefer floats over integers when inferring a GraphQL field #1229 @kyleamathews

### Fixed

- Fix babel compilation so targets uglify #1244 @kyleamathews
- Open external image link with rel='noopener' #1227 @wangsongiam
- Update index.d.ts for gatsby-link #1232 @timsuchanek

## [1.0.0-beta.3] - 2017-06-21

### Added

- Show better errors when there's a graphql compilation problem #1222
  @kyleamathews
- Add google tagmanager plugin #1123 @0x80
- Support path prefixes for service workers @kyleamathews
- When a new service worker is loaded, force reload #1217 @kyleamathews
- www: Make the header fixed for tablets and up #1215 @fk
- Update on Gatsby Windows instructions #1216 @sebastienfi
- Improve GQL query error handling #1214 @0x80
- An array of linked nodes linking to heterogeneous node types is now converted
  to a union type #1211 @kyleamathews

### Fixed

- Final fixes to highlight code line whitespace, doc #1207 @fk
- Increase contentful fetch limit to max of 1000 #1209 @kyleamathews
- Fix broken links on website #1205 @kyleamathews
- Merge sidebar components #1191 @fk
- absolute resolves for gatsby config files #1195 @craig-mulligan
- Update the default sitemap query #1204 @nicholaswyoung
- For Contentful, filter out unresolvable entries and create markdown text nodes
  #1202 @kyleamathews
- Reduce font-size of the mobile menu labels #1201 @fk
- gatsby-remark-responsive-image: fix misaligned images #1196 @rstacruz
- Fix 100% width code highlight background only being drawn for the vis… #1192
  @fk

## [1.0.0-beta.2] - 2017-06-16

### Added

- Add beta 1 blog post #1183 @kyleamathews

### Fixed

- Fix prism line highlighting #1187 @kyleamathews
- Add .npmignore to source-drupal plugin so it'll publish @kyleamathews
- Fix building thumbnails when an image is processed multiple times #1185
  @kyleamathews
- Add event when all plugins are finished running so know when to start running
  queries #1182 @kyleamathews | Fix a typo on gatby-link updating #1181
  @danielfarrell

## [1.0.0-beta.1] - 2017-06-15

Our first beta!!! 🎉

### Added

- Allow for gatsby-remark-smartypants options #1166 @mitchejj
- New design (for gatsbyjs.org) + new home page #1170 @kyleamathews
- Add ability to locally define plugins #1126 @0x80
- Add rough draft for docs for creating source plugins #1159 @kyleamathews
- Optimizations around prefetching page resources #1133 @kyleamathews
- Redux example site #1081 @scottyeck
- Sitemap Generator Plugin #1115 @nicholaswyoung
- Add documentation to gatsby-remark-prism @kyleamathews

### Changed

- Move all filter operators for connections under a top-level "filter" field
  #1177 @kyleamathews
- Change `linkPrefix` to `pathPrefix` and add an example site #1155
  @kyleamathews
- Make the plugin options for remark plugins the second argument (like
  everywhere else) #1167 @kyleamathews
- Start using next instead of canary in example sites for package versions
  @kyleamathews

### Fixed

- Fix graphql compiler on TypeScript #949 @fabien0102
- Replace react.createClass with ES6 classes in examples html.js, add PropTypes
  #1169 @abachuk
- Fix windows build issue #1158 @kyleamathews
- Use custom delimiter when flattening example values for enum fields so easy to
  convert back @kyleamathews
- gatsby-remark-responsive-images: use span instead of div #1151 @rstacruz
- Add check that we can actually find a linked image file node @kyleamathews
- Ignore SVGs in gatsby-remark-responsive-image #1157 @fk
- Replace using levelup for caching with lowdb to avoid native dependency #1142
  @kyleamathews
- Fix Appveyor bug regarding build all examples on release #1118 @jbolda

## [1.0.0-alpha20] - 2017-06-05

### Added

- RSS Feed plugin #1073 @nicholaswyoung
- Contentful source plugin #1084 @mericsson
- MVP part 1 of new community Gatsby tutorial #1107 @kyleamathews
- Debuggin help when building HTML fails #1109 @kyleamathews
- Default `html.js` component #1107 @kyleamathews
- Can now highlight specific line numbers in markdown code blocks #1107
  @kyleamathews

## Changed

- `gatsby-config.js` is no longer required #1107 @kyleamathews
- The Gatsby `serve-build` command is now just `serve` #1107 @kyleamathews

## Fixed

- Windows builds on Appveyor #1049 @jbolda

## [1.0.0-alpha19] - 2017-06-02

(Skipping over the previous two releases as they had bugs).

### Added

- Add a helpful 404 page during development that lists the page you might have
  wanted @kyleamathews to link to or how to create a new page at that link #1051
  @kyleamathews
- Add "Plop" script for quickly creating new packages #1059 @kyleamathews
- Add new plugin supporting server rendering of Styled Components #1060 @gutenye
- Add new plugin supporting server rendering of react-helmet #1085 @kyleamathews
- Add new plugin for extracting JSDocs information from JavaScript files using
  documentation.js #1053 @kyleamathews
- Add new API spec (rough draft) @kyleamathews
  https://www.gatsbyjs.org/docs/api-specification/
- Add new API reference pages @kyleamathews e.g.
  https://www.gatsbyjs.org/docs/node-apis/
- Add "duotone" image processing option to gatsby-plugin-sharp #1047 @fk
- Add example site for image processing @fk
  https://image-processing.gatsbyjs.org/
- Add example site for css-in-js library Glamor @kyleamathews
  https://using-glamor.gatsbyjs.org/
- Add example site for css-in-js library Styled Components @kyleamathews
  https://using-styled-components.gatsbyjs.org/

### Changed

#### Grand big API renaming based on our new API spec https://www.gatsbyjs.org/docs/api-specification/

API changes:

[Action creators](https://www.gatsbyjs.org/docs/bound-action-creators/):

- `upsertPage` is now `createPage`
- `addFieldToNode` is now `createNodeField`
- `deletePageByPath` is now `deletePage`
- `addNodeToParent` is now `createParentChildLink`

[gatsby-browser.js APIs](https://www.gatsbyjs.org/docs/browser-apis/):

- `clientEntry` is now `onClientEntry`

[gatsby-node.js APIs](https://www.gatsbyjs.org/docs/node-apis/):

- `onNodeCreate` is now `onCreateNode`
- `onUpsertPage` is now `onCreatePage`
- `extendNodeType` is now `setFieldsOnGraphQLNodeType`

[gatsby-ssr.js APIs](https://www.gatsbyjs.org/docs/ssr-apis/):

- `modifyHeadComponents` and `modifyPostBodyComponents` were removed in favor of
  a new API
  [`onRenderBody`](https://www.gatsbyjs.org/docs/ssr-apis/#onRenderBody).
- `replaceServerBodyRender` is now `replaceRenderer`

### Fixed

- Fix sharp image quality and force file format #1054 @0x80
- Expose crop focus parameter and make consistent with base64 #1055 @0x80
- Clean up TravisCI config #1066 @hawkrives
- Fix inference bug #1087 @jquense
- Provide default context for GraphQL #1052 @kyleamathews
- Make determining when a given stage is finished much more reliable #1080
  @kyleamathews
- Pick values off plugin's package.json to avoid weird metadata from NPM #1090
  @kyleamathews

### New 1.0 sites launched

- https://www.vauxlab.com
- https://meetfabric.com

## [1.0.0-alpha16] - 2017-05-26

### Added

- Migration guide @kyleamathews #1032
- Made nodes fully immutable @kyleamathews #1035
- Add no-plugins example @scottyeck #1028
- Add support for "internal" plugins #1010
- Expose internal Gatsby data through GraphQL @kyleamathews #1014

### Changed

- Removed `updateNode` action creator as part of making nodes immutable in
  #1035. Now sites/plugins should use `addFieldToNode` for adding fields to
  nodes created by other plugins and `addNodeToParent` for adding a new node as
  a child to an existing node.

### Fixed

- Don't override the default onClick handler in gatsby-link @scottyeck #1019

## [1.0.0-alpha15] - 2017-05-15

### Added

- Update version of React Router to v4 #940
- API proxy for use during development #957
- "static" directory for files to be copied directly into the "public" directory
  #956
- Add `toFormat` argument to the ImageSharp GraphQL type so can change format of
  image e.g. from `png` to `jpg`.
- React Docgen transformer plugin for parsing propType info from React
  components #928

### Changed

- Change node format to hide most node-specific fields under an "internal" key.
  Any code referencing `node.type` and others will need changed to
  `node.internal.type` #960
- Changed the id for the root `<div>` used by Gatsby to mount React to
  `___gatsby`
- The default layout component should be at `layouts/index.js` not
  `layouts/default.js`
  https://github.com/gatsbyjs/gatsby/pull/940#issuecomment-300537162
- `this.props.children` in layout components is now a function
  https://github.com/gatsbyjs/gatsby/pull/940#issuecomment-300878300
- Change the default port for serve-build to 9000
- Change the path to GraphiQL to `/___graphql`

### Chore

- Upgrade Jest to v20 #935

## [1.0.0-alpha14] - 2017-05-05

### Added

- Use the Relay Modern compiler for extracting GraphQL queries from components.
  This allows us to now support components being added to _all_ components. This
  means you can now write queries next to the views that use them. #912
- Hook for modifying pages #863
- New Drupal source plugin and example site #890
- Detect if a site's plugins have changed and when they do, delete the site
  cache as it might now be invalid #927
- New way to make connections between nodes e.g. article --> author #902

### Changed

- Combine transformer and typegen plugins. The distinction between the two types
  of plugins has proved somewhat artificial so they were combined. Any typegen
  plugins in your `package.json` and `gatsby-config.js` need to be removed. #918
- Gatsby now garbage collects old nodes. Source plugins should now "touch"
- nodes that haven't changed #861
- Due to adopting the Relay compiler, GraphQL query template strings need named
  "graphql" plus must be named. So if previously you wrote:

```js
export const pageQuery = `
{
  allMarkdownMark {
    edges {
      node {
        id
      }
    }
  }
}
`
```

You must now write:

```js
export const pageQuery = graphql`
  query IndexQuery {
    allMarkdownMark {
      edges {
        node {
          id
        }
      }
    }
  }
`
```

## [1.0.0-alpha10] - 2016-11-17

### Added

- Did the intitial build of the new gatsbyjs.org! It's in the `www` subdirectory
  on the 1.0 branch and is built on each push! That's my kind of integration
  testing :-) You can see the early version of the site at
  https://gatsbyjs.netlify.app/. PRs welcome!
- Added <link preload> for page scripts. This speeds up loading scripts slightly
  by telling the browser to start downloading the scripts when the HTML first
  starts being parsed instead of when the browser reaches the end. This is
  especially helpful for large HTML documents on slow mobile networks.
  [PR](https://github.com/gatsbyjs/gatsby/pull/558)

## Changed

- Use namedmodulesplugin instead of recordsPath for ensuring deterministic
  builds and long-term cachability. The
  [previous PR adding support for recordsPath](https://github.com/gatsbyjs/gatsby/pull/533)
  proved unpleasant as you had to build locally and commit the outputted
  records.json which was confusing and annoying.
  [PR](https://github.com/gatsbyjs/gatsby/pull/559)

## [1.0.0-alpha9] - 2016-11-04

### Added

- Put the routes module on `window` to support experimental idea. See this issue
  for more](https://github.com/gatsbyjs/gatsby/issues/537).
  [commit](https://github.com/gatsbyjs/gatsby/commit/28e84f3aed480d1f5a8f9859172d1c6f531696d4)

### Changed

- Removed the package `sharp` as it's not used and is preventing Gatsby 1.0 from
  being installed on Windows.
  [commit](https://github.com/gatsbyjs/gatsby/commit/34fff74e6fb3cae88010b42f74d784382ead4031)

## [1.0.0-alpha8] - 2016-11-01

### Added

- Extension API `swOnUpdated` for when a service worker finishes updating. Use
  this to alert users of your app to reload to see the latest version.
  [commit](https://github.com/gatsbyjs/gatsby/commit/5173bdc5424e7c874b3f2abfad706cea2e38ebc3)

### Fixed

- hot reloading now fully works. Apparently you can't use function components
  for top-level routes on react-router with react-hot-loader 3.0 `¯\_( ツ )_/¯`
  [#532](https://github.com/gatsbyjs/gatsby/pull/532) and
  [commit](https://github.com/gatsbyjs/gatsby/commit/36f2c169586ea30518639d7b1493e08e05befb73)
- webpack needs the help of an obscure setting `recordsPath` to preserve module
  ids across builds. Big thanks to @NekR for pointing this out to me. Previous
  to this change, loading changed JS chunks could cause a JS error as the module
  ids the new chunk expects wouldn't match the module ids from the older chunks.
  [#533](https://github.com/gatsbyjs/gatsby/pull/533)

### Changed

- Disabled hard-source-webpack-plugin. It speeds up builds significantly but has
  been causing hard-to-debug errors while developing. We'll circle back to it
  down the road.
  [commit](https://github.com/gatsbyjs/gatsby/commit/4bc9660ac8c371d23c0295cde52002775eee5aa1)
- Restored using ChunkManifestPlugin. It was disabled while trying to debug the
  mismatched module id bug but that being fixed, we're using it again.
  [commit](https://github.com/gatsbyjs/gatsby/commit/8d16905f31b80ca56db225904d60ed78c6091ca9)
- Name modules ids in development for easier debugging. Primary benefit is you
  can see which modules are getting hot reloaded.
  [commit](https://github.com/gatsbyjs/gatsby/commit/93f6bd2c4206e71623c1a7fa007322f8dc9887be)

## [1.0.0-alpha7] - 2016-10-27

### Fixed

- Removed entries from the webpack config looking for
  `node_modules/gatsby/node_modules`. This was added to help when developing
  Gatsby using `npm link` but when Gatsby is installed regularly, it then fails
  the webpack validation as `node_modules/gatsby/node_modules` doesn't now
  exist.

## [1.0.0-alpha6] - 2016-10-27

### Added

- extension API for adding types to the GraphQL schema
  [commit](https://github.com/gatsbyjs/gatsby/commit/18b8b64ed4cbe3399fb262395c0c6e6a5a16099a)

### Fixed

- Use babel-traverse instead of using babel-plugin so that don't say done early
  when running graphql queries that have async resolvers
  [commit](https://github.com/gatsbyjs/gatsby/commit/a19677e38d1ce8ba4fb39ddff75482904f168db6)

## [1.0.0-alpha5] - 2016-10-14

### Added

- hard-source-webpack-plugin
  [commit](https://github.com/gatsbyjs/gatsby/commit/2c48e5c42887fecabc01c5f5b6f3dd8e06d3372f)
- New replacement API to wrap root component (useful for Redux, et al.)
  [commit](https://github.com/gatsbyjs/gatsby/commit/ebd57d2bd6c39b51a455b76018737e2957e146ef)
- yarn.lock
  [commit](https://github.com/gatsbyjs/gatsby/commit/5ce3321b84e912925c4705ececef6f2c817b0684)

### Changed

- Disable extracting the webpack chunk manifest until understand why this breaks
  updates when using Service Workers
  [commit](https://github.com/gatsbyjs/gatsby/commit/07ed5b010ad27b1816084b361f06fd0ae6a017ba)

## [1.0.0-alpha4] - 2016-10-07

### Added

- Add more file extensions to file/url loader config. Default to url loader
  unless it never makes sense to use data-uri e.g. favicons.
- Use api-runner-browser for calling browser extension APIs/replacements. Prep
  for plugin system.
- Add extension API `clientEntry` that let's site code and plugins to run code
  at the very start of client app.

### Changed

- Add config to uglify to ignore ie8.
- Disable building AppCache until can research if useful.
- Turn on screw_ie8 options in UglifyJS.

### Fixed

- Actually use the "sources" key from gatsby-config.js for looking for markdown
  files. This will be getting an overhaul soon.
- Don't use null-loader for css during the build-js stage as this prevents
  offline-plugin from caching files referenced in your CSS.
- Add missing publicPath for build-html step.

## [1.0.0-alpha3] - 2016-10-05

### Added

- Introduce way to programmatically add components to `<head>` + API to take
  over SSR rendering
  [a39c2a5](https://github.com/gatsbyjs/gatsby/commit/a39c2a5)
- Extract webpack manifest from commons.js so it doesn't change on every build
  improving its cachability
  [0941d33](https://github.com/gatsbyjs/gatsby/commit/0941d33)
- Always add babel-plugin-add-module-exports
  [97f083d](https://github.com/gatsbyjs/gatsby/commit/97f083d)

### Changed

- Upgraded React Hot Loader to 3.0-beta5
  [5185c3a](https://github.com/gatsbyjs/gatsby/commit/5185c3a)

### Fixed

- Ensure bundle names for components and paths are unique
  [342030d](https://github.com/gatsbyjs/gatsby/commit/342030d)
  [a1dfe19](https://github.com/gatsbyjs/gatsby/commit/a1dfe19)
- Remove old code loading config.toml
  [66f901](https://github.com/gatsbyjs/gatsby/commit/66f901)

## [1.0.0-alpha2] - 2016-09-21

### Added

- New system for specifying page layouts inspired by Jekyll.
- `<HTMLScripts />` and `<HTMLStyles />` helper components for rendering correct
  scripts and styles in your html.js,
- Validate at runtime gatsby-config.js and page objects.
- Start of new plugin system.
- New extension API: `onPostCreatePages` — called with pages after all pages are
  created. Useful for programmatically modifying pages created in plugins.

### Changed

- Removed remaining 0.x code
- Exit if can't find local install of Gatsby.
  [030f655](https://github.com/gatsbyjs/gatsby/commit/030f655075be5ad91af1dc12a05e6bd153a861df)
- Fix folder hierarchy for looking for loaders and modules #435
- Changed default `Config` GraphQL type to `Site` and added some Jekyll-inspired
  fields.

## [1.0.0-alpha1] - 2016-09-02

### Added

- Initial versions of new GraphQL data layer, PRPL pattern, programmatic routes,
  code splitting, supporting long-term caching of JS files.
